<?php
	if ( ! defined( 'ABSPATH' ) ) exit; /* Prevent direct access */

	require_once(IFSO_PLUGIN_BASE_DIR . 'services/class-if-so-plugin-settings-service.php');

	$settingsServiceInstance
		= If_So_Plugin_Settings_Service::getInstance();

	$pagesVisitedOption = 
		$settingsServiceInstance->pagesVisitedOption->get();
	$durationValue = $pagesVisitedOption->get_duration_value();
	$durationType = $pagesVisitedOption->get_duration_type();

	$removePluginDataOption = 
		$settingsServiceInstance->removePluginDataOption->get();

	$applyTheContentFilterOption = 
		$settingsServiceInstance->applyTheContentFilterOption->get();

	$removeAutoPTagOption = 
		$settingsServiceInstance->removeAutoPTagOption->get();
?>

<div class="wrap">
	<h2>
		<?php _e('If-So Dynamic Content Settings', 'if-so'); ?>
	</h2>

	<div class="ifso-settings-page-wrapper">

		<form method="post" action="options.php" class="ifso-settings-form">

			<table class="form-table ifso-settings-tbl">
				<tbody>
					<tr valign="top">
						<th class="ifso-settings-td" scope="row" valign="top">
							<?php _e('GENERAL SETTINGS', 'if-so'); ?>
						</th>
					</tr>
					<tr valign="top">
						<td class="ifso-settings-td" scope="row" valign="baseline">
							<b><?php _e('Pages visited tracking duration', 'if-so'); ?></b>
						</td>
						<td valign="baseline">
							<input 
								name="ifso_settings_pages_visited_value"
								type="text"
								class="ifso_settings_page_option ifso_setting_page_option_number_select"
								value="<?php echo $durationValue ?>" />
							<select name="ifso_settings_pages_visited_type">
								<option value="minutes" <?php echo ($durationType == "minutes" ? "SELECTED" : ""); ?>>
									<?php _e('Minutes', 'if-so'); ?>
								</option>
								<option value="hours" <?php echo ($durationType == "hours" ? "SELECTED" : ""); ?>>
									<?php _e('Hours', 'if-so'); ?>
								</option>
								<option value="days" <?php echo ($durationType == "days" ? "SELECTED" : ""); ?>>
									<?php _e('Days', 'if-so'); ?>
								</option>
								<option value="weeks" <?php echo ($durationType == "weeks" ? "SELECTED" : ""); ?>>
									<?php _e('Weeks', 'if-so'); ?>
								</option>
								<option value="months" <?php echo ($durationType == "months" ? "SELECTED" : ""); ?>>
									<?php _e('Months', 'if-so'); ?>
								</option>
							</select>
							</br>
							<i><?php _e("The duration used by the 'pages visited' condition to track users visits.", 'if-so'); ?></i>
						</td>
					</tr>
					<tr valign="top">
						<td class="ifso-settings-td" scope="row" valign="baseline">
							<b><?php _e('Remove data on uninstall?', 'if-so'); ?></b>
						</td>
						<td valign="baseline">
							<input 
								type="checkbox"
								<?php echo ($removePluginDataOption ? "CHECKED" : ""); ?>
								name="ifso_settings_pages_remove_data_uninstall"
								type="text"
								class="ifso_settings_page_option"
								value="remove_data_on_uninstall" />
								<i><?php _e('Check this box if you would like If-So  to completely remove all of its data when the plugin is deleted.', 'if-so'); ?></i>
						</td>
					</tr>
					<tr valign="top">
						<td class="ifso-settings-td" scope="row" valign="top">
							<b><?php _e('Apply "the_content" filter', 'if-so'); ?></b>
						</td>
						<td>
							<input 
								type="checkbox"
								<?php echo ($applyTheContentFilterOption ? "CHECKED" : ""); ?>
								name="ifso_settings_pages_apply_the_content_filter"
								type="text"
								class="ifso_settings_page_option"
								value="apply_the_content_filter" />
									<i><?php _e('Uncheck this box if you are using a third party content editor and you encounter bugs.', 'if-so'); ?></i>
						</td>
					</tr>
					<tr valign="baseline">
						<td class="ifso-settings-td" scope="row" valign="baseline">
							<b><?php _e('Remove wrapping paragraph tags', 'if-so'); ?></b>
						</td>
						<td valign="baseline" style="vertical-align:baseline;">
							<input 
								type="checkbox"
								<?php echo ($removeAutoPTagOption ? "CHECKED" : ""); ?>
								name="ifso_settings_pages_remove_auto_p_tag"
								type="text"
								class="ifso_settings_page_option"
								value="remove_auto_p_tag" />
								<i><?php _e('Check this box to prevent WordPress from wrapping If-So shortcodes with &lt;p&gt; tags', 'if-so'); ?></i>
						</td>
					</tr>
					<tr valign="top">
						<td>
							<?php
								wp_nonce_field( 
									'ifso_settings_nonce',
									'ifso_settings_nonce' 
								);
							?>
							<input
								type="submit"
								class="button-primary"
								name="ifso_settings_page_update"
								value="<?php _e('Update', 'if-so'); ?>"/>
						</td>
					</tr>
				</tbody>
			</table>
		</form>
	</div>
</div>