  //var placeSearch, autocomplete;

  var componentForm = {

    street_number: 'short_name',

    route: 'long_name',

    locality: 'long_name',

    administrative_area_level_1: 'short_name',

    country: 'long_name',

    postal_code: 'short_name'

  };


  var autoCompleteSettings = {types: ['(cities)']};

  const ADDRESSES_SEPARATOR = '^^';
  const DATA_SEPARATOR = '!!';
  const CITY = 'CITY';
  const GEO_LOCATION_MARKER_TEMPLATE = '';
  const GEO_INPUT_TEMPLATE = '<span class="specific-location">{LOCATION}</span>';
  const GEO_INPUT_REMOVE_FIELD_TEMPLATE = '<button class="remove-autocomplete" data-pos="{DATA_POS}"><i class="fa fa-times-circle-o" aria-hidden="true"></i></button>';
  const GEO_INPUT_TEMPLATE_CONTAINER = '<div class="locationField">'+GEO_LOCATION_MARKER_TEMPLATE+GEO_INPUT_TEMPLATE+GEO_INPUT_REMOVE_FIELD_TEMPLATE+'</div>';

  // Page Visit HTML Templates
  const PAGE_VISIT_OPERATOR_TEMPLATE = '<span class="ifso-page-visit-operator-field">{OPERATOR}: </span>'
  const PAGE_VISIT_INPUT_TEMPLATE_CONTAINER = '<div class="locationField">'+PAGE_VISIT_OPERATOR_TEMPLATE+"</br>"+GEO_INPUT_TEMPLATE+GEO_INPUT_REMOVE_FIELD_TEMPLATE+'</div>';

  // data
  const continents =  [{"name" : "Africa", "code" : "AF"}, {"name" : "Antarctica", "code" : "AN"}, {"name" : "Asia", "code" : "AS"}, {"name" : "Europe", "code" : "EU"}, {"name" : "North America", "code" : "NA"}, {"name" : "Oceania", "code" : "OC"}, {"name" : "South America", "code" : "SA"} ];
  // const states = [{"name": "Alabama", "code": "AL"}, {"name": "Alaska", "code": "AK"}, {"name": "American Samoa", "code": "AS"}, {"name": "Arizona", "code": "AZ"}, {"name": "Arkansas", "code": "AR"}, {"name": "California", "code": "CA"}, {"name": "Colorado", "code": "CO"}, {"name": "Connecticut", "code": "CT"}, {"name": "Delaware", "code": "DE"}, {"name": "District Of Columbia", "code": "DC"}, {"name": "Federated States Of Micronesia", "code": "FM"}, {"name": "Florida", "code": "FL"}, {"name": "Georgia", "code": "GA"}, {"name": "Guam", "code": "GU"}, {"name": "Hawaii", "code": "HI"}, {"name": "Idaho", "code": "ID"}, {"name": "Illinois", "code": "IL"}, {"name": "Indiana", "code": "IN"}, {"name": "Iowa", "code": "IA"}, {"name": "Kansas", "code": "KS"}, {"name": "Kentucky", "code": "KY"}, {"name": "Louisiana", "code": "LA"}, {"name": "Maine", "code": "ME"}, {"name": "Marshall Islands", "code": "MH"}, {"name": "Maryland", "code": "MD"}, {"name": "Massachusetts", "code": "MA"}, {"name": "Michigan", "code": "MI"}, {"name": "Minnesota", "code": "MN"}, {"name": "Mississippi", "code": "MS"}, {"name": "Missouri", "code": "MO"}, {"name": "Montana", "code": "MT"}, {"name": "Nebraska", "code": "NE"}, {"name": "Nevada", "code": "NV"}, {"name": "New Hampshire", "code": "NH"}, {"name": "New Jersey", "code": "NJ"}, {"name": "New Mexico", "code": "NM"}, {"name": "New York", "code": "NY"}, {"name": "North Carolina", "code": "NC"}, {"name": "North Dakota", "code": "ND"}, {"name": "Northern Mariana Islands", "code": "MP"}, {"name": "Ohio", "code": "OH"}, {"name": "Oklahoma", "code": "OK"}, {"name": "Oregon", "code": "OR"}, {"name": "Palau", "code": "PW"}, {"name": "Pennsylvania", "code": "PA"}, {"name": "Puerto Rico", "code": "PR"}, {"name": "Rhode Island", "code": "RI"}, {"name": "South Carolina", "code": "SC"}, {"name": "South Dakota", "code": "SD"}, {"name": "Tennessee", "code": "TN"}, {"name": "Texas", "code": "TX"}, {"name": "Utah", "code": "UT"}, {"name": "Vermont", "code": "VT"}, {"name": "Virgin Islands", "code": "VI"}, {"name": "Virginia", "code": "VA"}, {"name": "Washington", "code": "WA"}, {"name": "West Virginia", "code": "WV"}, {"name": "Wisconsin", "code": "WI"}, {"name": "Wyoming", "code": "WY"},{"name": "Badakhshān", "code": "AF-BDS"}, {"name": "Bādghīs", "code": "AF-BDG"}, {"name": "Baghlān", "code": "AF-BGL"}, {"name": "Balkh", "code": "AF-BAL"}, {"name": "Bāmīān", "code": "AF-BAM"}, {"name": "Farāh", "code": "AF-FRA"}, {"name": "Fāryāb", "code": "AF-FYB"}, {"name": "Ghaznī", "code": "AF-GHA"}, {"name": "Ghowr", "code": "AF-GHO"}, {"name": "Helmand", "code": "AF-HEL"}, {"name": "Herāt", "code": "AF-HER"}, {"name": "Jowzjān", "code": "AF-JOW"}, {"name": "Kabul (Kābol)", "code": "AF-KAB"}, {"name": "Kandahār", "code": "AF-KAN"}, {"name": "Kāpīsā", "code": "AF-KAP"}, {"name": "Konar (Kunar)", "code": "AF-KNR"}, {"name": "Kondoz (Kunduz)", "code": "AF-KDZ"}, {"name": "Laghmān", "code": "AF-LAG"}, {"name": "Lowgar", "code": "AF-LOW"}, {"name": "Nangrahār (Nangarhār)", "code": "AF-NAN"}, {"name": "Nīmrūz", "code": "AF-NIM"}, {"name": "Orūzgān (Urūzgā", "code": "AF-ORU"}, {"name": "Paktīā", "code": "AF-PIA"}, {"name": "Paktīkā", "code": "AF-PKA"}, {"name": "Parwān", "code": "AF-PAR"}, {"name": "Samangān", "code": "AF-SAM"}, {"name": "Sar-e Pol", "code": "AF-SAR"}, {"name": "Takhār", "code": "AF-TAK"}, {"name": "Wardak (Wardag)", "code": "AF-WAR"}, {"name": "Zābol (Zābul)", "code": "AF-ZAB"}, {"name": "Berat", "code": "AL-BR"}, {"name": "Bulqizë", "code": "AL-BU"}, {"name": "Delvinë", "code": "AL-DL"}, {"name": "Devoll", "code": "AL-DV"}, {"name": "Dibër", "code": "AL-DI"}, {"name": "Durrës", "code": "AL-DR"}, {"name": "Elbasan", "code": "AL-EL"}, {"name": "Fier", "code": "AL-FR"}, {"name": "Gramsh", "code": "AL-GR"}, {"name": "Gjirokastër", "code": "AL-GJ"}, {"name": "Has", "code": "AL-HA"}, {"name": "Kavajë", "code": "AL-KA"}, {"name": "Kolonjë", "code": "AL-ER"}, {"name": "Korcë", "code": "AL-KO"}, {"name": "Krujë", "code": "AL-KR"}, {"name": "Kucovë", "code": "AL-KC"}, {"name": "Kukës", "code": "AL-KU"}, {"name": "Laç", "code": "AL-LA"}, {"name": "Lezhë", "code": "AL-LE"}, {"name": "Librazhd", "code": "AL-LB"}, {"name": "Lushnjë", "code": "AL-LU"}, {"name": "Malësia e Madhe", "code": "AL-MM"}, {"name": "Mallakastër", "code": "AL-MK"}, {"name": "Mat", "code": "AL-MT"}, {"name": "Mirditë", "code": "AL-MR"}, {"name": "Peqin", "code": "AL-PQ"}, {"name": "Përmet", "code": "AL-PR"}, {"name": "Pogradec", "code": "AL-PG"}, {"name": "Pukë", "code": "AL-PU"}, {"name": "Sarandë", "code": "AL-SR"}, {"name": "Skrapar", "code": "AL-SK"}, {"name": "Shkodër", "code": "AL-SH"}, {"name": "Tepelenë", "code": "AL-TE"}, {"name": "Tiranë", "code": "AL-TR"}, {"name": "Tropojë", "code": "AL-TP"}, {"name": "Vlorë", "code": "AL-VL"}, {"name": "Adrar", "code": "DZ-01"}, {"name": "Aïn Defla", "code": "DZ-44"}, {"name": "Aïn Témouchent", "code": "DZ-46"}, {"name": "Alger", "code": "DZ-16"}, {"name": "Batna", "code": "DZ-05"}, {"name": "Béchar", "code": "DZ-08"}, {"name": "Béjaïa", "code": "DZ-06"}, {"name": "Biskra", "code": "DZ-07"}, {"name": "Blida", "code": "DZ-09"}, {"name": "Bordj Bou Arréridj", "code": "DZ-34"}, {"name": "Bouira", "code": "DZ-10"}, {"name": "Boumerdès", "code": "DZ-35"}, {"name": "Chlef", "code": "DZ-02"}, {"name": "Constantine", "code": "DZ-25"}, {"name": "Djelfa", "code": "DZ-17"}, {"name": "El Bayadh", "code": "DZ-32"}, {"name": "El Oued", "code": "DZ-39"}, {"name": "El Tarf", "code": "DZ-36"}, {"name": "Ghardaïa", "code": "DZ-47"}, {"name": "Guelma", "code": "DZ-24"}, {"name": "Illizi", "code": "DZ-33"}, {"name": "Jijel", "code": "DZ-18"}, {"name": "Khenchela", "code": "DZ-40"}, {"name": "Laghouat", "code": "DZ-03"}, {"name": "Mascara", "code": "DZ-29"}, {"name": "Médéa", "code": "DZ-26"}, {"name": "Mila", "code": "DZ-43"}, {"name": "Mostaganem", "code": "DZ-27"}, {"name": "Msila", "code": "DZ-28"}, {"name": "Naama", "code": "DZ-45"}, {"name": "Oran", "code": "DZ-31"}, {"name": "Ouargla", "code": "DZ-30"}, {"name": "Oum el Bouaghi", "code": "DZ-04"}, {"name": "Relizane", "code": "DZ-48"}, {"name": "Saïda", "code": "DZ-20"}, {"name": "Sétif", "code": "DZ-19"}, {"name": "Sidi Bel Abbès", "code": "DZ-22"}, {"name": "Skikda", "code": "DZ-21"}, {"name": "Souk Ahras", "code": "DZ-41"}, {"name": "Tamanghasset", "code": "DZ-11"}, {"name": "Tébessa", "code": "DZ-12"}, {"name": "Tiaret", "code": "DZ-14"}, {"name": "Tindouf", "code": "DZ-37"}, {"name": "Tipaza", "code": "DZ-42"}, {"name": "Tissemsilt", "code": "DZ-38"}, {"name": "Tizi Ouzou", "code": "DZ-15"}, {"name": "Tlemcen", "code": "DZ-13"}, {"name": "American Samoa", "code": "AS-AS"}, {"name": "Andorra", "code": "AD-AD"}, {"name": "Bengo", "code": "AO-BGO"}, {"name": "Benguela", "code": "AO-BGU"}, {"name": "Bié", "code": "AO-BIE"}, {"name": "Cabinda", "code": "AO-CAB"}, {"name": "Cuando-Cubango", "code": "AO-CCU"}, {"name": "Cuanza Norte", "code": "AO-CNO"}, {"name": "Cuanza Sul", "code": "AO-CUS"}, {"name": "Cunene", "code": "AO-CNN"}, {"name": "Huambo", "code": "AO-HUA"}, {"name": "Huíla", "code": "AO-HUI"}, {"name": "Luanda", "code": "AO-LUA"}, {"name": "Lunda Norte", "code": "AO-LNO"}, {"name": "Lunda Sul", "code": "AO-LSU"}, {"name": "Malange", "code": "AO-MAL"}, {"name": "Moxico", "code": "AO-MOX"}, {"name": "Namibe", "code": "AO-NAM"}, {"name": "Uíge", "code": "AO-UIG"}, {"name": "Zaïre", "code": "AO-ZAI"}, {"name": "Anguilla", "code": "AI-AI"}, {"name": "Antarctica", "code": "AQ-AQ"}, {"name": "Antigua & Barbuda", "code": "AG-AG"}, {"name": "Capital federal", "code": "AR-C"}, {"name": "Buenos Aires", "code": "AR-B"}, {"name": "Catamarca", "code": "AR-K"}, {"name": "Córdoba", "code": "AR-X"}, {"name": "Corrientes", "code": "AR-W"}, {"name": "Chaco", "code": "AR-H"}, {"name": "Chubut", "code": "AR-U"}, {"name": "Entre Ríos", "code": "AR-E"}, {"name": "Formosa", "code": "AR-P"}, {"name": "Jujuy", "code": "AR-Y"}, {"name": "La Pampa", "code": "AR-L"}, {"name": "La Rioja", "code": "AR-F"}, {"name": "Mendoza", "code": "AR-M"}, {"name": "Misiones", "code": "AR-N"}, {"name": "Neuquén", "code": "AR-Q"}, {"name": "Río Negro", "code": "AR-R"}, {"name": "Salta", "code": "AR-A"}, {"name": "San Juan", "code": "AR-J"}, {"name": "San Luis", "code": "AR-D"}, {"name": "Santa Cruz", "code": "AR-Z"}, {"name": "Santa Fe", "code": "AR-S"}, {"name": "Santiago del Estero", "code": "AR-G"}, {"name": "Tierra del Fuego", "code": "AR-V"}, {"name": "Tucumán", "code": "AR-T"}, {"name": "Erevan", "code": "AM-ER"}, {"name": "Aragacotn", "code": "AM-AG"}, {"name": "Ararat", "code": "AM-AR"}, {"name": "Armavir", "code": "AM-AV"}, {"name": "Geģark'unik'", "code": "AM-GR"}, {"name": "Kotayk'", "code": "AM-KT"}, {"name": "Loŕy", "code": "AM-LO"}, {"name": "Širak", "code": "AM-SH"}, {"name": "Syunik'", "code": "AM-SU"}, {"name": "Tavuš", "code": "AM-TV"}, {"name": "Vayoc Jor", "code": "AM-VD"}, {"name": "Aruba", "code": "AW-AW"}, {"name": "New South Wales", "code": "AU-NSW"}, {"name": "Queensland", "code": "AU-QLD"}, {"name": "South Australia", "code": "AU-SA"}, {"name": "Tasmania", "code": "AU-TAS"}, {"name": "Victoria", "code": "AU-VIC"}, {"name": "Western Australia", "code": "AU-WA"}, {"name": "Australian Capital Territory", "code": "AU-ACT"}, {"name": "Northern Territory", "code": "AU-NT"}, {"name": "Burgenland", "code": "AT-1"}, {"name": "Kärnten", "code": "AT-2"}, {"name": "Niederösterreich", "code": "AT-3"}, {"name": "Oberösterreich", "code": "AT-4"}, {"name": "Salzburg", "code": "AT-5"}, {"name": "Steiermark", "code": "AT-6"}, {"name": "Tirol", "code": "AT-7"}, {"name": "Vorarlberg", "code": "AT-8"}, {"name": "Wien", "code": "AT-9"}, {"name": "Naxçivan", "code": "AZ-MM"}, {"name": "Äli Bayramli", "code": "AZ-AB"}, {"name": "Baki", "code": "AZ-BA"}, {"name": "Gäncä", "code": "AZ-GA"}, {"name": "Länkäran", "code": "AZ-LA"}, {"name": "Mingäçevir", "code": "AZ-MI"}, {"name": "Naftalan", "code": "AZ-NA"}, {"name": "Şäki", "code": "AZ-SA"}, {"name": "Sumqayit", "code": "AZ-SM"}, {"name": "Şuşa", "code": "AZ-SS"}, {"name": "Xankändi", "code": "AZ-XA"}, {"name": "Yevlax", "code": "AZ-YE"}, {"name": "Abşeron", "code": "AZ-ABS"}, {"name": "Ağcabädi", "code": "AZ-AGC"}, {"name": "Ağdam", "code": "AZ-AGM"}, {"name": "Ağdas", "code": "AZ-AGS"}, {"name": "Ağstafa", "code": "AZ-AGA"}, {"name": "Ağsu", "code": "AZ-AGU"}, {"name": "Astara", "code": "AZ-AST"}, {"name": "Babäk", "code": "AZ-BAB"}, {"name": "Balakän", "code": "AZ-BAL"}, {"name": "Bärdä", "code": "AZ-BAR"}, {"name": "Beyläqan", "code": "AZ-BEY"}, {"name": "Biläsuvar", "code": "AZ-BIL"}, {"name": "Cäbrayil", "code": "AZ-CAB"}, {"name": "Cälilabad", "code": "AZ-CAL"}, {"name": "Culfa", "code": "AZ-CUL"}, {"name": "Daşkäsän", "code": "AZ-DAS"}, {"name": "Däväçi", "code": "AZ-DAV"}, {"name": "Füzuli", "code": "AZ-FUZ"}, {"name": "Gädäbäy", "code": "AZ-GAD"}, {"name": "Goranboy", "code": "AZ-GOR"}, {"name": "Göyçay", "code": "AZ-GOY"}, {"name": "Haciqabul", "code": "AZ-HAC"}, {"name": "Imişli", "code": "AZ-IMI"}, {"name": "Ismayilli", "code": "AZ-ISM"}, {"name": "Kälbäcär", "code": "AZ-KAL"}, {"name": "Kürdämir", "code": "AZ-KUR"}, {"name": "Laçin", "code": "AZ-LAC"}, {"name": "Länkäran", "code": "AZ-LAN"}, {"name": "Lerik", "code": "AZ-LER"}, {"name": "Masalli", "code": "AZ-MAS"}, {"name": "Neftçala", "code": "AZ-NEF"}, {"name": "Oğuz", "code": "AZ-OGU"}, {"name": "Ordubad", "code": "AZ-ORD"}, {"name": "Qäbälä", "code": "AZ-QAB"}, {"name": "Qax", "code": "AZ-QAX"}, {"name": "Qazax", "code": "AZ-QAZ"}, {"name": "Qobustan", "code": "AZ-QOB"}, {"name": "Quba", "code": "AZ-QBA"}, {"name": "Qubadlı", "code": "AZ-QBI"}, {"name": "Qusar", "code": "AZ-QUS"}, {"name": "Saatli", "code": "AZ-SAT"}, {"name": "Sabirabad", "code": "AZ-SAB"}, {"name": "Sädäräk", "code": "AZ-SAD"}, {"name": "Şahbuz", "code": "AZ-SAH"}, {"name": "Şäki", "code": "AZ-SAK"}, {"name": "Salyan", "code": "AZ-SAL"}, {"name": "Şamaxı", "code": "AZ-SMI"}, {"name": "Şämkir", "code": "AZ-SKR"}, {"name": "Samux", "code": "AZ-SMX"}, {"name": "Şärur", "code": "AZ-SAR"}, {"name": "Siyäzän", "code": "AZ-SIY"}, {"name": "Şuşa", "code": "AZ-SUS"}, {"name": "Tärtär", "code": "AZ-TAR"}, {"name": "Tovuz", "code": "AZ-TOV"}, {"name": "Ucar", "code": "AZ-UCA"}, {"name": "Xaçmaz", "code": "AZ-XAC"}, {"name": "Xanlar", "code": "AZ-XAN"}, {"name": "Xizi", "code": "AZ-XIZ"}, {"name": "Xocalı", "code": "AZ-XCI"}, {"name": "Xocavänd", "code": "AZ-XVD"}, {"name": "Yardimli", "code": "AZ-YAR"}, {"name": "Yevlax", "code": "AZ-YEV"}, {"name": "Zängılan", "code": "AZ-ZAN"}, {"name": "Zaqatala", "code": "AZ-ZAQ"}, {"name": "Zärdab", "code": "AZ-ZAR"}, {"name": "Acklins and Crooked Islands", "code": "BS-AC"}, {"name": "Bimini", "code": "BS-BI"}, {"name": "Cat Island", "code": "BS-CI"}, {"name": "Exuma", "code": "BS-EX"}, {"name": "Freeport", "code": "BS-FP"}, {"name": "Fresh Creek", "code": "BS-FC"}, {"name": "Governor's Harbour", "code": "BS-GH"}, {"name": "Green Turtle Cay", "code": "BS-GT"}, {"name": "Harbour Island", "code": "BS-HI"}, {"name": "High Rock", "code": "BS-HR"}, {"name": "Inagua", "code": "BS-IN"}, {"name": "Kemps Bay", "code": "BS-KB"}, {"name": "Long Island", "code": "BS-LI"}, {"name": "Marsh Harbour", "code": "BS-MH"}, {"name": "Mayaguana", "code": "BS-MG"}, {"name": "New Providence", "code": "BS-NP"}, {"name": "Nicholls Town and Berry Islands", "code": "BS-NB"}, {"name": "Ragged Island", "code": "BS-RI"}, {"name": "Rock Sound", "code": "BS-RS"}, {"name": "Sandy Point", "code": "BS-SP"}, {"name": "San Salvador and Rum Cay", "code": "BS-SR"}, {"name": "Al Ḩadd", "code": "BH-01"}, {"name": "Al Manāmah", "code": "BH-03"}, {"name": "Al Minţaqah al Gharbīyah", "code": "BH-10"}, {"name": "Al Minţaqah al Wusţa", "code": "BH-07"}, {"name": "Al Minţaqah ash Shamālīyah", "code": "BH-05"}, {"name": "Al Muḩarraq", "code": "BH-02"}, {"name": "Ar Rifā‘", "code": "BH-09"}, {"name": "Jidd Ḩafş", "code": "BH-04"}, {"name": "Madīnat Ḩamad", "code": "BH-12"}, {"name": "Madīnat ‘Īsá", "code": "BH-08"}, {"name": "Minţaqat Juzur Ḩawār", "code": "BH-11"}, {"name": "Sitrah", "code": "BH-06"}, {"name": "Barisal bibhag", "code": "BD-1"}, {"name": "Barisal anchal", "code": "BD-1B"}, {"name": "Patuakhali anchal", "code": "BD-1Q"}, {"name": "Chittagong bibhag", "code": "BD-2"}, {"name": "Bandarban anchal", "code": "BD-2A"}, {"name": "Chittagong anchal", "code": "BD-2D"}, {"name": "Chittagong Hill Tracts", "code": "BD-2E"}, {"name": "Comilla anchal", "code": "BD-2F"}, {"name": "Noakhali anchal", "code": "BD-2O"}, {"name": "Sylhet anchal", "code": "BD-2T"}, {"name": "Dhaka bibhag", "code": "BD-3"}, {"name": "Dhaka anchal", "code": "BD-3G"}, {"name": "Faridpur anchal", "code": "BD-3I"}, {"name": "Jamalpur anchal", "code": "BD-3J"}, {"name": "Mymensingh anchal", "code": "BD-3N"}, {"name": "Tangail anchal", "code": "BD-3U"}, {"name": "Khulna bibhag", "code": "BD-4"}, {"name": "Jessore anchal", "code": "BD-4K"}, {"name": "Khulna anchal", "code": "BD-4L"}, {"name": "Khustia anchal", "code": "BD-4M"}, {"name": "Rajshahi bibhag", "code": "BD-5"}, {"name": "Bogra anchal", "code": "BD-5C"}, {"name": "Dinajpur anchal", "code": "BD-5H"}, {"name": "Pabna anchal", "code": "BD-5P"}, {"name": "Rajshahi anchal", "code": "BD-5R"}, {"name": "Rangpur anchal", "code": "BD-5S"}, {"name": "Barbados", "code": "BB-BB"}, {"name": "Brestskaya voblasts'", "code": "BY-BR"}, {"name": "Homyel'skaya voblasts’", "code": "BY-HO"}, {"name": "Hrodnenskaya voblasts'", "code": "BY-HR"}, {"name": "Mahilyowskaya voblasts'", "code": "BY-MA"}, {"name": "Minskaya voblasts'", "code": "BY-MI"}, {"name": "Vitsyebskaya voblasts'", "code": "BY-VI"}, {"name": "Bruxelles-Capitale, Region de (fr), Brussels Hoofdstedelijk Gewest (nl)", "code": "BE-BRU"}, {"name": "Vlaamse Gewest (nl)", "code": "BE-VLG"}, {"name": "Antwerpen (nl)", "code": "BE-VAN"}, {"name": "Limburg (nl)", "code": "BE-VLI"}, {"name": "Oost-Vlaanderen (nl)", "code": "BE-VOV"}, {"name": "Vlaams Brabant (nl)", "code": "BE-VBR"}, {"name": "West-Vlaanderen (nl)", "code": "BE-VWV"}, {"name": "Wallonne, Region (fr)", "code": "BE-WAL"}, {"name": "Brabant Wallon (fr)", "code": "BE-WBR"}, {"name": "Hainaut (fr)", "code": "BE-WHT"}, {"name": "Liège (fr)", "code": "BE-WLG"}, {"name": "Luxembourg (fr)", "code": "BE-WLX"}, {"name": "Namur (fr)", "code": "BE-WNA"}, {"name": "Belize", "code": "BZ-BZ"}, {"name": "Cayo", "code": "BZ-CY"}, {"name": "Corozal", "code": "BZ-CZL"}, {"name": "Orange Walk", "code": "BZ-OW"}, {"name": "Stann Creek", "code": "BZ-SC"}, {"name": "Toledo", "code": "BZ-TOL"}, {"name": "Atakora", "code": "BJ-AK"}, {"name": "Atlantique", "code": "BJ-AQ"}, {"name": "Borgou", "code": "BJ-BO"}, {"name": "Mono", "code": "BJ-MO"}, {"name": "Ouémé", "code": "BJ-OU"}, {"name": "Zou", "code": "BJ-ZO"}, {"name": "Bermuda", "code": "BM-BM"}, {"name": "Bumthang", "code": "BT-33"}, {"name": "Chhukha", "code": "BT-12"}, {"name": "Dagana", "code": "BT-22"}, {"name": "Gasa", "code": "BT-GA"}, {"name": "Ha", "code": "BT-13"}, {"name": "Lhuentse", "code": "BT-44"}, {"name": "Monggar", "code": "BT-42"}, {"name": "Paro", "code": "BT-11"}, {"name": "Pemagatshel", "code": "BT-43"}, {"name": "Punakha", "code": "BT-23"}, {"name": "Samdrup Jongkha", "code": "BT-45"}, {"name": "Samtse", "code": "BT-14"}, {"name": "Sarpang", "code": "BT-31"}, {"name": "Thimphu", "code": "BT-15"}, {"name": "Trashigang", "code": "BT-41"}, {"name": "Trashi Yangtse", "code": "BT-TY"}, {"name": "Trongsa", "code": "BT-32"}, {"name": "Tsirang", "code": "BT-21"}, {"name": "Wangdue Phodrang", "code": "BT-24"}, {"name": "Zhemgang", "code": "BT-34"}, {"name": "Cochabamba", "code": "BO-C"}, {"name": "Chuquisaca", "code": "BO-H"}, {"name": "El Beni", "code": "BO-B"}, {"name": "La Paz", "code": "BO-L"}, {"name": "Oruro", "code": "BO-O"}, {"name": "Pando", "code": "BO-N"}, {"name": "Potosi", "code": "BO-P"}, {"name": "Santa Cruz", "code": "BO-S"}, {"name": "Tarija", "code": "BO-T"}, {"name": "Federacija Bosna i Hercegovina", "code": "BA-BIH"}, {"name": "Republika Srpska", "code": "BA-SRP"}, {"name": "Central [Serowe-Palapye]", "code": "BW-CE"}, {"name": "Chobe", "code": "BW-CH"}, {"name": "Ghanzi", "code": "BW-GH"}, {"name": "Kgalagadi", "code": "BW-KG"}, {"name": "Kgatleng", "code": "BW-KL"}, {"name": "Kweneng", "code": "BW-KW"}, {"name": "Ngamiland [North-West]", "code": "BW-NG"}, {"name": "North-East", "code": "BW-NE"}, {"name": "South-East", "code": "BW-SE"}, {"name": "Southern [Ngwaketse]", "code": "BW-SO"}, {"name": "Bouvet Island", "code": "BV-BV"}, {"name": "Distrito Federal", "code": "BR-DF"}, {"name": "Acre", "code": "BR-AC"}, {"name": "Alagoas", "code": "BR-AL"}, {"name": "Amapá", "code": "BR-AP"}, {"name": "Amazonas", "code": "BR-AM"}, {"name": "Bahia", "code": "BR-BA"}, {"name": "Ceará", "code": "BR-CE"}, {"name": "Espírito Santo", "code": "BR-ES"}, {"name": "Goiás", "code": "BR-GO"}, {"name": "Maranhāo", "code": "BR-MA"}, {"name": "Mato Grosso", "code": "BR-MT"}, {"name": "Mato Grosso do Sul", "code": "BR-MS"}, {"name": "Minas Gerais", "code": "BR-MG"}, {"name": "Pará", "code": "BR-PA"}, {"name": "Paraíba", "code": "BR-PB"}, {"name": "Paraná", "code": "BR-PR"}, {"name": "Pernambuco", "code": "BR-PE"}, {"name": "Piauí", "code": "BR-PI"}, {"name": "Rio de Janeiro", "code": "BR-RJ"}, {"name": "Rio Grande do Norte", "code": "BR-RN"}, {"name": "Rio Grande do Sul", "code": "BR-RS"}, {"name": "Rondônia", "code": "BR-R0"}, {"name": "Roraima", "code": "BR-RR"}, {"name": "Santa Catarina", "code": "BR-SC"}, {"name": "São Paulo", "code": "BR-SP"}, {"name": "Sergipe", "code": "BR-SE"}, {"name": "Tocantins", "code": "BR-TO"}, {"name": "British Indian Ocean Territory", "code": "IO-IO"}, {"name": "Belait", "code": "BN-BE"}, {"name": "Brunei-Muara", "code": "BN-BM"}, {"name": "Temburong", "code": "BN-TE"}, {"name": "Tutong", "code": "BN-TU"}, {"name": "Burgas", "code": "BG-02"}, {"name": "Haskovo", "code": "BG-09"}, {"name": "Loveč", "code": "BG-04"}, {"name": "Montana", "code": "BG-05"}, {"name": "Plovdiv", "code": "BG-06"}, {"name": "Ruse", "code": "BG-07"}, {"name": "Sofija", "code": "BG-08"}, {"name": "Sofija-Grad", "code": "BG-01"}, {"name": "Varna", "code": "BG-03"}, {"name": "Balé", "code": "BF-BAL"}, {"name": "Bam", "code": "BF-BAM"}, {"name": "Banwa", "code": "BF-BAN"}, {"name": "Bazèga", "code": "BF-BAZ"}, {"name": "Bougouriba", "code": "BF-BGR"}, {"name": "Boulgou", "code": "BF-BLG"}, {"name": "Boulkiemdé", "code": "BF-BLK"}, {"name": "Comoé", "code": "BF-COM"}, {"name": "Ganzourgou", "code": "BF-GAN"}, {"name": "Gnagna", "code": "BF-GNA"}, {"name": "Gourma", "code": "BF-GOU"}, {"name": "Houet", "code": "BF-HOU"}, {"name": "Ioba", "code": "BF-IOB"}, {"name": "Kadiogo", "code": "BF-KAD"}, {"name": "Kénédougou", "code": "BF-KEN"}, {"name": "Komondjari", "code": "BF-KMD"}, {"name": "Kompienga", "code": "BF-KMP"}, {"name": "Kossi", "code": "BF-KOS"}, {"name": "Koulpélogo", "code": "BF-KOP"}, {"name": "Kouritenga", "code": "BF-KOT"}, {"name": "Kourwéogo", "code": "BF-KOW"}, {"name": "Léraba", "code": "BF-LER"}, {"name": "Loroum", "code": "BF-LOR"}, {"name": "Mouhoun", "code": "BF-MOU"}, {"name": "Nahouri", "code": "BF-NAO"}, {"name": "Namentenga", "code": "BF-NAM"}, {"name": "Nayala", "code": "BF-NAY"}, {"name": "Noumbiel", "code": "BF-NOU"}, {"name": "Oubritenga", "code": "BF-OUB"}, {"name": "Oudalan", "code": "BF-OUD"}, {"name": "Passoré", "code": "BF-PAS"}, {"name": "Poni", "code": "BF-PON"}, {"name": "Sanguié", "code": "BF-SNG"}, {"name": "Sanmatenga", "code": "BF-SMT"}, {"name": "Séno", "code": "BF-SEN"}, {"name": "Sissili", "code": "BF-SIS"}, {"name": "Soum", "code": "BF-SOM"}, {"name": "Sourou", "code": "BF-SOR"}, {"name": "Tapoa", "code": "BF-TAP"}, {"name": "Tui", "code": "BF-TUI"}, {"name": "Yagha", "code": "BF-YAG"}, {"name": "Yatenga", "code": "BF-YAT"}, {"name": "Ziro", "code": "BF-ZIR"}, {"name": "Zondoma", "code": "BF-ZON"}, {"name": "Zoundwéogo", "code": "BF-ZOU"}, {"name": "Bubanza", "code": "BI-BB"}, {"name": "Bujumbura", "code": "BI-BJ"}, {"name": "Bururi", "code": "BI-BR"}, {"name": "Cankuzo", "code": "BI-CA"}, {"name": "Cibitoke", "code": "BI-CI"}, {"name": "Gitega", "code": "BI-GI"}, {"name": "Karuzi", "code": "BI-KR"}, {"name": "Kayanza", "code": "BI-KY"}, {"name": "Kirundo", "code": "BI-KI"}, {"name": "Makamba", "code": "BI-MA"}, {"name": "Muramvya", "code": "BI-MU"}, {"name": "Muyinga", "code": "BI-MY"}, {"name": "Ngozi", "code": "BI-NG"}, {"name": "Rutana", "code": "BI-RT"}, {"name": "Ruyigi", "code": "BI-RY"}, {"name": "Krong Kaeb [Krŏng Kêb]", "code": "KH-23"}, {"name": "Krong Preah Sihanouk [Krŏng Preăh Sihanouk]", "code": "KH-18"}, {"name": "Phnom Penh [Phnum Pénh]", "code": "KH-12"}, {"name": "Baat Dambang [Bătdâmbâng]", "code": "KH-2"}, {"name": "Banteay Mean Chey [Bântéay Méanchey]", "code": "KH-1"}, {"name": "Kampong Chaam [Kâmpóng Cham]", "code": "KH-3"}, {"name": "Kampong Chhnang [Kâmpóng Chhnăng]", "code": "KH-4"}, {"name": "Kampong Spueu [Kâmpóng Spœ]", "code": "KH-5"}, {"name": "Kampong Thum [Kâmpóng Thum]", "code": "KH-6"}, {"name": "Kampot [Kâmpôt]", "code": "KH-7"}, {"name": "Kandaal [Kândal]", "code": "KH-8"}, {"name": "Kracheh [Krâchéh]", "code": "KH-10"}, {"name": "Mond01 Kiri [Môndól Kiri]", "code": "KH-11"}, {"name": "Otdar Mean Chey [Ŏtdâr Méanchey]", "code": "KH-22"}, {"name": "Pousaat [Poŭthĭsăt]", "code": "KH-15"}, {"name": "Preah Vihear [Preăh Vihéar]", "code": "KH-13"}, {"name": "Prey Veaeng [Prey Vêng]", "code": "KH-14"}, {"name": "Rotanak Kiri [Rôtânôkiri]", "code": "KH-16"}, {"name": "Siem Reab [Siĕmréab]", "code": "KH-17"}, {"name": "Stueng Traeng [Stœng Trêng]", "code": "KH-19"}, {"name": "Svaay Rieng [Svay Riĕng]", "code": "KH-20"}, {"name": "Taakaev [Takêv]", "code": "KH-21"}, {"name": "Adamaoua", "code": "CM-AD"}, {"name": "Centre", "code": "CM-CE"}, {"name": "Est", "code": "CM-ES"}, {"name": "Far North", "code": "CM-EN"}, {"name": "Littoral", "code": "CM-LT"}, {"name": "North", "code": "CM-NO"}, {"name": "North-West", "code": "CM-NW"}, {"name": "South", "code": "CM-SU"}, {"name": "South-West", "code": "CM-SW"}, {"name": "West", "code": "CM-OU"}, {"name": "Alberta", "code": "CA-AB"}, {"name": "British Columbia (Colombie-Britannique)", "code": "CA-BC"}, {"name": "Manitoba", "code": "CA-MB"}, {"name": "New Brunswick (Nouveau-Brunswick)", "code": "CA-NB"}, {"name": "Newfoundland and Labrador (Terre-Neuve)", "code": "CA-NL"}, {"name": "Nova Scotia (Nouvelle-Écosse)", "code": "CA-NS"}, {"name": "Ontario", "code": "CA-ON"}, {"name": "Prince Edward Island (Île-du-Prince-Édouard)", "code": "CA-PE"}, {"name": "Quebec (Québec)", "code": "CA-QC"}, {"name": "Saskatchewan", "code": "CA-SK"}, {"name": "Northwest Territories (Territoires du Nord-Ouest)", "code": "CA-NT"}, {"name": "Nunavut", "code": "CA-NU"}, {"name": "Yukon Territory (Teritoire du Yukon)", "code": "CA-YT"}, {"name": "Ilhas de Barlavento", "code": "CV-B"}, {"name": "Boa Vista", "code": "CV-BV"}, {"name": "Paul", "code": "CV-PA"}, {"name": "Porto Novo", "code": "CV-PN"}, {"name": "Ribeira Grande", "code": "CV-RG"}, {"name": "Sal", "code": "CV-SL"}, {"name": "Sāo Nicolau", "code": "CV-SN"}, {"name": "Sāo Vicente", "code": "CV-SV"}, {"name": "Ilhas de Sotavento", "code": "CV-S"}, {"name": "Brava", "code": "CV-BR"}, {"name": "Fogo", "code": "CV-FO"}, {"name": "Maio", "code": "CV-MA"}, {"name": "Praia", "code": "CV-PR"}, {"name": "Santa Catarina", "code": "CV-CA"}, {"name": "Santa Cruz", "code": "CV-CR"}, {"name": "Tarrafal", "code": "CV-TA"}, {"name": "Cayman Islands", "code": "KY-KY"}, {"name": "Bangui", "code": "CF-BGF"}, {"name": "Bamingui-Bangoran", "code": "CF-BB"}, {"name": "Basse-Kotto", "code": "CF-BK"}, {"name": "Haute-Kotto", "code": "CF-HK"}, {"name": "Haut-Mbomou", "code": "CF-HM"}, {"name": "Kémo", "code": "CF-KG"}, {"name": "Lobaye", "code": "CF-LB"}, {"name": "Mambéré-Kadéï", "code": "CF-HS"}, {"name": "Mbomou", "code": "CF-MB"}, {"name": "Nana-Grébizi", "code": "CF-KB"}, {"name": "Nana-Mambéré", "code": "CF-NM"}, {"name": "Ombella-Mpoko", "code": "CF-MP"}, {"name": "Ouaka", "code": "CF-UK"}, {"name": "Ouham", "code": "CF-AC"}, {"name": "Ouham-Pendé", "code": "CF-OP"}, {"name": "Sangha-Mbaéré", "code": "CF-SE"}, {"name": "Vakaga", "code": "CF-VK"}, {"name": "Batha", "code": "TD-BA"}, {"name": "Biltine", "code": "TD-BI"}, {"name": "Borkou-Ennedi-Tibesti", "code": "TD-BET"}, {"name": "Chari-Baguirmi", "code": "TD-CB"}, {"name": "Guéra", "code": "TD-GR"}, {"name": "Kanem", "code": "TD-KA"}, {"name": "Lac", "code": "TD-LC"}, {"name": "Logone-Occidental", "code": "TD-LO"}, {"name": "Logone-Oriental", "code": "TD-LR"}, {"name": "Mayo-Kébbi", "code": "TD-MK"}, {"name": "Moyen-Chari", "code": "TD-MC"}, {"name": "Ouaddaï", "code": "TD-OD"}, {"name": "Salamat", "code": "TD-SA"}, {"name": "Tandjilé", "code": "TD-TA"}, {"name": "Aisén del General Carlos Ibáñiez del Campo", "code": "CL-AI"}, {"name": "Antofagasta", "code": "CL-AN"}, {"name": "Araucanía", "code": "CL-AR"}, {"name": "Atacama", "code": "CL-AT"}, {"name": "Bío-Bío", "code": "CL-BI"}, {"name": "Coquimbo", "code": "CL-CO"}, {"name": "Libertador General Bernardo O'Higgins", "code": "CL-LI"}, {"name": "Los Lagos", "code": "CL-LL"}, {"name": "Magallanes", "code": "CL-MA"}, {"name": "Maule", "code": "CL-ML"}, {"name": "Regíon Metropolitana de Santiago", "code": "CL-RM"}, {"name": "Tarapacá", "code": "CL-TA"}, {"name": "Valparaiso", "code": "CL-VS"}, {"name": "Beijing", "code": "CN-11"}, {"name": "Chongqing", "code": "CN-50"}, {"name": "Shanghai", "code": "CN-31"}, {"name": "Tianjin", "code": "CN-12"}, {"name": "Anhui", "code": "CN-34"}, {"name": "Fujian", "code": "CN-35"}, {"name": "Gansu", "code": "CN-62"}, {"name": "Guangdong", "code": "CN-44"}, {"name": "Guizhou", "code": "CN-52"}, {"name": "Hainan", "code": "CN-46"}, {"name": "Hebei", "code": "CN-13"}, {"name": "Heilongjiang", "code": "CN-23"}, {"name": "Henan", "code": "CN-41"}, {"name": "Hubei", "code": "CN-42"}, {"name": "Hunan", "code": "CN-43"}, {"name": "Jiangsu", "code": "CN-32"}, {"name": "Jiangxi", "code": "CN-36"}, {"name": "Jilin", "code": "CN-22"}, {"name": "Liaoning", "code": "CN-21"}, {"name": "Qinghai", "code": "CN-63"}, {"name": "Shaanxi", "code": "CN-61"}, {"name": "Shandong", "code": "CN-37"}, {"name": "Shanxi", "code": "CN-14"}, {"name": "Sichuan", "code": "CN-51"}, {"name": "Taiwan", "code": "CN-71"}, {"name": "Yunnan", "code": "CN-53"}, {"name": "Zhejiang", "code": "CN-33"}, {"name": "Guangxi", "code": "CN-45"}, {"name": "Nei Monggol", "code": "CN-15"}, {"name": "Ningxia", "code": "CN-64"}, {"name": "Xinjiang", "code": "CN-65"}, {"name": "Xizang", "code": "CN-54"}, {"name": "Hong Kong", "code": "CN-91"}, {"name": "Christmas Island", "code": "CX-CX"}, {"name": "Cocos (Keeling) Islands", "code": "CC-CC"}, {"name": "Distrito Capital de Santa Fe de Bogota", "code": "CO-DC"}, {"name": "Amazonas", "code": "CO-AMA"}, {"name": "Antioguia", "code": "CO-ANT"}, {"name": "Arauca", "code": "CO-ARA"}, {"name": "Atlántico", "code": "CO-ATL"}, {"name": "Bolívar", "code": "CO-BOL"}, {"name": "Boyacá", "code": "CO-BOY"}, {"name": "Caldas", "code": "CO-CAL"}, {"name": "Caquetá", "code": "CO-CAQ"}, {"name": "Casanare", "code": "CO-CAS"}, {"name": "Cauca", "code": "CO-CAU"}, {"name": "Cesar", "code": "CO-CES"}, {"name": "Córdoba", "code": "CO-COR"}, {"name": "Cundinamarca", "code": "CO-CUN"}, {"name": "Chocó", "code": "CO-CHO"}, {"name": "Guainía", "code": "CO-GUA"}, {"name": "Guaviare", "code": "CO-GUV"}, {"name": "Huila", "code": "CO-HUI"}, {"name": "La Guajira", "code": "CO-LAG"}, {"name": "Magdalena", "code": "CO-MAG"}, {"name": "Meta", "code": "CO-MET"}, {"name": "Nariño", "code": "CO-NAR"}, {"name": "Norte de Santander", "code": "CO-NSA"}, {"name": "Putumayo", "code": "CO-PUT"}, {"name": "Quindío", "code": "CO-QUI"}, {"name": "Risaralda", "code": "CO-RIS"}, {"name": "San Andrés, Providencia y Santa Catalina", "code": "CO-SAP"}, {"name": "Santander", "code": "CO-SAN"}, {"name": "Sucre", "code": "CO-SUC"}, {"name": "Tolima", "code": "CO-TOL"}, {"name": "Valle del Cauca", "code": "CO-VAC"}, {"name": "Vaupés", "code": "CO-VAU"}, {"name": "Vichada", "code": "CO-VID"}, {"name": "Anjouan (Ndzouani)", "code": "KM-A"}, {"name": "Grande Comore (Ngazidja)", "code": "KM-G"}, {"name": "Mohéli (Moili)", "code": "KM-M"}, {"name": "Brazzaville", "code": "CG-BZV"}, {"name": "Bouenza", "code": "CG-11"}, {"name": "Cuvette", "code": "CG-8"}, {"name": "Cuvette-Ouest", "code": "CG-15"}, {"name": "Kouilou", "code": "CG-5"}, {"name": "Lékoumou", "code": "CG-2"}, {"name": "Likouala", "code": "CG-7"}, {"name": "Niari", "code": "CG-9"}, {"name": "Plateaux", "code": "CG-14"}, {"name": "Pool", "code": "CG-12"}, {"name": "Sangha", "code": "CG-13"}, {"name": "Kinshasa", "code": "CD-KN"}, {"name": "Bandundu", "code": "CD-BN"}, {"name": "Bas-Congo", "code": "CD-BC"}, {"name": "Équateur", "code": "CD-EQ"}, {"name": "Haut-Congo", "code": "CD-HC"}, {"name": "Kasai-Occidental", "code": "CD-KW"}, {"name": "Kasai-Oriental", "code": "CD-KE"}, {"name": "Katanga", "code": "CD-KA"}, {"name": "Maniema", "code": "CD-MA"}, {"name": "Nord-Kivu", "code": "CD-NK"}, {"name": "Sud-Kivu", "code": "CD-SK"}, {"name": "Cook Islands", "code": "CK-CK"}, {"name": "Alajuela", "code": "CR-A"}, {"name": "Cartago", "code": "CR-C"}, {"name": "Guanacaste", "code": "CR-G"}, {"name": "Heredia", "code": "CR-H"}, {"name": "Limón", "code": "CR-L"}, {"name": "Puntarenas", "code": "CR-P"}, {"name": "San José", "code": "CR-SJ"}, {"name": "18 Montagnes (Région des)", "code": "CI-06"}, {"name": "Agnébi (Région de l')", "code": "CI-16"}, {"name": "Bas-Sassandra (Région du)", "code": "CI-09"}, {"name": "Denguélé (Région du)", "code": "CI-10"}, {"name": "Haut-Sassandra (Région du)", "code": "CI-02"}, {"name": "Lacs (Région des)", "code": "CI-07"}, {"name": "Lagunes (Région des)", "code": "CI-01"}, {"name": "Marahoué (Région de la)", "code": "CI-12"}, {"name": "Moyen-Comoé (Région du)", "code": "CI-05"}, {"name": "Nzi-Comoé (Région)", "code": "CI-11"}, {"name": "Savanes (Région des)", "code": "CI-03"}, {"name": "Sud-Bandama (Région du)", "code": "CI-15"}, {"name": "Sud-Comoé (Région du)", "code": "CI-13"}, {"name": "Vallée du Bandama (Région de la)", "code": "CI-04"}, {"name": "Worodougou (Région du)", "code": "CI-14"}, {"name": "Zanzan (Région du)", "code": "CI-08"}, {"name": "Bjelovarsko-bilogorska županija", "code": "HR-07"}, {"name": "Brodsko-posavska županija", "code": "HR-12"}, {"name": "Dubrovačko-neretvanska županija", "code": "HR-19"}, {"name": "Istarska županija", "code": "HR-18"}, {"name": "Karlovačka županija", "code": "HR-04"}, {"name": "Koprivničkco-križevačka županija", "code": "HR-06"}, {"name": "Krapinsko-zagorska županija", "code": "HR-02"}, {"name": "Ličko-senjska županija", "code": "HR-09"}, {"name": "Medjimurska županija", "code": "HR-20"}, {"name": "Osječko-baranjska županija", "code": "HR-14"}, {"name": "Požeško-slavonska županija", "code": "HR-11"}, {"name": "Primorsko-goranska županija", "code": "HR-08"}, {"name": "Sisaško-moslavačka županija", "code": "HR-03"}, {"name": "Splitsko-dalmatinska županija", "code": "HR-17"}, {"name": "Šibensko-kninska županija", "code": "HR-15"}, {"name": "Varaždinska županija", "code": "HR-05"}, {"name": "Virovitičko-podravska županija", "code": "HR-10"}, {"name": "Vukovarsko-srijemska županija", "code": "HR-16"}, {"name": "Zadarska županija", "code": "HR-13"}, {"name": "Zagrebačka županija", "code": "HR-01"}, {"name": "Camagüey", "code": "CU-09"}, {"name": "Ciudad de La Habana", "code": "CU-03"}, {"name": "Granma", "code": "CU-12"}, {"name": "Guantánamo", "code": "CU-14"}, {"name": "Holguín", "code": "CU-11"}, {"name": "La Habana", "code": "CU-02"}, {"name": "Las Tunas", "code": "CU-10"}, {"name": "Matanzas", "code": "CU-04"}, {"name": "Pinar del Río", "code": "CU-01"}, {"name": "Sancti Spíritus", "code": "CU-07"}, {"name": "Santiago de Cuba", "code": "CU-13"}, {"name": "Villa Clara", "code": "CU-05"}, {"name": "Isla de la Juventud", "code": "CU-99"}, {"name": "Ammochostos (Mağusa)", "code": "CY-04"}, {"name": "Keryneia (Girne)", "code": "CY-06"}, {"name": "Larnaka", "code": "CY-03"}, {"name": "Lefkosia (Lefkoşa)", "code": "CY-01"}, {"name": "Lemesos (Leymosun)", "code": "CY-02"}, {"name": "Pafos (Baf)", "code": "CY-05"}, {"name": "Praha", "code": "CZ-PRG"}, {"name": "Jihočeský kraj", "code": "CZ-CJC"}, {"name": "Jihomoravský kraj", "code": "CZ-CJM"}, {"name": "Severočeský kraj", "code": "CZ-CSC"}, {"name": "Severomoravský kraj", "code": "CZ-CSM"}, {"name": "Středočeský kraj", "code": "CZ-CST"}, {"name": "Východočeský kraj", "code": "CZ-CVC"}, {"name": "Západočeský kraj", "code": "CZ-CZC"}, {"name": "Frederiksberg", "code": "DK-147"}, {"name": "Kǿbenhavn", "code": "DK-101"}, {"name": "Bornholm", "code": "DK-040"}, {"name": "Frederiksborg", "code": "DK-020"}, {"name": "Fyn", "code": "DK-042"}, {"name": "Kǿbenhavn", "code": "DK-015"}, {"name": "Nordjylland", "code": "DK-080"}, {"name": "Ribe", "code": "DK-055"}, {"name": "Ringkǿbing", "code": "DK-065"}, {"name": "Roskilde", "code": "DK-025"}, {"name": "Storstrǿm", "code": "DK-035"}, {"name": "Sǿnderjylland", "code": "DK-050"}, {"name": "Vejle", "code": "DK-060"}, {"name": "Vestsjælland", "code": "DK-030"}, {"name": "Viborg", "code": "DK-076"}, {"name": "Århus", "code": "DK-070"}, {"name": "Ali Sabieh", "code": "DJ-AS"}, {"name": "Dikhil", "code": "DJ-DI"}, {"name": "Djibouti", "code": "DJ-DJ"}, {"name": "Obock", "code": "DJ-OB"}, {"name": "Tadjoura", "code": "DJ-TA"}, {"name": "Dominica", "code": "DM-DM"}, {"name": "Distrito National (Santo Domingo)", "code": "DO-DN"}, {"name": "Azua", "code": "DO-AZ"}, {"name": "Bahoruco", "code": "DO-BR"}, {"name": "Barahona", "code": "DO-BH"}, {"name": "Dajabón", "code": "DO-DA"}, {"name": "Duarte", "code": "DO-DU"}, {"name": "El Seibo", "code": "DO-SE"}, {"name": "La Estrelleta [Elías Piña]", "code": "DO-EP"}, {"name": "Hato Mayor", "code": "DO-HM"}, {"name": "Independencia", "code": "DO-IN"}, {"name": "La Altagracia", "code": "DO-AL"}, {"name": "La Romana", "code": "DO-RO"}, {"name": "La Vega", "code": "DO-VE"}, {"name": "María Trinidad Sánchez", "code": "DO-MT"}, {"name": "Monseñor Nouel", "code": "DO-MN"}, {"name": "Monte Cristi", "code": "DO-MC"}, {"name": "Monte Plata", "code": "DO-MP"}, {"name": "Pedernales", "code": "DO-PN"}, {"name": "Peravia", "code": "DO-PR"}, {"name": "Puerto Plata", "code": "DO-PP"}, {"name": "Salcedo", "code": "DO-SC"}, {"name": "Samaná", "code": "DO-SM"}, {"name": "Sanchez Ramírez", "code": "DO-SZ"}, {"name": "San Cristóbal", "code": "DO-CR"}, {"name": "San Juan", "code": "DO-JU"}, {"name": "San Pedro de Macorís", "code": "DO-PM"}, {"name": "Santiago", "code": "DO-ST"}, {"name": "Santiago Rodríguez", "code": "DO-SR"}, {"name": "Valverde", "code": "DO-VA"}, {"name": "East Timor", "code": "TP-TP"}, {"name": "Azuay", "code": "EC-A"}, {"name": "Bolívar", "code": "EC-B"}, {"name": "Cañar", "code": "EC-F"}, {"name": "Carchi", "code": "EC-C"}, {"name": "Cotopaxi", "code": "EC-X"}, {"name": "Chimborazo", "code": "EC-H"}, {"name": "El Oro", "code": "EC-O"}, {"name": "Esmeraldas", "code": "EC-E"}, {"name": "Galápagos", "code": "EC-W"}, {"name": "Guayas", "code": "EC-G"}, {"name": "Imbabura", "code": "EC-I"}, {"name": "Loja", "code": "EC-L"}, {"name": "Los Ríos", "code": "EC-R"}, {"name": "Manabí", "code": "EC-M"}, {"name": "Morona-Santiago", "code": "EC-S"}, {"name": "Napo", "code": "EC-N"}, {"name": "Pastaza", "code": "EC-Y"}, {"name": "Pichincha", "code": "EC-P"}, {"name": "Sucumbíos", "code": "EC-U"}, {"name": "Tungurahua", "code": "EC-T"}, {"name": "Zarnora-Chinchipe", "code": "EC-Z"}, {"name": "Ad Daqahlīyah", "code": "EG-DK"}, {"name": "Al Baḩr al Aḩmar", "code": "EG-BA"}, {"name": "Al Buḩayrah", "code": "EG-BH"}, {"name": "Al Fayyūm", "code": "EG-FYM"}, {"name": "Al Gharbīyah", "code": "EG-GH"}, {"name": "Al Iskandarīyah", "code": "EG-ALX"}, {"name": "Al Ismā‘īlīyah", "code": "EG-IS"}, {"name": "Al Jīzah", "code": "EG-GZ"}, {"name": "Al Minūfīyah", "code": "EG-MNF"}, {"name": "Al Minyā", "code": "EG-MN"}, {"name": "Al Qāhirah", "code": "EG-C"}, {"name": "Al Qalyūbīyah", "code": "EG-KB"}, {"name": "Al Wādī al Jadīd", "code": "EG-WAD"}, {"name": "Ash Sharqīyah", "code": "EG-SHR"}, {"name": "As Suways", "code": "EG-SUZ"}, {"name": "Aswān", "code": "EG-ASN"}, {"name": "Asyūţ", "code": "EG-AST"}, {"name": "Banī Suwayf", "code": "EG-BNS"}, {"name": "Būr Sa‘īd", "code": "EG-PTS"}, {"name": "Dumyāţ", "code": "EG-DT"}, {"name": "Janūb Sīnā'", "code": "EG-JS"}, {"name": "Kafr ash Shaykh", "code": "EG-KFS"}, {"name": "Maţrūḩ", "code": "EG-MT"}, {"name": "Qinā", "code": "EG-KN"}, {"name": "Shamāl Sīnā'", "code": "EG-SIN"}, {"name": "Sūhāj", "code": "EG-SHG"}, {"name": "Ahuachapán", "code": "SV-AH"}, {"name": "Cabañas", "code": "SV-CA"}, {"name": "Cuscatlán", "code": "SV-CU"}, {"name": "Chalatenango", "code": "SV-CH"}, {"name": "La Libertad", "code": "SV-LI"}, {"name": "La Paz", "code": "SV-PA"}, {"name": "La Unión", "code": "SV-UN"}, {"name": "Morazán", "code": "SV-MO"}, {"name": "San Miguel", "code": "SV-SM"}, {"name": "San Salvador", "code": "SV-SS"}, {"name": "Santa Ana", "code": "SV-SA"}, {"name": "San Vicente", "code": "SV-SV"}, {"name": "Sonsonate", "code": "SV-SO"}, {"name": "Usulután", "code": "SV-SU"}, {"name": "Región Continental", "code": "GQ-C"}, {"name": "Centro Sur", "code": "GQ-CS"}, {"name": "Kie-Ntem", "code": "GQ-KN"}, {"name": "Litoral", "code": "GQ-LI"}, {"name": "Wele-Nzás", "code": "GQ-WN"}, {"name": "Región Insular", "code": "GQ-I"}, {"name": "Annobón", "code": "GQ-AN"}, {"name": "Bioko Norte", "code": "GQ-BN"}, {"name": "Bioko Sur", "code": "GQ-BS"}, {"name": "Akele Guzai [Akalä Guzay]", "code": "ER-AG"}, {"name": "Asmara [Asmära]", "code": "ER-AS"}, {"name": "Barka", "code": "ER-BA"}, {"name": "Denkalia [Dänkali]", "code": "ER-DE"}, {"name": "Gash-Setit [Gaš enna Sätit]", "code": "ER-GS"}, {"name": "Hamasien [Hamasén]", "code": "ER-HA"}, {"name": "Sahel", "code": "ER-SA"}, {"name": "Semhar [Sämhar]", "code": "ER-SM"}, {"name": "Senhit [Sänhet]", "code": "ER-SN"}, {"name": "Seraye [Särayé]", "code": "ER-SR"}, {"name": "Harjumaa", "code": "EE-37"}, {"name": "Hiiumaa", "code": "EE-39"}, {"name": "Ida-Virumaa", "code": "EE-44"}, {"name": "Jōgevamaa", "code": "EE-49"}, {"name": "Järvamaa", "code": "EE-51"}, {"name": "Läänemaa", "code": "EE-57"}, {"name": "Lääne-Virumaa", "code": "EE-59"}, {"name": "Pōlvamaa", "code": "EE-65"}, {"name": "Pärnumaa", "code": "EE-67"}, {"name": "Raplamaa", "code": "EE-70"}, {"name": "Saaremaa", "code": "EE-74"}, {"name": "Tartumaa", "code": "EE-78"}, {"name": "Valgamaa", "code": "EE-82"}, {"name": "Viljandimaa", "code": "EE-84"}, {"name": "Vōrumaa", "code": "EE-86"}, {"name": "Addis Ababa [Addis Abeba]", "code": "ET-AA"}, {"name": "Afar", "code": "ET-AF"}, {"name": "Amara [Amhara]", "code": "ET-AM"}, {"name": "Benshangul-Gumaz [Bénishangul]", "code": "ET-BE"}, {"name": "Gambela Peoples [Gambéla]", "code": "ET-GA"}, {"name": "Harari People [Harer]", "code": "ET-HA"}, {"name": "Oromia [Oromo]", "code": "ET-OR"}, {"name": "Somali", "code": "ET-SO"}, {"name": "Southern Nations, Nationalities and Peoples", "code": "ET-SN"}, {"name": "Tigrai [Tegré]", "code": "ET-TI"}, {"name": "Falkland Islands (Malvinas)", "code": "FK-FK"}, {"name": "Faroe Islands", "code": "FO-FO"}, {"name": "Central", "code": "FJ-C"}, {"name": "Eastern", "code": "FJ-E"}, {"name": "Northern", "code": "FJ-N"}, {"name": "Western", "code": "FJ-W"}, {"name": "Rotuma", "code": "FJ-R"}, {"name": "Ahvenanmaan lääni", "code": "FI-AL"}, {"name": "Etelä-Suomen lääni", "code": "FI-ES"}, {"name": "Itä-Suomen lääni", "code": "FI-IS"}, {"name": "Lapin lääni", "code": "FI-LL"}, {"name": "Länsi-Suomen lääni", "code": "FI-LS"}, {"name": "Oulun lääni", "code": "FI-OL"}, {"name": "Alsace", "code": "FR-A"}, {"name": "Bas-Rhin", "code": "FR-67"}, {"name": "Haut-Rhin", "code": "FR-68"}, {"name": "Aquitaine", "code": "FR-B"}, {"name": "Deux-Sèvres", "code": "FR-79"}, {"name": "Dordogne", "code": "FR-24"}, {"name": "Gironde", "code": "FR-33"}, {"name": "Landes", "code": "FR-40"}, {"name": "Lot-et-Garonne", "code": "FR-47"}, {"name": "Pyrénées-Atlantiques", "code": "FR-64"}, {"name": "Auvergne", "code": "FR-C"}, {"name": "Allier", "code": "FR-03"}, {"name": "Cantal", "code": "FR-15"}, {"name": "Haute-Loire", "code": "FR-43"}, {"name": "Puy-de-Dôme", "code": "FR-63"}, {"name": "Basse-Normandie", "code": "FR-P"}, {"name": "Calvados", "code": "FR-14"}, {"name": "Manche", "code": "FR-50"}, {"name": "Orne", "code": "FR-61"}, {"name": "Bourgogne", "code": "FR-D"}, {"name": "Côte-d'Or", "code": "FR-21"}, {"name": "Nièvre", "code": "FR-58"}, {"name": "Saône-et-Loire", "code": "FR-71"}, {"name": "Yonne", "code": "FR-89"}, {"name": "Bretagne", "code": "FR-E"}, {"name": "Cotes-d'Armor", "code": "FR-22"}, {"name": "Finistère", "code": "FR-29"}, {"name": "Ille-et-Vilaine", "code": "FR-35"}, {"name": "Morbihan", "code": "FR-56"}, {"name": "Centre", "code": "FR-F"}, {"name": "Cher", "code": "FR-18"}, {"name": "Eure-et-Loir", "code": "FR-28"}, {"name": "Indre", "code": "FR-36"}, {"name": "Indre-et-Loire", "code": "FR-37"}, {"name": "Loir-et-Cher", "code": "FR-41"}, {"name": "Loiret", "code": "FR-45"}, {"name": "Champagne-Ardenne", "code": "FR-G"}, {"name": "Ardennes", "code": "FR-08"}, {"name": "Aube", "code": "FR-10"}, {"name": "Haute-Marne", "code": "FR-52"}, {"name": "Marne", "code": "FR-51"}, {"name": "Corse", "code": "FR-H"}, {"name": "Corse-du-Sud", "code": "FR-2A"}, {"name": "Haute-Corse", "code": "FR-2B"}, {"name": "Franche-Comté", "code": "FR-I"}, {"name": "Doubs", "code": "FR-25"}, {"name": "Haute-Saône", "code": "FR-70"}, {"name": "Jura", "code": "FR-39"}, {"name": "Territoire de Belfort", "code": "FR-90"}, {"name": "Haute-Normandie", "code": "FR-Q"}, {"name": "Eure", "code": "FR-27"}, {"name": "Seine-Maritime", "code": "FR-76"}, {"name": "Île-de-France", "code": "FR-J"}, {"name": "Essonne", "code": "FR-91"}, {"name": "Hauts-de-Seine", "code": "FR-92"}, {"name": "Paris", "code": "FR-75"}, {"name": "Seine-et-Marne", "code": "FR-77"}, {"name": "Seine-Saint-Denis", "code": "FR-93"}, {"name": "Val-de-Marne", "code": "FR-94"}, {"name": "Val-d'Oise", "code": "FR-95"}, {"name": "Yvelines", "code": "FR-78"}, {"name": "Languedoc-Roussillon", "code": "FR-K"}, {"name": "Aude", "code": "FR-11"}, {"name": "Gard", "code": "FR-30"}, {"name": "Hérault", "code": "FR-34"}, {"name": "Lozère", "code": "FR-48"}, {"name": "Pyrénées-Orientales", "code": "FR-66"}, {"name": "Limousin", "code": "FR-L"}, {"name": "Corrèze", "code": "FR-19"}, {"name": "Creuse", "code": "FR-23"}, {"name": "Haute-Vienne", "code": "FR-87"}, {"name": "Lorraine", "code": "FR-M"}, {"name": "Meurthe-et-Moselle", "code": "FR-54"}, {"name": "Meuse", "code": "FR-55"}, {"name": "Moselle", "code": "FR-57"}, {"name": "Vosges", "code": "FR-88"}, {"name": "Midi-Pyrénées", "code": "FR-N"}, {"name": "Ariège", "code": "FR-09"}, {"name": "Aveyron", "code": "FR-12"}, {"name": "Gers", "code": "FR-32"}, {"name": "Haute-Garonne", "code": "FR-31"}, {"name": "Hautes-Pyrénées", "code": "FR-65"}, {"name": "Lot", "code": "FR-46"}, {"name": "Tarn", "code": "FR-81"}, {"name": "Tarn-et-Garonne", "code": "FR-82"}, {"name": "Nord-Pas-de-Calais", "code": "FR-O"}, {"name": "Nord", "code": "FR-59"}, {"name": "Pas-de-Calais", "code": "FR-62"}, {"name": "Pays de la Loire", "code": "FR-R"}, {"name": "Loire-Atlantique", "code": "FR-44"}, {"name": "Maine-et-Loire", "code": "FR-49"}, {"name": "Mayenne", "code": "FR-53"}, {"name": "Sarthe", "code": "FR-72"}, {"name": "Vendée", "code": "FR-85"}, {"name": "Picardie", "code": "FR-S"}, {"name": "Aisne", "code": "FR-02"}, {"name": "Oise", "code": "FR-60"}, {"name": "Somme", "code": "FR-80"}, {"name": "Poitou-Charentes", "code": "FR-T"}, {"name": "Charente", "code": "FR-16"}, {"name": "Charente-Maritime", "code": "FR-17"}, {"name": "Vienne", "code": "FR-86"}, {"name": "Provence-Alpes-Côte d'Azur", "code": "FR-U"}, {"name": "Alpes-de-Haute-Provence", "code": "FR-04"}, {"name": "Alpes-Maritimes", "code": "FR-06"}, {"name": "Bauches-du-Rhône", "code": "FR-13"}, {"name": "Hautes-Alpes", "code": "FR-05"}, {"name": "Var", "code": "FR-83"}, {"name": "Vaucluse", "code": "FR-84"}, {"name": "Rhône-Alpes", "code": "FR-V"}, {"name": "Ain", "code": "FR-01"}, {"name": "Ardèche", "code": "FR-07"}, {"name": "Drôme", "code": "FR-26"}, {"name": "Haute-Savoie", "code": "FR-74"}, {"name": "Isère", "code": "FR-38"}, {"name": "Loire", "code": "FR-42"}, {"name": "Rhône", "code": "FR-69"}, {"name": "Savoie", "code": "FR-73"}, {"name": "Guadeloupe", "code": "FR-GP"}, {"name": "Guyane (francaise)", "code": "FR-GF"}, {"name": "Martinique", "code": "FR-MQ"}, {"name": "Réunion", "code": "FR-RE"}, {"name": "Mayotte", "code": "FR-YT"}, {"name": "Saint-Pierre-et-Miquelon", "code": "FR-PM"}, {"name": "Nouvelle-Calédonie", "code": "FR-NC"}, {"name": "Polynésie française", "code": "FR-PF"}, {"name": "Terres Australes", "code": "FR-TF"}, {"name": "Wallis et Futuna", "code": "FR-WF"}, {"name": "French Guiana", "code": "GF-GF"}, {"name": "French Polynesia", "code": "PF-PF"}, {"name": "French Southern Territories", "code": "TF-TF"}, {"name": "Estuaire", "code": "GA-1"}, {"name": "Haut-Ogooué", "code": "GA-2"}, {"name": "Moyen-Ogooué", "code": "GA-3"}, {"name": "Ngounié", "code": "GA-4"}, {"name": "Nyanga", "code": "GA-5"}, {"name": "Ogooué-Ivindo", "code": "GA-6"}, {"name": "Ogooué-Lolo", "code": "GA-7"}, {"name": "Ogooué-Maritime", "code": "GA-8"}, {"name": "Woleu-Ntem", "code": "GA-9"}, {"name": "Banjul", "code": "GM-B"}, {"name": "Lower River", "code": "GM-L"}, {"name": "MacCarthy Island", "code": "GM-M"}, {"name": "North Bank", "code": "GM-N"}, {"name": "Upper River", "code": "GM-U"}, {"name": "Western", "code": "GM-W"}, {"name": "Ap'khazet'is Avtonomiuri Respublika [Abkhazia]", "code": "GE-AB"}, {"name": "Acharis Avtonomiuri Respublika [Ajaria]", "code": "GE-AJ"}, {"name": "Bat'umi", "code": "GE-BUS"}, {"name": "Chiat'ura", "code": "GE-CHI"}, {"name": "Gagra", "code": "GE-GAG"}, {"name": "Gori", "code": "GE-GOR"}, {"name": "K'ut'aisi", "code": "GE-KUT"}, {"name": "P'ot'i", "code": "GE-PTI"}, {"name": "Rust'avi", "code": "GE-RUS"}, {"name": "Sokhumi", "code": "GE-SUI"}, {"name": "T'bilisi", "code": "GE-TBS"}, {"name": "Tqibuli", "code": "GE-TQI"}, {"name": "Tqvarch'eli", "code": "GE-TQV"}, {"name": "Tsqalmbo", "code": "GE-TSQ"}, {"name": "Zugdidi", "code": "GE-ZUG"}, {"name": "Abashis Raioni", "code": "GE-01"}, {"name": "Adigenis Raioni", "code": "GE-02"}, {"name": "Akhalgoris Raioni", "code": "GE-03"}, {"name": "Akhalk'alak'is Raioni", "code": "GE-04"}, {"name": "Akhalts'ikhis Raioni", "code": "GE-05"}, {"name": "Akhmetis Raioni", "code": "GE-06"}, {"name": "Ambrolauris Raioni", "code": "GE-07"}, {"name": "Aspindzis Raioni", "code": "GE-08"}, {"name": "Baghdat'is Raioni", "code": "GE-09"}, {"name": "Bolnisis Raioni", "code": "GE-10"}, {"name": "Borjomis Raioni", "code": "GE-11"}, {"name": "Ch'khorotsqus Raioni", "code": "GE-12"}, {"name": "Ch'okhatauris Raioni", "code": "GE-13"}, {"name": "Dedop'listsqaros Raioni", "code": "GE-14"}, {"name": "Dmanisis Raioni", "code": "GE-15"}, {"name": "Dushet'is Raioni", "code": "GE-16"}, {"name": "Galis Raioni", "code": "GE-17"}, {"name": "Gardabnis Raioni", "code": "GE-18"}, {"name": "Goris Raioni", "code": "GE-19"}, {"name": "Gudaut'is Raioni", "code": "GE-20"}, {"name": "Gulrip'shis Raioni", "code": "GE-21"}, {"name": "Gurjaanis Raioni", "code": "GE-22"}, {"name": "Javis Raioni", "code": "GE-23"}, {"name": "K'arelis Raioni", "code": "GE-24"}, {"name": "Kaspis Raioni", "code": "GE-25"}, {"name": "K'edis Raioni", "code": "GE-26"}, {"name": "Kharagaulis Raioni", "code": "GE-27"}, {"name": "Khashuris Raioni", "code": "GE-28"}, {"name": "Khelvach'auris Raioni", "code": "GE-29"}, {"name": "Khobis Raioni", "code": "GE-30"}, {"name": "Khonis Raioni", "code": "GE-31"}, {"name": "Khulos Raioni", "code": "GE-32"}, {"name": "K'obuletis Raioni", "code": "GE-33"}, {"name": "Lagodekhis Raioni", "code": "GE-34"}, {"name": "Lanch'khut'is Raioni", "code": "GE-35"}, {"name": "Lentekhis Raioni", "code": "GE-36"}, {"name": "Marneulis Raioni", "code": "GE-37"}, {"name": "Martvilis Raioni", "code": "GE-38"}, {"name": "Mestiis Raioni", "code": "GE-39"}, {"name": "Mts'khet'is Raioni", "code": "GE-40"}, {"name": "Ninotsmindis Raioni", "code": "GE-41"}, {"name": "Och'amch'iris Raioni", "code": "GE-42"}, {"name": "Onis Raioni", "code": "GE-43"}, {"name": "Ozurget'is Raioni", "code": "GE-44"}, {"name": "Qazbegis Raioni", "code": "GE-45"}, {"name": "Qvarlis Raioni", "code": "GE-46"}, {"name": "Sach'kheris Raioni", "code": "GE-47"}, {"name": "Sagarejos Raioni", "code": "GE-48"}, {"name": "Samtrediis Raioni", "code": "GE-49"}, {"name": "Senakis Raioni", "code": "GE-50"}, {"name": "Shuakhevis Raioni", "code": "GE-51"}, {"name": "Sighnaghis Raioni", "code": "GE-52"}, {"name": "Sokhumis Raioni", "code": "GE-53"}, {"name": "T'elavis Raioni", "code": "GE-54"}, {"name": "T'erjolis Raioni", "code": "GE-55"}, {"name": "T'et'ritsqaros Raioni", "code": "GE-56"}, {"name": "T'ianet'is Raioni", "code": "GE-57"}, {"name": "Ts'ageris Raioni", "code": "GE-58"}, {"name": "Tsalenjikhis Raioni", "code": "GE-59"}, {"name": "Tsalkis Raioni", "code": "GE-60"}, {"name": "Vanis Raioni", "code": "GE-61"}, {"name": "Zestap'onis Raioni", "code": "GE-62"}, {"name": "Zugdidis Raioni", "code": "GE-63"}, {"name": "Baden-Württemberg", "code": "DE-BW"}, {"name": "Bayern", "code": "DE-BY"}, {"name": "Berlin", "code": "DE-BE"}, {"name": "Brandenburg", "code": "DE-BB"}, {"name": "Bremen", "code": "DE-HB"}, {"name": "Hamburg", "code": "DE-HH"}, {"name": "Hessen", "code": "DE-HE"}, {"name": "Mecklenburg-Vorpommern", "code": "DE-MV"}, {"name": "Niedersachsen", "code": "DE-NI"}, {"name": "Nordrhein-Westfalen", "code": "DE-NW"}, {"name": "Rheinland-Pfalz", "code": "DE-RP"}, {"name": "Saarland", "code": "DE-SL"}, {"name": "Sachsen", "code": "DE-SN"}, {"name": "Sachsen-Anhalt", "code": "DE-ST"}, {"name": "Schleswig-Holstein", "code": "DE-SH"}, {"name": "Thüringen", "code": "DE-TH"}, {"name": "Ashanti", "code": "GH-AH"}, {"name": "Brong-Ahafo", "code": "GH-BA"}, {"name": "Central", "code": "GH-CP"}, {"name": "Eastern", "code": "GH-EP"}, {"name": "Greater Accra", "code": "GH-AA"}, {"name": "Northern", "code": "GH-NP"}, {"name": "Upper East", "code": "GH-UE"}, {"name": "Upper West", "code": "GH-UW"}, {"name": "Volta", "code": "GH-TV"}, {"name": "Western", "code": "GH-WP"}, {"name": "Gibraltar", "code": "GI-GI"}, {"name": "Channel Islands", "code": "GB-CHA"}, {"name": "Guernsey [Guernesey]", "code": "GB-GSY"}, {"name": "Jersey", "code": "GB-JSY"}, {"name": "England", "code": "GB-ENG"}, {"name": "Barking and Dagenham", "code": "GB-BDG"}, {"name": "Barnet", "code": "GB-BNE"}, {"name": "Barnsley", "code": "GB-BNS"}, {"name": "Bath and North East Somerset", "code": "GB-BAS"}, {"name": "Bedfordshire", "code": "GB-BDF"}, {"name": "Bexley", "code": "GB-BEX"}, {"name": "Birmingham (City of)", "code": "GB-BIR"}, {"name": "Blackburn with Darwen", "code": "GB-BBD"}, {"name": "Blackpool", "code": "GB-BPL"}, {"name": "Bolton", "code": "GB-BOL"}, {"name": "Bournemouth", "code": "GB-BMH"}, {"name": "Bracknell Forest", "code": "GB-BRC"}, {"name": "Bradford (City of)", "code": "GB-BRD"}, {"name": "Brent", "code": "GB-BEN"}, {"name": "Brighton and Hove", "code": "GB-BNH"}, {"name": "Bristol, City of", "code": "GB-BST"}, {"name": "Bromley", "code": "GB-BRY"}, {"name": "Buckinghamshire", "code": "GB-BKM"}, {"name": "Bury", "code": "GB-BUR"}, {"name": "Calderdale", "code": "GB-CLD"}, {"name": "Cambridgeshire", "code": "GB-CAM"}, {"name": "Camden", "code": "GB-CMD"}, {"name": "Cheshire", "code": "GB-CHS"}, {"name": "Cornwall", "code": "GB-CON"}, {"name": "Coventry (City of)", "code": "GB-COV"}, {"name": "Croydon", "code": "GB-CRY"}, {"name": "Cumbria", "code": "GB-CMA"}, {"name": "Darlington", "code": "GB-DAL"}, {"name": "Derby (City of)", "code": "GB-DER"}, {"name": "Derbyshire", "code": "GB-DBY"}, {"name": "Devon", "code": "GB-DEV"}, {"name": "Doncaster", "code": "GB-DNC"}, {"name": "Dorset", "code": "GB-DOR"}, {"name": "Dudley", "code": "GB-DUD"}, {"name": "Durharn", "code": "GB-DUR"}, {"name": "Ealing", "code": "GB-EAL"}, {"name": "East Riding of Yorkshire", "code": "GB-ERY"}, {"name": "East Sussex", "code": "GB-ESX"}, {"name": "Enfield", "code": "GB-ENF"}, {"name": "Essex", "code": "GB-ESS"}, {"name": "Gateshead", "code": "GB-GAT"}, {"name": "Gloucestershire", "code": "GB-GLS"}, {"name": "Greenwich", "code": "GB-GRE"}, {"name": "Hackney", "code": "GB-HCK"}, {"name": "Haiton", "code": "GB-HAL"}, {"name": "Hammersmith and Fulham", "code": "GB-HMF"}, {"name": "Hampshire", "code": "GB-HAM"}, {"name": "Haringey", "code": "GB-HRY"}, {"name": "Harrow", "code": "GB-HRW"}, {"name": "Hartlepool", "code": "GB-HPL"}, {"name": "Havering", "code": "GB-HAV"}, {"name": "Herefordshire, County of", "code": "GB-HEF"}, {"name": "Hertfordshire", "code": "GB-HRT"}, {"name": "Hillingdon", "code": "GB-HIL"}, {"name": "Hounslow", "code": "GB-HNS"}, {"name": "Isle of Wight", "code": "GB-IOW"}, {"name": "Isles of Scilly", "code": "GB-IOS"}, {"name": "Islington", "code": "GB-ISL"}, {"name": "Kensington and Chelsea", "code": "GB-KEC"}, {"name": "Kent", "code": "GB-KEN"}, {"name": "Kingston upon Hull, City of", "code": "GB-KHL"}, {"name": "Kingston upon Thames", "code": "GB-KTT"}, {"name": "Kirklees", "code": "GB-KIR"}, {"name": "Knowsley", "code": "GB-KWL"}, {"name": "Lambeth", "code": "GB-LBH"}, {"name": "Lancashire", "code": "GB-LAN"}, {"name": "Leeds (City of)", "code": "GB-LDS"}, {"name": "Leitester (City of)", "code": "GB-LCE"}, {"name": "Leicestershire", "code": "GB-LEC"}, {"name": "Lewisham", "code": "GB-LEW"}, {"name": "Lincolnshire", "code": "GB-LIN"}, {"name": "Liverpool (City of)", "code": "GB-LIV"}, {"name": "London, City of", "code": "GB-LND"}, {"name": "Luton", "code": "GB-LUT"}, {"name": "Manchester (City of)", "code": "GB-MAN"}, {"name": "Medway", "code": "GB-MDW"}, {"name": "Merton", "code": "GB-MRT"}, {"name": "Middlesbrough", "code": "GB-MDB"}, {"name": "Milton Keynes", "code": "GB-MIK"}, {"name": "Newcastle upon Tyne (City of)", "code": "GB-NET"}, {"name": "Newham", "code": "GB-NWM"}, {"name": "Norfolk", "code": "GB-NFK"}, {"name": "North East Lincolnshire", "code": "GB-NEL"}, {"name": "North Lincolnshire", "code": "GB-NLN"}, {"name": "North Somerset", "code": "GB-NSM"}, {"name": "North Tyneside", "code": "GB-NTY"}, {"name": "North Yorkshire", "code": "GB-NYK"}, {"name": "Northamptonshire", "code": "GB-NTH"}, {"name": "Northumberland", "code": "GB-NBL"}, {"name": "Nottingham (City of)", "code": "GB-NGM"}, {"name": "Nottinghamshire", "code": "GB-NTT"}, {"name": "Oldham", "code": "GB-OLD"}, {"name": "Oxfordshire", "code": "GB-OXF"}, {"name": "Peterborough", "code": "GB-PTE"}, {"name": "Plymouth (City of)", "code": "GB-PLY"}, {"name": "Poole", "code": "GB-POL"}, {"name": "Portsmouth (City of)", "code": "GB-POR"}, {"name": "Reading", "code": "GB-RDG"}, {"name": "Redbridge", "code": "GB-RDB"}, {"name": "Redcar and Cleveland", "code": "GB-RCC"}, {"name": "Richmond upon Thames", "code": "GB-RIC"}, {"name": "Rochdale", "code": "GB-RCH"}, {"name": "Rotherharn", "code": "GB-ROT"}, {"name": "Rutland", "code": "GB-RUT"}, {"name": "St. Helens", "code": "GB-SHN"}, {"name": "Salford (City of)", "code": "GB-SLF"}, {"name": "Sandweil", "code": "GB-SAW"}, {"name": "Sefton", "code": "GB-SFT"}, {"name": "Sheffield (City of)", "code": "GB-SHF"}, {"name": "Shropshire", "code": "GB-SHR"}, {"name": "Slough", "code": "GB-SLG"}, {"name": "Solihull", "code": "GB-SOL"}, {"name": "Somerset", "code": "GB-SOM"}, {"name": "South Gloucestershire", "code": "GB-SGC"}, {"name": "South Tyneside", "code": "GB-STY"}, {"name": "Southampton (City of)", "code": "GB-STH"}, {"name": "Southend-on-Sea", "code": "GB-SOS"}, {"name": "Southwark", "code": "GB-SWK"}, {"name": "Staffordshire", "code": "GB-STS"}, {"name": "Stockport", "code": "GB-SKP"}, {"name": "Stockton-On-Tees", "code": "GB-STT"}, {"name": "Stoke-on-Trent (City of)", "code": "GB-STE"}, {"name": "Suffolk", "code": "GB-SFK"}, {"name": "Sunderland (City of)", "code": "GB-SND"}, {"name": "Surrey", "code": "GB-SRY"}, {"name": "Sutton", "code": "GB-STN"}, {"name": "Swindon", "code": "GB-SWD"}, {"name": "Tameside", "code": "GB-TAM"}, {"name": "Telford and Wrekin", "code": "GB-TFW"}, {"name": "Thurrock", "code": "GB-THR"}, {"name": "Torbay", "code": "GB-TOB"}, {"name": "Tower Hamlets", "code": "GB-TWH"}, {"name": "Trafford", "code": "GB-TRF"}, {"name": "Wakefield (City of)", "code": "GB-WKF"}, {"name": "Walsall", "code": "GB-WLL"}, {"name": "Waltham Forest", "code": "GB-WFT"}, {"name": "Wandsworth", "code": "GB-WND"}, {"name": "Warrington", "code": "GB-WRT"}, {"name": "Warwickshire", "code": "GB-WAR"}, {"name": "West Berkshire", "code": "GB-WBK"}, {"name": "West Sussex", "code": "GB-WSX"}, {"name": "Westminster (City of)", "code": "GB-WSM"}, {"name": "Wigan", "code": "GB-WGN"}, {"name": "Wiltshire", "code": "GB-WIL"}, {"name": "Windsor and Maidenhead", "code": "GB-WNM"}, {"name": "Wirral", "code": "GB-WRL"}, {"name": "Wokingham", "code": "GB-WOK"}, {"name": "Wolverhampton", "code": "GB-WLV"}, {"name": "Worcestershire", "code": "GB-WOR"}, {"name": "York (City of)", "code": "GB-YOR"}, {"name": "Isle of Man", "code": "GB-IOM"}, {"name": "Northern Ireland", "code": "GB-NIR"}, {"name": "Antrim", "code": "GB-ANT"}, {"name": "Ards", "code": "GB-ARD"}, {"name": "Armagh", "code": "GB-ARM"}, {"name": "Ballymena", "code": "GB-BLA"}, {"name": "Ballymoney", "code": "GB-BLY"}, {"name": "Banbridge", "code": "GB-BNB"}, {"name": "Belfast (City of)", "code": "GB-BFS"}, {"name": "Carrickfergus", "code": "GB-CKF"}, {"name": "Castlereagh", "code": "GB-CSR"}, {"name": "Coleraine", "code": "GB-CLR"}, {"name": "Cookstown", "code": "GB-CKT"}, {"name": "Craigavon", "code": "GB-CGV"}, {"name": "Derry (City of)", "code": "GB-DRY"}, {"name": "Down", "code": "GB-DOW"}, {"name": "Dungannon", "code": "GB-DGN"}, {"name": "Fermanagh", "code": "GB-FER"}, {"name": "Larne", "code": "GB-LRN"}, {"name": "Limavady", "code": "GB-LMV"}, {"name": "Lisburn", "code": "GB-LSB"}, {"name": "Magherafelt", "code": "GB-MFT"}, {"name": "Moyle", "code": "GB-MYL"}, {"name": "Newry and Mourne", "code": "GB-NYM"}, {"name": "Newtownabbey", "code": "GB-NTA"}, {"name": "North Down", "code": "GB-NDN"}, {"name": "Omagh", "code": "GB-OMH"}, {"name": "Strabane", "code": "GB-STB"}, {"name": "Scotland", "code": "GB-SCT"}, {"name": "Aberdeen City", "code": "GB-ABE"}, {"name": "Aberdeenshire", "code": "GB-ABD"}, {"name": "Angus", "code": "GB-ANS"}, {"name": "Argyll and Bute", "code": "GB-AGB"}, {"name": "Clackmannanshire", "code": "GB-CLK"}, {"name": "Dumfries and Galloway", "code": "GB-DGY"}, {"name": "Dundee City", "code": "GB-DND"}, {"name": "East Ayrshire", "code": "GB-EAY"}, {"name": "East Dunbartonshire", "code": "GB-EDU"}, {"name": "East Lothian", "code": "GB-ELN"}, {"name": "East Renfrewshire", "code": "GB-ERW"}, {"name": "Edinburgh, City of", "code": "GB-EDH"}, {"name": "Eilean Siar", "code": "GB-ELS"}, {"name": "Falkirk", "code": "GB-FAL"}, {"name": "Fife", "code": "GB-FIF"}, {"name": "Glasgow City", "code": "GB-GLG"}, {"name": "Highland", "code": "GB-HLD"}, {"name": "Inverclyde", "code": "GB-IVC"}, {"name": "Midlothian", "code": "GB-MLN"}, {"name": "Moray", "code": "GB-MRY"}, {"name": "North Ayrshire", "code": "GB-NAY"}, {"name": "North Lanarkshire", "code": "GB-NLK"}, {"name": "Orkney Islands", "code": "GB-ORK"}, {"name": "Perth and Kinross", "code": "GB-PKN"}, {"name": "Renfrewshire", "code": "GB-RFW"}, {"name": "Scottish Borders, The", "code": "GB-SCB"}, {"name": "Shetland Islands", "code": "GB-ZET"}, {"name": "South Ayrshire", "code": "GB-SAY"}, {"name": "South Lanarkshire", "code": "GB-SLK"}, {"name": "Stirling", "code": "GB-STG"}, {"name": "West Dunbartonshire", "code": "GB-WDU"}, {"name": "West Lothian", "code": "GB-WLN"}, {"name": "Wales [Cymru]", "code": "GB-WLS"}, {"name": "Blaenau Gwent", "code": "GB-BGW"}, {"name": "Bridgend [Pen-y-bont ar Ogwr GB-POG]", "code": "GB-BGE"}, {"name": "Caerphilly [Caerffili GB-CAF]", "code": "GB-CAY"}, {"name": "Cardiff (City of) [Caerdydd GB-CRD]", "code": "GB-CRF"}, {"name": "Carmarthenshire [Sir Gaerfyrddin GB-GFY]", "code": "GB-CMN"}, {"name": "Ceredigion [Sir Ceredigion]", "code": "GB-CGN"}, {"name": "Conwy", "code": "GB-CWY"}, {"name": "Denbighshire [Sir Ddinbych GB-DDB]", "code": "GB-DEN"}, {"name": "Flintshire [Sir y Fflint GB-FFL]", "code": "GB-FLN"}, {"name": "Gwynedd", "code": "GB-GWN"}, {"name": "Isle of Anglesey [Sir Ynys Man GB-YNM]", "code": "GB-AGY"}, {"name": "Merthyr Tydfil [Merthyr Tudful GB-MTU]", "code": "GB-MTY"}, {"name": "Monmouthshire [Sir Fynwy GB-FYN]", "code": "GB-MON"}, {"name": "Neath Port Talbot [Castell-nedd Port Talbot GB-CTL]", "code": "GB-NTL"}, {"name": "Newport [Casnewydd GB-CNW]", "code": "GB-NWP"}, {"name": "Pembrokeshire [Sir Benfro CB-BNF]", "code": "GB-PEM"}, {"name": "Powys", "code": "GB-POW"}, {"name": "Rhondda, Cynon, Taff [Rhondda, Cynon, Taf]", "code": "GB-RCT"}, {"name": "Swansea (City of) [Abertawe GB-ATA]", "code": "GB-SWA"}, {"name": "Torfaen [Tor-faen]", "code": "GB-TOF"}, {"name": "Vale of Glamorgan, The [Bro Morgannwg GB-BMG]", "code": "GB-VGL"}, {"name": "Wrexham [Wrecsam GB-WRC]", "code": "GB-WRX"}, {"name": "Anatoliki Makedonia kai Thraki", "code": "GR-I"}, {"name": "Drama", "code": "GR-52"}, {"name": "Evros", "code": "GR-71"}, {"name": "Kavalla", "code": "GR-55"}, {"name": "Rodopi", "code": "GR-73"}, {"name": "Xanthi", "code": "GR-72"}, {"name": "Attiki", "code": "GR-IX"}, {"name": "Attiki", "code": "GR-A1"}, {"name": "Dytiki Ellada", "code": "GR-VII"}, {"name": "Achaïa", "code": "GR-13"}, {"name": "Aitolia-Akarnania", "code": "GR-01"}, {"name": "Ileia", "code": "GR-14"}, {"name": "Dytiki Makedonia", "code": "GR-III"}, {"name": "Florina", "code": "GR-63"}, {"name": "Grevena", "code": "GR-51"}, {"name": "Kastoria", "code": "GR-56"}, {"name": "Kozani", "code": "GR-58"}, {"name": "Ionioi Nisoi", "code": "GR-VI"}, {"name": "Kefallinia", "code": "GR-23"}, {"name": "Kerkyra", "code": "GR-22"}, {"name": "Lefkas", "code": "GR-24"}, {"name": "Zakynthos", "code": "GR-21"}, {"name": "Ipeiros", "code": "GR-IV"}, {"name": "Arta", "code": "GR-31"}, {"name": "Ioannina", "code": "GR-33"}, {"name": "Preveza", "code": "GR-34"}, {"name": "Thesprotia", "code": "GR-32"}, {"name": "Kentriki Makedonia", "code": "GR-II"}, {"name": "Chalkidiki", "code": "GR-64"}, {"name": "Imathia", "code": "GR-53"}, {"name": "Kilkis", "code": "GR-57"}, {"name": "Pella", "code": "GR-59"}, {"name": "Pieria", "code": "GR-61"}, {"name": "Serrai", "code": "GR-62"}, {"name": "Thessaloniki", "code": "GR-54"}, {"name": "Kriti", "code": "GR-XIII"}, {"name": "Chania", "code": "GR-94"}, {"name": "Irakleion", "code": "GR-91"}, {"name": "Lasithion", "code": "GR-92"}, {"name": "Rethymnon", "code": "GR-93"}, {"name": "Notio Aigaio", "code": "GR-XII"}, {"name": "Dodekanisos", "code": "GR-81"}, {"name": "Kyklades", "code": "GR-82"}, {"name": "Peloponnisos", "code": "GR-X"}, {"name": "Argolis", "code": "GR-11"}, {"name": "Arkadia", "code": "GR-12"}, {"name": "Korinthia", "code": "GR-15"}, {"name": "Lakonia", "code": "GR-16"}, {"name": "Messinia", "code": "GR-17"}, {"name": "Sterea Ellada", "code": "GR-VIII"}, {"name": "Evrytania", "code": "GR-05"}, {"name": "Evvoia", "code": "GR-04"}, {"name": "Fokis", "code": "GR-07"}, {"name": "Fthiotis", "code": "GR-06"}, {"name": "Voiotia", "code": "GR-03"}, {"name": "Thessalia", "code": "GR-V"}, {"name": "Karditsa", "code": "GR-41"}, {"name": "Larisa", "code": "GR-42"}, {"name": "Magnisia", "code": "GR-43"}, {"name": "Trikala", "code": "GR-44"}, {"name": "Voreio Aigaio", "code": "GR-XI"}, {"name": "Chios", "code": "GR-85"}, {"name": "Lesvos", "code": "GR-83"}, {"name": "Samos", "code": "GR-84"}, {"name": "Greenland", "code": "GL-GL"}, {"name": "Grenada", "code": "GD-GD"}, {"name": "Guadeloupe", "code": "GP-GP"}, {"name": "Guam", "code": "GU-GU"}, {"name": "Alta Verapaz", "code": "GT-AV"}, {"name": "Baja Verapaz", "code": "GT-BV"}, {"name": "Chimaltenango", "code": "GT-CM"}, {"name": "Chiquimula", "code": "GT-CQ"}, {"name": "El Progreso", "code": "GT-PR"}, {"name": "Escuintla", "code": "GT-ES"}, {"name": "Guatemala", "code": "GT-GU"}, {"name": "Huehuetenango", "code": "GT-HU"}, {"name": "Izabal", "code": "GT-IZ"}, {"name": "Jalapa", "code": "GT-JA"}, {"name": "Jutiapa", "code": "GT-JU"}, {"name": "Petén", "code": "GT-PE"}, {"name": "Quezaltenango", "code": "GT-QZ"}, {"name": "Quiché", "code": "GT-QC"}, {"name": "Retalhuleu", "code": "GT-RE"}, {"name": "Sacatepéquez", "code": "GT-SA"}, {"name": "San Marcos", "code": "GT-SM"}, {"name": "Santa Rosa", "code": "GT-SR"}, {"name": "Sololá", "code": "GT-SO"}, {"name": "Suchitepéquez", "code": "GT-SU"}, {"name": "Totonicapán", "code": "GT-TO"}, {"name": "Zacapa", "code": "GT-ZA"}, {"name": "Bake, Gouvernorat de", "code": "GN-B"}, {"name": "Boffa", "code": "GN-BF"}, {"name": "Boké", "code": "GN-BK"}, {"name": "Fria", "code": "GN-FR"}, {"name": "Gaoual", "code": "GN-GA"}, {"name": "Kindia", "code": "GN-KD"}, {"name": "Conakry, Gouvernorat de", "code": "GN-C"}, {"name": "Faranah, Gouvernorat de", "code": "GN-F"}, {"name": "Dabola", "code": "GN-DB"}, {"name": "Dinguiraye", "code": "GN-DI"}, {"name": "Faranah", "code": "GN-FA"}, {"name": "Kissidougou", "code": "GN-KS"}, {"name": "Kankan, Gouvernorat de", "code": "GN-K"}, {"name": "Kankan", "code": "GN-KA"}, {"name": "Kérouané", "code": "GN-KE"}, {"name": "Kouroussa", "code": "GN-KO"}, {"name": "Mandiana", "code": "GN-MD"}, {"name": "Siguiri", "code": "GN-SI"}, {"name": "Kindia, Gouvernorat de", "code": "GN-D"}, {"name": "Coyah", "code": "GN-CO"}, {"name": "Dubréka", "code": "GN-DU"}, {"name": "Forécariah", "code": "GN-FO"}, {"name": "Télimélé", "code": "GN-TE"}, {"name": "Labé, Gouvernorat de", "code": "GN-L"}, {"name": "Koubia", "code": "GN-KB"}, {"name": "Labé", "code": "GN-LA"}, {"name": "Lélouma", "code": "GN-LE"}, {"name": "Mali", "code": "GN-ML"}, {"name": "Tougué", "code": "GN-TO"}, {"name": "Mamou, Gouvernorat de", "code": "GN-M"}, {"name": "Dalaba", "code": "GN-DL"}, {"name": "Mamou", "code": "GN-MM"}, {"name": "Pita", "code": "GN-PI"}, {"name": "Nzérékoré, Gouvernorat de", "code": "GN-N"}, {"name": "Beyla", "code": "GN-BE"}, {"name": "Guékédou", "code": "GN-GU"}, {"name": "Lola", "code": "GN-LO"}, {"name": "Macenta", "code": "GN-MC"}, {"name": "Nzérékoré", "code": "GN-NZ"}, {"name": "Yomou", "code": "GN-YO"}, {"name": "Bissau", "code": "GW-BS"}, {"name": "Bafatá", "code": "GW-BA"}, {"name": "Biombo", "code": "GW-BM"}, {"name": "Bolama", "code": "GW-BL"}, {"name": "Cacheu", "code": "GW-CA"}, {"name": "Gabú", "code": "GW-GA"}, {"name": "Oio", "code": "GW-OI"}, {"name": "Quinara", "code": "GW-QU"}, {"name": "Barima-Waini", "code": "GY-BA"}, {"name": "Cuyuni-Mazaruni", "code": "GY-CU"}, {"name": "Demerara-Mahaica", "code": "GY-DE"}, {"name": "East Berbice-Corentyne", "code": "GY-EB"}, {"name": "Essequibo Islands-West Demerara", "code": "GY-ES"}, {"name": "Mahaica-Berbice", "code": "GY-MA"}, {"name": "Pomeroon-Supenaam", "code": "GY-PM"}, {"name": "Potaro-Siparuni", "code": "GY-PT"}, {"name": "Upper Demerara-Berbice", "code": "GY-UD"}, {"name": "Upper Takutu-Upper Essequibo", "code": "GY-UT"}, {"name": "Artibonite", "code": "HT-AR"}, {"name": "Centre", "code": "HT-CE"}, {"name": "Grande-Anse", "code": "HT-GA"}, {"name": "Nord", "code": "HT-ND"}, {"name": "Nord-Est", "code": "HT-NE"}, {"name": "Nord-Ouest", "code": "HT-NO"}, {"name": "Ouest", "code": "HT-OU"}, {"name": "Sud", "code": "HT-SD"}, {"name": "Sud-Est", "code": "HT-SE"}, {"name": "Heard & McDonald Islands", "code": "HM-HM"}, {"name": "Vatican City (Holy See)", "code": "VA-VA"}, {"name": "Atlántida", "code": "HN-AT"}, {"name": "Colón", "code": "HN-CL"}, {"name": "Comayagua", "code": "HN-CM"}, {"name": "Copán", "code": "HN-CP"}, {"name": "Cortés", "code": "HN-CR"}, {"name": "Choluteca", "code": "HN-CH"}, {"name": "El Paraíso", "code": "HN-EP"}, {"name": "Francisco Morazán", "code": "HN-FM"}, {"name": "Gracias a Dios", "code": "HN-GD"}, {"name": "Intibucá", "code": "HN-IN"}, {"name": "Islas de la Bahía", "code": "HN-IB"}, {"name": "La Paz", "code": "HN-LP"}, {"name": "Lempira", "code": "HN-LE"}, {"name": "Ocotepeque", "code": "HN-OC"}, {"name": "Olancho", "code": "HN-OL"}, {"name": "Santa Bárbara", "code": "HN-SB"}, {"name": "Valle", "code": "HN-VA"}, {"name": "Yoro", "code": "HN-YO"}, {"name": "Hong Kong", "code": "HK-HK"}, {"name": "Budapest", "code": "HU-BU"}, {"name": "Bács-Kiskun", "code": "HU-BK"}, {"name": "Baranya", "code": "HU-BA"}, {"name": "Békés", "code": "HU-BE"}, {"name": "Borsod-Abaúj-Zemplén", "code": "HU-BZ"}, {"name": "Csongrád", "code": "HU-CS"}, {"name": "Fejér", "code": "HU-FE"}, {"name": "Gyór-Moson-Sopron", "code": "HU-GS"}, {"name": "Hajdú-Bihar", "code": "HU-HB"}, {"name": "Heves", "code": "HU-HE"}, {"name": "Jasz-Nagykun-Szolnok", "code": "HU-JN"}, {"name": "Komárom-Esztergom", "code": "HU-KE"}, {"name": "Nógrád", "code": "HU-NO"}, {"name": "Pest", "code": "HU-PE"}, {"name": "Somogy", "code": "HU-SO"}, {"name": "Szabolcs-Szatmár-Bereg", "code": "HU-SZ"}, {"name": "Tolna", "code": "HU-TO"}, {"name": "Vas", "code": "HU-VA"}, {"name": "Veszprém", "code": "HU-VE"}, {"name": "Zala", "code": "HU-ZA"}, {"name": "Békéscsaba", "code": "HU-BC"}, {"name": "Debrecen", "code": "HU-DE"}, {"name": "Dunaújváros", "code": "HU-DU"}, {"name": "Eger", "code": "HU-EG"}, {"name": "Gyór", "code": "HU-GY"}, {"name": "Hódmezóvásárhely", "code": "HU-HV"}, {"name": "Kaposvár", "code": "HU-KV"}, {"name": "Kecskemét", "code": "HU-KM"}, {"name": "Miskolc", "code": "HU-MI"}, {"name": "Nagykanizsa", "code": "HU-NK"}, {"name": "Nyíregyháza", "code": "HU-NY"}, {"name": "Pécs", "code": "HU-PS"}, {"name": "Salgótarján", "code": "HU-ST"}, {"name": "Sopron", "code": "HU-SN"}, {"name": "Szeged", "code": "HU-SD"}, {"name": "Székesfehérvár", "code": "HU-SF"}, {"name": "Szekszárd", "code": "HU-SS"}, {"name": "Szolnok", "code": "HU-SK"}, {"name": "Szombathely", "code": "HU-SH"}, {"name": "Tatabánya", "code": "HU-TB"}, {"name": "Veszprém", "code": "HU-VM"}, {"name": "Zalaegerszeg", "code": "HU-ZE"}, {"name": "Austurland", "code": "IS-7"}, {"name": "Höfudborgarsvædi utan Reykjavíkur", "code": "IS-1"}, {"name": "Nordurland eystra", "code": "IS-6"}, {"name": "Nordurland vestra", "code": "IS-5"}, {"name": "Reykjavīk", "code": "IS-0"}, {"name": "Sudurland", "code": "IS-8"}, {"name": "Sudurnes", "code": "IS-2"}, {"name": "Vestfirdir", "code": "IS-4"}, {"name": "Vesturland", "code": "IS-3"}, {"name": "Andhra Pradesh", "code": "IN-AP"}, {"name": "Arunachal Pradesh", "code": "IN-AR"}, {"name": "Assam", "code": "IN-AS"}, {"name": "Bihar", "code": "IN-BR"}, {"name": "Goa", "code": "IN-GA"}, {"name": "Gujarat", "code": "IN-GJ"}, {"name": "Haryana", "code": "IN-HR"}, {"name": "Himachal Pradesh", "code": "IN-HP"}, {"name": "Jammu and Kashmir", "code": "IN-JK"}, {"name": "Karnataka", "code": "IN-KA"}, {"name": "Kerala", "code": "IN-KL"}, {"name": "Madhya Pradesh", "code": "IN-MP"}, {"name": "Maharashtra", "code": "IN-MH"}, {"name": "Manipur", "code": "IN-MN"}, {"name": "Meghalaya", "code": "IN-ML"}, {"name": "Mizoram", "code": "IN-MZ"}, {"name": "Nagaland", "code": "IN-NL"}, {"name": "Orissa", "code": "IN-OR"}, {"name": "Punjab", "code": "IN-PB"}, {"name": "Rajasthan", "code": "IN-RJ"}, {"name": "Sikkim", "code": "IN-SK"}, {"name": "Tamil Nadu", "code": "IN-TN"}, {"name": "Tripura", "code": "IN-TR"}, {"name": "Uttar Pradesh", "code": "IN-UP"}, {"name": "West Bengal", "code": "IN-WB"}, {"name": "Andaman and Nicobar Islands", "code": "IN-AN"}, {"name": "Chandigarh", "code": "IN-CH"}, {"name": "Dadra and Nagar Haveli", "code": "IN-DN"}, {"name": "Daman and Diu", "code": "IN-DD"}, {"name": "Delhi", "code": "IN-DL"}, {"name": "Lakshadweep", "code": "IN-LD"}, {"name": "Pondicherry", "code": "IN-PY"}, {"name": "Irian Jaya", "code": "ID-IJU"}, {"name": "Irian Jaya", "code": "ID-IJ"}, {"name": "Jawa", "code": "ID-JWU"}, {"name": "Jawa Barat", "code": "ID-JB"}, {"name": "Jawa Tengah", "code": "ID-JT"}, {"name": "Jawa Timur", "code": "ID-JI"}, {"name": "Jakarta Raya", "code": "ID-JK"}, {"name": "Yogyakarta", "code": "ID-YO"}, {"name": "Kalimantan", "code": "ID-KAU"}, {"name": "Kalimantan Barat", "code": "ID-KB"}, {"name": "Kalimantan Selatan", "code": "ID-KS"}, {"name": "Kalimantan Tengah", "code": "ID-KT"}, {"name": "Kalimantan Timur", "code": "ID-KI"}, {"name": "Maluku", "code": "ID-MAU"}, {"name": "Maluku", "code": "ID-MA"}, {"name": "Nusa Tenggara", "code": "ID-NUU"}, {"name": "Bali", "code": "ID-BA"}, {"name": "Nusa Tenggara Barat", "code": "ID-NB"}, {"name": "Nusa Tenggara Timur", "code": "ID-NT"}, {"name": "Timor Timur", "code": "ID-TT"}, {"name": "Sulawesi", "code": "ID-SLU"}, {"name": "Sulawesi Selatan", "code": "ID-SN"}, {"name": "Sulawesi Tengah", "code": "ID-ST"}, {"name": "Sulawesi Tenggara", "code": "ID-SG"}, {"name": "Sulawesi Utara", "code": "ID-SA"}, {"name": "Sumatera", "code": "ID-SMU"}, {"name": "Bengkulu", "code": "ID-BE"}, {"name": "Jambi", "code": "ID-JA"}, {"name": "Lampung", "code": "ID-LA"}, {"name": "Riau", "code": "ID-RI"}, {"name": "Sumatera Barat", "code": "ID-SB"}, {"name": "Sumatera Selatan", "code": "ID-SS"}, {"name": "Sumatera Utara", "code": "ID-SU"}, {"name": "Aceh", "code": "ID-AC"}, {"name": "Ardabīl", "code": "IR-03"}, {"name": "Āzarbāyjān-e-Gharbī", "code": "IR-02"}, {"name": "Āzarbāyjān-e-Sharqī", "code": "IR-01"}, {"name": "Būshehr", "code": "IR-06"}, {"name": "Chahār Maḩāll vā Bakhtīārī", "code": "IR-08"}, {"name": "Eşfahān", "code": "IR-04"}, {"name": "Fārs", "code": "IR-14"}, {"name": "Gīlān", "code": "IR-19"}, {"name": "Hamadān", "code": "IR-24"}, {"name": "Hormozgān", "code": "IR-23"}, {"name": "Īlām", "code": "IR-05"}, {"name": "Kermān", "code": "IR-15"}, {"name": "Kermānshāhān", "code": "IR-17"}, {"name": "Khorāsān", "code": "IR-09"}, {"name": "Khūzestān", "code": "IR-10"}, {"name": "Kohkīlūyeh va Būyer Aḩmadī", "code": "IR-18"}, {"name": "Kordestān", "code": "IR-16"}, {"name": "Lorestān", "code": "IR-20"}, {"name": "Markazī", "code": "IR-22"}, {"name": "Māzandarān", "code": "IR-21"}, {"name": "Qom", "code": "IR-26"}, {"name": "Semnān", "code": "IR-12"}, {"name": "Sīstān va Balūchestān", "code": "IR-13"}, {"name": "Tehrān", "code": "IR-07"}, {"name": "Yazd", "code": "IR-25"}, {"name": "Zanjān", "code": "IR-11"}, {"name": "Al Anbār", "code": "IQ-AN"}, {"name": "Al Başrah", "code": "IQ-BA"}, {"name": "Al Muthanná", "code": "IQ-MU"}, {"name": "Al Qādisīyah", "code": "IQ-QA"}, {"name": "An Najaf", "code": "IQ-NA"}, {"name": "Arbīl", "code": "IQ-AR"}, {"name": "As Sulaymānīyah", "code": "IQ-SU"}, {"name": "At Ta'mīm", "code": "IQ-TS"}, {"name": "Bābil", "code": "IQ-BB"}, {"name": "Baghdād", "code": "IQ-BG"}, {"name": "Dahūk", "code": "IQ-DA"}, {"name": "Dhī Qār", "code": "IQ-DQ"}, {"name": "Diyālá", "code": "IQ-DI"}, {"name": "Karbalā'", "code": "IQ-KA"}, {"name": "Maysān", "code": "IQ-MA"}, {"name": "Nīnawá", "code": "IQ-NI"}, {"name": "Şalāḩ ad Dīn", "code": "IQ-SD"}, {"name": "Wāsiţ", "code": "IQ-WA"}, {"name": "Connaught (Connacht)", "code": "IE-CP"}, {"name": "Galway (Gaillimh)", "code": "IE-G"}, {"name": "Leitrim (Liatroim)", "code": "IE-LM"}, {"name": "Mayo (Maigh Eo)", "code": "IE-MO"}, {"name": "Roscommon (Ros Comáin)", "code": "IE-RN"}, {"name": "Sligo (Sligeach)", "code": "IE-SO"}, {"name": "Leinster (Laighin)", "code": "IE-LP"}, {"name": "Carlow (Ceatharlach)", "code": "IE-CW"}, {"name": "Dublin (Baile Átha Cliath)", "code": "IE-D"}, {"name": "Kildare (Cill Dara)", "code": "IE-KE"}, {"name": "Kilkenny (Cill Chainnigh)", "code": "IE-KK"}, {"name": "Laois (Laois)", "code": "IE-LS"}, {"name": "Longford (An Longfort)", "code": "IE-LD"}, {"name": "Louth (Lú)", "code": "IE-LH"}, {"name": "Meath (An Mhí)", "code": "IE-MH"}, {"name": "Offaly (Uíbh Fhailí)", "code": "IE-OY"}, {"name": "Westmeath (An Iarmhí)", "code": "IE-WH"}, {"name": "Wexford (Loch Garman)", "code": "IE-WX"}, {"name": "Wicklow (Cill Mhantáin)", "code": "IE-WW"}, {"name": "Munster (An Mhumhain)", "code": "IE-M"}, {"name": "Ulster (Ulaidh)", "code": "IE-UP"}, {"name": "Cavan (An Cabhán)", "code": "IE-CN"}, {"name": "Donegal (Dún na nGall)", "code": "IE-DL"}, {"name": "Monaghan (Muineachán)", "code": "IE-MN"}, {"name": "HaDarom (El Janūbī)", "code": "IL-D"}, {"name": "HaMerkaz (El Awsat)", "code": "IL-M"}, {"name": "HaZafon (Esh Shamālī)", "code": "IL-2"}, {"name": "Hefa (Heifā)", "code": "IL-HA"}, {"name": "Tel-Aviv (Tell Abīb)", "code": "IL-TA"}, {"name": "Yerushalayim (Al Quds)", "code": "IL-JM"}, {"name": "Abruzzo", "code": "IT-65"}, {"name": "Chieti", "code": "IT-CH"}, {"name": "L'Aquila", "code": "IT-AQ"}, {"name": "Pescara", "code": "IT-PE"}, {"name": "Teramo", "code": "IT-TE"}, {"name": "Basilicata", "code": "IT-77"}, {"name": "Matera", "code": "IT-MT"}, {"name": "Potenza", "code": "IT-PZ"}, {"name": "Calabria", "code": "IT-78"}, {"name": "Catanzaro", "code": "IT-CZ"}, {"name": "Cosenza", "code": "IT-CS"}, {"name": "Crotone", "code": "IT-KR"}, {"name": "Reggio Calabria", "code": "IT-RC"}, {"name": "Vibo Valentia", "code": "IT-W"}, {"name": "Campania", "code": "IT-72"}, {"name": "Avellino", "code": "IT-AV"}, {"name": "Benevento", "code": "IT-BN"}, {"name": "Caserta", "code": "IT-CE"}, {"name": "Napoli", "code": "IT-NA"}, {"name": "Salerno", "code": "IT-SA"}, {"name": "Emilia-Romagna", "code": "IT-45"}, {"name": "Bologna", "code": "IT-BO"}, {"name": "Ferrara", "code": "IT-FE"}, {"name": "Forlì", "code": "IT-FO"}, {"name": "Modena", "code": "IT-MO"}, {"name": "Parma", "code": "IT-PR"}, {"name": "Piacenza", "code": "IT-PC"}, {"name": "Ravenna", "code": "IT-RA"}, {"name": "Reggio Emilia", "code": "IT-RE"}, {"name": "Rimini", "code": "IT-RN"}, {"name": "Friuli-Venezia Giulia", "code": "IT-36"}, {"name": "Gorizia", "code": "IT-GO"}, {"name": "Pordenone", "code": "IT-PN"}, {"name": "Trieste", "code": "IT-TS"}, {"name": "Udine", "code": "IT-UD"}, {"name": "Lazio", "code": "IT-62"}, {"name": "Frosinone", "code": "IT-FR"}, {"name": "Latina", "code": "IT-LT"}, {"name": "Rieti", "code": "IT-RI"}, {"name": "Roma", "code": "IT-RM"}, {"name": "Viterbo", "code": "IT-VT"}, {"name": "Liguria", "code": "IT-42"}, {"name": "Genova", "code": "IT-GE"}, {"name": "Imperia", "code": "IT-IM"}, {"name": "La Spezia", "code": "IT-SP"}, {"name": "Savona", "code": "IT-SV"}, {"name": "Lombardia", "code": "IT-25"}, {"name": "Bergamo", "code": "IT-BG"}, {"name": "Brescia", "code": "IT-BS"}, {"name": "Como", "code": "IT-CO"}, {"name": "Cremona", "code": "IT-CR"}, {"name": "Lecco", "code": "IT-LC"}, {"name": "Lodi", "code": "IT-LO"}, {"name": "Mantova", "code": "IT-MN"}, {"name": "Milano", "code": "IT-MI"}, {"name": "Pavia", "code": "IT-PV"}, {"name": "Sondrio", "code": "IT-SO"}, {"name": "Varese", "code": "IT-VA"}, {"name": "Marche", "code": "IT-57"}, {"name": "Ancona", "code": "IT-AN"}, {"name": "Ascoli Piceno", "code": "IT-AP"}, {"name": "Macerata", "code": "IT-MC"}, {"name": "Pesaro", "code": "IT-PS"}, {"name": "Molise", "code": "IT-67"}, {"name": "Campobasso", "code": "IT-CB"}, {"name": "Isernia", "code": "IT-IS"}, {"name": "Piemonte", "code": "IT-21"}, {"name": "Alessandria", "code": "IT-AL"}, {"name": "Asti", "code": "IT-AT"}, {"name": "Biella", "code": "IT-BI"}, {"name": "Cuneo", "code": "IT-CN"}, {"name": "Novara", "code": "IT-NO"}, {"name": "Torino", "code": "IT-TO"}, {"name": "Verbano-Cusio-Ossola", "code": "IT-VB"}, {"name": "Vercelli", "code": "IT-VC"}, {"name": "Puglia", "code": "IT-75"}, {"name": "Bari", "code": "IT-BA"}, {"name": "Brindisi", "code": "IT-BR"}, {"name": "Foggia", "code": "IT-FG"}, {"name": "Lecce", "code": "IT-LE"}, {"name": "Taranto", "code": "IT-TA"}, {"name": "Sardegna", "code": "IT-88"}, {"name": "Cagliari", "code": "IT-CA"}, {"name": "Nuoro", "code": "IT-NU"}, {"name": "Oristano", "code": "IT-OR"}, {"name": "Sassari", "code": "IT-SS"}, {"name": "Sicilia", "code": "IT-82"}, {"name": "Agrigento", "code": "IT-AG"}, {"name": "Caltanissetta", "code": "IT-CL"}, {"name": "Catania", "code": "IT-CT"}, {"name": "Enna", "code": "IT-EN"}, {"name": "Mesaina", "code": "IT-ME"}, {"name": "Palermo", "code": "IT-PA"}, {"name": "Ragusa", "code": "IT-RG"}, {"name": "Siracusa", "code": "IT-SR"}, {"name": "Trapani", "code": "IT-TP"}, {"name": "Toscana", "code": "IT-52"}, {"name": "Arezzo", "code": "IT-AR"}, {"name": "Firenze", "code": "IT-FI"}, {"name": "Grosseto", "code": "IT-GR"}, {"name": "Livorno", "code": "IT-LI"}, {"name": "Lucca", "code": "IT-LU"}, {"name": "Massa", "code": "IT-MS"}, {"name": "Pisa", "code": "IT-PI"}, {"name": "Pistoia", "code": "IT-PT"}, {"name": "Prato", "code": "IT-PO"}, {"name": "Siena", "code": "IT-SI"}, {"name": "Trentino-Alte Adige (Trentino-Südtirol)", "code": "IT-32"}, {"name": "Bolzano (Bozen)", "code": "IT-BZ"}, {"name": "Trento", "code": "IT-TN"}, {"name": "Umbria", "code": "IT-55"}, {"name": "Perugia", "code": "IT-PG"}, {"name": "Terni", "code": "IT-TR"}, {"name": "Valle d'Aosta (Vallée d'Aoste)", "code": "IT-23"}, {"name": "Aosta (Aoste)", "code": "IT-AO"}, {"name": "Veneto", "code": "IT-34"}, {"name": "Belluno", "code": "IT-BL"}, {"name": "Padova", "code": "IT-PD"}, {"name": "Rovigo", "code": "IT-RO"}, {"name": "Treviso", "code": "IT-TV"}, {"name": "Venezia", "code": "IT-VE"}, {"name": "Verona", "code": "IT-VR"}, {"name": "Vicenza", "code": "IT-VI"}, {"name": "Clarendon", "code": "JM-13"}, {"name": "Hanover", "code": "JM-09"}, {"name": "Kingston", "code": "JM-01"}, {"name": "Manchester", "code": "JM-12"}, {"name": "Portland", "code": "JM-04"}, {"name": "Saint Andrew", "code": "JM-02"}, {"name": "Saint Ann", "code": "JM-06"}, {"name": "Saint Catherine", "code": "JM-14"}, {"name": "Saint Elizabeth", "code": "JM-11"}, {"name": "Saint James", "code": "JM-08"}, {"name": "Saint Mary", "code": "JM-05"}, {"name": "Saint Thomas", "code": "JM-03"}, {"name": "Trelawny", "code": "JM-07"}, {"name": "Westmoreland", "code": "JM-10"}, {"name": "Aiti [Aichi]", "code": "JP-23"}, {"name": "Akita", "code": "JP-05"}, {"name": "Aomori", "code": "JP-02"}, {"name": "Ehime", "code": "JP-38"}, {"name": "Gihu [Gifu]", "code": "JP-21"}, {"name": "Gunma", "code": "JP-10"}, {"name": "Hirosima [Hiroshima]", "code": "JP-34"}, {"name": "Hokkaidô [Hokkaido]", "code": "JP-01"}, {"name": "Hukui [Fukui]", "code": "JP-18"}, {"name": "Hukuoka [Fukuoka]", "code": "JP-40"}, {"name": "Hukusima [Fukushima]", "code": "JP-07"}, {"name": "Hyôgo [Hyogo]", "code": "JP-28"}, {"name": "Ibaraki", "code": "JP-08"}, {"name": "Isikawa [Ishikawa]", "code": "JP-17"}, {"name": "Iwate", "code": "JP-03"}, {"name": "Kagawa", "code": "JP-37"}, {"name": "Kagosima [Kagoshima]", "code": "JP-46"}, {"name": "Kanagawa", "code": "JP-14"}, {"name": "Kôti [Kochi]", "code": "JP-39"}, {"name": "Kumamoto", "code": "JP-43"}, {"name": "Kyôto [Kyoto]", "code": "JP-26"}, {"name": "Mie", "code": "JP-24"}, {"name": "Miyagi", "code": "JP-04"}, {"name": "Miyazaki", "code": "JP-45"}, {"name": "Nagano", "code": "JP-20"}, {"name": "Nagasaki", "code": "JP-42"}, {"name": "Nara", "code": "JP-29"}, {"name": "Niigata", "code": "JP-15"}, {"name": "Ôita [Oita]", "code": "JP-44"}, {"name": "Okayama", "code": "JP-33"}, {"name": "Okinawa", "code": "JP-47"}, {"name": "Ôsaka [Osaka]", "code": "JP-27"}, {"name": "Saga", "code": "JP-41"}, {"name": "Saitama", "code": "JP-11"}, {"name": "Siga [Shiga]", "code": "JP-25"}, {"name": "Sizuoka [Shizuoka]", "code": "JP-22"}, {"name": "Tiba [Chiba]", "code": "JP-12"}, {"name": "Totigi [Tochigi]", "code": "JP-09"}, {"name": "Tokusima [Tokushima]", "code": "JP-36"}, {"name": "Tôkyô [Tokyo]", "code": "JP-13"}, {"name": "Tottori", "code": "JP-31"}, {"name": "Toyama", "code": "JP-16"}, {"name": "Wakayama", "code": "JP-30"}, {"name": "Yamagata", "code": "JP-06"}, {"name": "Yamaguti [Yamaguchi]", "code": "JP-35"}, {"name": "Yamanasi [Yamanashi]", "code": "JP-19"}, {"name": "‘Ajlūn", "code": "JO-AJ"}, {"name": "Al 'Aqaba", "code": "JO-AQ"}, {"name": "Al Balqā'", "code": "JO-BA"}, {"name": "Al Karak", "code": "JO-KA"}, {"name": "Al Mafraq", "code": "JO-MA"}, {"name": "‘Ammān", "code": "JO-AM"}, {"name": "Aţ Ţafīlah", "code": "JO-AT"}, {"name": "Az Zarqā'", "code": "JO-AZ"}, {"name": "Irbid", "code": "JO-IR"}, {"name": "Jarash", "code": "JO-JA"}, {"name": "Ma‘ān", "code": "JO-MN"}, {"name": "Mādaba", "code": "JO-MD"}, {"name": "Almaty", "code": "KZ-ALA"}, {"name": "Bayqonyr (Baykonyr)", "code": "KZ-BAY"}, {"name": "Almaty oblysy (Almatinskaya oblast')", "code": "KZ-ALM"}, {"name": "Aqmola oblysy (Akmolinskaya oblast')", "code": "KZ-AKM"}, {"name": "Aqtöbe oblysy (Aktyubinskaya oblast')", "code": "KZ-AKT"}, {"name": "Atyraü oblysy (Atyrauskaya oblast')", "code": "KZ-ATY"}, {"name": "Batys Kazakstan oblysy (Zapadno-Kazakhstanskaya oblast')", "code": "KZ-ZAP"}, {"name": "Mangghystaū oblysy (Mangystauskaya oblast')", "code": "KZ-MAN"}, {"name": "Ongtüstik Kazakstan oblysy (Yuzhno-Kazakhstanskaya oblast')", "code": "KZ-YUZ"}, {"name": "Pavlodar oblysy (Pavlodarskaya oblast')", "code": "KZ-PAV"}, {"name": "Qaraghandy oblysy (Karagandinskaya oblast')", "code": "KZ-KAR"}, {"name": "Qostanay oblysy (Kustanayskaya oblast')", "code": "KZ-KUS"}, {"name": "Qyzylorda oblysy (Kzylordinskaya oblast')", "code": "KZ-KZY"}, {"name": "Shyghys Kazakstan oblysy (Vostochno-Kazakhstanskaya oblast')", "code": "KZ-VOS"}, {"name": "Soltüstik Kazakstan oblysy (Severo-Kazakhstanskaya oblast')", "code": "KZ-SEV"}, {"name": "Zhambyl oblysy (Zhambylskaya Oblast')", "code": "KZ-ZHA"}, {"name": "Nairobi Municipality", "code": "KE-110"}, {"name": "Central (Kati)", "code": "KE-200"}, {"name": "Coast (Pwani)", "code": "KE-300"}, {"name": "Eastern (Mashariki)", "code": "KE-400"}, {"name": "North-Eastern (Kaskazini Mashariki)", "code": "KE-500"}, {"name": "Nyanza", "code": "KE-600"}, {"name": "Rift Valley", "code": "KE-700"}, {"name": "Western (Magharibi)", "code": "KE-900"}, {"name": "Gilbert Islands", "code": "KI-G"}, {"name": "Line Islands", "code": "KI-L"}, {"name": "Phoenix Islands", "code": "KI-P"}, {"name": "Kaesong-si", "code": "KP-KAE"}, {"name": "Nampo-si", "code": "KP-NAM"}, {"name": "Pyongyang-si", "code": "KP-PYO"}, {"name": "Chagang-do", "code": "KP-CHA"}, {"name": "Hamgyongbuk-do", "code": "KP-HAB"}, {"name": "Hamgyongnam-do", "code": "KP-HAN"}, {"name": "Hwanghaebuk-do", "code": "KP-HWB"}, {"name": "Hwanghaenam-do", "code": "KP-HWN"}, {"name": "Kangwon-do", "code": "KP-KAN"}, {"name": "Pyonganbuk-do", "code": "KP-PYB"}, {"name": "Pyongannam-do", "code": "KP-PYN"}, {"name": "Yanggang-do", "code": "KP-YAN"}, {"name": "Seoul Teugbyeolsi [ Seoul-T’ŭkpyŏlshi]", "code": "KR-11"}, {"name": "Busan Gwang'yeogsi [Pusan-Kwangyŏkshi]", "code": "KR-26"}, {"name": "Daegu Gwang'yeogsi [Taegu-Kwangyŏkshi)", "code": "KR-27"}, {"name": "Daejeon Gwang'yeogsi [Taejŏn-Kwangyŏkshi]", "code": "KR-30"}, {"name": "Gwangju Gwang'yeogsi [Kwangju-Kwangyŏkshi]", "code": "KR-29"}, {"name": "Incheon Gwang'yeogsi [Inchŏn-Kwangyŏkshi]", "code": "KR-28"}, {"name": "Ulsan Gwang'yeogsi [Ulsan-Kwangyŏkshi]", "code": "KR-31"}, {"name": "Chungcheongbugdo [Ch'ungch'ŏngbuk-do]", "code": "KR-43"}, {"name": "Chungcheongnamdo [Ch'ungch'ŏngnam-do]", "code": "KR-44"}, {"name": "Gang'weondo [Kang-won-do]", "code": "KR-42"}, {"name": "Gyeonggido [Kyŏnggi-do]", "code": "KR-41"}, {"name": "Gyeongsangbugdo [Kyŏngsangbuk-do]", "code": "KR-47"}, {"name": "Gyeongsangnamdo [Kyŏngsangnam-do]", "code": "KR-48"}, {"name": "Jejudo [Cheju-do]", "code": "KR-49"}, {"name": "Jeonrabugdo [Chŏllabuk-do)", "code": "KR-45"}, {"name": "Jeonranamdo [Chŏllanam-do]", "code": "KR-46"}, {"name": "Al Aḩmadi", "code": "KW-AH"}, {"name": "Al Farwānīyah", "code": "KW-FA"}, {"name": "Al Jahrah", "code": "KW-JA"}, {"name": "Al Kuwayt", "code": "KW-KU"}, {"name": "Ḩawallī", "code": "KW-HA"}, {"name": "Chu (Chuyskaya oblast')", "code": "KG-C"}, {"name": "Jalal-Abad (Dzhalal-Abadskaya oblast')", "code": "KG-J"}, {"name": "Naryn (Narynskaya Oblast’)", "code": "KG-N"}, {"name": "Osh (Oshskaya oblast')", "code": "KG-O"}, {"name": "Talas (Talasskaya oblast')", "code": "KG-T"}, {"name": "Ysyk-Köl (Issyk-Kul'skaya oblast')", "code": "KG-Y"}, {"name": "Vientiane", "code": "LA-VT"}, {"name": "Attapu [Attopeu]", "code": "LA-AT"}, {"name": "Bokèo", "code": "LA-BK"}, {"name": "Bolikhamxai [Borikhane]", "code": "LA-BL"}, {"name": "Champasak [Champassak]", "code": "LA-CH"}, {"name": "Houaphan", "code": "LA-HO"}, {"name": "Khammouan", "code": "LA-KH"}, {"name": "Louang Namtha", "code": "LA-LM"}, {"name": "Louangphabang [Louang Prabang]", "code": "LA-LP"}, {"name": "Oudômxai [Oudomsai]", "code": "LA-OU"}, {"name": "Phôngsali [Phong Saly]", "code": "LA-PH"}, {"name": "Salavan [Saravane]", "code": "LA-SL"}, {"name": "Savannakhét", "code": "LA-SV"}, {"name": "Vientiane", "code": "LA-VI"}, {"name": "Xaignabouli [Sayaboury]", "code": "LA-XA"}, {"name": "Xékong [Sékong]", "code": "LA-XE"}, {"name": "Xiangkhoang [Xieng Khouang]", "code": "LA-XI"}, {"name": "Aizkraukles Aprinkis", "code": "LV-AI"}, {"name": "Alūksnes Aprinkis", "code": "LV-AL"}, {"name": "Balvu Aprinkis", "code": "LV-BL"}, {"name": "Bauskas Aprinkis", "code": "LV-BU"}, {"name": "Cēsu Aprinkis", "code": "LV-CE"}, {"name": "Daugavpils Aprinkis", "code": "LV-DA"}, {"name": "Dobeles Aprinkis", "code": "LV-DO"}, {"name": "Gulbenes Aprinkis", "code": "LV-GU"}, {"name": "Jelgavas Aprinkis", "code": "LV-JL"}, {"name": "Jēkabpils Aprinkis", "code": "LV-JK"}, {"name": "Krāslavas Aprinkis", "code": "LV-KR"}, {"name": "Kuldīgas Aprinkis", "code": "LV-KU"}, {"name": "Limbažu Aprinkis", "code": "LV-LM"}, {"name": "Liepājas Aprinkis", "code": "LV-LE"}, {"name": "Ludzas Aprinkis", "code": "LV-LU"}, {"name": "Madonas Aprinkis", "code": "LV-MA"}, {"name": "Ogres Aprinkis", "code": "LV-OG"}, {"name": "Preilu Aprinkis", "code": "LV-PR"}, {"name": "Rēzeknes Aprinkis", "code": "LV-RE"}, {"name": "Rīgas Aprinkis", "code": "LV-RI"}, {"name": "Saldus Aprinkis", "code": "LV-SA"}, {"name": "Talsu Aprinkis", "code": "LV-TA"}, {"name": "Tukuma Aprinkis", "code": "LV-TU"}, {"name": "Valkas Aprinkis", "code": "LV-VK"}, {"name": "Valmieras Aprinkis", "code": "LV-VM"}, {"name": "Ventspils Aprinkis", "code": "LV-VE"}, {"name": "Daugavpils", "code": "LV-DGV"}, {"name": "Jelgava", "code": "LV-JEL"}, {"name": "Jūrmala", "code": "LV-JUR"}, {"name": "Liepāja", "code": "LV-LPX"}, {"name": "Rēzekne", "code": "LV-REZ"}, {"name": "Rīga", "code": "LV-RIX"}, {"name": "Ventspils", "code": "LV-VEN"}, {"name": "Beiroût (Bayrūt)", "code": "LB-BA"}, {"name": "El Béqaa (Al Biqā')", "code": "LB-BI"}, {"name": "Jabal Loubnâne (Jabal Lubnān)", "code": "LB-JL"}, {"name": "Loubnâne ech Chemâli (Ash Shamāl)", "code": "LB-AS"}, {"name": "Loubnâne ej Jnoûbi (Al Janūb)", "code": "LB-JA"}, {"name": "Nabatîyé (An Nabaţīyah", "code": "LB-NA"}, {"name": "Berea", "code": "LS-D"}, {"name": "Butha-Buthe", "code": "LS-B"}, {"name": "Leribe", "code": "LS-C"}, {"name": "Mafeteng", "code": "LS-E"}, {"name": "Maseru", "code": "LS-A"}, {"name": "Mohale's Hoek", "code": "LS-F"}, {"name": "Mokhotlong", "code": "LS-J"}, {"name": "Qacha's Nek", "code": "LS-H"}, {"name": "Quthing", "code": "LS-G"}, {"name": "Thaba-Tseka", "code": "LS-K"}, {"name": "Bomi", "code": "LR-BM"}, {"name": "Bong", "code": "LR-BG"}, {"name": "Grand Bassa", "code": "LR-GB"}, {"name": "Grand Cape Mount", "code": "LR-CM"}, {"name": "Grand Gedeh", "code": "LR-GG"}, {"name": "Grand Kru", "code": "LR-GK"}, {"name": "Lofa", "code": "LR-LO"}, {"name": "Margibi", "code": "LR-MG"}, {"name": "Maryland", "code": "LR-MY"}, {"name": "Montserrado", "code": "LR-MO"}, {"name": "Nimba", "code": "LR-NI"}, {"name": "Rivercess", "code": "LR-RI"}, {"name": "Sinoe", "code": "LR-SI"}, {"name": "Al Buţnān", "code": "LY-BU"}, {"name": "Al Jabal al Akhḑar", "code": "LY-JA"}, {"name": "Al Jabal al Gharbī", "code": "LY-JG"}, {"name": "Al Jufrah", "code": "LY-Ju"}, {"name": "Al Wāḩah", "code": "LY-WA"}, {"name": "Al Wusţá", "code": "LY-Wu"}, {"name": "Az Zāwiyah", "code": "LY-ZA"}, {"name": "Banghāzī", "code": "LY-BA"}, {"name": "Fazzān", "code": "LY-FA"}, {"name": "Mişrātah", "code": "LY-MI"}, {"name": "Naggaza", "code": "LY-NA"}, {"name": "Sawfajjin", "code": "LY-SF"}, {"name": "Ţarābulus", "code": "LY-TB"}, {"name": "Liechtenstein", "code": "LI-LI"}, {"name": "Alytaus Apskritis", "code": "LT-AL"}, {"name": "Kauno Apskritis", "code": "LT-KU"}, {"name": "Klaipėdos Apskritis", "code": "LT-KL"}, {"name": "Marijampolės Apskritis", "code": "LT-MR"}, {"name": "Panevėžio Apskritis", "code": "LT-PN"}, {"name": "Šiauliu Apskritis", "code": "LT-SA"}, {"name": "Tauragės Apskritis", "code": "LT-TA"}, {"name": "Telšiu Apskritis", "code": "LT-TE"}, {"name": "Utenos Apskritis", "code": "LT-UT"}, {"name": "Vilniaus Apskritis", "code": "LT-VL"}, {"name": "Diekirch", "code": "LU-D"}, {"name": "Grevenmacher", "code": "LU-G"}, {"name": "Luxembourg (Luxemburg)", "code": "LU-L"}, {"name": "Macau", "code": "MO-MO"}, {"name": "Macedonia", "code": "MK-MK"}, {"name": "Antananarivo", "code": "MG-T"}, {"name": "Antsiranana", "code": "MG-D"}, {"name": "Fianarantsoa", "code": "MG-F"}, {"name": "Mahajanga", "code": "MG-M"}, {"name": "Toamasina", "code": "MG-A"}, {"name": "Toliara", "code": "MG-U"}, {"name": "Central", "code": "MW-C"}, {"name": "Dedza", "code": "MW-DE"}, {"name": "Dowa", "code": "MW-DO"}, {"name": "Kasungu", "code": "MW-KS"}, {"name": "Lilongwe", "code": "MW-LI"}, {"name": "Mchinji", "code": "MW-MC"}, {"name": "Nkhotakota", "code": "MW-NK"}, {"name": "Ntcheu", "code": "MW-NU"}, {"name": "Ntchisi", "code": "MW-NI"}, {"name": "Salima", "code": "MW-SA"}, {"name": "Northern", "code": "MW-N"}, {"name": "Chitipa", "code": "MW-CT"}, {"name": "Karonga", "code": "MW-KR"}, {"name": "Mzimba", "code": "MW-MZ"}, {"name": "Nkhata Bay", "code": "MW-NB"}, {"name": "Rumphi", "code": "MW-RU"}, {"name": "Southern", "code": "MW-S"}, {"name": "Blantyre", "code": "MW-BL"}, {"name": "Chikwawa", "code": "MW-CK"}, {"name": "Chiradzulu", "code": "MW-CR"}, {"name": "Machinga", "code": "MW-MH"}, {"name": "Mangochi", "code": "MW-MG"}, {"name": "Mulanje", "code": "MW-MU"}, {"name": "Mwanza", "code": "MW-MW"}, {"name": "Nsanje", "code": "MW-NS"}, {"name": "Thyolo", "code": "MW-TH"}, {"name": "Zomba", "code": "MW-ZO"}, {"name": "Wilayah Persekutuan Kuala Lumpur", "code": "MY-W"}, {"name": "Wilayah Persekutuan Labuan", "code": "MY-L"}, {"name": "Johor", "code": "MY-J"}, {"name": "Kedah", "code": "MY-K"}, {"name": "Kelantan", "code": "MY-D"}, {"name": "Melaka", "code": "MY-M"}, {"name": "Negeri Sembilan", "code": "MY-N"}, {"name": "Pahang", "code": "MY-C"}, {"name": "Perak", "code": "MY-A"}, {"name": "Perlis", "code": "MY-R"}, {"name": "Pulau Pinang", "code": "MY-P"}, {"name": "Sabah", "code": "MY-SA"}, {"name": "Sarawak", "code": "MY-SK"}, {"name": "Selangor", "code": "MY-B"}, {"name": "Terengganu", "code": "MY-T"}, {"name": "Male", "code": "MV-MLE"}, {"name": "Alif", "code": "MV-02"}, {"name": "Baa", "code": "MV-20"}, {"name": "Dhaalu", "code": "MV-17"}, {"name": "Faafu", "code": "MV-14"}, {"name": "Gaaf Alif", "code": "MV-27"}, {"name": "Gaafu Dhaalu", "code": "MV-28"}, {"name": "Gnaviyani", "code": "MV-29"}, {"name": "Haa Alif", "code": "MV-07"}, {"name": "Haa Dhaalu", "code": "MV-23"}, {"name": "Kaafu", "code": "MV-26"}, {"name": "Laamu", "code": "MV-05"}, {"name": "Lhaviyani", "code": "MV-03"}, {"name": "Meemu", "code": "MV-12"}, {"name": "Noonu", "code": "MV-25"}, {"name": "Raa", "code": "MV-13"}, {"name": "Seenu", "code": "MV-01"}, {"name": "Shaviyani", "code": "MV-24"}, {"name": "Thaa", "code": "MV-08"}, {"name": "Vaavu", "code": "MV-04"}, {"name": "Bamako", "code": "ML-BKO"}, {"name": "Gao", "code": "ML-7"}, {"name": "Kayes", "code": "ML-1"}, {"name": "Kidal", "code": "ML-8"}, {"name": "Koulikoro", "code": "ML-2"}, {"name": "Mopti", "code": "ML-5"}, {"name": "Ségou", "code": "ML-4"}, {"name": "Sikasso", "code": "ML-3"}, {"name": "Tombouctou", "code": "ML-6"}, {"name": "Malta", "code": "MT-MT"}, {"name": "Ralik chain", "code": "MH-L"}, {"name": "Ailinglapalap", "code": "MH-ALL"}, {"name": "Ebon", "code": "MH-EBO"}, {"name": "Eniwetok", "code": "MH-ENI"}, {"name": "Jaluit", "code": "MH-JAL"}, {"name": "Kili", "code": "MH-KIL"}, {"name": "Kwajalein", "code": "MH-KWA"}, {"name": "Lae", "code": "MH-LAE"}, {"name": "Lib", "code": "MH-LIB"}, {"name": "Namorik", "code": "MH-NMK"}, {"name": "Namu", "code": "MH-NMU"}, {"name": "Rongelap", "code": "MH-RON"}, {"name": "Ujae", "code": "MH-UJA"}, {"name": "Ujelang", "code": "MH-UJL"}, {"name": "Wotho", "code": "MH-WTH"}, {"name": "Ratak chain", "code": "MH-T"}, {"name": "Ailuk", "code": "MH-ALK"}, {"name": "Arno", "code": "MH-ARN"}, {"name": "Aur", "code": "MH-AUR"}, {"name": "Likiep", "code": "MH-LIK"}, {"name": "Majuro", "code": "MH-MAJ"}, {"name": "Maloelap", "code": "MH-MAL"}, {"name": "Mejit", "code": "MH-MEJ"}, {"name": "Mili", "code": "MH-MIL"}, {"name": "Utirik", "code": "MH-UTI"}, {"name": "Wotje", "code": "MH-WTJ"}, {"name": "Martinique", "code": "MQ-MQ"}, {"name": "Nouakchott", "code": "MR-NKC"}, {"name": "Adrar", "code": "MR-07"}, {"name": "Assaba", "code": "MR-03"}, {"name": "Brakna", "code": "MR-05"}, {"name": "Dakhlet Nouādhibou", "code": "MR-08"}, {"name": "Gorgol", "code": "MR-04"}, {"name": "Guidimaka", "code": "MR-10"}, {"name": "Hodh ech Chargui", "code": "MR-01"}, {"name": "Hodh el Gharbi", "code": "MR-02"}, {"name": "Inchiri", "code": "MR-12"}, {"name": "Tagant", "code": "MR-09"}, {"name": "Tiris Zemmour", "code": "MR-11"}, {"name": "Trarza", "code": "MR-06"}, {"name": "Beau Bassin-Rose Hill", "code": "MU-BR"}, {"name": "Curepipe", "code": "MU-CU"}, {"name": "Port Louis", "code": "MU-PL"}, {"name": "Quatre Bornes", "code": "MU-QB"}, {"name": "Vacoas-Phoenix", "code": "MU-VP"}, {"name": "Black River", "code": "MU-BL"}, {"name": "Flacq", "code": "MU-FL"}, {"name": "Grand Port", "code": "MU-GP"}, {"name": "Moka", "code": "MU-MO"}, {"name": "Pamplemousses", "code": "MU-PA"}, {"name": "Plaines Wilhems", "code": "MU-PW"}, {"name": "Rivière du Rempart", "code": "MU-RR"}, {"name": "Savanne", "code": "MU-SA"}, {"name": "Agalega Islands", "code": "MU-AG"}, {"name": "Cargados Carajos Shoals [Saint Brandon Islands]", "code": "MU-CC"}, {"name": "Rodrigues Island", "code": "MU-RO"}, {"name": "Mayotte", "code": "YT-YT"}, {"name": "Distrito Federal", "code": "MX-DIF"}, {"name": "Aguascalientes", "code": "MX-AGU"}, {"name": "Baja California", "code": "MX-BCN"}, {"name": "Baja California Sur", "code": "MX-BCS"}, {"name": "Campeche", "code": "MX-CAM"}, {"name": "Coahuila", "code": "MX-COA"}, {"name": "Colima", "code": "MX-COL"}, {"name": "Chiapas", "code": "MX-CHP"}, {"name": "Chihuahua", "code": "MX-CHH"}, {"name": "Durango", "code": "MX-DUR"}, {"name": "Guerrero", "code": "MX-GRO"}, {"name": "Guanajuato", "code": "MX-GUA"}, {"name": "Hidalgo", "code": "MX-HID"}, {"name": "Jalisco", "code": "MX-JAL"}, {"name": "México", "code": "MX-MEX"}, {"name": "Michoacán", "code": "MX-MIC"}, {"name": "Morelos", "code": "MX-MOR"}, {"name": "Nayarit", "code": "MX-NAY"}, {"name": "Nuevo León", "code": "MX-NLE"}, {"name": "Oaxaca", "code": "MX-OAX"}, {"name": "Puebla", "code": "MX-PUE"}, {"name": "Queretaro", "code": "MX-QUE"}, {"name": "Quintana Roo", "code": "MX-ROO"}, {"name": "San Luis Potosí", "code": "MX-SLP"}, {"name": "Sinaloa", "code": "MX-SIN"}, {"name": "Sonora", "code": "MX-SON"}, {"name": "Tabasco", "code": "MX-TAB"}, {"name": "Tamaulipas", "code": "MX-TAM"}, {"name": "Tlaxcala", "code": "MX-TLA"}, {"name": "Veracruz", "code": "MX-VER"}, {"name": "Yucatán", "code": "MX-YUC"}, {"name": "Zacatecas", "code": "MX-ZAC"}, {"name": "chuuk", "code": "FM-TRK"}, {"name": "Kosrae", "code": "FM-KSA"}, {"name": "Pohnpei", "code": "FM-PNI"}, {"name": "Yap", "code": "FM-YAP"}, {"name": "Bălţi", "code": "MD-BAL"}, {"name": "Cahul", "code": "MD-CAH"}, {"name": "Chişinău", "code": "MD-CHI"}, {"name": "Dubăsari", "code": "MD-DUB"}, {"name": "Orhei", "code": "MD-ORH"}, {"name": "Rîbniţa", "code": "MD-RIB"}, {"name": "Soroca", "code": "MD-SOC"}, {"name": "Tighina", "code": "MD-TIG"}, {"name": "Tiraspol", "code": "MD-TIR"}, {"name": "Ungheni", "code": "MD-UNG"}, {"name": "Anenii Noi", "code": "MD-ANE"}, {"name": "Basarabeasca", "code": "MD-BAS"}, {"name": "Brinceni", "code": "MD-BRI"}, {"name": "Cahul", "code": "MD-CHL"}, {"name": "Camenca", "code": "MD-CAM"}, {"name": "Cantemir", "code": "MD-CAN"}, {"name": "Căinari", "code": "MD-CAI"}, {"name": "Călăraşi", "code": "MD-CAL"}, {"name": "Căuşeni", "code": "MD-CAS"}, {"name": "Ciadîr-Lunga", "code": "MD-CIA"}, {"name": "Cimişlia", "code": "MD-CIM"}, {"name": "Comrat", "code": "MD-COM"}, {"name": "Criuleni", "code": "MD-CRI"}, {"name": "Donduşeni", "code": "MD-DON"}, {"name": "Drochia", "code": "MD-DRO"}, {"name": "Dubăsari", "code": "MD-DBI"}, {"name": "Edineţ", "code": "MD-EDI"}, {"name": "Făleşti", "code": "MD-FAL"}, {"name": "Floreşti", "code": "MD-FLO"}, {"name": "Glodeni", "code": "MD-GLO"}, {"name": "Grigoriopol", "code": "MD-GRI"}, {"name": "Hînceşti", "code": "MD-HIN"}, {"name": "Ialoveni", "code": "MD-IAL"}, {"name": "Leova", "code": "MD-LEO"}, {"name": "Nisporeni", "code": "MD-NIS"}, {"name": "Ocniţa", "code": "MD-OCN"}, {"name": "Orhei", "code": "MD-OHI"}, {"name": "Rezina", "code": "MD-REZ"}, {"name": "Rîbniţa", "code": "MD-RIT"}, {"name": "Rîşcani", "code": "MD-RIS"}, {"name": "Sîngerei", "code": "MD-SIN"}, {"name": "Slobozia", "code": "MD-SLO"}, {"name": "Soroca", "code": "MD-SOA"}, {"name": "Străşeni", "code": "MD-STR"}, {"name": "Şoldăneşti", "code": "MD-SOL"}, {"name": "Ştefan Vodă", "code": "MD-STE"}, {"name": "Taraclia", "code": "MD-TAR"}, {"name": "Teleneşti", "code": "MD-TEL"}, {"name": "Ungheni", "code": "MD-UGI"}, {"name": "Vulcăneşti", "code": "MD-VUL"}, {"name": "Monaco", "code": "MC-MC"}, {"name": "Ulaanbaatar", "code": "MN-1"}, {"name": "Arhangay", "code": "MN-073"}, {"name": "Bayanhongor", "code": "MN-069"}, {"name": "Bayan-Ölgiy", "code": "MN-071"}, {"name": "Bulgan", "code": "MN-067"}, {"name": "Darhan uul", "code": "MN-037"}, {"name": "Dornod", "code": "MN-061"}, {"name": "Dornogovĭ", "code": "MN-063"}, {"name": "Dundgovĭ", "code": "MN-059"}, {"name": "Dzavhan", "code": "MN-057"}, {"name": "Govĭ-Altay", "code": "MN-065"}, {"name": "Govĭ-Sümber", "code": "MN-064"}, {"name": "Hentiy", "code": "MN-039"}, {"name": "Hovd", "code": "MN-043"}, {"name": "Hövsgöl", "code": "MN-041"}, {"name": "Ömnögovĭ", "code": "MN-053"}, {"name": "Orhon", "code": "MN-035"}, {"name": "Övörhangay", "code": "MN-055"}, {"name": "Selenge", "code": "MN-049"}, {"name": "Sühbaatar", "code": "MN-051"}, {"name": "Töv", "code": "MN-047"}, {"name": "Uvs", "code": "MN-046"}, {"name": "Montserrat", "code": "MS-MS"}, {"name": "Centre", "code": "MA-CE"}, {"name": "Azilal", "code": "MA-AZI"}, {"name": "Beni Mellal", "code": "MA-BEM"}, {"name": "Ben Slimane", "code": "MA-BES"}, {"name": "Boulemane", "code": "MA-BOM"}, {"name": "Casablanca [Dar el Beïda]", "code": "MA-CAS"}, {"name": "El Jadida", "code": "MA-JDI"}, {"name": "Khouribga", "code": "MA-KHO"}, {"name": "Settat", "code": "MA-SET"}, {"name": "Centre-Nord", "code": "MA-CN"}, {"name": "Al Hoceïma", "code": "MA-HOC"}, {"name": "Fès", "code": "MA-FES"}, {"name": "Sefrou", "code": "MA-SEF"}, {"name": "Taounate", "code": "MA-TAO"}, {"name": "Taza", "code": "MA-TAZ"}, {"name": "Centre-Sud", "code": "MA-CS"}, {"name": "El Hajeb", "code": "MA-HAJ"}, {"name": "Errachidia", "code": "MA-ERR"}, {"name": "Ifrane", "code": "MA-IFR"}, {"name": "Khenifra", "code": "MA-KHN"}, {"name": "Meknès", "code": "MA-MEK"}, {"name": "Est", "code": "MA-ES"}, {"name": "Berkane", "code": "MA-BER"}, {"name": "Figuig", "code": "MA-FIG"}, {"name": "Jrada", "code": "MA-IRA"}, {"name": "Nador", "code": "MA-NAD"}, {"name": "Oujda", "code": "MA-OUJ"}, {"name": "Nord-Ouest", "code": "MA-NO"}, {"name": "Chefchaouene", "code": "MA-CHE"}, {"name": "Kénitra", "code": "MA-KEN"}, {"name": "Khemisset", "code": "MA-KHE"}, {"name": "Larache", "code": "MA-LAR"}, {"name": "Rabat-Salé", "code": "MA-RBA"}, {"name": "Sidi Kacem", "code": "MA-SIK"}, {"name": "Tanger", "code": "MA-TNG"}, {"name": "Tétouan", "code": "MA-TET"}, {"name": "Sud", "code": "MA-SU"}, {"name": "Agadir", "code": "MA-AGD"}, {"name": "Aït Baha", "code": "MA-BAH"}, {"name": "Aït Melloul", "code": "MA-MEL"}, {"name": "Assa-Zag", "code": "MA-ASZ"}, {"name": "Boujdour (EH)", "code": "MA-BOD"}, {"name": "Es Semara (EH)", "code": "MA-ESM"}, {"name": "Guelmim", "code": "MA-GUE"}, {"name": "Laayoune (EH)", "code": "MA-LAA"}, {"name": "Ouarzazate", "code": "MA-OUA"}, {"name": "Oued ed Dahab (EH)", "code": "MA-OUD"}, {"name": "Tan-Tan", "code": "MA-TNT"}, {"name": "Taroudannt", "code": "MA-TAR"}, {"name": "Tata", "code": "MA-TAT"}, {"name": "Tiznit", "code": "MA-TIZ"}, {"name": "Tensift", "code": "MA-TS"}, {"name": "Al Haouz", "code": "MA-HAO"}, {"name": "Chichaoua", "code": "MA-CHI"}, {"name": "Essaouira", "code": "MA-ESI"}, {"name": "Kelaat Sraghna", "code": "MA-KES"}, {"name": "Marrakech", "code": "MA-MAR"}, {"name": "Safi", "code": "MA-SAF"}, {"name": "Maputo", "code": "MZ-MPM"}, {"name": "Cabo Delgado", "code": "MZ-P"}, {"name": "Gaza", "code": "MZ-G"}, {"name": "Inhambane", "code": "MZ-I"}, {"name": "Manica", "code": "MZ-B"}, {"name": "Maputo", "code": "MZ-L"}, {"name": "Nampula", "code": "MZ-N"}, {"name": "Niassa", "code": "MZ-A"}, {"name": "Sofala", "code": "MZ-S"}, {"name": "Tete", "code": "MZ-T"}, {"name": "Zambézia", "code": "MZ-Q"}, {"name": "Ayeyarwady", "code": "MM-07"}, {"name": "Bago", "code": "MM-02"}, {"name": "Magway", "code": "MM-03"}, {"name": "Mandalay", "code": "MM-04"}, {"name": "Sagaing", "code": "MM-01"}, {"name": "Tanintharyi", "code": "MM-05"}, {"name": "Yangon", "code": "MM-06"}, {"name": "Chin", "code": "MM-14"}, {"name": "Kachin", "code": "MM-11"}, {"name": "Kayah", "code": "MM-12"}, {"name": "Kayin", "code": "MM-13"}, {"name": "Mon", "code": "MM-15"}, {"name": "Rakhine", "code": "MM-16"}, {"name": "Shan", "code": "MM-17"}, {"name": "Caprivi", "code": "NA-CA"}, {"name": "Erongo", "code": "NA-ER"}, {"name": "Hardap", "code": "NA-HA"}, {"name": "Karas", "code": "NA-KA"}, {"name": "Khomas", "code": "NA-KH"}, {"name": "Kunene", "code": "NA-KU"}, {"name": "Ohangwena", "code": "NA-OW"}, {"name": "Okavango", "code": "NA-OK"}, {"name": "Omaheke", "code": "NA-OH"}, {"name": "Omusati", "code": "NA-OS"}, {"name": "Oshana", "code": "NA-ON"}, {"name": "Oshikoto", "code": "NA-OT"}, {"name": "Otjozondjupa", "code": "NA-OD"}, {"name": "Nauru", "code": "NR-NR"}, {"name": "Madhyamanchal", "code": "NP-1"}, {"name": "Bagmati", "code": "NP-BA"}, {"name": "Janakpur", "code": "NP-JA"}, {"name": "Narayani", "code": "NP-NA"}, {"name": "Madhya Pashchimanchal", "code": "NP-2"}, {"name": "Bheri", "code": "NP-BH"}, {"name": "Karnali", "code": "NP-KA"}, {"name": "Rapti", "code": "NP-RA"}, {"name": "Pashchimanchal", "code": "NP-3"}, {"name": "Dhawalagiri", "code": "NP-DH"}, {"name": "Gandaki", "code": "NP-GA"}, {"name": "Lumbini", "code": "NP-LU"}, {"name": "Purwanchal", "code": "NP-4"}, {"name": "Kosi [Koshi]", "code": "NP-KO"}, {"name": "Mechi", "code": "NP-ME"}, {"name": "Sagarmatha", "code": "NP-SA"}, {"name": "Sudur Pashchimanchal", "code": "NP-5"}, {"name": "Mahakali", "code": "NP-MA"}, {"name": "Seti", "code": "NP-SE"}, {"name": "Drenthe", "code": "NL-DR"}, {"name": "Flevoland", "code": "NL-FL"}, {"name": "Friesland", "code": "NL-FR"}, {"name": "Gelderland", "code": "NL-GE"}, {"name": "Groningen", "code": "NL-GR"}, {"name": "Limburg", "code": "NL-LI"}, {"name": "Noord-Brabant", "code": "NL-NB"}, {"name": "Noord-Holland", "code": "NL-NH"}, {"name": "Overijssel", "code": "NL-OV"}, {"name": "Utrecht", "code": "NL-UT"}, {"name": "Zeeland", "code": "NL-ZE"}, {"name": "Zuid-Holland", "code": "NL-ZH"}, {"name": "Netherlands Antilles", "code": "AN-AN"}, {"name": "New Caledonia", "code": "NC-NC"}, {"name": "North Island", "code": "NZ-N"}, {"name": "Auckland", "code": "NZ-AUK"}, {"name": "Bay of Plenty", "code": "NZ-BOP"}, {"name": "Gisborne", "code": "NZ-GIS"}, {"name": "Hawkes's Bay", "code": "NZ-HKB"}, {"name": "Manawatu-Wanganui", "code": "NZ-MWT"}, {"name": "Northland", "code": "NZ-NTL"}, {"name": "Taranaki", "code": "NZ-TKI"}, {"name": "Waikato", "code": "NZ-WKO"}, {"name": "Wellington", "code": "NZ-WGN"}, {"name": "South Island", "code": "NZ-S"}, {"name": "Canterbury", "code": "NZ-CAN"}, {"name": "Marlborough", "code": "NZ-MBH"}, {"name": "Nelson", "code": "NZ-NSN"}, {"name": "Otago", "code": "NZ-OTA"}, {"name": "Southland", "code": "NZ-STL"}, {"name": "Tasman", "code": "NZ-TAS"}, {"name": "West Coast", "code": "NZ-WTC"}, {"name": "Boaco", "code": "NI-BO"}, {"name": "Carazo", "code": "NI-CA"}, {"name": "Chinandega", "code": "NI-CI"}, {"name": "Chontales", "code": "NI-CO"}, {"name": "Estelí", "code": "NI-ES"}, {"name": "Granada", "code": "NI-GR"}, {"name": "Jinotega", "code": "NI-JI"}, {"name": "León", "code": "NI-LE"}, {"name": "Madriz", "code": "NI-MD"}, {"name": "Manaqua", "code": "NI-MN"}, {"name": "Masaya", "code": "NI-MS"}, {"name": "Matagalpa", "code": "NI-MT"}, {"name": "Nueva Segovia", "code": "NI-NS"}, {"name": "Río San Juan", "code": "NI-SJ"}, {"name": "Rivas", "code": "NI-RI"}, {"name": "Zelaya", "code": "NI-ZE"}, {"name": "Niamey", "code": "NE-8"}, {"name": "Agadez", "code": "NE-1"}, {"name": "Diffa", "code": "NE-2"}, {"name": "Dosso", "code": "NE-3"}, {"name": "Maradi", "code": "NE-4"}, {"name": "Tahoua", "code": "NE-5"}, {"name": "Tillaberi", "code": "NE-6"}, {"name": "Zinder", "code": "NE-7"}, {"name": "Abuja Capital Territory", "code": "NG-FC"}, {"name": "Abia", "code": "NG-AB"}, {"name": "Adamawa", "code": "NG-AD"}, {"name": "Akwa Ibom", "code": "NG-AK"}, {"name": "Anambra", "code": "NG-AN"}, {"name": "Bauchi", "code": "NG-BA"}, {"name": "Benue", "code": "NG-BE"}, {"name": "Borno", "code": "NG-BO"}, {"name": "Cross River", "code": "NG-CR"}, {"name": "Delta", "code": "NG-DE"}, {"name": "Edo", "code": "NG-ED"}, {"name": "Enugu", "code": "NG-EN"}, {"name": "Imo", "code": "NG-IM"}, {"name": "Jigawa", "code": "NG-JI"}, {"name": "Kaduna", "code": "NG-KD"}, {"name": "Kano", "code": "NG-KN"}, {"name": "Katsina", "code": "NG-KT"}, {"name": "Kebbi", "code": "NG-KE"}, {"name": "Kogi", "code": "NG-KO"}, {"name": "Kwara", "code": "NG-KW"}, {"name": "Lagos", "code": "NG-LA"}, {"name": "Niger", "code": "NG-NI"}, {"name": "Ogun", "code": "NG-OG"}, {"name": "Ondo", "code": "NG-ON"}, {"name": "Osun", "code": "NG-OS"}, {"name": "Oyo", "code": "NG-OY"}, {"name": "Plateau", "code": "NG-PL"}, {"name": "Rivers", "code": "NG-RI"}, {"name": "Sokoto", "code": "NG-SO"}, {"name": "Taraba", "code": "NG-TA"}, {"name": "Yobe", "code": "NG-YO"}, {"name": "Niue", "code": "NU-NU"}, {"name": "Norfolk Island", "code": "NF-NF"}, {"name": "Northern Mariana Islands", "code": "MP-MP"}, {"name": "Akershus", "code": "NO-02"}, {"name": "Aust-Agder", "code": "NO-09"}, {"name": "Buskerud", "code": "NO-06"}, {"name": "Finnmark", "code": "NO-20"}, {"name": "Hedmark", "code": "NO-04"}, {"name": "Hordaland", "code": "NO-12"}, {"name": "Møre og Romsdal", "code": "NO-15"}, {"name": "Nordland", "code": "NO-18"}, {"name": "Nord-Trøndelag", "code": "NO-17"}, {"name": "Oppland", "code": "NO-05"}, {"name": "Oslo", "code": "NO-03"}, {"name": "Rogaland", "code": "NO-11"}, {"name": "Sogn og Fjordane", "code": "NO-14"}, {"name": "Sør-Trøndelag", "code": "NO-16"}, {"name": "Telemark", "code": "NO-08"}, {"name": "Troms", "code": "NO-19"}, {"name": "Vest-Agder", "code": "NO-10"}, {"name": "Vestfold", "code": "NO-07"}, {"name": "Østfold", "code": "NO-01"}, {"name": "Jan Mayen (Arctic Region)", "code": "NO-22"}, {"name": "Svalbard (Arctic Region)", "code": "NO-21"}, {"name": "Ad Dākhilīyah", "code": "OM-DA"}, {"name": "Al Bāţinah", "code": "OM-BA"}, {"name": "Al Janūbīyah [Zufār]", "code": "OM-JA"}, {"name": "Al Wusţā", "code": "OM-WU"}, {"name": "Ash Sharqīyah", "code": "OM-SH"}, {"name": "Az Zāhirah", "code": "OM-ZA"}, {"name": "Masqaţ", "code": "OM-MA"}, {"name": "Musandam", "code": "OM-MU"}, {"name": "Islamabad", "code": "PK-IS"}, {"name": "Baluchistan (Balochistān)", "code": "PK-BA"}, {"name": "North-West Frontier", "code": "PK-NW"}, {"name": "Punjab", "code": "PK-PB"}, {"name": "Sind (Sindh)", "code": "PK-SD"}, {"name": "Federally Administered Tribal Areas", "code": "PK-TA"}, {"name": "Azad Kashmir", "code": "PK-JK"}, {"name": "Northern Areas", "code": "PK-NA"}, {"name": "Palau", "code": "PW-PW"}, {"name": "Botas del Toro", "code": "PA-1"}, {"name": "Coclé", "code": "PA-2"}, {"name": "Colón", "code": "PA-3"}, {"name": "Chiriquī", "code": "PA-4"}, {"name": "Darién", "code": "PA-5"}, {"name": "Herrera", "code": "PA-6"}, {"name": "Los Santos", "code": "PA-7"}, {"name": "Panamá", "code": "PA-8"}, {"name": "Veraguas", "code": "PA-9"}, {"name": "Comarca de San Blas", "code": "PA-0"}, {"name": "National Capital District (Port Moresby)", "code": "PG-NCD"}, {"name": "Central", "code": "PG-CPM"}, {"name": "Chimbu", "code": "PG-CPK"}, {"name": "Eastern Highlands", "code": "PG-EHG"}, {"name": "East New Britain", "code": "PG-EBR"}, {"name": "East Sepik", "code": "PG-ESW"}, {"name": "Enga", "code": "PG-EPW"}, {"name": "Gulf", "code": "PG-GPK"}, {"name": "Madang", "code": "PG-MPM"}, {"name": "Manus", "code": "PG-MRL"}, {"name": "Milne Bay", "code": "PG-MBA"}, {"name": "Morobe", "code": "PG-MPL"}, {"name": "New Ireland", "code": "PG-NIK"}, {"name": "Northern", "code": "PG-NPP"}, {"name": "North Solomons", "code": "PG-NSA"}, {"name": "Sandaun [West Sepik]", "code": "PG-SAN"}, {"name": "Southern Highlands", "code": "PG-SHM"}, {"name": "Western", "code": "PG-WPD"}, {"name": "Western Highlands", "code": "PG-WHM"}, {"name": "West New Britain", "code": "PG-WBK"}, {"name": "Asunción", "code": "PY-ASU"}, {"name": "Alto Paraguay", "code": "PY-16"}, {"name": "Alto Parang", "code": "PY-10"}, {"name": "Amambay", "code": "PY-13"}, {"name": "Boquerón", "code": "PY-19"}, {"name": "Caaguazú", "code": "PY-5"}, {"name": "Caazapá", "code": "PY-6"}, {"name": "Canindeyú", "code": "PY-14"}, {"name": "Central", "code": "PY-11"}, {"name": "Concepción", "code": "PY-1"}, {"name": "Cordillera", "code": "PY-3"}, {"name": "Guairá", "code": "PY-4"}, {"name": "Itapúa", "code": "PY-7"}, {"name": "Misiones", "code": "PY-8"}, {"name": "Neembucú", "code": "PY-12"}, {"name": "Paraguarī", "code": "PY-9"}, {"name": "Presidente Hayes", "code": "PY-15"}, {"name": "San Pedro", "code": "PY-2"}, {"name": "El Callao", "code": "PE-CAL"}, {"name": "Amazonas", "code": "PE-AMA"}, {"name": "Ancash", "code": "PE-ANC"}, {"name": "Apurímac", "code": "PE-APU"}, {"name": "Arequipa", "code": "PE-ARE"}, {"name": "Ayacucho", "code": "PE-AYA"}, {"name": "Cajamarca", "code": "PE-CAJ"}, {"name": "Cuzco [Cusco]", "code": "PE-CUS"}, {"name": "Huancavelica", "code": "PE-HUV"}, {"name": "Huánuco", "code": "PE-HUC"}, {"name": "Ica", "code": "PE-ICA"}, {"name": "Junín", "code": "PE-JUN"}, {"name": "La Libertad", "code": "PE-LAL"}, {"name": "Lambayeque", "code": "PE-LAM"}, {"name": "Lima", "code": "PE-LIM"}, {"name": "Loreto", "code": "PE-LOR"}, {"name": "Madre de Dios", "code": "PE-MDD"}, {"name": "Moquegua", "code": "PE-MOQ"}, {"name": "Pasco", "code": "PE-PAS"}, {"name": "Piura", "code": "PE-PIU"}, {"name": "Puno", "code": "PE-PUN"}, {"name": "San Martín", "code": "PE-SAM"}, {"name": "Tacna", "code": "PE-TAC"}, {"name": "Tumbes", "code": "PE-TUM"}, {"name": "Ucayali", "code": "PE-UCA"}, {"name": "Philippines", "code": "PH-PH"}, {"name": "Pitcairn", "code": "PN-PN"}, {"name": "Biała Podlaska", "code": "PL-BP"}, {"name": "Białystok", "code": "PL-BK"}, {"name": "Bielsko", "code": "PL-BB"}, {"name": "Bydgoszcz", "code": "PL-BY"}, {"name": "Chełm", "code": "PL-CH"}, {"name": "Ciechanów", "code": "PL-CI"}, {"name": "Czestochowa", "code": "PL-CZ"}, {"name": "Elblag", "code": "PL-EL"}, {"name": "Gdańsk", "code": "PL-GD"}, {"name": "Gorzów", "code": "PL-GO"}, {"name": "Jelenia Gera", "code": "PL-JG"}, {"name": "Kalisz", "code": "PL-KL"}, {"name": "Katowice", "code": "PL-KA"}, {"name": "Kielce", "code": "PL-KI"}, {"name": "Konin", "code": "PL-KN"}, {"name": "Koszalin", "code": "PL-KO"}, {"name": "Kraków", "code": "PL-KR"}, {"name": "Krosno", "code": "PL-KS"}, {"name": "Legnica", "code": "PL-LG"}, {"name": "Leszno", "code": "PL-LE"}, {"name": "Lublin", "code": "PL-LU"}, {"name": "Łomia", "code": "PL-LO"}, {"name": "Łódź", "code": "PL-LD"}, {"name": "Nowy Sacz", "code": "PL-NS"}, {"name": "Olsztyn", "code": "PL-OL"}, {"name": "Opole", "code": "PL-OP"}, {"name": "Ostrołeka", "code": "PL-OS"}, {"name": "Piła", "code": "PL-PI"}, {"name": "Piotrków", "code": "PL-PT"}, {"name": "Płock", "code": "PL-PL"}, {"name": "Poznań", "code": "PL-PO"}, {"name": "Przemyśl", "code": "PL-PR"}, {"name": "Radom", "code": "PL-RA"}, {"name": "Rzeszów", "code": "PL-RZ"}, {"name": "Siedlce", "code": "PL-SE"}, {"name": "Sieradz", "code": "PL-SI"}, {"name": "Skierniewice", "code": "PL-SK"}, {"name": "Słupsk", "code": "PL-SL"}, {"name": "Suwałki", "code": "PL-SU"}, {"name": "Szczecin", "code": "PL-SZ"}, {"name": "Tarnobrzeg", "code": "PL-TG"}, {"name": "Tarnów", "code": "PL-TA"}, {"name": "Toruń", "code": "PL-TO"}, {"name": "Wałbrzych", "code": "PL-WB"}, {"name": "Warszawa", "code": "PL-WA"}, {"name": "Włocławek", "code": "PL-WL"}, {"name": "Wrocław", "code": "PL-WR"}, {"name": "Zamość", "code": "PL-ZA"}, {"name": "Zielona Góra", "code": "PL-ZG"}, {"name": "Aveiro", "code": "PT-01"}, {"name": "Beja", "code": "PT-02"}, {"name": "Braga", "code": "PT-03"}, {"name": "Bragança", "code": "PT-04"}, {"name": "Castelo Branco", "code": "PT-05"}, {"name": "Coimbra", "code": "PT-06"}, {"name": "Évora", "code": "PT-07"}, {"name": "Faro", "code": "PT-08"}, {"name": "Guarda", "code": "PT-09"}, {"name": "Leiria", "code": "PT-10"}, {"name": "Lisboa", "code": "PT-11"}, {"name": "Portalegre", "code": "PT-12"}, {"name": "Porto", "code": "PT-13"}, {"name": "Santarém", "code": "PT-14"}, {"name": "Setúbal", "code": "PT-15"}, {"name": "Viana do Castelo", "code": "PT-16"}, {"name": "Vila Real", "code": "PT-17"}, {"name": "Viseu", "code": "PT-18"}, {"name": "Regiāo Autónoma dos Açores", "code": "PT-20"}, {"name": "Regiāo Autónoma da Madeira", "code": "PT-30"}, {"name": "Puerto Rico", "code": "PR-PR"}, {"name": "Ad Dawḩah", "code": "QA-DA"}, {"name": "Al Ghuwayrīyah", "code": "QA-GH"}, {"name": "Al Jumaylīyah", "code": "QA-JU"}, {"name": "Al Khawr", "code": "QA-KH"}, {"name": "Al Wakrah", "code": "QA-WA"}, {"name": "Ar Rayyān", "code": "QA-RA"}, {"name": "Jarīyān al Bāţnah", "code": "QA-JB"}, {"name": "Madīnat ash Shamāl", "code": "QA-MS"}, {"name": "Umm Şalāl", "code": "QA-US"}, {"name": "Reunion", "code": "RE-RE"}, {"name": "Bucureşti", "code": "RO-B"}, {"name": "Alba", "code": "RO-AB"}, {"name": "Arad", "code": "RO-AR"}, {"name": "Argeş", "code": "RO-AG"}, {"name": "Bacău", "code": "RO-BC"}, {"name": "Bihor", "code": "RO-BH"}, {"name": "Bistriţa-Năsăud", "code": "RO-BN"}, {"name": "Botoşani", "code": "RO-BT"}, {"name": "Braşov", "code": "RO-BV"}, {"name": "Brăila", "code": "RO-BR"}, {"name": "Buzău", "code": "RO-BZ"}, {"name": "Caraş-Severin", "code": "RO-CS"}, {"name": "Călăraşi", "code": "RO-CL"}, {"name": "Cluj", "code": "RO-CJ"}, {"name": "Constanţa", "code": "RO-CT"}, {"name": "Covasna", "code": "RO-CV"}, {"name": "Dâmboviţa", "code": "RO-DB"}, {"name": "Dolj", "code": "RO-DJ"}, {"name": "Galaţi", "code": "RO-GL"}, {"name": "Giurgiu", "code": "RO-GR"}, {"name": "Gorj", "code": "RO-GJ"}, {"name": "Harghita", "code": "RO-HR"}, {"name": "Hunedoara", "code": "RO-HD"}, {"name": "Ialomiţa", "code": "RO-IL"}, {"name": "Iaşi", "code": "RO-IS"}, {"name": "Maramureş", "code": "RO-MM"}, {"name": "Mehedinţi", "code": "RO-MH"}, {"name": "Mureş", "code": "RO-MS"}, {"name": "Neamţ", "code": "RO-NT"}, {"name": "Olt", "code": "RO-OT"}, {"name": "Prahova", "code": "RO-PH"}, {"name": "Satu Mare", "code": "RO-SM"}, {"name": "Sălaj", "code": "RO-SJ"}, {"name": "Sibiu", "code": "RO-SB"}, {"name": "Suceava", "code": "RO-SV"}, {"name": "Teleorman", "code": "RO-TR"}, {"name": "Timiş", "code": "RO-TM"}, {"name": "Tulcea", "code": "RO-TL"}, {"name": "Vaslui", "code": "RO-VS"}, {"name": "Vâlcea", "code": "RO-VL"}, {"name": "Vrancea", "code": "RO-VN"}, {"name": "Adygeya, Respublika", "code": "RU-AD"}, {"name": "Altay, Respublika", "code": "RU-AL"}, {"name": "Bashkortostan, Respublika", "code": "RU-BA"}, {"name": "Buryatiya, Respublika", "code": "RU-BU"}, {"name": "Chechenskaya Respublika", "code": "RU-CE"}, {"name": "Chuvashskaya Respublika", "code": "RU-CU"}, {"name": "Dagestan, Respublika", "code": "RU-DA"}, {"name": "Ingushskaya Respublika", "code": "RU-IN"}, {"name": "Kabardino-Balkarskaya Respublika", "code": "RU-KB"}, {"name": "Kalmykiya, Respublika", "code": "RU-KL"}, {"name": "Karachayevo-Cherkesskaya Respublika", "code": "RU-KC"}, {"name": "Kareliya, Respublika", "code": "RU-KR"}, {"name": "Khakasiya, Respublika", "code": "RU-KK"}, {"name": "Komi, Respublika", "code": "RU-KO"}, {"name": "Mariy El, Respublika", "code": "RU-ME"}, {"name": "Mordoviya, Respublika", "code": "RU-MO"}, {"name": "Sakha, Respublika [Yakutiya]", "code": "RU-SA"}, {"name": "Severnaya Osetiya, Respublika [Alaniya]", "code": "RU-SE"}, {"name": "Tatarstan, Respublika", "code": "RU-TA"}, {"name": "Tyva, Respublika [Tuva]", "code": "RU-TY"}, {"name": "Udmurtskaya Respublika", "code": "RU-UD"}, {"name": "Altayskiy kray", "code": "RU-ALT"}, {"name": "Khabarovskiy kray", "code": "RU-KHA"}, {"name": "Krasnodarskiy kray", "code": "RU-KDA"}, {"name": "Krasnoyarskiy kray", "code": "RU-KYA"}, {"name": "Primorskiy kray", "code": "RU-PRI"}, {"name": "Stavropol 'skiy kray", "code": "RU-STA"}, {"name": "Amurskaya Oblast'", "code": "RU-AMU"}, {"name": "Arkhangel'skaya Oblast'", "code": "RU-ARK"}, {"name": "Astrakhanskaya Oblast'", "code": "RU-AST"}, {"name": "Belgorodskaya Oblast'", "code": "RU-BEL"}, {"name": "Bryanskaya Oblast'", "code": "RU-BRY"}, {"name": "Chelyabinskaya Oblast'", "code": "RU-CHE"}, {"name": "Chitinskaya Oblast'", "code": "RU-CHI"}, {"name": "Irkutskaya Oblast'", "code": "RU-IRK"}, {"name": "Ivanovskaya Oblast'", "code": "RU-IVA"}, {"name": "Kaliningradskaya Oblast'", "code": "RU-KGD"}, {"name": "Kaluzhskaya Oblast'", "code": "RU-KLU"}, {"name": "Kamchatskaya Oblast'", "code": "RU-KAM"}, {"name": "Kemerovskaya Oblast'", "code": "RU-KEM"}, {"name": "Kirovskaya Oblast'", "code": "RU-KIR"}, {"name": "Kostromskaya Oblast'", "code": "RU-KOS"}, {"name": "Kurganskaya Oblast'", "code": "RU-KGN"}, {"name": "Kurskaya Oblast'", "code": "RU-KRS"}, {"name": "Leningradskaya Oblast'", "code": "RU-LEN"}, {"name": "Lipetskaya Oblast'", "code": "RU-LIP"}, {"name": "Magadanskaya Oblast'", "code": "RU-MAG"}, {"name": "Moskovskaya Oblast'", "code": "RU-MOS"}, {"name": "Murmanskaya Oblast'", "code": "RU-MUR"}, {"name": "Nizhegorodskaya Oblast'", "code": "RU-NIZ"}, {"name": "Novgorodskaya Oblast'", "code": "RU-NGR"}, {"name": "Novosibirskaya Oblast'", "code": "RU-NVS"}, {"name": "Omskaya Oblast'", "code": "RU-OMS"}, {"name": "Orenburgskaya Oblast'", "code": "RU-ORE"}, {"name": "Orlovskaya Oblast'", "code": "RU-ORL"}, {"name": "Penzenskaya Oblast'", "code": "RU-PNZ"}, {"name": "Permskaya Oblast'", "code": "RU-PER"}, {"name": "Pskovskaya Oblast'", "code": "RU-PSK"}, {"name": "Rostovskaya Oblast'", "code": "RU-ROS"}, {"name": "Ryazanskaya Oblast'", "code": "RU-RYA"}, {"name": "Sakhalinskaya Oblast'", "code": "RU-SAK"}, {"name": "Samarskaya Oblast’", "code": "RU-SAM"}, {"name": "Saratovskaya Oblast'", "code": "RU-SAR"}, {"name": "Smolenskaya Oblast'", "code": "RU-SMO"}, {"name": "Sverdlovskaya Oblast'", "code": "RU-SVE"}, {"name": "Tambovskaya Oblast'", "code": "RU-TAM"}, {"name": "Tomskaya Oblast’", "code": "RU-TOM"}, {"name": "Tul'skaya Oblast'", "code": "RU-TUL"}, {"name": "Tverskaya Oblast'", "code": "RU-TVE"}, {"name": "Tyumenskaya Oblast'", "code": "RU-TYU"}, {"name": "Ul'yanovskaya Oblast'", "code": "RU-ULY"}, {"name": "Vladimirskaya Oblast'", "code": "RU-VLA"}, {"name": "Volgogradskaya Oblast'", "code": "RU-VGG"}, {"name": "Vologodskaya Oblast'", "code": "RU-VLG"}, {"name": "Voronezhskaya Oblast'", "code": "RU-VOR"}, {"name": "Yaroslavskaya Oblast'", "code": "RU-YAR"}, {"name": "Moskva", "code": "RU-MOW"}, {"name": "Sankt-Peterburg", "code": "RU-SPE"}, {"name": "Yevreyskaya avtonomnaya oblast'", "code": "RU-YEV"}, {"name": "Aginskiy Buryatskiy avtonomnyy okrug", "code": "RU-AGB"}, {"name": "Chukotskiy avtonomnyy okrug", "code": "RU-CHU"}, {"name": "Evenkiyskiy avtonomnyy okrug", "code": "RU-EVE"}, {"name": "Khanty-Mansiyskiy avtonomnyy okrug", "code": "RU-KHM"}, {"name": "Komi-Permyatskiy avtonomnyy okrug", "code": "RU-KOP"}, {"name": "Koryakskiy avtonomnyy okrug", "code": "RU-KOR"}, {"name": "Nenetskiy avtonomnyy okrug", "code": "RU-NEN"}, {"name": "Taymyrskiy (Dolgano-Nenetskiy) avtonomnyy okrug", "code": "RU-TAY"}, {"name": "Ust’-Ordynskiy Buryatskiy avtonomnyy okrug", "code": "RU-UOB"}, {"name": "Yamalo-Nenetskiy avtonomnyy okrug", "code": "RU-YAN"}, {"name": "Butare", "code": "RW-C"}, {"name": "Byumba", "code": "RW-I"}, {"name": "Cyangugu", "code": "RW-E"}, {"name": "Gikongoro", "code": "RW-D"}, {"name": "Gisenyi", "code": "RW-G"}, {"name": "Gitarama", "code": "RW-B"}, {"name": "Kibungo", "code": "RW-J"}, {"name": "Kibuye", "code": "RW-F"}, {"name": "Kigali-Rural (Kigali y’ Icyaro)", "code": "RW-K"}, {"name": "Kigali-Ville (Kilgali Ngari)", "code": "RW-L"}, {"name": "Mutara", "code": "RW-M"}, {"name": "Ruhengeri", "code": "RW-H"}, {"name": "Saint Helena", "code": "SH-SH"}, {"name": "Ascension", "code": "SH-AC"}, {"name": "Tristan da Cunha", "code": "SH-TA"}, {"name": "Saint Kitts & Nevis", "code": "KN-KN"}, {"name": "Saint Lucia", "code": "LC-LC"}, {"name": "St. Pierre & Miquelon", "code": "PM-PM"}, {"name": "St. Vincent & the Grenadines", "code": "VC-VC"}, {"name": "A'ana", "code": "WS-AA"}, {"name": "Aiga-i-le-Tai", "code": "WS-AL"}, {"name": "Atua", "code": "WS-AT"}, {"name": "Fa'asaleleaga", "code": "WS-FA"}, {"name": "Gaga'emauga", "code": "WS-GE"}, {"name": "Gagaifomauga", "code": "WS-GI"}, {"name": "Palauli", "code": "WS-PA"}, {"name": "Satupa'itea", "code": "WS-SA"}, {"name": "Tuamasaga", "code": "WS-TU"}, {"name": "Va'a-o-Fonoti", "code": "WS-VF"}, {"name": "Vaisigano", "code": "WS-VS"}, {"name": "San Marino", "code": "SM-SM"}, {"name": "Príncipe", "code": "ST-P"}, {"name": "Sāo Tomé", "code": "ST-S"}, {"name": "Al Bāḩah", "code": "SA-11"}, {"name": "Al Ḩudūd ash Shamālīyah", "code": "SA-08"}, {"name": "Al Jawf", "code": "SA-12"}, {"name": "Al Madīnah", "code": "SA-03"}, {"name": "Al Qaşim", "code": "SA-05"}, {"name": "Ar Riyāḑ", "code": "SA-O1"}, {"name": "Ash Sharqīyah", "code": "SA-04"}, {"name": "‘Asīr", "code": "SA-14"}, {"name": "Ḩā'il", "code": "SA-06"}, {"name": "Jīzān", "code": "SA-09"}, {"name": "Makkah", "code": "SA-02"}, {"name": "Najrān", "code": "SA-10"}, {"name": "Tabūk", "code": "SA-07"}, {"name": "Dakar", "code": "SN-DK"}, {"name": "Diourbel", "code": "SN-DB"}, {"name": "Fatick", "code": "SN-FK"}, {"name": "Kaolack", "code": "SN-KL"}, {"name": "Kolda", "code": "SN-KD"}, {"name": "Louga", "code": "SN-LG"}, {"name": "Saint-Louis", "code": "SN-SL"}, {"name": "Tambacounda", "code": "SN-TC"}, {"name": "Thiès", "code": "SN-TH"}, {"name": "Ziguinchor", "code": "SN-ZG"}, {"name": "Seychelles", "code": "SC-SC"}, {"name": "Western Area (Freetown)", "code": "SL-W"}, {"name": "Eastern", "code": "SL-E"}, {"name": "Northern", "code": "SL-N"}, {"name": "Southern", "code": "SL-S"}, {"name": "Singapore", "code": "SG-SG"}, {"name": "Banskobystrický kraj", "code": "SK-BC"}, {"name": "Bratislavský kraj", "code": "SK-BL"}, {"name": "Košický kraj", "code": "SK-KI"}, {"name": "Nitriansky kraj", "code": "SK-NI"}, {"name": "Prešovský kraj", "code": "SK-PV"}, {"name": "Trenčiansky kraj", "code": "SK-TC"}, {"name": "Trnavský kraj", "code": "SK-TA"}, {"name": "Žilinský kraj", "code": "SK-ZI"}, {"name": "Dolenjska", "code": "SI-07"}, {"name": "Gorenjska", "code": "SI-09"}, {"name": "Goriška", "code": "SI-11"}, {"name": "Koroška", "code": "SI-03"}, {"name": "Notranjsko-kraška", "code": "SI-10"}, {"name": "Obalno-kraška", "code": "SI-12"}, {"name": "Osrednjeslovenska", "code": "SI-08"}, {"name": "Podravska", "code": "SI-02"}, {"name": "Pomurska", "code": "SI-01"}, {"name": "Savinjska", "code": "SI-04"}, {"name": "Spodnjeposavska", "code": "SI-06"}, {"name": "Zasavska", "code": "SI-05"}, {"name": "Capital Territory (Honiara)", "code": "SB-CT"}, {"name": "Central", "code": "SB-CE"}, {"name": "Guadalcanal", "code": "SB-GU"}, {"name": "Isabel", "code": "SB-IS"}, {"name": "Makira", "code": "SB-MK"}, {"name": "Malaita", "code": "SB-ML"}, {"name": "Temotu", "code": "SB-TE"}, {"name": "Western", "code": "SB-WE"}, {"name": "Awdal", "code": "SO-AW"}, {"name": "Bakool", "code": "SO-BK"}, {"name": "Banaadir", "code": "SO-BN"}, {"name": "Bari", "code": "SO-BR"}, {"name": "BaY", "code": "SO-BY"}, {"name": "Galguduud", "code": "SO-GA"}, {"name": "Gedo", "code": "SO-GE"}, {"name": "Hiiraan", "code": "SO-HI"}, {"name": "Jubbada Dhexe", "code": "SO-JD"}, {"name": "Jubbada Hoose", "code": "SO-JH"}, {"name": "Mudug", "code": "SO-MU"}, {"name": "Nugaal", "code": "SO-NU"}, {"name": "Sanaag", "code": "SO-SA"}, {"name": "Shabeellaha Dhexe", "code": "SO-SD"}, {"name": "Shabeellaha Hoose", "code": "SO-SH"}, {"name": "Sool", "code": "SO-SO"}, {"name": "Togdheer", "code": "SO-TO"}, {"name": "Woqooyi Galbeed", "code": "SO-WO"}, {"name": "Eastern Cape (Oos-Kaap)", "code": "ZA-EC"}, {"name": "Free State (Vrystaat)", "code": "ZA-FS"}, {"name": "Gauteng", "code": "ZA-GT"}, {"name": "Kwazulu-Natal", "code": "ZA-NL"}, {"name": "Mpumalanga", "code": "ZA-MP"}, {"name": "Northern Cape (Noord-Kaap)", "code": "ZA-NC"}, {"name": "Northern Province (Noordelike Provinsie)", "code": "ZA-NP"}, {"name": "North-West (Noord-Wes)", "code": "ZA-NW"}, {"name": "Western Cape (Wes-Kaap)", "code": "ZA-WC"}, {"name": "S.Georgia & S.Sandwich Islands", "code": "GS-GS"}, {"name": "Andalucía", "code": "ES-AN"}, {"name": "Almería", "code": "ES-AL"}, {"name": "Cádiz", "code": "ES-CA"}, {"name": "Córdoba", "code": "ES-CO"}, {"name": "Granada", "code": "ES-GR"}, {"name": "Huelva", "code": "ES-H"}, {"name": "Jaén", "code": "ES-J"}, {"name": "Málaga", "code": "ES-MA"}, {"name": "Sevilla", "code": "ES-SE"}, {"name": "Aragón", "code": "ES-AR"}, {"name": "Huesca", "code": "ES-HU"}, {"name": "Teruel", "code": "ES-TE"}, {"name": "Zaragoza", "code": "ES-Z"}, {"name": "Asturias", "code": "ES-O"}, {"name": "Canarias", "code": "ES-CN"}, {"name": "Las Palmas", "code": "ES-GC"}, {"name": "Santa Cruz De Tenerife", "code": "ES-TF"}, {"name": "Cantabria", "code": "ES-S"}, {"name": "Castilla-La Mancha", "code": "ES-CM"}, {"name": "Albacete", "code": "ES-AB"}, {"name": "Ciudad Real", "code": "ES-CR"}, {"name": "Cuenca", "code": "ES-CU"}, {"name": "Guadalajara", "code": "ES-GU"}, {"name": "Toledo", "code": "ES-TO"}, {"name": "Castilla y León", "code": "ES-CL"}, {"name": "Ávila", "code": "ES-AV"}, {"name": "Burgos", "code": "ES-BU"}, {"name": "León", "code": "ES-LE"}, {"name": "Palencia", "code": "ES-P"}, {"name": "Salamanca", "code": "ES-SA"}, {"name": "Segovia", "code": "ES-SG"}, {"name": "Soria", "code": "ES-SO"}, {"name": "Valladolid", "code": "ES-VA"}, {"name": "Zamora", "code": "ES-ZA"}, {"name": "Cataluña", "code": "ES-CT"}, {"name": "Barcelona", "code": "ES-B"}, {"name": "Gerona", "code": "ES-GE"}, {"name": "Lérida", "code": "ES-L"}, {"name": "Tarragona", "code": "ES-T"}, {"name": "Extremadura", "code": "ES-EX"}, {"name": "Badajoz", "code": "ES-BA"}, {"name": "Cáceres", "code": "ES-CC"}, {"name": "Galicia", "code": "ES-GA"}, {"name": "La Coruña", "code": "ES-C"}, {"name": "Lugo", "code": "ES-LU"}, {"name": "Orense", "code": "ES-OR"}, {"name": "Pontevedra", "code": "ES-PO"}, {"name": "Baleares", "code": "ES-PM"}, {"name": "La Rioja", "code": "ES-LO"}, {"name": "Madrid", "code": "ES-M"}, {"name": "Murcia", "code": "ES-MU"}, {"name": "Navarra", "code": "ES-NA"}, {"name": "País Vasco", "code": "ES-PV"}, {"name": "Álava", "code": "ES-VI"}, {"name": "Guipúzcoa", "code": "ES-SS"}, {"name": "Vizcaya", "code": "ES-BI"}, {"name": "Valenciana, Comunidad", "code": "ES-VC"}, {"name": "Alicante", "code": "ES-A"}, {"name": "Castellón", "code": "ES-CS"}, {"name": "Valencia", "code": "ES-V"}, {"name": "Basnahira Palata (Western Province)", "code": "LK-1"}, {"name": "Colombo", "code": "LK-11"}, {"name": "Gampaha", "code": "LK-12"}, {"name": "Kalutara", "code": "LK-13"}, {"name": "Dakunu Palata (Southern Province)", "code": "LK-3"}, {"name": "Galle", "code": "LK-31"}, {"name": "Hambantota", "code": "LK-33"}, {"name": "Matara", "code": "LK-32"}, {"name": "Madhyama Palata (Central Province)", "code": "LK-2"}, {"name": "Kandy", "code": "LK-21"}, {"name": "Matale", "code": "LK-22"}, {"name": "Nuwara Eliya", "code": "LK-23"}, {"name": "Negenahira Palata (Eastern Province)", "code": "LK-5"}, {"name": "Arnpara", "code": "LK-52"}, {"name": "Batticaloa", "code": "LK-51"}, {"name": "Trincomalee", "code": "LK-53"}, {"name": "Sabaragamuwa Palata", "code": "LK-9"}, {"name": "Kegalla", "code": "LK-92"}, {"name": "Ratnapura", "code": "LK-91"}, {"name": "Uturumeda Palata (North Central Province)", "code": "LK-7"}, {"name": "Anuradhapura", "code": "LK-71"}, {"name": "Polonnaruwa", "code": "LK-72"}, {"name": "Uturu Palata (Northern Province)", "code": "LK-4"}, {"name": "Jaffna", "code": "LK-41"}, {"name": "Kilinochchi", "code": "LK-42"}, {"name": "Mannar", "code": "LK-43"}, {"name": "Mullaittivu", "code": "LK-45"}, {"name": "Vavuniya", "code": "LK-44"}, {"name": "Uva Palata", "code": "LK-8"}, {"name": "Badulla", "code": "LK-81"}, {"name": "Monaragala", "code": "LK-82"}, {"name": "Wayamba Palata (North Western Province)", "code": "LK-6"}, {"name": "Kurunegala", "code": "LK-61"}, {"name": "Puttalam", "code": "LK-62"}, {"name": "A‘ālī an Nīl", "code": "SD-23"}, {"name": "Al Baḩr al Aḩmar", "code": "SD-26"}, {"name": "Al Buḩayrāt", "code": "SD-18"}, {"name": "Al Jazīrah", "code": "SD-07"}, {"name": "Al Kharţūm", "code": "SD-03"}, {"name": "Al Qaḑārif", "code": "SD-06"}, {"name": "Al Waḩdah", "code": "SD-22"}, {"name": "An Nīl", "code": "SD-04"}, {"name": "An Nīl al Abyaḑ", "code": "SD-08"}, {"name": "An Nīl al Azraq", "code": "SD-24"}, {"name": "Ash Shamālīyah", "code": "SD-01"}, {"name": "Baḩr al Jabal", "code": "SD-17"}, {"name": "Gharb al Istiwā'īyah", "code": "SD-16"}, {"name": "Gharb Baḩr al Ghazāl", "code": "SD-14"}, {"name": "Gharb Dārfūr", "code": "SD-12"}, {"name": "Gharb Kurdufān", "code": "SD-10"}, {"name": "Janūb Dārfūr", "code": "SD-11"}, {"name": "Janūb Kurdufān", "code": "SD-13"}, {"name": "Jūnqalī", "code": "SD-20"}, {"name": "Kassalā", "code": "SD-05"}, {"name": "Shamāl Baḩr al Ghazāl", "code": "SD-15"}, {"name": "Shamāl Dārfūr", "code": "SD-02"}, {"name": "Shamāl Kurdufān", "code": "SD-09"}, {"name": "Sharq al Istiwā'iyah", "code": "SD-19"}, {"name": "Sinnār", "code": "SD-25"}, {"name": "Wārāb", "code": "SD-21"}, {"name": "Brokopondo", "code": "SR-BR"}, {"name": "Commewijne", "code": "SR-CM"}, {"name": "Coronie", "code": "SR-CR"}, {"name": "Marowijne", "code": "SR-MA"}, {"name": "Nickerie", "code": "SR-NI"}, {"name": "Para", "code": "SR-PR"}, {"name": "Paramaribo", "code": "SR-PM"}, {"name": "Saramacca", "code": "SR-SA"}, {"name": "Sipaliwini", "code": "SR-SI"}, {"name": "Wanica", "code": "SR-WA"}, {"name": "Svalbard & Jan Mayen Islands", "code": "SJ-SJ"}, {"name": "Hhohho", "code": "SZ-HH"}, {"name": "Lubombo", "code": "SZ-LU"}, {"name": "Manzini", "code": "SZ-MA"}, {"name": "Shiselweni", "code": "SZ-SH"}, {"name": "Blekinge län", "code": "SE-K"}, {"name": "Dalarnas län", "code": "SE-W"}, {"name": "Gotlands län", "code": "SE-I"}, {"name": "Gävleborgs län", "code": "SE-X"}, {"name": "Hallands län", "code": "SE-N"}, {"name": "Jämtlands län", "code": "SE-Z"}, {"name": "Jönköpings län", "code": "SE-F"}, {"name": "Kalmar län", "code": "SE-H"}, {"name": "Kronobergs län", "code": "SE-G"}, {"name": "Norrbottens län", "code": "SE-BD"}, {"name": "Skåne län", "code": "SE-M"}, {"name": "Stockholms län", "code": "SE-AB"}, {"name": "Södermanlands län", "code": "SE-D"}, {"name": "Uppsala län", "code": "SE-C"}, {"name": "Värmlands län", "code": "SE-S"}, {"name": "Västerbottens län", "code": "SE-AC"}, {"name": "Västernorrlands län", "code": "SE-Y"}, {"name": "Västmanlands län", "code": "SE-U"}, {"name": "Västra Götalands län", "code": "SE-O"}, {"name": "Örebro län", "code": "SE-T"}, {"name": "Östergötlands län", "code": "SE-E"}, {"name": "Aargau", "code": "CH-AG"}, {"name": "Appenzell Ausser-Rhoden", "code": "CH-AR"}, {"name": "Appenzell Inner-Rhoden", "code": "CH-AI"}, {"name": "Basel-Landschaft", "code": "CH-BL"}, {"name": "Basel-Stadt", "code": "CH-BS"}, {"name": "Bern", "code": "CH-BE"}, {"name": "Freiburg", "code": "CH-FR"}, {"name": "Geneve", "code": "CH-GE"}, {"name": "Glarus", "code": "CH-GL"}, {"name": "Graubünden", "code": "CH-GR"}, {"name": "Jura", "code": "CH-JU"}, {"name": "Luzern", "code": "CH-LU"}, {"name": "Neuchatel", "code": "CH-NE"}, {"name": "Nidwalden", "code": "CH-NW"}, {"name": "Obwalden", "code": "CH-OW"}, {"name": "Sankt Gallen", "code": "CH-SG"}, {"name": "Schaffhausen", "code": "CH-SH"}, {"name": "Schwyz", "code": "CH-SZ"}, {"name": "Solothurn", "code": "CH-SO"}, {"name": "Thurgau", "code": "CH-TG"}, {"name": "Ticino", "code": "CH-TI"}, {"name": "Uri", "code": "CH-UR"}, {"name": "Wallis", "code": "CH-VS"}, {"name": "Vaud", "code": "CH-VD"}, {"name": "Zug", "code": "CH-ZG"}, {"name": "Zürich", "code": "CH-ZH"}, {"name": "Al Ḩasakah", "code": "SY-HA"}, {"name": "Al Lādhiqīyah", "code": "SY-LA"}, {"name": "Al Qunayţirah", "code": "SY-QU"}, {"name": "Ar Raqqah", "code": "SY-RA"}, {"name": "As Suwaydā'", "code": "SY-SU"}, {"name": "Dar’ā", "code": "SY-DR"}, {"name": "Dayr az Zawr", "code": "SY-DY"}, {"name": "Dimashq", "code": "SY-DI"}, {"name": "Ḩalab", "code": "SY-HL"}, {"name": "Ḩamāh", "code": "SY-HM"}, {"name": "Ḩimş", "code": "SY-HI"}, {"name": "Idlib", "code": "SY-ID"}, {"name": "Rīf Dimashq", "code": "SY-RD"}, {"name": "Ţarţūs", "code": "SY-TA"}, {"name": "Kaohsiung", "code": "TW-KHH"}, {"name": "Taipei", "code": "TW-TPE"}, {"name": "Chiayi", "code": "TW-CYI"}, {"name": "Hsinchu", "code": "TW-HSZ"}, {"name": "Keelung", "code": "TW-KEE"}, {"name": "Taichung", "code": "TW-TXG"}, {"name": "Tainan", "code": "TW-TNN"}, {"name": "Changhua", "code": "TW-CHA"}, {"name": "Hualien", "code": "TW-HUA"}, {"name": "Ilan", "code": "TW-ILA"}, {"name": "Miaoli", "code": "TW-MIA"}, {"name": "Nantou", "code": "TW-NAN"}, {"name": "Penghu", "code": "TW-PEN"}, {"name": "Pingtung", "code": "TW-PIF"}, {"name": "Taitung", "code": "TW-TTT"}, {"name": "Taoyuan", "code": "TW-TAO"}, {"name": "Yunlin", "code": "TW-YUN"}, {"name": "Karategin", "code": "TJ-KR"}, {"name": "Khatlon", "code": "TJ-KT"}, {"name": "Leninabad", "code": "TJ-LN"}, {"name": "Gorno-Badakhshan", "code": "TJ-GB"}, {"name": "Arusha", "code": "TZ-01"}, {"name": "Dar-es-Salaam", "code": "TZ-02"}, {"name": "Dodoma", "code": "TZ-03"}, {"name": "Iringa", "code": "TZ-04"}, {"name": "Kagera", "code": "TZ-05"}, {"name": "Kaskazini Pemba (Pemba North)", "code": "TZ-06"}, {"name": "Kaskazini Unguja (Zanzibar North)", "code": "TZ-07"}, {"name": "Kigoma", "code": "TZ-08"}, {"name": "Kilimanjaro", "code": "TZ-09"}, {"name": "Kusini Pemba (Pemba South)", "code": "TZ-10"}, {"name": "Kusini Unguja (Zanzibar South)", "code": "TZ-11"}, {"name": "Lindi", "code": "TZ-12"}, {"name": "Mara", "code": "TZ-13"}, {"name": "Mbeya", "code": "TZ-14"}, {"name": "Mjini Magharibi (Zanzibar West)", "code": "TZ-15"}, {"name": "Morogoro", "code": "TZ-16"}, {"name": "Mtwara", "code": "TZ-17"}, {"name": "Mwanza", "code": "TZ-18"}, {"name": "Pwani (Coast)", "code": "TZ-19"}, {"name": "Rukwa", "code": "TZ-20"}, {"name": "Ruvuma", "code": "TZ-21"}, {"name": "Shinyanga", "code": "TZ-22"}, {"name": "Singida", "code": "TZ-23"}, {"name": "Tabora", "code": "TZ-24"}, {"name": "Tanga", "code": "TZ-25"}, {"name": "Krung Thep Maha Nakhon [Bangkok]", "code": "TH-10"}, {"name": "Phatthaya", "code": "TH-S"}, {"name": "Amnat Charoen", "code": "TH-37"}, {"name": "Ang Thong", "code": "TH-15"}, {"name": "Buri Ram", "code": "TH-31"}, {"name": "Chachoengsao", "code": "TH-24"}, {"name": "Chai Nat", "code": "TH-18"}, {"name": "Chaiyaphum", "code": "TH-36"}, {"name": "Chanthaburi", "code": "TH-22"}, {"name": "Chiang Mai", "code": "TH-50"}, {"name": "Chiang Rai", "code": "TH-57"}, {"name": "Chon Buri", "code": "TH-20"}, {"name": "Chumphon", "code": "TH-86"}, {"name": "Kalasin", "code": "TH-46"}, {"name": "Kamphaeng Phet", "code": "TH-62"}, {"name": "Kanchanaburi", "code": "TH-71"}, {"name": "Khon Kaen", "code": "TH-40"}, {"name": "Krabi", "code": "TH-81"}, {"name": "Lampang", "code": "TH-52"}, {"name": "Lamphun", "code": "TH-51"}, {"name": "Loei", "code": "TH-42"}, {"name": "Lop Buri", "code": "TH-16"}, {"name": "Mae Hong Son", "code": "TH-58"}, {"name": "Maha Sarakham", "code": "TH-44"}, {"name": "Mukdahan", "code": "TH-49"}, {"name": "Nakhon Nayok", "code": "TH-26"}, {"name": "Nakhon Pathom", "code": "TH-73"}, {"name": "Nakhon Phanom", "code": "TH-48"}, {"name": "Nakhon Ratchasima", "code": "TH-30"}, {"name": "Nakhon Sawan", "code": "TH-60"}, {"name": "Nakhon Si Thammarat", "code": "TH-80"}, {"name": "Nan", "code": "TH-55"}, {"name": "Narathiwat", "code": "TH-96"}, {"name": "Nong Bua Lam Phu", "code": "TH-39"}, {"name": "Nong Khai", "code": "TH-43"}, {"name": "Nonthaburi", "code": "TH-12"}, {"name": "Pathum Thani", "code": "TH-13"}, {"name": "Pattani", "code": "TH-94"}, {"name": "Phangnga", "code": "TH-82"}, {"name": "Phatthalung", "code": "TH-93"}, {"name": "Phayao", "code": "TH-56"}, {"name": "Phetchabun", "code": "TH-67"}, {"name": "Phetchaburi", "code": "TH-76"}, {"name": "Phichit", "code": "TH-66"}, {"name": "Phitsanulok", "code": "TH-65"}, {"name": "Phrae", "code": "TH-54"}, {"name": "Phra Nakhon Si Ayutthaya", "code": "TH-14"}, {"name": "Phuket", "code": "TH-83"}, {"name": "Prachin Buri", "code": "TH-25"}, {"name": "Prachuap Khiri Khan", "code": "TH-77"}, {"name": "Ranong", "code": "TH-85"}, {"name": "Ratchaburi", "code": "TH-70"}, {"name": "Rayong", "code": "TH-21"}, {"name": "Roi Et", "code": "TH-45"}, {"name": "Sa Kaeo", "code": "TH-27"}, {"name": "Sakon Nakhon", "code": "TH-47"}, {"name": "Samut Prakan", "code": "TH-11"}, {"name": "Samut Sakhon", "code": "TH-74"}, {"name": "Samut Songkhram", "code": "TH-75"}, {"name": "Saraburi", "code": "TH-19"}, {"name": "Satun", "code": "TH-91"}, {"name": "Sing Buri", "code": "TH-17"}, {"name": "Si Sa Ket", "code": "TH-33"}, {"name": "Songkhla", "code": "TH-90"}, {"name": "Sukhothai", "code": "TH-64"}, {"name": "Suphan Buri", "code": "TH-72"}, {"name": "Surat Thani", "code": "TH-84"}, {"name": "Surin", "code": "TH-32"}, {"name": "Tak", "code": "TH-63"}, {"name": "Trang", "code": "TH-92"}, {"name": "Trat", "code": "TH-23"}, {"name": "Ubon Ratchathani", "code": "TH-34"}, {"name": "Udon Thani", "code": "TH-41"}, {"name": "Uthai Thani", "code": "TH-61"}, {"name": "Uttaradit", "code": "TH-53"}, {"name": "Yala", "code": "TH-95"}, {"name": "Yasothon", "code": "TH-35"}, {"name": "Centre", "code": "TG-C"}, {"name": "Kara", "code": "TG-K"}, {"name": "Maritime (Région)", "code": "TG-M"}, {"name": "Plateaux", "code": "TG-P"}, {"name": "Savannes", "code": "TG-S"}, {"name": "Tokelau", "code": "TK-TK"}, {"name": "Tonga", "code": "TO-TO"}, {"name": "Couva-Tabaquite-Talparo", "code": "TT-CTT"}, {"name": "Diego Martin", "code": "TT-DMN"}, {"name": "Eastern Tobago", "code": "TT-ETO"}, {"name": "Penal-Debe", "code": "TT-PED"}, {"name": "Princes Town", "code": "TT-PRT"}, {"name": "Rio Claro-Mayaro", "code": "TT-RCM"}, {"name": "Sangre Grande", "code": "TT-SGE"}, {"name": "San Juan-Laventille", "code": "TT-SJL"}, {"name": "Siparia", "code": "TT-SIP"}, {"name": "Tunapuna-Piarco", "code": "TT-TUP"}, {"name": "Western Tobago", "code": "TT-WTO"}, {"name": "Arima", "code": "TT-ARI"}, {"name": "Chaguanas", "code": "TT-CHA"}, {"name": "Point Fortin", "code": "TT-PTF"}, {"name": "Port of Spain", "code": "TT-POS"}, {"name": "San Fernando", "code": "TT-SFO"}, {"name": "Béja", "code": "TN-31"}, {"name": "Ben Arous", "code": "TN-13"}, {"name": "Bizerte", "code": "TN-23"}, {"name": "Gabès", "code": "TN-81"}, {"name": "Gafsa", "code": "TN-71"}, {"name": "Jendouba", "code": "TN-32"}, {"name": "Kairouan", "code": "TN-41"}, {"name": "Kasserine", "code": "TN-42"}, {"name": "Kebili", "code": "TN-73"}, {"name": "L'Ariana", "code": "TN-12"}, {"name": "Le Kef", "code": "TN-33"}, {"name": "Mahdia", "code": "TN-53"}, {"name": "Medenine", "code": "TN-82"}, {"name": "Monastir", "code": "TN-52"}, {"name": "Nabeul", "code": "TN-21"}, {"name": "Sfax", "code": "TN-61"}, {"name": "Sidi Bouzid", "code": "TN-43"}, {"name": "Siliana", "code": "TN-34"}, {"name": "Sousse", "code": "TN-51"}, {"name": "Tataouine", "code": "TN-83"}, {"name": "Tozeur", "code": "TN-72"}, {"name": "Tunis", "code": "TN-11"}, {"name": "Zaghouan", "code": "TN-22"}, {"name": "Adana", "code": "TR-01"}, {"name": "Adiyaman", "code": "TR-02"}, {"name": "Afyon", "code": "TR-03"}, {"name": "Ağrı", "code": "TR-04"}, {"name": "Aksaray", "code": "TR-68"}, {"name": "Amasya", "code": "TR-05"}, {"name": "Ankara", "code": "TR-06"}, {"name": "Antalya", "code": "TR-07"}, {"name": "Ardahan", "code": "TR-75"}, {"name": "Artvin", "code": "TR-08"}, {"name": "Aydin", "code": "TR-09"}, {"name": "Balıkesir", "code": "TR-10"}, {"name": "Bartın", "code": "TR-74"}, {"name": "Batman", "code": "TR-72"}, {"name": "Bayburt", "code": "TR-69"}, {"name": "Bilecik", "code": "TR-11"}, {"name": "Bingöl", "code": "TR-12"}, {"name": "Bitlis", "code": "TR-13"}, {"name": "Bolu", "code": "TR-14"}, {"name": "Burdur", "code": "TR-15"}, {"name": "Bursa", "code": "TR-16"}, {"name": "Çanakkale", "code": "TR-17"}, {"name": "Çankırı", "code": "TR-18"}, {"name": "Çorum", "code": "TR-19"}, {"name": "Denizli", "code": "TR-20"}, {"name": "Diyarbakır", "code": "TR-21"}, {"name": "Edirne", "code": "TR-22"}, {"name": "Elaziğ", "code": "TR-23"}, {"name": "Erzincan", "code": "TR-24"}, {"name": "Erzurum", "code": "TR-25"}, {"name": "Eskişehir", "code": "TR-26"}, {"name": "Gaziantep", "code": "TR-27"}, {"name": "Giresun", "code": "TR-28"}, {"name": "Gümüşhane", "code": "TR-29"}, {"name": "Hakkari", "code": "TR-30"}, {"name": "Hatay", "code": "TR-31"}, {"name": "Iğdir", "code": "TR-76"}, {"name": "Isparta", "code": "TR-32"}, {"name": "İçel", "code": "TR-33"}, {"name": "İstanbul", "code": "TR-34"}, {"name": "İzmir", "code": "TR-35"}, {"name": "Kahramanmaraş", "code": "TR-46"}, {"name": "Karabük", "code": "TR-78"}, {"name": "Karaman", "code": "TR-70"}, {"name": "Kars", "code": "TR-36"}, {"name": "Kastamonu", "code": "TR-37"}, {"name": "Kayseri", "code": "TR-38"}, {"name": "Kırıkkale", "code": "TR-71"}, {"name": "Kırklareli", "code": "TR-39"}, {"name": "Kırşehir", "code": "TR-40"}, {"name": "Kilis", "code": "TR-79"}, {"name": "Kocaeli", "code": "TR-41"}, {"name": "Konya", "code": "TR-42"}, {"name": "Kütahya", "code": "TR-43"}, {"name": "Malatya", "code": "TR-44"}, {"name": "Manisa", "code": "TR-4S"}, {"name": "Mardin", "code": "TR-47"}, {"name": "Muğla", "code": "TR-48"}, {"name": "Muş", "code": "TR-49"}, {"name": "Nevşehir", "code": "TR-SO"}, {"name": "Niğde", "code": "TR-51"}, {"name": "Ordu", "code": "TR-52"}, {"name": "Rize", "code": "TR-53"}, {"name": "Sakarya", "code": "TR-54"}, {"name": "Samsun", "code": "TR-SS"}, {"name": "Siirt", "code": "TR-56"}, {"name": "Sinop", "code": "TR-57"}, {"name": "Sivas", "code": "TR-S8"}, {"name": "Şanlıurfa", "code": "TR-63"}, {"name": "Şirnak", "code": "TR-73"}, {"name": "Tekirdağ", "code": "TR-59"}, {"name": "Tokat", "code": "TR-60"}, {"name": "Trabzon", "code": "TR-61"}, {"name": "Tunceli", "code": "TR-62"}, {"name": "Uşak", "code": "TR-64"}, {"name": "Van", "code": "TR-65"}, {"name": "Yalova", "code": "TR-77"}, {"name": "Yozgat", "code": "TR-66"}, {"name": "Zonguldak", "code": "TR-67"}, {"name": "Ahal", "code": "TM-A"}, {"name": "Balkan", "code": "TM-B"}, {"name": "Daşhowuz", "code": "TM-D"}, {"name": "Lebap", "code": "TM-L"}, {"name": "Mary", "code": "TM-M"}, {"name": "Turks & Caicos Islands", "code": "TC-TC"}, {"name": "Tuvalu", "code": "TV-TV"}, {"name": "Apac", "code": "UG-APA"}, {"name": "Arua", "code": "UG-ARU"}, {"name": "Bundibugyo", "code": "UG-BUN"}, {"name": "Bushenyi", "code": "UG-BUS"}, {"name": "Gulu", "code": "UG-GUL"}, {"name": "Hoima", "code": "UG-HOI"}, {"name": "Iganga", "code": "UG-IGA"}, {"name": "Jinja", "code": "UG-JIN"}, {"name": "Kabale", "code": "UG-KBL"}, {"name": "Kabarole", "code": "UG-KBR"}, {"name": "Kalangala", "code": "UG-KLG"}, {"name": "Kampala", "code": "UG-KLA"}, {"name": "Kamuli", "code": "UG-KLI"}, {"name": "Kapchorwa", "code": "UG-KAP"}, {"name": "Kasese", "code": "UG-KAS"}, {"name": "Kibaale", "code": "UG-KLE"}, {"name": "Kiboga", "code": "UG-KIB"}, {"name": "Kisoro", "code": "UG-KIS"}, {"name": "Kitgum", "code": "UG-KIT"}, {"name": "Kotido", "code": "UG-KOT"}, {"name": "Kumi", "code": "UG-KUM"}, {"name": "Lira", "code": "UG-LIR"}, {"name": "Luwero", "code": "UG-LUW"}, {"name": "Masaka", "code": "UG-MSK"}, {"name": "Masindi", "code": "UG-MSI"}, {"name": "Mbale", "code": "UG-MBL"}, {"name": "Mbarara", "code": "UG-MBR"}, {"name": "Moroto", "code": "UG-MOR"}, {"name": "Moyo", "code": "UG-MOY"}, {"name": "Mpigi", "code": "UG-MPI"}, {"name": "Mubende", "code": "UG-MUB"}, {"name": "Mukono", "code": "UG-MUK"}, {"name": "Nebbi", "code": "UG-NEB"}, {"name": "Ntungamo", "code": "UG-NTU"}, {"name": "Pallisa", "code": "UG-PAL"}, {"name": "Rakai", "code": "UG-RAK"}, {"name": "Rukungiri", "code": "UG-RUK"}, {"name": "Soroti", "code": "UG-SOR"}, {"name": "Tororo", "code": "UG-TOR"}, {"name": "Cherkas'ka Oblast'", "code": "UA-71"}, {"name": "Chernihivs'ka Oblast'", "code": "UA-74"}, {"name": "Chernivets'ka Oblast'", "code": "UA-77"}, {"name": "Dnipropetrovs'ka Oblast'", "code": "UA-12"}, {"name": "Donets'ka Oblast'", "code": "UA-14"}, {"name": "Ivano-Frankivs'ka Oblast'", "code": "UA-26"}, {"name": "Kharkivs'ka Oblast'", "code": "UA-63"}, {"name": "Khersons'ka Oblast'", "code": "UA-65"}, {"name": "Khmel'nyts'ka Oblast'", "code": "UA-68"}, {"name": "Kirovohrads'ka Oblast'", "code": "UA-35"}, {"name": "Kyïvs'ka Oblast'", "code": "UA-32"}, {"name": "Luhans'ka Oblast'", "code": "UA-09"}, {"name": "L'vivs'ka Oblast'", "code": "UA-46"}, {"name": "Mykolaïvs'ka Oblast'", "code": "UA-48"}, {"name": "Odes'ka Oblast'", "code": "UA-51"}, {"name": "Poltavs'ka Oblast'", "code": "UA-53"}, {"name": "Rivnens'ka Oblast'", "code": "UA-56"}, {"name": "Sums'ka Oblast'", "code": "UA-59"}, {"name": "Ternopil's'ka Oblast'", "code": "UA-61"}, {"name": "Vinnyts'ka Oblast'", "code": "UA-05"}, {"name": "Volyns'ka Oblast'", "code": "UA-07"}, {"name": "Zakarpats'ka Oblast'", "code": "UA-21"}, {"name": "Zaporiz'ka Oblast'", "code": "UA-23"}, {"name": "Zhytomyrs'ka Oblast'", "code": "UA-18"}, {"name": "Respublika Krym", "code": "UA-43"}, {"name": "Kyïv", "code": "UA-30"}, {"name": "Sevastopol'", "code": "UA-40"}, {"name": "Abū Zaby (Abu Dhabi)", "code": "AE-AZ"}, {"name": "‘Ajmān", "code": "AE-AJ"}, {"name": "Al Fujayrah", "code": "AE-FU"}, {"name": "Ash Shāriqah (Sharjah)", "code": "AE-SH"}, {"name": "Dubayy (Dubai)", "code": "AE-DU"}, {"name": "R'as al Khaymah", "code": "AE-RK"}, {"name": "Umm al Qaywayn", "code": "AE-UQ"}, {"name": "Artigas", "code": "UY-AR"}, {"name": "Canelones", "code": "UY-CA"}, {"name": "Cerro Largo", "code": "UY-CL"}, {"name": "Colonia", "code": "UY-CO"}, {"name": "Durazno", "code": "UY-DU"}, {"name": "Flores", "code": "UY-FS"}, {"name": "Florida", "code": "UY-FD"}, {"name": "Lavalleja", "code": "UY-LA"}, {"name": "Maldonado", "code": "UY-MA"}, {"name": "Montevideo", "code": "UY-MO"}, {"name": "Paysandú", "code": "UY-PA"}, {"name": "Río Negro", "code": "UY-RN"}, {"name": "Rivera", "code": "UY-RV"}, {"name": "Rocha", "code": "UY-RO"}, {"name": "Salto", "code": "UY-SA"}, {"name": "San José", "code": "UY-SJ"}, {"name": "Soriano", "code": "UY-SO"}, {"name": "Tacuarembó", "code": "UY-TA"}, {"name": "Treinta y Tres", "code": "UY-TT"}, {"name": "Qoraqalpoghiston Respublikasi (Karakalpakstan, Respublika)", "code": "UZ-QR"}, {"name": "Andijon (Andizhan)", "code": "UZ-AN"}, {"name": "Bukhoro (Bukhara)", "code": "UZ-BU"}, {"name": "Farghona (Fergana)", "code": "UZ-FA"}, {"name": "Jizzakh (Dzhizak)", "code": "UZ-JI"}, {"name": "Khorazm (Khorezm)", "code": "UZ-KH"}, {"name": "Namangan", "code": "UZ-NG"}, {"name": "Nawoiy (Navoi)", "code": "UZ-NW"}, {"name": "Qashqadaryo (Kashkadar'ya)", "code": "UZ-QA"}, {"name": "Samarqand (Samarkand)", "code": "UZ-SA"}, {"name": "Sirdaryo (Syrdar'ya)", "code": "UZ-SI"}, {"name": "Surkhondaryo (Surkhandar'ya)", "code": "UZ-SU"}, {"name": "Toshkent (Tashkent)", "code": "UZ-TO"}, {"name": "Malampa", "code": "VU-MAP"}, {"name": "Pénama", "code": "VU-PAM"}, {"name": "Sanma", "code": "VU-SAM"}, {"name": "Shéfa", "code": "VU-SEE"}, {"name": "Taféa", "code": "VU-TAE"}, {"name": "Torba", "code": "VU-TOB"}, {"name": "Distrito Federal", "code": "VE-A"}, {"name": "Anzoátegui", "code": "VE-B"}, {"name": "Apure", "code": "VE-C"}, {"name": "Aragua", "code": "VE-D"}, {"name": "Barinas", "code": "VE-E"}, {"name": "Bolívar", "code": "VE-F"}, {"name": "Carabobo", "code": "VE-G"}, {"name": "Cojedes", "code": "VE-H"}, {"name": "Falcón", "code": "VE-I"}, {"name": "Guárico", "code": "VE-J"}, {"name": "Lara", "code": "VE-K"}, {"name": "Mérida", "code": "VE-L"}, {"name": "Miranda", "code": "VE-M"}, {"name": "Monagas", "code": "VE-N"}, {"name": "Nueva Esparta", "code": "VE-O"}, {"name": "Portuguesa", "code": "VE-P"}, {"name": "Sucre", "code": "VE-R"}, {"name": "Táchira", "code": "VE-S"}, {"name": "Trujillo", "code": "VE-T"}, {"name": "Yaracuy", "code": "VE-U"}, {"name": "Zulia", "code": "VE-V"}, {"name": "Amazonas", "code": "VE-Z"}, {"name": "Delta Amacuro", "code": "VE-Y"}, {"name": "Dependencias Federales", "code": "VE-W"}, {"name": "An Giang", "code": "VN-44"}, {"name": "Bat Can", "code": "VN-53"}, {"name": "Bat Giang", "code": "VN-54"}, {"name": "Bat Lieu", "code": "VN-55"}, {"name": "Bat Ninh", "code": "VN-56"}, {"name": "Ba Ria - Vung Tau", "code": "VN-43"}, {"name": "Ben Tre", "code": "VN-50"}, {"name": "Binh Dinh", "code": "VN-31"}, {"name": "Binh Duong", "code": "VN-57"}, {"name": "Binh Phuoc", "code": "VN-58"}, {"name": "Binh Thuan", "code": "VN-40"}, {"name": "Ca Mau", "code": "VN-59"}, {"name": "Can Tho", "code": "VN-48"}, {"name": "Cao Bang", "code": "VN-04"}, {"name": "Dac Lac", "code": "VN-33"}, {"name": "Da Nang, thanh pho", "code": "VN-60"}, {"name": "Dong Nai", "code": "VN-39"}, {"name": "Dong Thap", "code": "VN-45"}, {"name": "Gia Lai", "code": "VN-30"}, {"name": "Ha Giang", "code": "VN-03"}, {"name": "Hai Duong", "code": "VN-61"}, {"name": "Hai Phong, thanh pho", "code": "VN-62"}, {"name": "Ha Nam", "code": "VN-63"}, {"name": "Ha Noi, thu do", "code": "VN-64"}, {"name": "Ha Tay", "code": "VN-15"}, {"name": "Ha Tinh", "code": "VN-23"}, {"name": "Hoa Binh", "code": "VN-14"}, {"name": "Ho Chi Minh, thanh po [Sai Gon]", "code": "VN-65"}, {"name": "Hung Yen", "code": "VN-66"}, {"name": "Khanh Hoa", "code": "VN-34"}, {"name": "Kien Giang", "code": "VN-47"}, {"name": "Kon Turn", "code": "VN-28"}, {"name": "Lai Chau", "code": "VN-01"}, {"name": "Lam Dong", "code": "VN-35"}, {"name": "Lang Son", "code": "VN-09"}, {"name": "Lao Cai", "code": "VN-02"}, {"name": "Long An", "code": "VN-41"}, {"name": "Nam Dinh", "code": "VN-67"}, {"name": "Nghe An", "code": "VN-22"}, {"name": "Ninh Binh", "code": "VN-18"}, {"name": "Ninh Thuan", "code": "VN-36"}, {"name": "Phu Tho", "code": "VN-68"}, {"name": "Phu Yen", "code": "VN-32"}, {"name": "Quang Ninh", "code": "VN-24"}, {"name": "Quang Nam", "code": "VN-27"}, {"name": "Quang Ngai", "code": "VN-29"}, {"name": "Quang Tri", "code": "VN-25"}, {"name": "Sec Trang", "code": "VN-52"}, {"name": "Son La", "code": "VN-05"}, {"name": "Tay Ninh", "code": "VN-37"}, {"name": "Thai Binh", "code": "VN-20"}, {"name": "Thai Nguyen", "code": "VN-69"}, {"name": "Thanh Hoa", "code": "VN-21"}, {"name": "Thua Thien-Hue", "code": "VN-26"}, {"name": "Tien Giang", "code": "VN-46"}, {"name": "Tra Vinh", "code": "VN-51"}, {"name": "Tuyen Quang", "code": "VN-07"}, {"name": "Vinh Long", "code": "VN-49"}, {"name": "Vinh Yen", "code": "VN-70"}, {"name": "Yen Bai", "code": "VN-06"}, {"name": "Virgin Islands (British)", "code": "VG-VG"}, {"name": "Virgin Islands (U.S.)", "code": "VI-VI"}, {"name": "Wallis & Futuna Islands", "code": "WF-WF"}, {"name": "Western Sahara", "code": "EH-EH"}, {"name": "Abyān", "code": "YE-AB"}, {"name": "‘Adan", "code": "YE-AD"}, {"name": "Al Bayḑā'", "code": "YE-BA"}, {"name": "Al Ḩudaydah", "code": "YE-HU"}, {"name": "Al Jawf", "code": "YE-JA"}, {"name": "Al Mahrah", "code": "YE-MR"}, {"name": "Al Maḩwit", "code": "YE-MW"}, {"name": "Dhamār", "code": "YE-DH"}, {"name": "Ḩaḑramawt", "code": "YE-HD"}, {"name": "Ḩajjah", "code": "YE-HJ"}, {"name": "Ibb", "code": "YE-IB"}, {"name": "Laḩij", "code": "YE-LA"}, {"name": "Ma'rib", "code": "YE-MA"}, {"name": "Şa'dah", "code": "YE-SD"}, {"name": "Şan‘ā'", "code": "YE-SN"}, {"name": "Shabwah", "code": "YE-SH"}, {"name": "Ta‘izz", "code": "YE-TA"}, {"name": "Crna Gora", "code": "YU-CG"}, {"name": "Srbija", "code": "YU-SR"}, {"name": "Kosovo-Metohija", "code": "YU-KM"}, {"name": "Vojvodina", "code": "YU-VO"}, {"name": "Central", "code": "ZM-02"}, {"name": "Copperbelt", "code": "ZM-08"}, {"name": "Eastern", "code": "ZM-03"}, {"name": "Luapula", "code": "ZM-04"}, {"name": "Lusaka", "code": "ZM-09"}, {"name": "Northern", "code": "ZM-05"}, {"name": "North-Western", "code": "ZM-06"}, {"name": "Southern", "code": "ZM-07"}, {"name": "Western", "code": "ZM-01"}, {"name": "Bulawayo", "code": "ZW-BU"}, {"name": "Harare", "code": "ZW-HA"}, {"name": "Manicaland", "code": "ZW-MA"}, {"name": "Mashonaland Central", "code": "ZW-MC"}, {"name": "Mashonaland East", "code": "ZW-ME"}, {"name": "Mashonaland West", "code": "ZW-MW"}, {"name": "Masvingo", "code": "ZW-MV"}, {"name": "Matabeleland North", "code": "ZW-MN"}, {"name": "Matabeleland South", "code": "ZW-MS"}, {"name": "Midlands", "code": "ZW-MI"} ];
  // const states = [{"name": "Alabama", "code": "AL"}, {"name": "Alaska", "code": "AK"}, {"name": "American Samoa", "code": "AS"}, {"name": "Arizona", "code": "AZ"}, {"name": "Arkansas", "code": "AR"}, {"name": "California", "code": "CA"}, {"name": "Colorado", "code": "CO"}, {"name": "Connecticut", "code": "CT"}, {"name": "Delaware", "code": "DE"}, {"name": "District Of Columbia", "code": "DC"}, {"name": "Federated States Of Micronesia", "code": "FM"}, {"name": "Florida", "code": "FL"}, {"name": "Georgia", "code": "GA"}, {"name": "Guam", "code": "GU"}, {"name": "Hawaii", "code": "HI"}, {"name": "Idaho", "code": "ID"}, {"name": "Illinois", "code": "IL"}, {"name": "Indiana", "code": "IN"}, {"name": "Iowa", "code": "IA"}, {"name": "Kansas", "code": "KS"}, {"name": "Kentucky", "code": "KY"}, {"name": "Louisiana", "code": "LA"}, {"name": "Maine", "code": "ME"}, {"name": "Marshall Islands", "code": "MH"}, {"name": "Maryland", "code": "MD"}, {"name": "Massachusetts", "code": "MA"}, {"name": "Michigan", "code": "MI"}, {"name": "Minnesota", "code": "MN"}, {"name": "Mississippi", "code": "MS"}, {"name": "Missouri", "code": "MO"}, {"name": "Montana", "code": "MT"}, {"name": "Nebraska", "code": "NE"}, {"name": "Nevada", "code": "NV"}, {"name": "New Hampshire", "code": "NH"}, {"name": "New Jersey", "code": "NJ"}, {"name": "New Mexico", "code": "NM"}, {"name": "New York", "code": "NY"}, {"name": "North Carolina", "code": "NC"}, {"name": "North Dakota", "code": "ND"}, {"name": "Northern Mariana Islands", "code": "MP"}, {"name": "Ohio", "code": "OH"}, {"name": "Oklahoma", "code": "OK"}, {"name": "Oregon", "code": "OR"}, {"name": "Palau", "code": "PW"}, {"name": "Pennsylvania", "code": "PA"}, {"name": "Puerto Rico", "code": "PR"}, {"name": "Rhode Island", "code": "RI"}, {"name": "South Carolina", "code": "SC"}, {"name": "South Dakota", "code": "SD"}, {"name": "Tennessee", "code": "TN"}, {"name": "Texas", "code": "TX"}, {"name": "Utah", "code": "UT"}, {"name": "Vermont", "code": "VT"}, {"name": "Virgin Islands", "code": "VI"}, {"name": "Virginia", "code": "VA"}, {"name": "Washington", "code": "WA"}, {"name": "West Virginia", "code": "WV"}, {"name": "Wisconsin", "code": "WI"}, {"name": "Wyoming", "code": "WY"}, {"name": "Badakhshān", "code": "AF-BDS"}, {"name": "Bādghīs", "code": "AF-BDG"}, {"name": "Baghlān", "code": "AF-BGL"}, {"name": "Balkh", "code": "AF-BAL"}, {"name": "Bāmīān", "code": "AF-BAM"}, {"name": "Farāh", "code": "AF-FRA"}, {"name": "Fāryāb", "code": "AF-FYB"}, {"name": "Ghaznī", "code": "AF-GHA"}, {"name": "Ghowr", "code": "AF-GHO"}, {"name": "Helmand", "code": "AF-HEL"}, {"name": "Herāt", "code": "AF-HER"}, {"name": "Jowzjān", "code": "AF-JOW"}, {"name": "Kabul (Kābol)", "code": "AF-KAB"}, {"name": "Kandahār", "code": "AF-KAN"}, {"name": "Kāpīsā", "code": "AF-KAP"}, {"name": "Konar (Kunar)", "code": "AF-KNR"}, {"name": "Kondoz (Kunduz)", "code": "AF-KDZ"}, {"name": "Laghmān", "code": "AF-LAG"}, {"name": "Lowgar", "code": "AF-LOW"}, {"name": "Nangrahār (Nangarhār)", "code": "AF-NAN"}, {"name": "Nīmrūz", "code": "AF-NIM"}, {"name": "Orūzgān (Urūzgā", "code": "AF-ORU"}, {"name": "Paktīā", "code": "AF-PIA"}, {"name": "Paktīkā", "code": "AF-PKA"}, {"name": "Parwān", "code": "AF-PAR"}, {"name": "Samangān", "code": "AF-SAM"}, {"name": "Sar-e Pol", "code": "AF-SAR"}, {"name": "Takhār", "code": "AF-TAK"}, {"name": "Wardak (Wardag)", "code": "AF-WAR"}, {"name": "Zābol (Zābul)", "code": "AF-ZAB"}, {"name": "Berat", "code": "AL-BR"}, {"name": "Bulqizë", "code": "AL-BU"}, {"name": "Delvinë", "code": "AL-DL"}, {"name": "Devoll", "code": "AL-DV"}, {"name": "Dibër", "code": "AL-DI"}, {"name": "Durrës", "code": "AL-DR"}, {"name": "Elbasan", "code": "AL-EL"}, {"name": "Fier", "code": "AL-FR"}, {"name": "Gramsh", "code": "AL-GR"}, {"name": "Gjirokastër", "code": "AL-GJ"}, {"name": "Has", "code": "AL-HA"}, {"name": "Kavajë", "code": "AL-KA"}, {"name": "Kolonjë", "code": "AL-ER"}, {"name": "Korcë", "code": "AL-KO"}, {"name": "Krujë", "code": "AL-KR"}, {"name": "Kucovë", "code": "AL-KC"}, {"name": "Kukës", "code": "AL-KU"}, {"name": "Laç", "code": "AL-LA"}, {"name": "Lezhë", "code": "AL-LE"}, {"name": "Librazhd", "code": "AL-LB"}, {"name": "Lushnjë", "code": "AL-LU"}, {"name": "Malësia e Madhe", "code": "AL-MM"}, {"name": "Mallakastër", "code": "AL-MK"}, {"name": "Mat", "code": "AL-MT"}, {"name": "Mirditë", "code": "AL-MR"}, {"name": "Peqin", "code": "AL-PQ"}, {"name": "Përmet", "code": "AL-PR"}, {"name": "Pogradec", "code": "AL-PG"}, {"name": "Pukë", "code": "AL-PU"}, {"name": "Sarandë", "code": "AL-SR"}, {"name": "Skrapar", "code": "AL-SK"}, {"name": "Shkodër", "code": "AL-SH"}, {"name": "Tepelenë", "code": "AL-TE"}, {"name": "Tiranë", "code": "AL-TR"}, {"name": "Tropojë", "code": "AL-TP"}, {"name": "Vlorë", "code": "AL-VL"}, {"name": "Adrar", "code": "DZ-01"}, {"name": "Aïn Defla", "code": "DZ-44"}, {"name": "Aïn Témouchent", "code": "DZ-46"}, {"name": "Alger", "code": "DZ-16"}, {"name": "Batna", "code": "DZ-05"}, {"name": "Béchar", "code": "DZ-08"}, {"name": "Béjaïa", "code": "DZ-06"}, {"name": "Biskra", "code": "DZ-07"}, {"name": "Blida", "code": "DZ-09"}, {"name": "Bordj Bou Arréridj", "code": "DZ-34"}, {"name": "Bouira", "code": "DZ-10"}, {"name": "Boumerdès", "code": "DZ-35"}, {"name": "Chlef", "code": "DZ-02"}, {"name": "Constantine", "code": "DZ-25"}, {"name": "Djelfa", "code": "DZ-17"}, {"name": "El Bayadh", "code": "DZ-32"}, {"name": "El Oued", "code": "DZ-39"}, {"name": "El Tarf", "code": "DZ-36"}, {"name": "Ghardaïa", "code": "DZ-47"}, {"name": "Guelma", "code": "DZ-24"}, {"name": "Illizi", "code": "DZ-33"}, {"name": "Jijel", "code": "DZ-18"}, {"name": "Khenchela", "code": "DZ-40"}, {"name": "Laghouat", "code": "DZ-03"}, {"name": "Mascara", "code": "DZ-29"}, {"name": "Médéa", "code": "DZ-26"}, {"name": "Mila", "code": "DZ-43"}, {"name": "Mostaganem", "code": "DZ-27"}, {"name": "Msila", "code": "DZ-28"}, {"name": "Naama", "code": "DZ-45"}, {"name": "Oran", "code": "DZ-31"}, {"name": "Ouargla", "code": "DZ-30"}, {"name": "Oum el Bouaghi", "code": "DZ-04"}, {"name": "Relizane", "code": "DZ-48"}, {"name": "Saïda", "code": "DZ-20"}, {"name": "Sétif", "code": "DZ-19"}, {"name": "Sidi Bel Abbès", "code": "DZ-22"}, {"name": "Skikda", "code": "DZ-21"}, {"name": "Souk Ahras", "code": "DZ-41"}, {"name": "Tamanghasset", "code": "DZ-11"}, {"name": "Tébessa", "code": "DZ-12"}, {"name": "Tiaret", "code": "DZ-14"}, {"name": "Tindouf", "code": "DZ-37"}, {"name": "Tipaza", "code": "DZ-42"}, {"name": "Tissemsilt", "code": "DZ-38"}, {"name": "Tizi Ouzou", "code": "DZ-15"}, {"name": "Tlemcen", "code": "DZ-13"}, {"name": "Andorra", "code": "AD-AD"}, {"name": "Bengo", "code": "AO-BGO"}, {"name": "Benguela", "code": "AO-BGU"}, {"name": "Bié", "code": "AO-BIE"}, {"name": "Cabinda", "code": "AO-CAB"}, {"name": "Cuando-Cubango", "code": "AO-CCU"}, {"name": "Cuanza Norte", "code": "AO-CNO"}, {"name": "Cuanza Sul", "code": "AO-CUS"}, {"name": "Cunene", "code": "AO-CNN"}, {"name": "Huambo", "code": "AO-HUA"}, {"name": "Huíla", "code": "AO-HUI"}, {"name": "Luanda", "code": "AO-LUA"}, {"name": "Lunda Norte", "code": "AO-LNO"}, {"name": "Lunda Sul", "code": "AO-LSU"}, {"name": "Malange", "code": "AO-MAL"}, {"name": "Moxico", "code": "AO-MOX"}, {"name": "Namibe", "code": "AO-NAM"}, {"name": "Uíge", "code": "AO-UIG"}, {"name": "Zaïre", "code": "AO-ZAI"}, {"name": "Anguilla", "code": "AI-AI"}, {"name": "Antarctica", "code": "AQ-AQ"}, {"name": "Antigua & Barbuda", "code": "AG-AG"}, {"name": "Capital federal", "code": "AR-C"}, {"name": "Buenos Aires", "code": "AR-B"}, {"name": "Catamarca", "code": "AR-K"}, {"name": "Córdoba", "code": "AR-X"}, {"name": "Corrientes", "code": "AR-W"}, {"name": "Chaco", "code": "AR-H"}, {"name": "Chubut", "code": "AR-U"}, {"name": "Entre Ríos", "code": "AR-E"}, {"name": "Formosa", "code": "AR-P"}, {"name": "Jujuy", "code": "AR-Y"}, {"name": "La Pampa", "code": "AR-L"}, {"name": "La Rioja", "code": "AR-F"}, {"name": "Mendoza", "code": "AR-M"}, {"name": "Misiones", "code": "AR-N"}, {"name": "Neuquén", "code": "AR-Q"}, {"name": "Río Negro", "code": "AR-R"}, {"name": "Salta", "code": "AR-A"}, {"name": "San Juan", "code": "AR-J"}, {"name": "San Luis", "code": "AR-D"}, {"name": "Santa Cruz", "code": "AR-Z"}, {"name": "Santa Fe", "code": "AR-S"}, {"name": "Santiago del Estero", "code": "AR-G"}, {"name": "Tierra del Fuego", "code": "AR-V"}, {"name": "Tucumán", "code": "AR-T"}, {"name": "Erevan", "code": "AM-ER"}, {"name": "Aragacotn", "code": "AM-AG"}, {"name": "Ararat", "code": "AM-AR"}, {"name": "Armavir", "code": "AM-AV"}, {"name": "Geģark'unik'", "code": "AM-GR"}, {"name": "Kotayk'", "code": "AM-KT"}, {"name": "Loŕy", "code": "AM-LO"}, {"name": "Širak", "code": "AM-SH"}, {"name": "Syunik'", "code": "AM-SU"}, {"name": "Tavuš", "code": "AM-TV"}, {"name": "Vayoc Jor", "code": "AM-VD"}, {"name": "Aruba", "code": "AW-AW"}, {"name": "New South Wales", "code": "AU-NSW"}, {"name": "Queensland", "code": "AU-QLD"}, {"name": "South Australia", "code": "AU-SA"}, {"name": "Tasmania", "code": "AU-TAS"}, {"name": "Victoria", "code": "AU-VIC"}, {"name": "Western Australia", "code": "AU-WA"}, {"name": "Australian Capital Territory", "code": "AU-ACT"}, {"name": "Northern Territory", "code": "AU-NT"}, {"name": "Burgenland", "code": "AT-1"}, {"name": "Kärnten", "code": "AT-2"}, {"name": "Niederösterreich", "code": "AT-3"}, {"name": "Oberösterreich", "code": "AT-4"}, {"name": "Salzburg", "code": "AT-5"}, {"name": "Steiermark", "code": "AT-6"}, {"name": "Tirol", "code": "AT-7"}, {"name": "Vorarlberg", "code": "AT-8"}, {"name": "Wien", "code": "AT-9"}, {"name": "Naxçivan", "code": "AZ-MM"}, {"name": "Äli Bayramli", "code": "AZ-AB"}, {"name": "Baki", "code": "AZ-BA"}, {"name": "Gäncä", "code": "AZ-GA"}, {"name": "Länkäran", "code": "AZ-LA"}, {"name": "Mingäçevir", "code": "AZ-MI"}, {"name": "Naftalan", "code": "AZ-NA"}, {"name": "Şäki", "code": "AZ-SA"}, {"name": "Sumqayit", "code": "AZ-SM"}, {"name": "Şuşa", "code": "AZ-SS"}, {"name": "Xankändi", "code": "AZ-XA"}, {"name": "Yevlax", "code": "AZ-YE"}, {"name": "Abşeron", "code": "AZ-ABS"}, {"name": "Ağcabädi", "code": "AZ-AGC"}, {"name": "Ağdam", "code": "AZ-AGM"}, {"name": "Ağdas", "code": "AZ-AGS"}, {"name": "Ağstafa", "code": "AZ-AGA"}, {"name": "Ağsu", "code": "AZ-AGU"}, {"name": "Astara", "code": "AZ-AST"}, {"name": "Babäk", "code": "AZ-BAB"}, {"name": "Balakän", "code": "AZ-BAL"}, {"name": "Bärdä", "code": "AZ-BAR"}, {"name": "Beyläqan", "code": "AZ-BEY"}, {"name": "Biläsuvar", "code": "AZ-BIL"}, {"name": "Cäbrayil", "code": "AZ-CAB"}, {"name": "Cälilabad", "code": "AZ-CAL"}, {"name": "Culfa", "code": "AZ-CUL"}, {"name": "Daşkäsän", "code": "AZ-DAS"}, {"name": "Däväçi", "code": "AZ-DAV"}, {"name": "Füzuli", "code": "AZ-FUZ"}, {"name": "Gädäbäy", "code": "AZ-GAD"}, {"name": "Goranboy", "code": "AZ-GOR"}, {"name": "Göyçay", "code": "AZ-GOY"}, {"name": "Haciqabul", "code": "AZ-HAC"}, {"name": "Imişli", "code": "AZ-IMI"}, {"name": "Ismayilli", "code": "AZ-ISM"}, {"name": "Kälbäcär", "code": "AZ-KAL"}, {"name": "Kürdämir", "code": "AZ-KUR"}, {"name": "Laçin", "code": "AZ-LAC"}, {"name": "Lerik", "code": "AZ-LER"}, {"name": "Masalli", "code": "AZ-MAS"}, {"name": "Neftçala", "code": "AZ-NEF"}, {"name": "Oğuz", "code": "AZ-OGU"}, {"name": "Ordubad", "code": "AZ-ORD"}, {"name": "Qäbälä", "code": "AZ-QAB"}, {"name": "Qax", "code": "AZ-QAX"}, {"name": "Qazax", "code": "AZ-QAZ"}, {"name": "Qobustan", "code": "AZ-QOB"}, {"name": "Quba", "code": "AZ-QBA"}, {"name": "Qubadlı", "code": "AZ-QBI"}, {"name": "Qusar", "code": "AZ-QUS"}, {"name": "Saatli", "code": "AZ-SAT"}, {"name": "Sabirabad", "code": "AZ-SAB"}, {"name": "Sädäräk", "code": "AZ-SAD"}, {"name": "Şahbuz", "code": "AZ-SAH"}, {"name": "Salyan", "code": "AZ-SAL"}, {"name": "Şamaxı", "code": "AZ-SMI"}, {"name": "Şämkir", "code": "AZ-SKR"}, {"name": "Samux", "code": "AZ-SMX"}, {"name": "Şärur", "code": "AZ-SAR"}, {"name": "Siyäzän", "code": "AZ-SIY"}, {"name": "Tärtär", "code": "AZ-TAR"}, {"name": "Tovuz", "code": "AZ-TOV"}, {"name": "Ucar", "code": "AZ-UCA"}, {"name": "Xaçmaz", "code": "AZ-XAC"}, {"name": "Xanlar", "code": "AZ-XAN"}, {"name": "Xizi", "code": "AZ-XIZ"}, {"name": "Xocalı", "code": "AZ-XCI"}, {"name": "Xocavänd", "code": "AZ-XVD"}, {"name": "Yardimli", "code": "AZ-YAR"}, {"name": "Zängılan", "code": "AZ-ZAN"}, {"name": "Zaqatala", "code": "AZ-ZAQ"}, {"name": "Zärdab", "code": "AZ-ZAR"}, {"name": "Acklins and Crooked Islands", "code": "BS-AC"}, {"name": "Bimini", "code": "BS-BI"}, {"name": "Cat Island", "code": "BS-CI"}, {"name": "Exuma", "code": "BS-EX"}, {"name": "Freeport", "code": "BS-FP"}, {"name": "Fresh Creek", "code": "BS-FC"}, {"name": "Governor's Harbour", "code": "BS-GH"}, {"name": "Green Turtle Cay", "code": "BS-GT"}, {"name": "Harbour Island", "code": "BS-HI"}, {"name": "High Rock", "code": "BS-HR"}, {"name": "Inagua", "code": "BS-IN"}, {"name": "Kemps Bay", "code": "BS-KB"}, {"name": "Long Island", "code": "BS-LI"}, {"name": "Marsh Harbour", "code": "BS-MH"}, {"name": "Mayaguana", "code": "BS-MG"}, {"name": "New Providence", "code": "BS-NP"}, {"name": "Nicholls Town and Berry Islands", "code": "BS-NB"}, {"name": "Ragged Island", "code": "BS-RI"}, {"name": "Rock Sound", "code": "BS-RS"}, {"name": "Sandy Point", "code": "BS-SP"}, {"name": "San Salvador and Rum Cay", "code": "BS-SR"}, {"name": "Al Ḩadd", "code": "BH-01"}, {"name": "Al Manāmah", "code": "BH-03"}, {"name": "Al Minţaqah al Gharbīyah", "code": "BH-10"}, {"name": "Al Minţaqah al Wusţa", "code": "BH-07"}, {"name": "Al Minţaqah ash Shamālīyah", "code": "BH-05"}, {"name": "Al Muḩarraq", "code": "BH-02"}, {"name": "Ar Rifā‘", "code": "BH-09"}, {"name": "Jidd Ḩafş", "code": "BH-04"}, {"name": "Madīnat Ḩamad", "code": "BH-12"}, {"name": "Madīnat ‘Īsá", "code": "BH-08"}, {"name": "Minţaqat Juzur Ḩawār", "code": "BH-11"}, {"name": "Sitrah", "code": "BH-06"}, {"name": "Barisal bibhag", "code": "BD-1"}, {"name": "Barisal anchal", "code": "BD-1B"}, {"name": "Patuakhali anchal", "code": "BD-1Q"}, {"name": "Chittagong bibhag", "code": "BD-2"}, {"name": "Bandarban anchal", "code": "BD-2A"}, {"name": "Chittagong anchal", "code": "BD-2D"}, {"name": "Chittagong Hill Tracts", "code": "BD-2E"}, {"name": "Comilla anchal", "code": "BD-2F"}, {"name": "Noakhali anchal", "code": "BD-2O"}, {"name": "Sylhet anchal", "code": "BD-2T"}, {"name": "Dhaka bibhag", "code": "BD-3"}, {"name": "Dhaka anchal", "code": "BD-3G"}, {"name": "Faridpur anchal", "code": "BD-3I"}, {"name": "Jamalpur anchal", "code": "BD-3J"}, {"name": "Mymensingh anchal", "code": "BD-3N"}, {"name": "Tangail anchal", "code": "BD-3U"}, {"name": "Khulna bibhag", "code": "BD-4"}, {"name": "Jessore anchal", "code": "BD-4K"}, {"name": "Khulna anchal", "code": "BD-4L"}, {"name": "Khustia anchal", "code": "BD-4M"}, {"name": "Rajshahi bibhag", "code": "BD-5"}, {"name": "Bogra anchal", "code": "BD-5C"}, {"name": "Dinajpur anchal", "code": "BD-5H"}, {"name": "Pabna anchal", "code": "BD-5P"}, {"name": "Rajshahi anchal", "code": "BD-5R"}, {"name": "Rangpur anchal", "code": "BD-5S"}, {"name": "Barbados", "code": "BB-BB"}, {"name": "Brestskaya voblasts'", "code": "BY-BR"}, {"name": "Homyel'skaya voblasts’", "code": "BY-HO"}, {"name": "Hrodnenskaya voblasts'", "code": "BY-HR"}, {"name": "Mahilyowskaya voblasts'", "code": "BY-MA"}, {"name": "Minskaya voblasts'", "code": "BY-MI"}, {"name": "Vitsyebskaya voblasts'", "code": "BY-VI"}, {"name": "Bruxelles-Capitale, Region de (fr), Brussels Hoofdstedelijk Gewest (nl)", "code": "BE-BRU"}, {"name": "Vlaamse Gewest (nl)", "code": "BE-VLG"}, {"name": "Antwerpen (nl)", "code": "BE-VAN"}, {"name": "Limburg (nl)", "code": "BE-VLI"}, {"name": "Oost-Vlaanderen (nl)", "code": "BE-VOV"}, {"name": "Vlaams Brabant (nl)", "code": "BE-VBR"}, {"name": "West-Vlaanderen (nl)", "code": "BE-VWV"}, {"name": "Wallonne, Region (fr)", "code": "BE-WAL"}, {"name": "Brabant Wallon (fr)", "code": "BE-WBR"}, {"name": "Hainaut (fr)", "code": "BE-WHT"}, {"name": "Liège (fr)", "code": "BE-WLG"}, {"name": "Luxembourg (fr)", "code": "BE-WLX"}, {"name": "Namur (fr)", "code": "BE-WNA"}, {"name": "Belize", "code": "BZ-BZ"}, {"name": "Cayo", "code": "BZ-CY"}, {"name": "Corozal", "code": "BZ-CZL"}, {"name": "Orange Walk", "code": "BZ-OW"}, {"name": "Stann Creek", "code": "BZ-SC"}, {"name": "Toledo", "code": "BZ-TOL"}, {"name": "Atakora", "code": "BJ-AK"}, {"name": "Atlantique", "code": "BJ-AQ"}, {"name": "Borgou", "code": "BJ-BO"}, {"name": "Mono", "code": "BJ-MO"}, {"name": "Ouémé", "code": "BJ-OU"}, {"name": "Zou", "code": "BJ-ZO"}, {"name": "Bermuda", "code": "BM-BM"}, {"name": "Bumthang", "code": "BT-33"}, {"name": "Chhukha", "code": "BT-12"}, {"name": "Dagana", "code": "BT-22"}, {"name": "Gasa", "code": "BT-GA"}, {"name": "Ha", "code": "BT-13"}, {"name": "Lhuentse", "code": "BT-44"}, {"name": "Monggar", "code": "BT-42"}, {"name": "Paro", "code": "BT-11"}, {"name": "Pemagatshel", "code": "BT-43"}, {"name": "Punakha", "code": "BT-23"}, {"name": "Samdrup Jongkha", "code": "BT-45"}, {"name": "Samtse", "code": "BT-14"}, {"name": "Sarpang", "code": "BT-31"}, {"name": "Thimphu", "code": "BT-15"}, {"name": "Trashigang", "code": "BT-41"}, {"name": "Trashi Yangtse", "code": "BT-TY"}, {"name": "Trongsa", "code": "BT-32"}, {"name": "Tsirang", "code": "BT-21"}, {"name": "Wangdue Phodrang", "code": "BT-24"}, {"name": "Zhemgang", "code": "BT-34"}, {"name": "Cochabamba", "code": "BO-C"}, {"name": "Chuquisaca", "code": "BO-H"}, {"name": "El Beni", "code": "BO-B"}, {"name": "La Paz", "code": "BO-L"}, {"name": "Oruro", "code": "BO-O"}, {"name": "Pando", "code": "BO-N"}, {"name": "Potosi", "code": "BO-P"}, {"name": "Tarija", "code": "BO-T"}, {"name": "Federacija Bosna i Hercegovina", "code": "BA-BIH"}, {"name": "Republika Srpska", "code": "BA-SRP"}, {"name": "Central [Serowe-Palapye]", "code": "BW-CE"}, {"name": "Chobe", "code": "BW-CH"}, {"name": "Ghanzi", "code": "BW-GH"}, {"name": "Kgalagadi", "code": "BW-KG"}, {"name": "Kgatleng", "code": "BW-KL"}, {"name": "Kweneng", "code": "BW-KW"}, {"name": "Ngamiland [North-West]", "code": "BW-NG"}, {"name": "North-East", "code": "BW-NE"}, {"name": "South-East", "code": "BW-SE"}, {"name": "Southern [Ngwaketse]", "code": "BW-SO"}, {"name": "Bouvet Island", "code": "BV-BV"}, {"name": "Distrito Federal", "code": "BR-DF"}, {"name": "Acre", "code": "BR-AC"}, {"name": "Alagoas", "code": "BR-AL"}, {"name": "Amapá", "code": "BR-AP"}, {"name": "Amazonas", "code": "BR-AM"}, {"name": "Bahia", "code": "BR-BA"}, {"name": "Ceará", "code": "BR-CE"}, {"name": "Espírito Santo", "code": "BR-ES"}, {"name": "Goiás", "code": "BR-GO"}, {"name": "Maranhāo", "code": "BR-MA"}, {"name": "Mato Grosso", "code": "BR-MT"}, {"name": "Mato Grosso do Sul", "code": "BR-MS"}, {"name": "Minas Gerais", "code": "BR-MG"}, {"name": "Pará", "code": "BR-PA"}, {"name": "Paraíba", "code": "BR-PB"}, {"name": "Paraná", "code": "BR-PR"}, {"name": "Pernambuco", "code": "BR-PE"}, {"name": "Piauí", "code": "BR-PI"}, {"name": "Rio de Janeiro", "code": "BR-RJ"}, {"name": "Rio Grande do Norte", "code": "BR-RN"}, {"name": "Rio Grande do Sul", "code": "BR-RS"}, {"name": "Rondônia", "code": "BR-R0"}, {"name": "Roraima", "code": "BR-RR"}, {"name": "Santa Catarina", "code": "BR-SC"}, {"name": "São Paulo", "code": "BR-SP"}, {"name": "Sergipe", "code": "BR-SE"}, {"name": "Tocantins", "code": "BR-TO"}, {"name": "British Indian Ocean Territory", "code": "IO-IO"}, {"name": "Belait", "code": "BN-BE"}, {"name": "Brunei-Muara", "code": "BN-BM"}, {"name": "Temburong", "code": "BN-TE"}, {"name": "Tutong", "code": "BN-TU"}, {"name": "Burgas", "code": "BG-02"}, {"name": "Haskovo", "code": "BG-09"}, {"name": "Loveč", "code": "BG-04"}, {"name": "Plovdiv", "code": "BG-06"}, {"name": "Ruse", "code": "BG-07"}, {"name": "Sofija", "code": "BG-08"}, {"name": "Sofija-Grad", "code": "BG-01"}, {"name": "Varna", "code": "BG-03"}, {"name": "Balé", "code": "BF-BAL"}, {"name": "Bam", "code": "BF-BAM"}, {"name": "Banwa", "code": "BF-BAN"}, {"name": "Bazèga", "code": "BF-BAZ"}, {"name": "Bougouriba", "code": "BF-BGR"}, {"name": "Boulgou", "code": "BF-BLG"}, {"name": "Boulkiemdé", "code": "BF-BLK"}, {"name": "Comoé", "code": "BF-COM"}, {"name": "Ganzourgou", "code": "BF-GAN"}, {"name": "Gnagna", "code": "BF-GNA"}, {"name": "Gourma", "code": "BF-GOU"}, {"name": "Houet", "code": "BF-HOU"}, {"name": "Ioba", "code": "BF-IOB"}, {"name": "Kadiogo", "code": "BF-KAD"}, {"name": "Kénédougou", "code": "BF-KEN"}, {"name": "Komondjari", "code": "BF-KMD"}, {"name": "Kompienga", "code": "BF-KMP"}, {"name": "Kossi", "code": "BF-KOS"}, {"name": "Koulpélogo", "code": "BF-KOP"}, {"name": "Kouritenga", "code": "BF-KOT"}, {"name": "Kourwéogo", "code": "BF-KOW"}, {"name": "Léraba", "code": "BF-LER"}, {"name": "Loroum", "code": "BF-LOR"}, {"name": "Mouhoun", "code": "BF-MOU"}, {"name": "Nahouri", "code": "BF-NAO"}, {"name": "Namentenga", "code": "BF-NAM"}, {"name": "Nayala", "code": "BF-NAY"}, {"name": "Noumbiel", "code": "BF-NOU"}, {"name": "Oubritenga", "code": "BF-OUB"}, {"name": "Oudalan", "code": "BF-OUD"}, {"name": "Passoré", "code": "BF-PAS"}, {"name": "Poni", "code": "BF-PON"}, {"name": "Sanguié", "code": "BF-SNG"}, {"name": "Sanmatenga", "code": "BF-SMT"}, {"name": "Séno", "code": "BF-SEN"}, {"name": "Sissili", "code": "BF-SIS"}, {"name": "Soum", "code": "BF-SOM"}, {"name": "Sourou", "code": "BF-SOR"}, {"name": "Tapoa", "code": "BF-TAP"}, {"name": "Tui", "code": "BF-TUI"}, {"name": "Yagha", "code": "BF-YAG"}, {"name": "Yatenga", "code": "BF-YAT"}, {"name": "Ziro", "code": "BF-ZIR"}, {"name": "Zondoma", "code": "BF-ZON"}, {"name": "Zoundwéogo", "code": "BF-ZOU"}, {"name": "Bubanza", "code": "BI-BB"}, {"name": "Bujumbura", "code": "BI-BJ"}, {"name": "Bururi", "code": "BI-BR"}, {"name": "Cankuzo", "code": "BI-CA"}, {"name": "Cibitoke", "code": "BI-CI"}, {"name": "Gitega", "code": "BI-GI"}, {"name": "Karuzi", "code": "BI-KR"}, {"name": "Kayanza", "code": "BI-KY"}, {"name": "Kirundo", "code": "BI-KI"}, {"name": "Makamba", "code": "BI-MA"}, {"name": "Muramvya", "code": "BI-MU"}, {"name": "Muyinga", "code": "BI-MY"}, {"name": "Ngozi", "code": "BI-NG"}, {"name": "Rutana", "code": "BI-RT"}, {"name": "Ruyigi", "code": "BI-RY"}, {"name": "Krong Kaeb [Krŏng Kêb]", "code": "KH-23"}, {"name": "Krong Preah Sihanouk [Krŏng Preăh Sihanouk]", "code": "KH-18"}, {"name": "Phnom Penh [Phnum Pénh]", "code": "KH-12"}, {"name": "Baat Dambang [Bătdâmbâng]", "code": "KH-2"}, {"name": "Banteay Mean Chey [Bântéay Méanchey]", "code": "KH-1"}, {"name": "Kampong Chaam [Kâmpóng Cham]", "code": "KH-3"}, {"name": "Kampong Chhnang [Kâmpóng Chhnăng]", "code": "KH-4"}, {"name": "Kampong Spueu [Kâmpóng Spœ]", "code": "KH-5"}, {"name": "Kampong Thum [Kâmpóng Thum]", "code": "KH-6"}, {"name": "Kampot [Kâmpôt]", "code": "KH-7"}, {"name": "Kandaal [Kândal]", "code": "KH-8"}, {"name": "Kracheh [Krâchéh]", "code": "KH-10"}, {"name": "Mond01 Kiri [Môndól Kiri]", "code": "KH-11"}, {"name": "Otdar Mean Chey [Ŏtdâr Méanchey]", "code": "KH-22"}, {"name": "Pousaat [Poŭthĭsăt]", "code": "KH-15"}, {"name": "Preah Vihear [Preăh Vihéar]", "code": "KH-13"}, {"name": "Prey Veaeng [Prey Vêng]", "code": "KH-14"}, {"name": "Rotanak Kiri [Rôtânôkiri]", "code": "KH-16"}, {"name": "Siem Reab [Siĕmréab]", "code": "KH-17"}, {"name": "Stueng Traeng [Stœng Trêng]", "code": "KH-19"}, {"name": "Svaay Rieng [Svay Riĕng]", "code": "KH-20"}, {"name": "Taakaev [Takêv]", "code": "KH-21"}, {"name": "Adamaoua", "code": "CM-AD"}, {"name": "Centre", "code": "CM-CE"}, {"name": "Est", "code": "CM-ES"}, {"name": "Far North", "code": "CM-EN"}, {"name": "Littoral", "code": "CM-LT"}, {"name": "North", "code": "CM-NO"}, {"name": "North-West", "code": "CM-NW"}, {"name": "South", "code": "CM-SU"}, {"name": "South-West", "code": "CM-SW"}, {"name": "West", "code": "CM-OU"}, {"name": "Alberta", "code": "CA-AB"}, {"name": "British Columbia (Colombie-Britannique)", "code": "CA-BC"}, {"name": "Manitoba", "code": "CA-MB"}, {"name": "New Brunswick (Nouveau-Brunswick)", "code": "CA-NB"}, {"name": "Newfoundland and Labrador (Terre-Neuve)", "code": "CA-NL"}, {"name": "Nova Scotia (Nouvelle-Écosse)", "code": "CA-NS"}, {"name": "Ontario", "code": "CA-ON"}, {"name": "Prince Edward Island (Île-du-Prince-Édouard)", "code": "CA-PE"}, {"name": "Quebec (Québec)", "code": "CA-QC"}, {"name": "Saskatchewan", "code": "CA-SK"}, {"name": "Northwest Territories (Territoires du Nord-Ouest)", "code": "CA-NT"}, {"name": "Nunavut", "code": "CA-NU"}, {"name": "Yukon Territory (Teritoire du Yukon)", "code": "CA-YT"}, {"name": "Ilhas de Barlavento", "code": "CV-B"}, {"name": "Boa Vista", "code": "CV-BV"}, {"name": "Paul", "code": "CV-PA"}, {"name": "Porto Novo", "code": "CV-PN"}, {"name": "Ribeira Grande", "code": "CV-RG"}, {"name": "Sal", "code": "CV-SL"}, {"name": "Sāo Nicolau", "code": "CV-SN"}, {"name": "Sāo Vicente", "code": "CV-SV"}, {"name": "Ilhas de Sotavento", "code": "CV-S"}, {"name": "Brava", "code": "CV-BR"}, {"name": "Fogo", "code": "CV-FO"}, {"name": "Maio", "code": "CV-MA"}, {"name": "Praia", "code": "CV-PR"}, {"name": "Tarrafal", "code": "CV-TA"}, {"name": "Cayman Islands", "code": "KY-KY"}, {"name": "Bangui", "code": "CF-BGF"}, {"name": "Bamingui-Bangoran", "code": "CF-BB"}, {"name": "Basse-Kotto", "code": "CF-BK"}, {"name": "Haute-Kotto", "code": "CF-HK"}, {"name": "Haut-Mbomou", "code": "CF-HM"}, {"name": "Kémo", "code": "CF-KG"}, {"name": "Lobaye", "code": "CF-LB"}, {"name": "Mambéré-Kadéï", "code": "CF-HS"}, {"name": "Mbomou", "code": "CF-MB"}, {"name": "Nana-Grébizi", "code": "CF-KB"}, {"name": "Nana-Mambéré", "code": "CF-NM"}, {"name": "Ombella-Mpoko", "code": "CF-MP"}, {"name": "Ouaka", "code": "CF-UK"}, {"name": "Ouham", "code": "CF-AC"}, {"name": "Ouham-Pendé", "code": "CF-OP"}, {"name": "Sangha-Mbaéré", "code": "CF-SE"}, {"name": "Vakaga", "code": "CF-VK"}, {"name": "Batha", "code": "TD-BA"}, {"name": "Biltine", "code": "TD-BI"}, {"name": "Borkou-Ennedi-Tibesti", "code": "TD-BET"}, {"name": "Chari-Baguirmi", "code": "TD-CB"}, {"name": "Guéra", "code": "TD-GR"}, {"name": "Kanem", "code": "TD-KA"}, {"name": "Lac", "code": "TD-LC"}, {"name": "Logone-Occidental", "code": "TD-LO"}, {"name": "Logone-Oriental", "code": "TD-LR"}, {"name": "Mayo-Kébbi", "code": "TD-MK"}, {"name": "Moyen-Chari", "code": "TD-MC"}, {"name": "Ouaddaï", "code": "TD-OD"}, {"name": "Salamat", "code": "TD-SA"}, {"name": "Tandjilé", "code": "TD-TA"}, {"name": "Aisén del General Carlos Ibáñiez del Campo", "code": "CL-AI"}, {"name": "Antofagasta", "code": "CL-AN"}, {"name": "Araucanía", "code": "CL-AR"}, {"name": "Atacama", "code": "CL-AT"}, {"name": "Bío-Bío", "code": "CL-BI"}, {"name": "Coquimbo", "code": "CL-CO"}, {"name": "Libertador General Bernardo O'Higgins", "code": "CL-LI"}, {"name": "Los Lagos", "code": "CL-LL"}, {"name": "Magallanes", "code": "CL-MA"}, {"name": "Maule", "code": "CL-ML"}, {"name": "Regíon Metropolitana de Santiago", "code": "CL-RM"}, {"name": "Tarapacá", "code": "CL-TA"}, {"name": "Valparaiso", "code": "CL-VS"}, {"name": "Beijing", "code": "CN-11"}, {"name": "Chongqing", "code": "CN-50"}, {"name": "Shanghai", "code": "CN-31"}, {"name": "Tianjin", "code": "CN-12"}, {"name": "Anhui", "code": "CN-34"}, {"name": "Fujian", "code": "CN-35"}, {"name": "Gansu", "code": "CN-62"}, {"name": "Guangdong", "code": "CN-44"}, {"name": "Guizhou", "code": "CN-52"}, {"name": "Hainan", "code": "CN-46"}, {"name": "Hebei", "code": "CN-13"}, {"name": "Heilongjiang", "code": "CN-23"}, {"name": "Henan", "code": "CN-41"}, {"name": "Hubei", "code": "CN-42"}, {"name": "Hunan", "code": "CN-43"}, {"name": "Jiangsu", "code": "CN-32"}, {"name": "Jiangxi", "code": "CN-36"}, {"name": "Jilin", "code": "CN-22"}, {"name": "Liaoning", "code": "CN-21"}, {"name": "Qinghai", "code": "CN-63"}, {"name": "Shaanxi", "code": "CN-61"}, {"name": "Shandong", "code": "CN-37"}, {"name": "Shanxi", "code": "CN-14"}, {"name": "Sichuan", "code": "CN-51"}, {"name": "Taiwan", "code": "CN-71"}, {"name": "Yunnan", "code": "CN-53"}, {"name": "Zhejiang", "code": "CN-33"}, {"name": "Guangxi", "code": "CN-45"}, {"name": "Nei Monggol", "code": "CN-15"}, {"name": "Ningxia", "code": "CN-64"}, {"name": "Xinjiang", "code": "CN-65"}, {"name": "Xizang", "code": "CN-54"}, {"name": "Hong Kong", "code": "CN-91"}, {"name": "Christmas Island", "code": "CX-CX"}, {"name": "Cocos (Keeling) Islands", "code": "CC-CC"}, {"name": "Distrito Capital de Santa Fe de Bogota", "code": "CO-DC"}, {"name": "Antioguia", "code": "CO-ANT"}, {"name": "Arauca", "code": "CO-ARA"}, {"name": "Atlántico", "code": "CO-ATL"}, {"name": "Bolívar", "code": "CO-BOL"}, {"name": "Boyacá", "code": "CO-BOY"}, {"name": "Caldas", "code": "CO-CAL"}, {"name": "Caquetá", "code": "CO-CAQ"}, {"name": "Casanare", "code": "CO-CAS"}, {"name": "Cauca", "code": "CO-CAU"}, {"name": "Cesar", "code": "CO-CES"}, {"name": "Cundinamarca", "code": "CO-CUN"}, {"name": "Chocó", "code": "CO-CHO"}, {"name": "Guainía", "code": "CO-GUA"}, {"name": "Guaviare", "code": "CO-GUV"}, {"name": "Huila", "code": "CO-HUI"}, {"name": "La Guajira", "code": "CO-LAG"}, {"name": "Magdalena", "code": "CO-MAG"}, {"name": "Meta", "code": "CO-MET"}, {"name": "Nariño", "code": "CO-NAR"}, {"name": "Norte de Santander", "code": "CO-NSA"}, {"name": "Putumayo", "code": "CO-PUT"}, {"name": "Quindío", "code": "CO-QUI"}, {"name": "Risaralda", "code": "CO-RIS"}, {"name": "San Andrés, Providencia y Santa Catalina", "code": "CO-SAP"}, {"name": "Santander", "code": "CO-SAN"}, {"name": "Sucre", "code": "CO-SUC"}, {"name": "Tolima", "code": "CO-TOL"}, {"name": "Valle del Cauca", "code": "CO-VAC"}, {"name": "Vaupés", "code": "CO-VAU"}, {"name": "Vichada", "code": "CO-VID"}, {"name": "Anjouan (Ndzouani)", "code": "KM-A"}, {"name": "Grande Comore (Ngazidja)", "code": "KM-G"}, {"name": "Mohéli (Moili)", "code": "KM-M"}, {"name": "Brazzaville", "code": "CG-BZV"}, {"name": "Bouenza", "code": "CG-11"}, {"name": "Cuvette", "code": "CG-8"}, {"name": "Cuvette-Ouest", "code": "CG-15"}, {"name": "Kouilou", "code": "CG-5"}, {"name": "Lékoumou", "code": "CG-2"}, {"name": "Likouala", "code": "CG-7"}, {"name": "Niari", "code": "CG-9"}, {"name": "Plateaux", "code": "CG-14"}, {"name": "Pool", "code": "CG-12"}, {"name": "Sangha", "code": "CG-13"}, {"name": "Kinshasa", "code": "CD-KN"}, {"name": "Bandundu", "code": "CD-BN"}, {"name": "Bas-Congo", "code": "CD-BC"}, {"name": "Équateur", "code": "CD-EQ"}, {"name": "Haut-Congo", "code": "CD-HC"}, {"name": "Kasai-Occidental", "code": "CD-KW"}, {"name": "Kasai-Oriental", "code": "CD-KE"}, {"name": "Katanga", "code": "CD-KA"}, {"name": "Maniema", "code": "CD-MA"}, {"name": "Nord-Kivu", "code": "CD-NK"}, {"name": "Sud-Kivu", "code": "CD-SK"}, {"name": "Cook Islands", "code": "CK-CK"}, {"name": "Alajuela", "code": "CR-A"}, {"name": "Cartago", "code": "CR-C"}, {"name": "Guanacaste", "code": "CR-G"}, {"name": "Heredia", "code": "CR-H"}, {"name": "Limón", "code": "CR-L"}, {"name": "Puntarenas", "code": "CR-P"}, {"name": "San José", "code": "CR-SJ"}, {"name": "18 Montagnes (Région des)", "code": "CI-06"}, {"name": "Agnébi (Région de l')", "code": "CI-16"}, {"name": "Bas-Sassandra (Région du)", "code": "CI-09"}, {"name": "Denguélé (Région du)", "code": "CI-10"}, {"name": "Haut-Sassandra (Région du)", "code": "CI-02"}, {"name": "Lacs (Région des)", "code": "CI-07"}, {"name": "Lagunes (Région des)", "code": "CI-01"}, {"name": "Marahoué (Région de la)", "code": "CI-12"}, {"name": "Moyen-Comoé (Région du)", "code": "CI-05"}, {"name": "Nzi-Comoé (Région)", "code": "CI-11"}, {"name": "Savanes (Région des)", "code": "CI-03"}, {"name": "Sud-Bandama (Région du)", "code": "CI-15"}, {"name": "Sud-Comoé (Région du)", "code": "CI-13"}, {"name": "Vallée du Bandama (Région de la)", "code": "CI-04"}, {"name": "Worodougou (Région du)", "code": "CI-14"}, {"name": "Zanzan (Région du)", "code": "CI-08"}, {"name": "Bjelovarsko-bilogorska županija", "code": "HR-07"}, {"name": "Brodsko-posavska županija", "code": "HR-12"}, {"name": "Dubrovačko-neretvanska županija", "code": "HR-19"}, {"name": "Istarska županija", "code": "HR-18"}, {"name": "Karlovačka županija", "code": "HR-04"}, {"name": "Koprivničkco-križevačka županija", "code": "HR-06"}, {"name": "Krapinsko-zagorska županija", "code": "HR-02"}, {"name": "Ličko-senjska županija", "code": "HR-09"}, {"name": "Medjimurska županija", "code": "HR-20"}, {"name": "Osječko-baranjska županija", "code": "HR-14"}, {"name": "Požeško-slavonska županija", "code": "HR-11"}, {"name": "Primorsko-goranska županija", "code": "HR-08"}, {"name": "Sisaško-moslavačka županija", "code": "HR-03"}, {"name": "Splitsko-dalmatinska županija", "code": "HR-17"}, {"name": "Šibensko-kninska županija", "code": "HR-15"}, {"name": "Varaždinska županija", "code": "HR-05"}, {"name": "Virovitičko-podravska županija", "code": "HR-10"}, {"name": "Vukovarsko-srijemska županija", "code": "HR-16"}, {"name": "Zadarska županija", "code": "HR-13"}, {"name": "Zagrebačka županija", "code": "HR-01"}, {"name": "Camagüey", "code": "CU-09"}, {"name": "Ciudad de La Habana", "code": "CU-03"}, {"name": "Granma", "code": "CU-12"}, {"name": "Guantánamo", "code": "CU-14"}, {"name": "Holguín", "code": "CU-11"}, {"name": "La Habana", "code": "CU-02"}, {"name": "Las Tunas", "code": "CU-10"}, {"name": "Matanzas", "code": "CU-04"}, {"name": "Pinar del Río", "code": "CU-01"}, {"name": "Sancti Spíritus", "code": "CU-07"}, {"name": "Santiago de Cuba", "code": "CU-13"}, {"name": "Villa Clara", "code": "CU-05"}, {"name": "Isla de la Juventud", "code": "CU-99"}, {"name": "Ammochostos (Mağusa)", "code": "CY-04"}, {"name": "Keryneia (Girne)", "code": "CY-06"}, {"name": "Larnaka", "code": "CY-03"}, {"name": "Lefkosia (Lefkoşa)", "code": "CY-01"}, {"name": "Lemesos (Leymosun)", "code": "CY-02"}, {"name": "Pafos (Baf)", "code": "CY-05"}, {"name": "Praha", "code": "CZ-PRG"}, {"name": "Jihočeský kraj", "code": "CZ-CJC"}, {"name": "Jihomoravský kraj", "code": "CZ-CJM"}, {"name": "Severočeský kraj", "code": "CZ-CSC"}, {"name": "Severomoravský kraj", "code": "CZ-CSM"}, {"name": "Středočeský kraj", "code": "CZ-CST"}, {"name": "Východočeský kraj", "code": "CZ-CVC"}, {"name": "Západočeský kraj", "code": "CZ-CZC"}, {"name": "Frederiksberg", "code": "DK-147"}, {"name": "Kǿbenhavn", "code": "DK-101"}, {"name": "Bornholm", "code": "DK-040"}, {"name": "Frederiksborg", "code": "DK-020"}, {"name": "Fyn", "code": "DK-042"}, {"name": "Nordjylland", "code": "DK-080"}, {"name": "Ribe", "code": "DK-055"}, {"name": "Ringkǿbing", "code": "DK-065"}, {"name": "Roskilde", "code": "DK-025"}, {"name": "Storstrǿm", "code": "DK-035"}, {"name": "Sǿnderjylland", "code": "DK-050"}, {"name": "Vejle", "code": "DK-060"}, {"name": "Vestsjælland", "code": "DK-030"}, {"name": "Viborg", "code": "DK-076"}, {"name": "Århus", "code": "DK-070"}, {"name": "Ali Sabieh", "code": "DJ-AS"}, {"name": "Dikhil", "code": "DJ-DI"}, {"name": "Djibouti", "code": "DJ-DJ"}, {"name": "Obock", "code": "DJ-OB"}, {"name": "Tadjoura", "code": "DJ-TA"}, {"name": "Dominica", "code": "DM-DM"}, {"name": "Distrito National (Santo Domingo)", "code": "DO-DN"}, {"name": "Azua", "code": "DO-AZ"}, {"name": "Bahoruco", "code": "DO-BR"}, {"name": "Barahona", "code": "DO-BH"}, {"name": "Dajabón", "code": "DO-DA"}, {"name": "Duarte", "code": "DO-DU"}, {"name": "El Seibo", "code": "DO-SE"}, {"name": "La Estrelleta [Elías Piña]", "code": "DO-EP"}, {"name": "Hato Mayor", "code": "DO-HM"}, {"name": "Independencia", "code": "DO-IN"}, {"name": "La Altagracia", "code": "DO-AL"}, {"name": "La Romana", "code": "DO-RO"}, {"name": "La Vega", "code": "DO-VE"}, {"name": "María Trinidad Sánchez", "code": "DO-MT"}, {"name": "Monseñor Nouel", "code": "DO-MN"}, {"name": "Monte Cristi", "code": "DO-MC"}, {"name": "Monte Plata", "code": "DO-MP"}, {"name": "Pedernales", "code": "DO-PN"}, {"name": "Peravia", "code": "DO-PR"}, {"name": "Puerto Plata", "code": "DO-PP"}, {"name": "Salcedo", "code": "DO-SC"}, {"name": "Samaná", "code": "DO-SM"}, {"name": "Sanchez Ramírez", "code": "DO-SZ"}, {"name": "San Cristóbal", "code": "DO-CR"}, {"name": "San Pedro de Macorís", "code": "DO-PM"}, {"name": "Santiago", "code": "DO-ST"}, {"name": "Santiago Rodríguez", "code": "DO-SR"}, {"name": "Valverde", "code": "DO-VA"}, {"name": "East Timor", "code": "TP-TP"}, {"name": "Azuay", "code": "EC-A"}, {"name": "Cañar", "code": "EC-F"}, {"name": "Carchi", "code": "EC-C"}, {"name": "Cotopaxi", "code": "EC-X"}, {"name": "Chimborazo", "code": "EC-H"}, {"name": "El Oro", "code": "EC-O"}, {"name": "Esmeraldas", "code": "EC-E"}, {"name": "Galápagos", "code": "EC-W"}, {"name": "Guayas", "code": "EC-G"}, {"name": "Imbabura", "code": "EC-I"}, {"name": "Loja", "code": "EC-L"}, {"name": "Los Ríos", "code": "EC-R"}, {"name": "Manabí", "code": "EC-M"}, {"name": "Morona-Santiago", "code": "EC-S"}, {"name": "Napo", "code": "EC-N"}, {"name": "Pastaza", "code": "EC-Y"}, {"name": "Pichincha", "code": "EC-P"}, {"name": "Sucumbíos", "code": "EC-U"}, {"name": "Tungurahua", "code": "EC-T"}, {"name": "Zarnora-Chinchipe", "code": "EC-Z"}, {"name": "Ad Daqahlīyah", "code": "EG-DK"}, {"name": "Al Baḩr al Aḩmar", "code": "EG-BA"}, {"name": "Al Buḩayrah", "code": "EG-BH"}, {"name": "Al Fayyūm", "code": "EG-FYM"}, {"name": "Al Gharbīyah", "code": "EG-GH"}, {"name": "Al Iskandarīyah", "code": "EG-ALX"}, {"name": "Al Ismā‘īlīyah", "code": "EG-IS"}, {"name": "Al Jīzah", "code": "EG-GZ"}, {"name": "Al Minūfīyah", "code": "EG-MNF"}, {"name": "Al Minyā", "code": "EG-MN"}, {"name": "Al Qāhirah", "code": "EG-C"}, {"name": "Al Qalyūbīyah", "code": "EG-KB"}, {"name": "Al Wādī al Jadīd", "code": "EG-WAD"}, {"name": "Ash Sharqīyah", "code": "EG-SHR"}, {"name": "As Suways", "code": "EG-SUZ"}, {"name": "Aswān", "code": "EG-ASN"}, {"name": "Asyūţ", "code": "EG-AST"}, {"name": "Banī Suwayf", "code": "EG-BNS"}, {"name": "Būr Sa‘īd", "code": "EG-PTS"}, {"name": "Dumyāţ", "code": "EG-DT"}, {"name": "Janūb Sīnā'", "code": "EG-JS"}, {"name": "Kafr ash Shaykh", "code": "EG-KFS"}, {"name": "Maţrūḩ", "code": "EG-MT"}, {"name": "Qinā", "code": "EG-KN"}, {"name": "Shamāl Sīnā'", "code": "EG-SIN"}, {"name": "Sūhāj", "code": "EG-SHG"}, {"name": "Ahuachapán", "code": "SV-AH"}, {"name": "Cabañas", "code": "SV-CA"}, {"name": "Cuscatlán", "code": "SV-CU"}, {"name": "Chalatenango", "code": "SV-CH"}, {"name": "La Libertad", "code": "SV-LI"}, {"name": "La Unión", "code": "SV-UN"}, {"name": "Morazán", "code": "SV-MO"}, {"name": "San Miguel", "code": "SV-SM"}, {"name": "San Salvador", "code": "SV-SS"}, {"name": "Santa Ana", "code": "SV-SA"}, {"name": "San Vicente", "code": "SV-SV"}, {"name": "Sonsonate", "code": "SV-SO"}, {"name": "Usulután", "code": "SV-SU"}, {"name": "Región Continental", "code": "GQ-C"}, {"name": "Centro Sur", "code": "GQ-CS"}, {"name": "Kie-Ntem", "code": "GQ-KN"}, {"name": "Litoral", "code": "GQ-LI"}, {"name": "Wele-Nzás", "code": "GQ-WN"}, {"name": "Región Insular", "code": "GQ-I"}, {"name": "Annobón", "code": "GQ-AN"}, {"name": "Bioko Norte", "code": "GQ-BN"}, {"name": "Bioko Sur", "code": "GQ-BS"}, {"name": "Akele Guzai [Akalä Guzay]", "code": "ER-AG"}, {"name": "Asmara [Asmära]", "code": "ER-AS"}, {"name": "Barka", "code": "ER-BA"}, {"name": "Denkalia [Dänkali]", "code": "ER-DE"}, {"name": "Gash-Setit [Gaš enna Sätit]", "code": "ER-GS"}, {"name": "Hamasien [Hamasén]", "code": "ER-HA"}, {"name": "Sahel", "code": "ER-SA"}, {"name": "Semhar [Sämhar]", "code": "ER-SM"}, {"name": "Senhit [Sänhet]", "code": "ER-SN"}, {"name": "Seraye [Särayé]", "code": "ER-SR"}, {"name": "Harjumaa", "code": "EE-37"}, {"name": "Hiiumaa", "code": "EE-39"}, {"name": "Ida-Virumaa", "code": "EE-44"}, {"name": "Jōgevamaa", "code": "EE-49"}, {"name": "Järvamaa", "code": "EE-51"}, {"name": "Läänemaa", "code": "EE-57"}, {"name": "Lääne-Virumaa", "code": "EE-59"}, {"name": "Pōlvamaa", "code": "EE-65"}, {"name": "Pärnumaa", "code": "EE-67"}, {"name": "Raplamaa", "code": "EE-70"}, {"name": "Saaremaa", "code": "EE-74"}, {"name": "Tartumaa", "code": "EE-78"}, {"name": "Valgamaa", "code": "EE-82"}, {"name": "Viljandimaa", "code": "EE-84"}, {"name": "Vōrumaa", "code": "EE-86"}, {"name": "Addis Ababa [Addis Abeba]", "code": "ET-AA"}, {"name": "Afar", "code": "ET-AF"}, {"name": "Amara [Amhara]", "code": "ET-AM"}, {"name": "Benshangul-Gumaz [Bénishangul]", "code": "ET-BE"}, {"name": "Gambela Peoples [Gambéla]", "code": "ET-GA"}, {"name": "Harari People [Harer]", "code": "ET-HA"}, {"name": "Oromia [Oromo]", "code": "ET-OR"}, {"name": "Somali", "code": "ET-SO"}, {"name": "Southern Nations, Nationalities and Peoples", "code": "ET-SN"}, {"name": "Tigrai [Tegré]", "code": "ET-TI"}, {"name": "Falkland Islands (Malvinas)", "code": "FK-FK"}, {"name": "Faroe Islands", "code": "FO-FO"}, {"name": "Central", "code": "FJ-C"}, {"name": "Eastern", "code": "FJ-E"}, {"name": "Northern", "code": "FJ-N"}, {"name": "Western", "code": "FJ-W"}, {"name": "Rotuma", "code": "FJ-R"}, {"name": "Ahvenanmaan lääni", "code": "FI-AL"}, {"name": "Etelä-Suomen lääni", "code": "FI-ES"}, {"name": "Itä-Suomen lääni", "code": "FI-IS"}, {"name": "Lapin lääni", "code": "FI-LL"}, {"name": "Länsi-Suomen lääni", "code": "FI-LS"}, {"name": "Oulun lääni", "code": "FI-OL"}, {"name": "Alsace", "code": "FR-A"}, {"name": "Bas-Rhin", "code": "FR-67"}, {"name": "Haut-Rhin", "code": "FR-68"}, {"name": "Aquitaine", "code": "FR-B"}, {"name": "Deux-Sèvres", "code": "FR-79"}, {"name": "Dordogne", "code": "FR-24"}, {"name": "Gironde", "code": "FR-33"}, {"name": "Landes", "code": "FR-40"}, {"name": "Lot-et-Garonne", "code": "FR-47"}, {"name": "Pyrénées-Atlantiques", "code": "FR-64"}, {"name": "Auvergne", "code": "FR-C"}, {"name": "Allier", "code": "FR-03"}, {"name": "Cantal", "code": "FR-15"}, {"name": "Haute-Loire", "code": "FR-43"}, {"name": "Puy-de-Dôme", "code": "FR-63"}, {"name": "Basse-Normandie", "code": "FR-P"}, {"name": "Calvados", "code": "FR-14"}, {"name": "Manche", "code": "FR-50"}, {"name": "Orne", "code": "FR-61"}, {"name": "Bourgogne", "code": "FR-D"}, {"name": "Côte-d'Or", "code": "FR-21"}, {"name": "Nièvre", "code": "FR-58"}, {"name": "Saône-et-Loire", "code": "FR-71"}, {"name": "Yonne", "code": "FR-89"}, {"name": "Bretagne", "code": "FR-E"}, {"name": "Cotes-d'Armor", "code": "FR-22"}, {"name": "Finistère", "code": "FR-29"}, {"name": "Ille-et-Vilaine", "code": "FR-35"}, {"name": "Morbihan", "code": "FR-56"}, {"name": "Cher", "code": "FR-18"}, {"name": "Eure-et-Loir", "code": "FR-28"}, {"name": "Indre", "code": "FR-36"}, {"name": "Indre-et-Loire", "code": "FR-37"}, {"name": "Loir-et-Cher", "code": "FR-41"}, {"name": "Loiret", "code": "FR-45"}, {"name": "Champagne-Ardenne", "code": "FR-G"}, {"name": "Ardennes", "code": "FR-08"}, {"name": "Aube", "code": "FR-10"}, {"name": "Haute-Marne", "code": "FR-52"}, {"name": "Marne", "code": "FR-51"}, {"name": "Corse", "code": "FR-H"}, {"name": "Corse-du-Sud", "code": "FR-2A"}, {"name": "Haute-Corse", "code": "FR-2B"}, {"name": "Franche-Comté", "code": "FR-I"}, {"name": "Doubs", "code": "FR-25"}, {"name": "Haute-Saône", "code": "FR-70"}, {"name": "Jura", "code": "FR-39"}, {"name": "Territoire de Belfort", "code": "FR-90"}, {"name": "Haute-Normandie", "code": "FR-Q"}, {"name": "Eure", "code": "FR-27"}, {"name": "Seine-Maritime", "code": "FR-76"}, {"name": "Île-de-France", "code": "FR-J"}, {"name": "Essonne", "code": "FR-91"}, {"name": "Hauts-de-Seine", "code": "FR-92"}, {"name": "Paris", "code": "FR-75"}, {"name": "Seine-et-Marne", "code": "FR-77"}, {"name": "Seine-Saint-Denis", "code": "FR-93"}, {"name": "Val-de-Marne", "code": "FR-94"}, {"name": "Val-d'Oise", "code": "FR-95"}, {"name": "Yvelines", "code": "FR-78"}, {"name": "Languedoc-Roussillon", "code": "FR-K"}, {"name": "Aude", "code": "FR-11"}, {"name": "Gard", "code": "FR-30"}, {"name": "Hérault", "code": "FR-34"}, {"name": "Lozère", "code": "FR-48"}, {"name": "Pyrénées-Orientales", "code": "FR-66"}, {"name": "Limousin", "code": "FR-L"}, {"name": "Corrèze", "code": "FR-19"}, {"name": "Creuse", "code": "FR-23"}, {"name": "Haute-Vienne", "code": "FR-87"}, {"name": "Lorraine", "code": "FR-M"}, {"name": "Meurthe-et-Moselle", "code": "FR-54"}, {"name": "Meuse", "code": "FR-55"}, {"name": "Moselle", "code": "FR-57"}, {"name": "Vosges", "code": "FR-88"}, {"name": "Midi-Pyrénées", "code": "FR-N"}, {"name": "Ariège", "code": "FR-09"}, {"name": "Aveyron", "code": "FR-12"}, {"name": "Gers", "code": "FR-32"}, {"name": "Haute-Garonne", "code": "FR-31"}, {"name": "Hautes-Pyrénées", "code": "FR-65"}, {"name": "Lot", "code": "FR-46"}, {"name": "Tarn", "code": "FR-81"}, {"name": "Tarn-et-Garonne", "code": "FR-82"}, {"name": "Nord-Pas-de-Calais", "code": "FR-O"}, {"name": "Nord", "code": "FR-59"}, {"name": "Pas-de-Calais", "code": "FR-62"}, {"name": "Pays de la Loire", "code": "FR-R"}, {"name": "Loire-Atlantique", "code": "FR-44"}, {"name": "Maine-et-Loire", "code": "FR-49"}, {"name": "Mayenne", "code": "FR-53"}, {"name": "Sarthe", "code": "FR-72"}, {"name": "Vendée", "code": "FR-85"}, {"name": "Picardie", "code": "FR-S"}, {"name": "Aisne", "code": "FR-02"}, {"name": "Oise", "code": "FR-60"}, {"name": "Somme", "code": "FR-80"}, {"name": "Poitou-Charentes", "code": "FR-T"}, {"name": "Charente", "code": "FR-16"}, {"name": "Charente-Maritime", "code": "FR-17"}, {"name": "Vienne", "code": "FR-86"}, {"name": "Provence-Alpes-Côte d'Azur", "code": "FR-U"}, {"name": "Alpes-de-Haute-Provence", "code": "FR-04"}, {"name": "Alpes-Maritimes", "code": "FR-06"}, {"name": "Bauches-du-Rhône", "code": "FR-13"}, {"name": "Hautes-Alpes", "code": "FR-05"}, {"name": "Var", "code": "FR-83"}, {"name": "Vaucluse", "code": "FR-84"}, {"name": "Rhône-Alpes", "code": "FR-V"}, {"name": "Ain", "code": "FR-01"}, {"name": "Ardèche", "code": "FR-07"}, {"name": "Drôme", "code": "FR-26"}, {"name": "Haute-Savoie", "code": "FR-74"}, {"name": "Isère", "code": "FR-38"}, {"name": "Loire", "code": "FR-42"}, {"name": "Rhône", "code": "FR-69"}, {"name": "Savoie", "code": "FR-73"}, {"name": "Guadeloupe", "code": "FR-GP"}, {"name": "Guyane (francaise)", "code": "FR-GF"}, {"name": "Martinique", "code": "FR-MQ"}, {"name": "Réunion", "code": "FR-RE"}, {"name": "Mayotte", "code": "FR-YT"}, {"name": "Saint-Pierre-et-Miquelon", "code": "FR-PM"}, {"name": "Nouvelle-Calédonie", "code": "FR-NC"}, {"name": "Polynésie française", "code": "FR-PF"}, {"name": "Terres Australes", "code": "FR-TF"}, {"name": "Wallis et Futuna", "code": "FR-WF"}, {"name": "French Guiana", "code": "GF-GF"}, {"name": "French Polynesia", "code": "PF-PF"}, {"name": "French Southern Territories", "code": "TF-TF"}, {"name": "Estuaire", "code": "GA-1"}, {"name": "Haut-Ogooué", "code": "GA-2"}, {"name": "Moyen-Ogooué", "code": "GA-3"}, {"name": "Ngounié", "code": "GA-4"}, {"name": "Nyanga", "code": "GA-5"}, {"name": "Ogooué-Ivindo", "code": "GA-6"}, {"name": "Ogooué-Lolo", "code": "GA-7"}, {"name": "Ogooué-Maritime", "code": "GA-8"}, {"name": "Woleu-Ntem", "code": "GA-9"}, {"name": "Banjul", "code": "GM-B"}, {"name": "Lower River", "code": "GM-L"}, {"name": "MacCarthy Island", "code": "GM-M"}, {"name": "North Bank", "code": "GM-N"}, {"name": "Upper River", "code": "GM-U"}, {"name": "Ap'khazet'is Avtonomiuri Respublika [Abkhazia]", "code": "GE-AB"}, {"name": "Acharis Avtonomiuri Respublika [Ajaria]", "code": "GE-AJ"}, {"name": "Bat'umi", "code": "GE-BUS"}, {"name": "Chiat'ura", "code": "GE-CHI"}, {"name": "Gagra", "code": "GE-GAG"}, {"name": "Gori", "code": "GE-GOR"}, {"name": "K'ut'aisi", "code": "GE-KUT"}, {"name": "P'ot'i", "code": "GE-PTI"}, {"name": "Rust'avi", "code": "GE-RUS"}, {"name": "Sokhumi", "code": "GE-SUI"}, {"name": "T'bilisi", "code": "GE-TBS"}, {"name": "Tqibuli", "code": "GE-TQI"}, {"name": "Tqvarch'eli", "code": "GE-TQV"}, {"name": "Tsqalmbo", "code": "GE-TSQ"}, {"name": "Zugdidi", "code": "GE-ZUG"}, {"name": "Abashis Raioni", "code": "GE-01"}, {"name": "Adigenis Raioni", "code": "GE-02"}, {"name": "Akhalgoris Raioni", "code": "GE-03"}, {"name": "Akhalk'alak'is Raioni", "code": "GE-04"}, {"name": "Akhalts'ikhis Raioni", "code": "GE-05"}, {"name": "Akhmetis Raioni", "code": "GE-06"}, {"name": "Ambrolauris Raioni", "code": "GE-07"}, {"name": "Aspindzis Raioni", "code": "GE-08"}, {"name": "Baghdat'is Raioni", "code": "GE-09"}, {"name": "Bolnisis Raioni", "code": "GE-10"}, {"name": "Borjomis Raioni", "code": "GE-11"}, {"name": "Ch'khorotsqus Raioni", "code": "GE-12"}, {"name": "Ch'okhatauris Raioni", "code": "GE-13"}, {"name": "Dedop'listsqaros Raioni", "code": "GE-14"}, {"name": "Dmanisis Raioni", "code": "GE-15"}, {"name": "Dushet'is Raioni", "code": "GE-16"}, {"name": "Galis Raioni", "code": "GE-17"}, {"name": "Gardabnis Raioni", "code": "GE-18"}, {"name": "Goris Raioni", "code": "GE-19"}, {"name": "Gudaut'is Raioni", "code": "GE-20"}, {"name": "Gulrip'shis Raioni", "code": "GE-21"}, {"name": "Gurjaanis Raioni", "code": "GE-22"}, {"name": "Javis Raioni", "code": "GE-23"}, {"name": "K'arelis Raioni", "code": "GE-24"}, {"name": "Kaspis Raioni", "code": "GE-25"}, {"name": "K'edis Raioni", "code": "GE-26"}, {"name": "Kharagaulis Raioni", "code": "GE-27"}, {"name": "Khashuris Raioni", "code": "GE-28"}, {"name": "Khelvach'auris Raioni", "code": "GE-29"}, {"name": "Khobis Raioni", "code": "GE-30"}, {"name": "Khonis Raioni", "code": "GE-31"}, {"name": "Khulos Raioni", "code": "GE-32"}, {"name": "K'obuletis Raioni", "code": "GE-33"}, {"name": "Lagodekhis Raioni", "code": "GE-34"}, {"name": "Lanch'khut'is Raioni", "code": "GE-35"}, {"name": "Lentekhis Raioni", "code": "GE-36"}, {"name": "Marneulis Raioni", "code": "GE-37"}, {"name": "Martvilis Raioni", "code": "GE-38"}, {"name": "Mestiis Raioni", "code": "GE-39"}, {"name": "Mts'khet'is Raioni", "code": "GE-40"}, {"name": "Ninotsmindis Raioni", "code": "GE-41"}, {"name": "Och'amch'iris Raioni", "code": "GE-42"}, {"name": "Onis Raioni", "code": "GE-43"}, {"name": "Ozurget'is Raioni", "code": "GE-44"}, {"name": "Qazbegis Raioni", "code": "GE-45"}, {"name": "Qvarlis Raioni", "code": "GE-46"}, {"name": "Sach'kheris Raioni", "code": "GE-47"}, {"name": "Sagarejos Raioni", "code": "GE-48"}, {"name": "Samtrediis Raioni", "code": "GE-49"}, {"name": "Senakis Raioni", "code": "GE-50"}, {"name": "Shuakhevis Raioni", "code": "GE-51"}, {"name": "Sighnaghis Raioni", "code": "GE-52"}, {"name": "Sokhumis Raioni", "code": "GE-53"}, {"name": "T'elavis Raioni", "code": "GE-54"}, {"name": "T'erjolis Raioni", "code": "GE-55"}, {"name": "T'et'ritsqaros Raioni", "code": "GE-56"}, {"name": "T'ianet'is Raioni", "code": "GE-57"}, {"name": "Ts'ageris Raioni", "code": "GE-58"}, {"name": "Tsalenjikhis Raioni", "code": "GE-59"}, {"name": "Tsalkis Raioni", "code": "GE-60"}, {"name": "Vanis Raioni", "code": "GE-61"}, {"name": "Zestap'onis Raioni", "code": "GE-62"}, {"name": "Zugdidis Raioni", "code": "GE-63"}, {"name": "Baden-Württemberg", "code": "DE-BW"}, {"name": "Bayern", "code": "DE-BY"}, {"name": "Berlin", "code": "DE-BE"}, {"name": "Brandenburg", "code": "DE-BB"}, {"name": "Bremen", "code": "DE-HB"}, {"name": "Hamburg", "code": "DE-HH"}, {"name": "Hessen", "code": "DE-HE"}, {"name": "Mecklenburg-Vorpommern", "code": "DE-MV"}, {"name": "Niedersachsen", "code": "DE-NI"}, {"name": "Nordrhein-Westfalen", "code": "DE-NW"}, {"name": "Rheinland-Pfalz", "code": "DE-RP"}, {"name": "Saarland", "code": "DE-SL"}, {"name": "Sachsen", "code": "DE-SN"}, {"name": "Sachsen-Anhalt", "code": "DE-ST"}, {"name": "Schleswig-Holstein", "code": "DE-SH"}, {"name": "Thüringen", "code": "DE-TH"}, {"name": "Ashanti", "code": "GH-AH"}, {"name": "Brong-Ahafo", "code": "GH-BA"}, {"name": "Greater Accra", "code": "GH-AA"}, {"name": "Upper East", "code": "GH-UE"}, {"name": "Upper West", "code": "GH-UW"}, {"name": "Volta", "code": "GH-TV"}, {"name": "Gibraltar", "code": "GI-GI"}, {"name": "Channel Islands", "code": "GB-CHA"}, {"name": "Guernsey [Guernesey]", "code": "GB-GSY"}, {"name": "Jersey", "code": "GB-JSY"}, {"name": "England", "code": "GB-ENG"}, {"name": "Barking and Dagenham", "code": "GB-BDG"}, {"name": "Barnet", "code": "GB-BNE"}, {"name": "Barnsley", "code": "GB-BNS"}, {"name": "Bath and North East Somerset", "code": "GB-BAS"}, {"name": "Bedfordshire", "code": "GB-BDF"}, {"name": "Bexley", "code": "GB-BEX"}, {"name": "Birmingham (City of)", "code": "GB-BIR"}, {"name": "Blackburn with Darwen", "code": "GB-BBD"}, {"name": "Blackpool", "code": "GB-BPL"}, {"name": "Bolton", "code": "GB-BOL"}, {"name": "Bournemouth", "code": "GB-BMH"}, {"name": "Bracknell Forest", "code": "GB-BRC"}, {"name": "Bradford (City of)", "code": "GB-BRD"}, {"name": "Brent", "code": "GB-BEN"}, {"name": "Brighton and Hove", "code": "GB-BNH"}, {"name": "Bristol, City of", "code": "GB-BST"}, {"name": "Bromley", "code": "GB-BRY"}, {"name": "Buckinghamshire", "code": "GB-BKM"}, {"name": "Bury", "code": "GB-BUR"}, {"name": "Calderdale", "code": "GB-CLD"}, {"name": "Cambridgeshire", "code": "GB-CAM"}, {"name": "Camden", "code": "GB-CMD"}, {"name": "Cheshire", "code": "GB-CHS"}, {"name": "Cornwall", "code": "GB-CON"}, {"name": "Coventry (City of)", "code": "GB-COV"}, {"name": "Croydon", "code": "GB-CRY"}, {"name": "Cumbria", "code": "GB-CMA"}, {"name": "Darlington", "code": "GB-DAL"}, {"name": "Derby (City of)", "code": "GB-DER"}, {"name": "Derbyshire", "code": "GB-DBY"}, {"name": "Devon", "code": "GB-DEV"}, {"name": "Doncaster", "code": "GB-DNC"}, {"name": "Dorset", "code": "GB-DOR"}, {"name": "Dudley", "code": "GB-DUD"}, {"name": "Durharn", "code": "GB-DUR"}, {"name": "Ealing", "code": "GB-EAL"}, {"name": "East Riding of Yorkshire", "code": "GB-ERY"}, {"name": "East Sussex", "code": "GB-ESX"}, {"name": "Enfield", "code": "GB-ENF"}, {"name": "Essex", "code": "GB-ESS"}, {"name": "Gateshead", "code": "GB-GAT"}, {"name": "Gloucestershire", "code": "GB-GLS"}, {"name": "Greenwich", "code": "GB-GRE"}, {"name": "Hackney", "code": "GB-HCK"}, {"name": "Haiton", "code": "GB-HAL"}, {"name": "Hammersmith and Fulham", "code": "GB-HMF"}, {"name": "Hampshire", "code": "GB-HAM"}, {"name": "Haringey", "code": "GB-HRY"}, {"name": "Harrow", "code": "GB-HRW"}, {"name": "Hartlepool", "code": "GB-HPL"}, {"name": "Havering", "code": "GB-HAV"}, {"name": "Herefordshire, County of", "code": "GB-HEF"}, {"name": "Hertfordshire", "code": "GB-HRT"}, {"name": "Hillingdon", "code": "GB-HIL"}, {"name": "Hounslow", "code": "GB-HNS"}, {"name": "Isle of Wight", "code": "GB-IOW"}, {"name": "Isles of Scilly", "code": "GB-IOS"}, {"name": "Islington", "code": "GB-ISL"}, {"name": "Kensington and Chelsea", "code": "GB-KEC"}, {"name": "Kent", "code": "GB-KEN"}, {"name": "Kingston upon Hull, City of", "code": "GB-KHL"}, {"name": "Kingston upon Thames", "code": "GB-KTT"}, {"name": "Kirklees", "code": "GB-KIR"}, {"name": "Knowsley", "code": "GB-KWL"}, {"name": "Lambeth", "code": "GB-LBH"}, {"name": "Lancashire", "code": "GB-LAN"}, {"name": "Leeds (City of)", "code": "GB-LDS"}, {"name": "Leitester (City of)", "code": "GB-LCE"}, {"name": "Leicestershire", "code": "GB-LEC"}, {"name": "Lewisham", "code": "GB-LEW"}, {"name": "Lincolnshire", "code": "GB-LIN"}, {"name": "Liverpool (City of)", "code": "GB-LIV"}, {"name": "London, City of", "code": "GB-LND"}, {"name": "Luton", "code": "GB-LUT"}, {"name": "Manchester (City of)", "code": "GB-MAN"}, {"name": "Medway", "code": "GB-MDW"}, {"name": "Merton", "code": "GB-MRT"}, {"name": "Middlesbrough", "code": "GB-MDB"}, {"name": "Milton Keynes", "code": "GB-MIK"}, {"name": "Newcastle upon Tyne (City of)", "code": "GB-NET"}, {"name": "Newham", "code": "GB-NWM"}, {"name": "Norfolk", "code": "GB-NFK"}, {"name": "North East Lincolnshire", "code": "GB-NEL"}, {"name": "North Lincolnshire", "code": "GB-NLN"}, {"name": "North Somerset", "code": "GB-NSM"}, {"name": "North Tyneside", "code": "GB-NTY"}, {"name": "North Yorkshire", "code": "GB-NYK"}, {"name": "Northamptonshire", "code": "GB-NTH"}, {"name": "Northumberland", "code": "GB-NBL"}, {"name": "Nottingham (City of)", "code": "GB-NGM"}, {"name": "Nottinghamshire", "code": "GB-NTT"}, {"name": "Oldham", "code": "GB-OLD"}, {"name": "Oxfordshire", "code": "GB-OXF"}, {"name": "Peterborough", "code": "GB-PTE"}, {"name": "Plymouth (City of)", "code": "GB-PLY"}, {"name": "Poole", "code": "GB-POL"}, {"name": "Portsmouth (City of)", "code": "GB-POR"}, {"name": "Reading", "code": "GB-RDG"}, {"name": "Redbridge", "code": "GB-RDB"}, {"name": "Redcar and Cleveland", "code": "GB-RCC"}, {"name": "Richmond upon Thames", "code": "GB-RIC"}, {"name": "Rochdale", "code": "GB-RCH"}, {"name": "Rotherharn", "code": "GB-ROT"}, {"name": "Rutland", "code": "GB-RUT"}, {"name": "St. Helens", "code": "GB-SHN"}, {"name": "Salford (City of)", "code": "GB-SLF"}, {"name": "Sandweil", "code": "GB-SAW"}, {"name": "Sefton", "code": "GB-SFT"}, {"name": "Sheffield (City of)", "code": "GB-SHF"}, {"name": "Shropshire", "code": "GB-SHR"}, {"name": "Slough", "code": "GB-SLG"}, {"name": "Solihull", "code": "GB-SOL"}, {"name": "Somerset", "code": "GB-SOM"}, {"name": "South Gloucestershire", "code": "GB-SGC"}, {"name": "South Tyneside", "code": "GB-STY"}, {"name": "Southampton (City of)", "code": "GB-STH"}, {"name": "Southend-on-Sea", "code": "GB-SOS"}, {"name": "Southwark", "code": "GB-SWK"}, {"name": "Staffordshire", "code": "GB-STS"}, {"name": "Stockport", "code": "GB-SKP"}, {"name": "Stockton-On-Tees", "code": "GB-STT"}, {"name": "Stoke-on-Trent (City of)", "code": "GB-STE"}, {"name": "Suffolk", "code": "GB-SFK"}, {"name": "Sunderland (City of)", "code": "GB-SND"}, {"name": "Surrey", "code": "GB-SRY"}, {"name": "Sutton", "code": "GB-STN"}, {"name": "Swindon", "code": "GB-SWD"}, {"name": "Tameside", "code": "GB-TAM"}, {"name": "Telford and Wrekin", "code": "GB-TFW"}, {"name": "Thurrock", "code": "GB-THR"}, {"name": "Torbay", "code": "GB-TOB"}, {"name": "Tower Hamlets", "code": "GB-TWH"}, {"name": "Trafford", "code": "GB-TRF"}, {"name": "Wakefield (City of)", "code": "GB-WKF"}, {"name": "Walsall", "code": "GB-WLL"}, {"name": "Waltham Forest", "code": "GB-WFT"}, {"name": "Wandsworth", "code": "GB-WND"}, {"name": "Warrington", "code": "GB-WRT"}, {"name": "Warwickshire", "code": "GB-WAR"}, {"name": "West Berkshire", "code": "GB-WBK"}, {"name": "West Sussex", "code": "GB-WSX"}, {"name": "Westminster (City of)", "code": "GB-WSM"}, {"name": "Wigan", "code": "GB-WGN"}, {"name": "Wiltshire", "code": "GB-WIL"}, {"name": "Windsor and Maidenhead", "code": "GB-WNM"}, {"name": "Wirral", "code": "GB-WRL"}, {"name": "Wokingham", "code": "GB-WOK"}, {"name": "Wolverhampton", "code": "GB-WLV"}, {"name": "Worcestershire", "code": "GB-WOR"}, {"name": "York (City of)", "code": "GB-YOR"}, {"name": "Isle of Man", "code": "GB-IOM"}, {"name": "Northern Ireland", "code": "GB-NIR"}, {"name": "Antrim", "code": "GB-ANT"}, {"name": "Ards", "code": "GB-ARD"}, {"name": "Armagh", "code": "GB-ARM"}, {"name": "Ballymena", "code": "GB-BLA"}, {"name": "Ballymoney", "code": "GB-BLY"}, {"name": "Banbridge", "code": "GB-BNB"}, {"name": "Belfast (City of)", "code": "GB-BFS"}, {"name": "Carrickfergus", "code": "GB-CKF"}, {"name": "Castlereagh", "code": "GB-CSR"}, {"name": "Coleraine", "code": "GB-CLR"}, {"name": "Cookstown", "code": "GB-CKT"}, {"name": "Craigavon", "code": "GB-CGV"}, {"name": "Derry (City of)", "code": "GB-DRY"}, {"name": "Down", "code": "GB-DOW"}, {"name": "Dungannon", "code": "GB-DGN"}, {"name": "Fermanagh", "code": "GB-FER"}, {"name": "Larne", "code": "GB-LRN"}, {"name": "Limavady", "code": "GB-LMV"}, {"name": "Lisburn", "code": "GB-LSB"}, {"name": "Magherafelt", "code": "GB-MFT"}, {"name": "Moyle", "code": "GB-MYL"}, {"name": "Newry and Mourne", "code": "GB-NYM"}, {"name": "Newtownabbey", "code": "GB-NTA"}, {"name": "North Down", "code": "GB-NDN"}, {"name": "Omagh", "code": "GB-OMH"}, {"name": "Strabane", "code": "GB-STB"}, {"name": "Scotland", "code": "GB-SCT"}, {"name": "Aberdeen City", "code": "GB-ABE"}, {"name": "Aberdeenshire", "code": "GB-ABD"}, {"name": "Angus", "code": "GB-ANS"}, {"name": "Argyll and Bute", "code": "GB-AGB"}, {"name": "Clackmannanshire", "code": "GB-CLK"}, {"name": "Dumfries and Galloway", "code": "GB-DGY"}, {"name": "Dundee City", "code": "GB-DND"}, {"name": "East Ayrshire", "code": "GB-EAY"}, {"name": "East Dunbartonshire", "code": "GB-EDU"}, {"name": "East Lothian", "code": "GB-ELN"}, {"name": "East Renfrewshire", "code": "GB-ERW"}, {"name": "Edinburgh, City of", "code": "GB-EDH"}, {"name": "Eilean Siar", "code": "GB-ELS"}, {"name": "Falkirk", "code": "GB-FAL"}, {"name": "Fife", "code": "GB-FIF"}, {"name": "Glasgow City", "code": "GB-GLG"}, {"name": "Highland", "code": "GB-HLD"}, {"name": "Inverclyde", "code": "GB-IVC"}, {"name": "Midlothian", "code": "GB-MLN"}, {"name": "Moray", "code": "GB-MRY"}, {"name": "North Ayrshire", "code": "GB-NAY"}, {"name": "North Lanarkshire", "code": "GB-NLK"}, {"name": "Orkney Islands", "code": "GB-ORK"}, {"name": "Perth and Kinross", "code": "GB-PKN"}, {"name": "Renfrewshire", "code": "GB-RFW"}, {"name": "Scottish Borders, The", "code": "GB-SCB"}, {"name": "Shetland Islands", "code": "GB-ZET"}, {"name": "South Ayrshire", "code": "GB-SAY"}, {"name": "South Lanarkshire", "code": "GB-SLK"}, {"name": "Stirling", "code": "GB-STG"}, {"name": "West Dunbartonshire", "code": "GB-WDU"}, {"name": "West Lothian", "code": "GB-WLN"}, {"name": "Wales [Cymru]", "code": "GB-WLS"}, {"name": "Blaenau Gwent", "code": "GB-BGW"}, {"name": "Bridgend [Pen-y-bont ar Ogwr GB-POG]", "code": "GB-BGE"}, {"name": "Caerphilly [Caerffili GB-CAF]", "code": "GB-CAY"}, {"name": "Cardiff (City of) [Caerdydd GB-CRD]", "code": "GB-CRF"}, {"name": "Carmarthenshire [Sir Gaerfyrddin GB-GFY]", "code": "GB-CMN"}, {"name": "Ceredigion [Sir Ceredigion]", "code": "GB-CGN"}, {"name": "Conwy", "code": "GB-CWY"}, {"name": "Denbighshire [Sir Ddinbych GB-DDB]", "code": "GB-DEN"}, {"name": "Flintshire [Sir y Fflint GB-FFL]", "code": "GB-FLN"}, {"name": "Gwynedd", "code": "GB-GWN"}, {"name": "Isle of Anglesey [Sir Ynys Man GB-YNM]", "code": "GB-AGY"}, {"name": "Merthyr Tydfil [Merthyr Tudful GB-MTU]", "code": "GB-MTY"}, {"name": "Monmouthshire [Sir Fynwy GB-FYN]", "code": "GB-MON"}, {"name": "Neath Port Talbot [Castell-nedd Port Talbot GB-CTL]", "code": "GB-NTL"}, {"name": "Newport [Casnewydd GB-CNW]", "code": "GB-NWP"}, {"name": "Pembrokeshire [Sir Benfro CB-BNF]", "code": "GB-PEM"}, {"name": "Powys", "code": "GB-POW"}, {"name": "Rhondda, Cynon, Taff [Rhondda, Cynon, Taf]", "code": "GB-RCT"}, {"name": "Swansea (City of) [Abertawe GB-ATA]", "code": "GB-SWA"}, {"name": "Torfaen [Tor-faen]", "code": "GB-TOF"}, {"name": "Vale of Glamorgan, The [Bro Morgannwg GB-BMG]", "code": "GB-VGL"}, {"name": "Wrexham [Wrecsam GB-WRC]", "code": "GB-WRX"}, {"name": "Anatoliki Makedonia kai Thraki", "code": "GR-I"}, {"name": "Drama", "code": "GR-52"}, {"name": "Evros", "code": "GR-71"}, {"name": "Kavalla", "code": "GR-55"}, {"name": "Rodopi", "code": "GR-73"}, {"name": "Xanthi", "code": "GR-72"}, {"name": "Attiki", "code": "GR-IX"}, {"name": "Dytiki Ellada", "code": "GR-VII"}, {"name": "Achaïa", "code": "GR-13"}, {"name": "Aitolia-Akarnania", "code": "GR-01"}, {"name": "Ileia", "code": "GR-14"}, {"name": "Dytiki Makedonia", "code": "GR-III"}, {"name": "Florina", "code": "GR-63"}, {"name": "Grevena", "code": "GR-51"}, {"name": "Kastoria", "code": "GR-56"}, {"name": "Kozani", "code": "GR-58"}, {"name": "Ionioi Nisoi", "code": "GR-VI"}, {"name": "Kefallinia", "code": "GR-23"}, {"name": "Kerkyra", "code": "GR-22"}, {"name": "Lefkas", "code": "GR-24"}, {"name": "Zakynthos", "code": "GR-21"}, {"name": "Ipeiros", "code": "GR-IV"}, {"name": "Arta", "code": "GR-31"}, {"name": "Ioannina", "code": "GR-33"}, {"name": "Preveza", "code": "GR-34"}, {"name": "Thesprotia", "code": "GR-32"}, {"name": "Kentriki Makedonia", "code": "GR-II"}, {"name": "Chalkidiki", "code": "GR-64"}, {"name": "Imathia", "code": "GR-53"}, {"name": "Kilkis", "code": "GR-57"}, {"name": "Pella", "code": "GR-59"}, {"name": "Pieria", "code": "GR-61"}, {"name": "Serrai", "code": "GR-62"}, {"name": "Thessaloniki", "code": "GR-54"}, {"name": "Kriti", "code": "GR-XIII"}, {"name": "Chania", "code": "GR-94"}, {"name": "Irakleion", "code": "GR-91"}, {"name": "Lasithion", "code": "GR-92"}, {"name": "Rethymnon", "code": "GR-93"}, {"name": "Notio Aigaio", "code": "GR-XII"}, {"name": "Dodekanisos", "code": "GR-81"}, {"name": "Kyklades", "code": "GR-82"}, {"name": "Peloponnisos", "code": "GR-X"}, {"name": "Argolis", "code": "GR-11"}, {"name": "Arkadia", "code": "GR-12"}, {"name": "Korinthia", "code": "GR-15"}, {"name": "Lakonia", "code": "GR-16"}, {"name": "Messinia", "code": "GR-17"}, {"name": "Sterea Ellada", "code": "GR-VIII"}, {"name": "Evrytania", "code": "GR-05"}, {"name": "Evvoia", "code": "GR-04"}, {"name": "Fokis", "code": "GR-07"}, {"name": "Fthiotis", "code": "GR-06"}, {"name": "Voiotia", "code": "GR-03"}, {"name": "Thessalia", "code": "GR-V"}, {"name": "Karditsa", "code": "GR-41"}, {"name": "Larisa", "code": "GR-42"}, {"name": "Magnisia", "code": "GR-43"}, {"name": "Trikala", "code": "GR-44"}, {"name": "Voreio Aigaio", "code": "GR-XI"}, {"name": "Chios", "code": "GR-85"}, {"name": "Lesvos", "code": "GR-83"}, {"name": "Samos", "code": "GR-84"}, {"name": "Greenland", "code": "GL-GL"}, {"name": "Grenada", "code": "GD-GD"}, {"name": "Alta Verapaz", "code": "GT-AV"}, {"name": "Baja Verapaz", "code": "GT-BV"}, {"name": "Chimaltenango", "code": "GT-CM"}, {"name": "Chiquimula", "code": "GT-CQ"}, {"name": "El Progreso", "code": "GT-PR"}, {"name": "Escuintla", "code": "GT-ES"}, {"name": "Guatemala", "code": "GT-GU"}, {"name": "Huehuetenango", "code": "GT-HU"}, {"name": "Izabal", "code": "GT-IZ"}, {"name": "Jalapa", "code": "GT-JA"}, {"name": "Jutiapa", "code": "GT-JU"}, {"name": "Petén", "code": "GT-PE"}, {"name": "Quezaltenango", "code": "GT-QZ"}, {"name": "Quiché", "code": "GT-QC"}, {"name": "Retalhuleu", "code": "GT-RE"}, {"name": "Sacatepéquez", "code": "GT-SA"}, {"name": "San Marcos", "code": "GT-SM"}, {"name": "Santa Rosa", "code": "GT-SR"}, {"name": "Sololá", "code": "GT-SO"}, {"name": "Suchitepéquez", "code": "GT-SU"}, {"name": "Totonicapán", "code": "GT-TO"}, {"name": "Zacapa", "code": "GT-ZA"}, {"name": "Bake, Gouvernorat de", "code": "GN-B"}, {"name": "Boffa", "code": "GN-BF"}, {"name": "Boké", "code": "GN-BK"}, {"name": "Fria", "code": "GN-FR"}, {"name": "Gaoual", "code": "GN-GA"}, {"name": "Kindia", "code": "GN-KD"}, {"name": "Conakry, Gouvernorat de", "code": "GN-C"}, {"name": "Faranah, Gouvernorat de", "code": "GN-F"}, {"name": "Dabola", "code": "GN-DB"}, {"name": "Dinguiraye", "code": "GN-DI"}, {"name": "Faranah", "code": "GN-FA"}, {"name": "Kissidougou", "code": "GN-KS"}, {"name": "Kankan, Gouvernorat de", "code": "GN-K"}, {"name": "Kankan", "code": "GN-KA"}, {"name": "Kérouané", "code": "GN-KE"}, {"name": "Kouroussa", "code": "GN-KO"}, {"name": "Mandiana", "code": "GN-MD"}, {"name": "Siguiri", "code": "GN-SI"}, {"name": "Kindia, Gouvernorat de", "code": "GN-D"}, {"name": "Coyah", "code": "GN-CO"}, {"name": "Dubréka", "code": "GN-DU"}, {"name": "Forécariah", "code": "GN-FO"}, {"name": "Télimélé", "code": "GN-TE"}, {"name": "Labé, Gouvernorat de", "code": "GN-L"}, {"name": "Koubia", "code": "GN-KB"}, {"name": "Labé", "code": "GN-LA"}, {"name": "Lélouma", "code": "GN-LE"}, {"name": "Mali", "code": "GN-ML"}, {"name": "Tougué", "code": "GN-TO"}, {"name": "Mamou, Gouvernorat de", "code": "GN-M"}, {"name": "Dalaba", "code": "GN-DL"}, {"name": "Mamou", "code": "GN-MM"}, {"name": "Pita", "code": "GN-PI"}, {"name": "Nzérékoré, Gouvernorat de", "code": "GN-N"}, {"name": "Beyla", "code": "GN-BE"}, {"name": "Guékédou", "code": "GN-GU"}, {"name": "Lola", "code": "GN-LO"}, {"name": "Macenta", "code": "GN-MC"}, {"name": "Nzérékoré", "code": "GN-NZ"}, {"name": "Yomou", "code": "GN-YO"}, {"name": "Bissau", "code": "GW-BS"}, {"name": "Bafatá", "code": "GW-BA"}, {"name": "Biombo", "code": "GW-BM"}, {"name": "Bolama", "code": "GW-BL"}, {"name": "Cacheu", "code": "GW-CA"}, {"name": "Gabú", "code": "GW-GA"}, {"name": "Oio", "code": "GW-OI"}, {"name": "Quinara", "code": "GW-QU"}, {"name": "Barima-Waini", "code": "GY-BA"}, {"name": "Cuyuni-Mazaruni", "code": "GY-CU"}, {"name": "Demerara-Mahaica", "code": "GY-DE"}, {"name": "East Berbice-Corentyne", "code": "GY-EB"}, {"name": "Essequibo Islands-West Demerara", "code": "GY-ES"}, {"name": "Mahaica-Berbice", "code": "GY-MA"}, {"name": "Pomeroon-Supenaam", "code": "GY-PM"}, {"name": "Potaro-Siparuni", "code": "GY-PT"}, {"name": "Upper Demerara-Berbice", "code": "GY-UD"}, {"name": "Upper Takutu-Upper Essequibo", "code": "GY-UT"}, {"name": "Artibonite", "code": "HT-AR"}, {"name": "Grande-Anse", "code": "HT-GA"}, {"name": "Nord-Est", "code": "HT-NE"}, {"name": "Nord-Ouest", "code": "HT-NO"}, {"name": "Ouest", "code": "HT-OU"}, {"name": "Sud", "code": "HT-SD"}, {"name": "Sud-Est", "code": "HT-SE"}, {"name": "Heard & McDonald Islands", "code": "HM-HM"}, {"name": "Vatican City (Holy See)", "code": "VA-VA"}, {"name": "Atlántida", "code": "HN-AT"}, {"name": "Colón", "code": "HN-CL"}, {"name": "Comayagua", "code": "HN-CM"}, {"name": "Copán", "code": "HN-CP"}, {"name": "Cortés", "code": "HN-CR"}, {"name": "Choluteca", "code": "HN-CH"}, {"name": "El Paraíso", "code": "HN-EP"}, {"name": "Francisco Morazán", "code": "HN-FM"}, {"name": "Gracias a Dios", "code": "HN-GD"}, {"name": "Intibucá", "code": "HN-IN"}, {"name": "Islas de la Bahía", "code": "HN-IB"}, {"name": "Lempira", "code": "HN-LE"}, {"name": "Ocotepeque", "code": "HN-OC"}, {"name": "Olancho", "code": "HN-OL"}, {"name": "Santa Bárbara", "code": "HN-SB"}, {"name": "Valle", "code": "HN-VA"}, {"name": "Yoro", "code": "HN-YO"}, {"name": "Budapest", "code": "HU-BU"}, {"name": "Bács-Kiskun", "code": "HU-BK"}, {"name": "Baranya", "code": "HU-BA"}, {"name": "Békés", "code": "HU-BE"}, {"name": "Borsod-Abaúj-Zemplén", "code": "HU-BZ"}, {"name": "Csongrád", "code": "HU-CS"}, {"name": "Fejér", "code": "HU-FE"}, {"name": "Gyór-Moson-Sopron", "code": "HU-GS"}, {"name": "Hajdú-Bihar", "code": "HU-HB"}, {"name": "Heves", "code": "HU-HE"}, {"name": "Jasz-Nagykun-Szolnok", "code": "HU-JN"}, {"name": "Komárom-Esztergom", "code": "HU-KE"}, {"name": "Nógrád", "code": "HU-NO"}, {"name": "Pest", "code": "HU-PE"}, {"name": "Somogy", "code": "HU-SO"}, {"name": "Szabolcs-Szatmár-Bereg", "code": "HU-SZ"}, {"name": "Tolna", "code": "HU-TO"}, {"name": "Vas", "code": "HU-VA"}, {"name": "Veszprém", "code": "HU-VE"}, {"name": "Zala", "code": "HU-ZA"}, {"name": "Békéscsaba", "code": "HU-BC"}, {"name": "Debrecen", "code": "HU-DE"}, {"name": "Dunaújváros", "code": "HU-DU"}, {"name": "Eger", "code": "HU-EG"}, {"name": "Gyór", "code": "HU-GY"}, {"name": "Hódmezóvásárhely", "code": "HU-HV"}, {"name": "Kaposvár", "code": "HU-KV"}, {"name": "Kecskemét", "code": "HU-KM"}, {"name": "Miskolc", "code": "HU-MI"}, {"name": "Nagykanizsa", "code": "HU-NK"}, {"name": "Nyíregyháza", "code": "HU-NY"}, {"name": "Pécs", "code": "HU-PS"}, {"name": "Salgótarján", "code": "HU-ST"}, {"name": "Sopron", "code": "HU-SN"}, {"name": "Szeged", "code": "HU-SD"}, {"name": "Székesfehérvár", "code": "HU-SF"}, {"name": "Szekszárd", "code": "HU-SS"}, {"name": "Szolnok", "code": "HU-SK"}, {"name": "Szombathely", "code": "HU-SH"}, {"name": "Tatabánya", "code": "HU-TB"}, {"name": "Zalaegerszeg", "code": "HU-ZE"}, {"name": "Austurland", "code": "IS-7"}, {"name": "Höfudborgarsvædi utan Reykjavíkur", "code": "IS-1"}, {"name": "Nordurland eystra", "code": "IS-6"}, {"name": "Nordurland vestra", "code": "IS-5"}, {"name": "Reykjavīk", "code": "IS-0"}, {"name": "Sudurland", "code": "IS-8"}, {"name": "Sudurnes", "code": "IS-2"}, {"name": "Vestfirdir", "code": "IS-4"}, {"name": "Vesturland", "code": "IS-3"}, {"name": "Andhra Pradesh", "code": "IN-AP"}, {"name": "Arunachal Pradesh", "code": "IN-AR"}, {"name": "Assam", "code": "IN-AS"}, {"name": "Bihar", "code": "IN-BR"}, {"name": "Goa", "code": "IN-GA"}, {"name": "Gujarat", "code": "IN-GJ"}, {"name": "Haryana", "code": "IN-HR"}, {"name": "Himachal Pradesh", "code": "IN-HP"}, {"name": "Jammu and Kashmir", "code": "IN-JK"}, {"name": "Karnataka", "code": "IN-KA"}, {"name": "Kerala", "code": "IN-KL"}, {"name": "Madhya Pradesh", "code": "IN-MP"}, {"name": "Maharashtra", "code": "IN-MH"}, {"name": "Manipur", "code": "IN-MN"}, {"name": "Meghalaya", "code": "IN-ML"}, {"name": "Mizoram", "code": "IN-MZ"}, {"name": "Nagaland", "code": "IN-NL"}, {"name": "Orissa", "code": "IN-OR"}, {"name": "Punjab", "code": "IN-PB"}, {"name": "Rajasthan", "code": "IN-RJ"}, {"name": "Sikkim", "code": "IN-SK"}, {"name": "Tamil Nadu", "code": "IN-TN"}, {"name": "Tripura", "code": "IN-TR"}, {"name": "Uttar Pradesh", "code": "IN-UP"}, {"name": "West Bengal", "code": "IN-WB"}, {"name": "Andaman and Nicobar Islands", "code": "IN-AN"}, {"name": "Chandigarh", "code": "IN-CH"}, {"name": "Dadra and Nagar Haveli", "code": "IN-DN"}, {"name": "Daman and Diu", "code": "IN-DD"}, {"name": "Delhi", "code": "IN-DL"}, {"name": "Lakshadweep", "code": "IN-LD"}, {"name": "Pondicherry", "code": "IN-PY"}, {"name": "Irian Jaya", "code": "ID-IJU"}, {"name": "Jawa", "code": "ID-JWU"}, {"name": "Jawa Barat", "code": "ID-JB"}, {"name": "Jawa Tengah", "code": "ID-JT"}, {"name": "Jawa Timur", "code": "ID-JI"}, {"name": "Jakarta Raya", "code": "ID-JK"}, {"name": "Yogyakarta", "code": "ID-YO"}, {"name": "Kalimantan", "code": "ID-KAU"}, {"name": "Kalimantan Barat", "code": "ID-KB"}, {"name": "Kalimantan Selatan", "code": "ID-KS"}, {"name": "Kalimantan Tengah", "code": "ID-KT"}, {"name": "Kalimantan Timur", "code": "ID-KI"}, {"name": "Maluku", "code": "ID-MAU"}, {"name": "Nusa Tenggara", "code": "ID-NUU"}, {"name": "Bali", "code": "ID-BA"}, {"name": "Nusa Tenggara Barat", "code": "ID-NB"}, {"name": "Nusa Tenggara Timur", "code": "ID-NT"}, {"name": "Timor Timur", "code": "ID-TT"}, {"name": "Sulawesi", "code": "ID-SLU"}, {"name": "Sulawesi Selatan", "code": "ID-SN"}, {"name": "Sulawesi Tengah", "code": "ID-ST"}, {"name": "Sulawesi Tenggara", "code": "ID-SG"}, {"name": "Sulawesi Utara", "code": "ID-SA"}, {"name": "Sumatera", "code": "ID-SMU"}, {"name": "Bengkulu", "code": "ID-BE"}, {"name": "Jambi", "code": "ID-JA"}, {"name": "Lampung", "code": "ID-LA"}, {"name": "Riau", "code": "ID-RI"}, {"name": "Sumatera Barat", "code": "ID-SB"}, {"name": "Sumatera Selatan", "code": "ID-SS"}, {"name": "Sumatera Utara", "code": "ID-SU"}, {"name": "Aceh", "code": "ID-AC"}, {"name": "Ardabīl", "code": "IR-03"}, {"name": "Āzarbāyjān-e-Gharbī", "code": "IR-02"}, {"name": "Āzarbāyjān-e-Sharqī", "code": "IR-01"}, {"name": "Būshehr", "code": "IR-06"}, {"name": "Chahār Maḩāll vā Bakhtīārī", "code": "IR-08"}, {"name": "Eşfahān", "code": "IR-04"}, {"name": "Fārs", "code": "IR-14"}, {"name": "Gīlān", "code": "IR-19"}, {"name": "Hamadān", "code": "IR-24"}, {"name": "Hormozgān", "code": "IR-23"}, {"name": "Īlām", "code": "IR-05"}, {"name": "Kermān", "code": "IR-15"}, {"name": "Kermānshāhān", "code": "IR-17"}, {"name": "Khorāsān", "code": "IR-09"}, {"name": "Khūzestān", "code": "IR-10"}, {"name": "Kohkīlūyeh va Būyer Aḩmadī", "code": "IR-18"}, {"name": "Kordestān", "code": "IR-16"}, {"name": "Lorestān", "code": "IR-20"}, {"name": "Markazī", "code": "IR-22"}, {"name": "Māzandarān", "code": "IR-21"}, {"name": "Qom", "code": "IR-26"}, {"name": "Semnān", "code": "IR-12"}, {"name": "Sīstān va Balūchestān", "code": "IR-13"}, {"name": "Tehrān", "code": "IR-07"}, {"name": "Yazd", "code": "IR-25"}, {"name": "Zanjān", "code": "IR-11"}, {"name": "Al Anbār", "code": "IQ-AN"}, {"name": "Al Başrah", "code": "IQ-BA"}, {"name": "Al Muthanná", "code": "IQ-MU"}, {"name": "Al Qādisīyah", "code": "IQ-QA"}, {"name": "An Najaf", "code": "IQ-NA"}, {"name": "Arbīl", "code": "IQ-AR"}, {"name": "As Sulaymānīyah", "code": "IQ-SU"}, {"name": "At Ta'mīm", "code": "IQ-TS"}, {"name": "Bābil", "code": "IQ-BB"}, {"name": "Baghdād", "code": "IQ-BG"}, {"name": "Dahūk", "code": "IQ-DA"}, {"name": "Dhī Qār", "code": "IQ-DQ"}, {"name": "Diyālá", "code": "IQ-DI"}, {"name": "Karbalā'", "code": "IQ-KA"}, {"name": "Maysān", "code": "IQ-MA"}, {"name": "Nīnawá", "code": "IQ-NI"}, {"name": "Şalāḩ ad Dīn", "code": "IQ-SD"}, {"name": "Wāsiţ", "code": "IQ-WA"}, {"name": "Connaught (Connacht)", "code": "IE-CP"}, {"name": "Galway (Gaillimh)", "code": "IE-G"}, {"name": "Leitrim (Liatroim)", "code": "IE-LM"}, {"name": "Mayo (Maigh Eo)", "code": "IE-MO"}, {"name": "Roscommon (Ros Comáin)", "code": "IE-RN"}, {"name": "Sligo (Sligeach)", "code": "IE-SO"}, {"name": "Leinster (Laighin)", "code": "IE-LP"}, {"name": "Carlow (Ceatharlach)", "code": "IE-CW"}, {"name": "Dublin (Baile Átha Cliath)", "code": "IE-D"}, {"name": "Kildare (Cill Dara)", "code": "IE-KE"}, {"name": "Kilkenny (Cill Chainnigh)", "code": "IE-KK"}, {"name": "Laois (Laois)", "code": "IE-LS"}, {"name": "Longford (An Longfort)", "code": "IE-LD"}, {"name": "Louth (Lú)", "code": "IE-LH"}, {"name": "Meath (An Mhí)", "code": "IE-MH"}, {"name": "Offaly (Uíbh Fhailí)", "code": "IE-OY"}, {"name": "Westmeath (An Iarmhí)", "code": "IE-WH"}, {"name": "Wexford (Loch Garman)", "code": "IE-WX"}, {"name": "Wicklow (Cill Mhantáin)", "code": "IE-WW"}, {"name": "Munster (An Mhumhain)", "code": "IE-M"}, {"name": "Ulster (Ulaidh)", "code": "IE-UP"}, {"name": "Cavan (An Cabhán)", "code": "IE-CN"}, {"name": "Donegal (Dún na nGall)", "code": "IE-DL"}, {"name": "Monaghan (Muineachán)", "code": "IE-MN"}, {"name": "HaDarom (El Janūbī)", "code": "IL-D"}, {"name": "HaMerkaz (El Awsat)", "code": "IL-M"}, {"name": "HaZafon (Esh Shamālī)", "code": "IL-2"}, {"name": "Hefa (Heifā)", "code": "IL-HA"}, {"name": "Tel-Aviv (Tell Abīb)", "code": "IL-TA"}, {"name": "Yerushalayim (Al Quds)", "code": "IL-JM"}, {"name": "Abruzzo", "code": "IT-65"}, {"name": "Chieti", "code": "IT-CH"}, {"name": "L'Aquila", "code": "IT-AQ"}, {"name": "Pescara", "code": "IT-PE"}, {"name": "Teramo", "code": "IT-TE"}, {"name": "Basilicata", "code": "IT-77"}, {"name": "Matera", "code": "IT-MT"}, {"name": "Potenza", "code": "IT-PZ"}, {"name": "Calabria", "code": "IT-78"}, {"name": "Catanzaro", "code": "IT-CZ"}, {"name": "Cosenza", "code": "IT-CS"}, {"name": "Crotone", "code": "IT-KR"}, {"name": "Reggio Calabria", "code": "IT-RC"}, {"name": "Vibo Valentia", "code": "IT-W"}, {"name": "Campania", "code": "IT-72"}, {"name": "Avellino", "code": "IT-AV"}, {"name": "Benevento", "code": "IT-BN"}, {"name": "Caserta", "code": "IT-CE"}, {"name": "Napoli", "code": "IT-NA"}, {"name": "Salerno", "code": "IT-SA"}, {"name": "Emilia-Romagna", "code": "IT-45"}, {"name": "Bologna", "code": "IT-BO"}, {"name": "Ferrara", "code": "IT-FE"}, {"name": "Forlì", "code": "IT-FO"}, {"name": "Modena", "code": "IT-MO"}, {"name": "Parma", "code": "IT-PR"}, {"name": "Piacenza", "code": "IT-PC"}, {"name": "Ravenna", "code": "IT-RA"}, {"name": "Reggio Emilia", "code": "IT-RE"}, {"name": "Rimini", "code": "IT-RN"}, {"name": "Friuli-Venezia Giulia", "code": "IT-36"}, {"name": "Gorizia", "code": "IT-GO"}, {"name": "Pordenone", "code": "IT-PN"}, {"name": "Trieste", "code": "IT-TS"}, {"name": "Udine", "code": "IT-UD"}, {"name": "Lazio", "code": "IT-62"}, {"name": "Frosinone", "code": "IT-FR"}, {"name": "Latina", "code": "IT-LT"}, {"name": "Rieti", "code": "IT-RI"}, {"name": "Roma", "code": "IT-RM"}, {"name": "Viterbo", "code": "IT-VT"}, {"name": "Liguria", "code": "IT-42"}, {"name": "Genova", "code": "IT-GE"}, {"name": "Imperia", "code": "IT-IM"}, {"name": "La Spezia", "code": "IT-SP"}, {"name": "Savona", "code": "IT-SV"}, {"name": "Lombardia", "code": "IT-25"}, {"name": "Bergamo", "code": "IT-BG"}, {"name": "Brescia", "code": "IT-BS"}, {"name": "Como", "code": "IT-CO"}, {"name": "Cremona", "code": "IT-CR"}, {"name": "Lecco", "code": "IT-LC"}, {"name": "Lodi", "code": "IT-LO"}, {"name": "Mantova", "code": "IT-MN"}, {"name": "Milano", "code": "IT-MI"}, {"name": "Pavia", "code": "IT-PV"}, {"name": "Sondrio", "code": "IT-SO"}, {"name": "Varese", "code": "IT-VA"}, {"name": "Marche", "code": "IT-57"}, {"name": "Ancona", "code": "IT-AN"}, {"name": "Ascoli Piceno", "code": "IT-AP"}, {"name": "Macerata", "code": "IT-MC"}, {"name": "Pesaro", "code": "IT-PS"}, {"name": "Molise", "code": "IT-67"}, {"name": "Campobasso", "code": "IT-CB"}, {"name": "Isernia", "code": "IT-IS"}, {"name": "Piemonte", "code": "IT-21"}, {"name": "Alessandria", "code": "IT-AL"}, {"name": "Asti", "code": "IT-AT"}, {"name": "Biella", "code": "IT-BI"}, {"name": "Cuneo", "code": "IT-CN"}, {"name": "Novara", "code": "IT-NO"}, {"name": "Torino", "code": "IT-TO"}, {"name": "Verbano-Cusio-Ossola", "code": "IT-VB"}, {"name": "Vercelli", "code": "IT-VC"}, {"name": "Puglia", "code": "IT-75"}, {"name": "Bari", "code": "IT-BA"}, {"name": "Brindisi", "code": "IT-BR"}, {"name": "Foggia", "code": "IT-FG"}, {"name": "Lecce", "code": "IT-LE"}, {"name": "Taranto", "code": "IT-TA"}, {"name": "Sardegna", "code": "IT-88"}, {"name": "Cagliari", "code": "IT-CA"}, {"name": "Nuoro", "code": "IT-NU"}, {"name": "Oristano", "code": "IT-OR"}, {"name": "Sassari", "code": "IT-SS"}, {"name": "Sicilia", "code": "IT-82"}, {"name": "Agrigento", "code": "IT-AG"}, {"name": "Caltanissetta", "code": "IT-CL"}, {"name": "Catania", "code": "IT-CT"}, {"name": "Enna", "code": "IT-EN"}, {"name": "Mesaina", "code": "IT-ME"}, {"name": "Palermo", "code": "IT-PA"}, {"name": "Ragusa", "code": "IT-RG"}, {"name": "Siracusa", "code": "IT-SR"}, {"name": "Trapani", "code": "IT-TP"}, {"name": "Toscana", "code": "IT-52"}, {"name": "Arezzo", "code": "IT-AR"}, {"name": "Firenze", "code": "IT-FI"}, {"name": "Grosseto", "code": "IT-GR"}, {"name": "Livorno", "code": "IT-LI"}, {"name": "Lucca", "code": "IT-LU"}, {"name": "Massa", "code": "IT-MS"}, {"name": "Pisa", "code": "IT-PI"}, {"name": "Pistoia", "code": "IT-PT"}, {"name": "Prato", "code": "IT-PO"}, {"name": "Siena", "code": "IT-SI"}, {"name": "Trentino-Alte Adige (Trentino-Südtirol)", "code": "IT-32"}, {"name": "Bolzano (Bozen)", "code": "IT-BZ"}, {"name": "Trento", "code": "IT-TN"}, {"name": "Umbria", "code": "IT-55"}, {"name": "Perugia", "code": "IT-PG"}, {"name": "Terni", "code": "IT-TR"}, {"name": "Valle d'Aosta (Vallée d'Aoste)", "code": "IT-23"}, {"name": "Aosta (Aoste)", "code": "IT-AO"}, {"name": "Veneto", "code": "IT-34"}, {"name": "Belluno", "code": "IT-BL"}, {"name": "Padova", "code": "IT-PD"}, {"name": "Rovigo", "code": "IT-RO"}, {"name": "Treviso", "code": "IT-TV"}, {"name": "Venezia", "code": "IT-VE"}, {"name": "Verona", "code": "IT-VR"}, {"name": "Vicenza", "code": "IT-VI"}, {"name": "Clarendon", "code": "JM-13"}, {"name": "Hanover", "code": "JM-09"}, {"name": "Kingston", "code": "JM-01"}, {"name": "Manchester", "code": "JM-12"}, {"name": "Portland", "code": "JM-04"}, {"name": "Saint Andrew", "code": "JM-02"}, {"name": "Saint Ann", "code": "JM-06"}, {"name": "Saint Catherine", "code": "JM-14"}, {"name": "Saint Elizabeth", "code": "JM-11"}, {"name": "Saint James", "code": "JM-08"}, {"name": "Saint Mary", "code": "JM-05"}, {"name": "Saint Thomas", "code": "JM-03"}, {"name": "Trelawny", "code": "JM-07"}, {"name": "Westmoreland", "code": "JM-10"}, {"name": "Aiti [Aichi]", "code": "JP-23"}, {"name": "Akita", "code": "JP-05"}, {"name": "Aomori", "code": "JP-02"}, {"name": "Ehime", "code": "JP-38"}, {"name": "Gihu [Gifu]", "code": "JP-21"}, {"name": "Gunma", "code": "JP-10"}, {"name": "Hirosima [Hiroshima]", "code": "JP-34"}, {"name": "Hokkaidô [Hokkaido]", "code": "JP-01"}, {"name": "Hukui [Fukui]", "code": "JP-18"}, {"name": "Hukuoka [Fukuoka]", "code": "JP-40"}, {"name": "Hukusima [Fukushima]", "code": "JP-07"}, {"name": "Hyôgo [Hyogo]", "code": "JP-28"}, {"name": "Ibaraki", "code": "JP-08"}, {"name": "Isikawa [Ishikawa]", "code": "JP-17"}, {"name": "Iwate", "code": "JP-03"}, {"name": "Kagawa", "code": "JP-37"}, {"name": "Kagosima [Kagoshima]", "code": "JP-46"}, {"name": "Kanagawa", "code": "JP-14"}, {"name": "Kôti [Kochi]", "code": "JP-39"}, {"name": "Kumamoto", "code": "JP-43"}, {"name": "Kyôto [Kyoto]", "code": "JP-26"}, {"name": "Mie", "code": "JP-24"}, {"name": "Miyagi", "code": "JP-04"}, {"name": "Miyazaki", "code": "JP-45"}, {"name": "Nagano", "code": "JP-20"}, {"name": "Nagasaki", "code": "JP-42"}, {"name": "Nara", "code": "JP-29"}, {"name": "Niigata", "code": "JP-15"}, {"name": "Ôita [Oita]", "code": "JP-44"}, {"name": "Okayama", "code": "JP-33"}, {"name": "Okinawa", "code": "JP-47"}, {"name": "Ôsaka [Osaka]", "code": "JP-27"}, {"name": "Saga", "code": "JP-41"}, {"name": "Saitama", "code": "JP-11"}, {"name": "Siga [Shiga]", "code": "JP-25"}, {"name": "Sizuoka [Shizuoka]", "code": "JP-22"}, {"name": "Tiba [Chiba]", "code": "JP-12"}, {"name": "Totigi [Tochigi]", "code": "JP-09"}, {"name": "Tokusima [Tokushima]", "code": "JP-36"}, {"name": "Tôkyô [Tokyo]", "code": "JP-13"}, {"name": "Tottori", "code": "JP-31"}, {"name": "Toyama", "code": "JP-16"}, {"name": "Wakayama", "code": "JP-30"}, {"name": "Yamagata", "code": "JP-06"}, {"name": "Yamaguti [Yamaguchi]", "code": "JP-35"}, {"name": "Yamanasi [Yamanashi]", "code": "JP-19"}, {"name": "‘Ajlūn", "code": "JO-AJ"}, {"name": "Al 'Aqaba", "code": "JO-AQ"}, {"name": "Al Balqā'", "code": "JO-BA"}, {"name": "Al Karak", "code": "JO-KA"}, {"name": "Al Mafraq", "code": "JO-MA"}, {"name": "‘Ammān", "code": "JO-AM"}, {"name": "Aţ Ţafīlah", "code": "JO-AT"}, {"name": "Az Zarqā'", "code": "JO-AZ"}, {"name": "Irbid", "code": "JO-IR"}, {"name": "Jarash", "code": "JO-JA"}, {"name": "Ma‘ān", "code": "JO-MN"}, {"name": "Mādaba", "code": "JO-MD"}, {"name": "Almaty", "code": "KZ-ALA"}, {"name": "Bayqonyr (Baykonyr)", "code": "KZ-BAY"}, {"name": "Almaty oblysy (Almatinskaya oblast')", "code": "KZ-ALM"}, {"name": "Aqmola oblysy (Akmolinskaya oblast')", "code": "KZ-AKM"}, {"name": "Aqtöbe oblysy (Aktyubinskaya oblast')", "code": "KZ-AKT"}, {"name": "Atyraü oblysy (Atyrauskaya oblast')", "code": "KZ-ATY"}, {"name": "Batys Kazakstan oblysy (Zapadno-Kazakhstanskaya oblast')", "code": "KZ-ZAP"}, {"name": "Mangghystaū oblysy (Mangystauskaya oblast')", "code": "KZ-MAN"}, {"name": "Ongtüstik Kazakstan oblysy (Yuzhno-Kazakhstanskaya oblast')", "code": "KZ-YUZ"}, {"name": "Pavlodar oblysy (Pavlodarskaya oblast')", "code": "KZ-PAV"}, {"name": "Qaraghandy oblysy (Karagandinskaya oblast')", "code": "KZ-KAR"}, {"name": "Qostanay oblysy (Kustanayskaya oblast')", "code": "KZ-KUS"}, {"name": "Qyzylorda oblysy (Kzylordinskaya oblast')", "code": "KZ-KZY"}, {"name": "Shyghys Kazakstan oblysy (Vostochno-Kazakhstanskaya oblast')", "code": "KZ-VOS"}, {"name": "Soltüstik Kazakstan oblysy (Severo-Kazakhstanskaya oblast')", "code": "KZ-SEV"}, {"name": "Zhambyl oblysy (Zhambylskaya Oblast')", "code": "KZ-ZHA"}, {"name": "Nairobi Municipality", "code": "KE-110"}, {"name": "Central (Kati)", "code": "KE-200"}, {"name": "Coast (Pwani)", "code": "KE-300"}, {"name": "Eastern (Mashariki)", "code": "KE-400"}, {"name": "North-Eastern (Kaskazini Mashariki)", "code": "KE-500"}, {"name": "Nyanza", "code": "KE-600"}, {"name": "Rift Valley", "code": "KE-700"}, {"name": "Western (Magharibi)", "code": "KE-900"}, {"name": "Gilbert Islands", "code": "KI-G"}, {"name": "Line Islands", "code": "KI-L"}, {"name": "Phoenix Islands", "code": "KI-P"}, {"name": "Kaesong-si", "code": "KP-KAE"}, {"name": "Nampo-si", "code": "KP-NAM"}, {"name": "Pyongyang-si", "code": "KP-PYO"}, {"name": "Chagang-do", "code": "KP-CHA"}, {"name": "Hamgyongbuk-do", "code": "KP-HAB"}, {"name": "Hamgyongnam-do", "code": "KP-HAN"}, {"name": "Hwanghaebuk-do", "code": "KP-HWB"}, {"name": "Hwanghaenam-do", "code": "KP-HWN"}, {"name": "Kangwon-do", "code": "KP-KAN"}, {"name": "Pyonganbuk-do", "code": "KP-PYB"}, {"name": "Pyongannam-do", "code": "KP-PYN"}, {"name": "Yanggang-do", "code": "KP-YAN"}, {"name": "Seoul Teugbyeolsi [ Seoul-T’ŭkpyŏlshi]", "code": "KR-11"}, {"name": "Busan Gwang'yeogsi [Pusan-Kwangyŏkshi]", "code": "KR-26"}, {"name": "Daegu Gwang'yeogsi [Taegu-Kwangyŏkshi)", "code": "KR-27"}, {"name": "Daejeon Gwang'yeogsi [Taejŏn-Kwangyŏkshi]", "code": "KR-30"}, {"name": "Gwangju Gwang'yeogsi [Kwangju-Kwangyŏkshi]", "code": "KR-29"}, {"name": "Incheon Gwang'yeogsi [Inchŏn-Kwangyŏkshi]", "code": "KR-28"}, {"name": "Ulsan Gwang'yeogsi [Ulsan-Kwangyŏkshi]", "code": "KR-31"}, {"name": "Chungcheongbugdo [Ch'ungch'ŏngbuk-do]", "code": "KR-43"}, {"name": "Chungcheongnamdo [Ch'ungch'ŏngnam-do]", "code": "KR-44"}, {"name": "Gang'weondo [Kang-won-do]", "code": "KR-42"}, {"name": "Gyeonggido [Kyŏnggi-do]", "code": "KR-41"}, {"name": "Gyeongsangbugdo [Kyŏngsangbuk-do]", "code": "KR-47"}, {"name": "Gyeongsangnamdo [Kyŏngsangnam-do]", "code": "KR-48"}, {"name": "Jejudo [Cheju-do]", "code": "KR-49"}, {"name": "Jeonrabugdo [Chŏllabuk-do)", "code": "KR-45"}, {"name": "Jeonranamdo [Chŏllanam-do]", "code": "KR-46"}, {"name": "Al Aḩmadi", "code": "KW-AH"}, {"name": "Al Farwānīyah", "code": "KW-FA"}, {"name": "Al Jahrah", "code": "KW-JA"}, {"name": "Al Kuwayt", "code": "KW-KU"}, {"name": "Ḩawallī", "code": "KW-HA"}, {"name": "Chu (Chuyskaya oblast')", "code": "KG-C"}, {"name": "Jalal-Abad (Dzhalal-Abadskaya oblast')", "code": "KG-J"}, {"name": "Naryn (Narynskaya Oblast’)", "code": "KG-N"}, {"name": "Osh (Oshskaya oblast')", "code": "KG-O"}, {"name": "Talas (Talasskaya oblast')", "code": "KG-T"}, {"name": "Ysyk-Köl (Issyk-Kul'skaya oblast')", "code": "KG-Y"}, {"name": "Vientiane", "code": "LA-VT"}, {"name": "Attapu [Attopeu]", "code": "LA-AT"}, {"name": "Bokèo", "code": "LA-BK"}, {"name": "Bolikhamxai [Borikhane]", "code": "LA-BL"}, {"name": "Champasak [Champassak]", "code": "LA-CH"}, {"name": "Houaphan", "code": "LA-HO"}, {"name": "Khammouan", "code": "LA-KH"}, {"name": "Louang Namtha", "code": "LA-LM"}, {"name": "Louangphabang [Louang Prabang]", "code": "LA-LP"}, {"name": "Oudômxai [Oudomsai]", "code": "LA-OU"}, {"name": "Phôngsali [Phong Saly]", "code": "LA-PH"}, {"name": "Salavan [Saravane]", "code": "LA-SL"}, {"name": "Savannakhét", "code": "LA-SV"}, {"name": "Xaignabouli [Sayaboury]", "code": "LA-XA"}, {"name": "Xékong [Sékong]", "code": "LA-XE"}, {"name": "Xiangkhoang [Xieng Khouang]", "code": "LA-XI"}, {"name": "Aizkraukles Aprinkis", "code": "LV-AI"}, {"name": "Alūksnes Aprinkis", "code": "LV-AL"}, {"name": "Balvu Aprinkis", "code": "LV-BL"}, {"name": "Bauskas Aprinkis", "code": "LV-BU"}, {"name": "Cēsu Aprinkis", "code": "LV-CE"}, {"name": "Daugavpils Aprinkis", "code": "LV-DA"}, {"name": "Dobeles Aprinkis", "code": "LV-DO"}, {"name": "Gulbenes Aprinkis", "code": "LV-GU"}, {"name": "Jelgavas Aprinkis", "code": "LV-JL"}, {"name": "Jēkabpils Aprinkis", "code": "LV-JK"}, {"name": "Krāslavas Aprinkis", "code": "LV-KR"}, {"name": "Kuldīgas Aprinkis", "code": "LV-KU"}, {"name": "Limbažu Aprinkis", "code": "LV-LM"}, {"name": "Liepājas Aprinkis", "code": "LV-LE"}, {"name": "Ludzas Aprinkis", "code": "LV-LU"}, {"name": "Madonas Aprinkis", "code": "LV-MA"}, {"name": "Ogres Aprinkis", "code": "LV-OG"}, {"name": "Preilu Aprinkis", "code": "LV-PR"}, {"name": "Rēzeknes Aprinkis", "code": "LV-RE"}, {"name": "Rīgas Aprinkis", "code": "LV-RI"}, {"name": "Saldus Aprinkis", "code": "LV-SA"}, {"name": "Talsu Aprinkis", "code": "LV-TA"}, {"name": "Tukuma Aprinkis", "code": "LV-TU"}, {"name": "Valkas Aprinkis", "code": "LV-VK"}, {"name": "Valmieras Aprinkis", "code": "LV-VM"}, {"name": "Ventspils Aprinkis", "code": "LV-VE"}, {"name": "Daugavpils", "code": "LV-DGV"}, {"name": "Jelgava", "code": "LV-JEL"}, {"name": "Jūrmala", "code": "LV-JUR"}, {"name": "Liepāja", "code": "LV-LPX"}, {"name": "Rēzekne", "code": "LV-REZ"}, {"name": "Rīga", "code": "LV-RIX"}, {"name": "Ventspils", "code": "LV-VEN"}, {"name": "Beiroût (Bayrūt)", "code": "LB-BA"}, {"name": "El Béqaa (Al Biqā')", "code": "LB-BI"}, {"name": "Jabal Loubnâne (Jabal Lubnān)", "code": "LB-JL"}, {"name": "Loubnâne ech Chemâli (Ash Shamāl)", "code": "LB-AS"}, {"name": "Loubnâne ej Jnoûbi (Al Janūb)", "code": "LB-JA"}, {"name": "Nabatîyé (An Nabaţīyah", "code": "LB-NA"}, {"name": "Berea", "code": "LS-D"}, {"name": "Butha-Buthe", "code": "LS-B"}, {"name": "Leribe", "code": "LS-C"}, {"name": "Mafeteng", "code": "LS-E"}, {"name": "Maseru", "code": "LS-A"}, {"name": "Mohale's Hoek", "code": "LS-F"}, {"name": "Mokhotlong", "code": "LS-J"}, {"name": "Qacha's Nek", "code": "LS-H"}, {"name": "Quthing", "code": "LS-G"}, {"name": "Thaba-Tseka", "code": "LS-K"}, {"name": "Bomi", "code": "LR-BM"}, {"name": "Bong", "code": "LR-BG"}, {"name": "Grand Bassa", "code": "LR-GB"}, {"name": "Grand Cape Mount", "code": "LR-CM"}, {"name": "Grand Gedeh", "code": "LR-GG"}, {"name": "Grand Kru", "code": "LR-GK"}, {"name": "Lofa", "code": "LR-LO"}, {"name": "Margibi", "code": "LR-MG"}, {"name": "Montserrado", "code": "LR-MO"}, {"name": "Nimba", "code": "LR-NI"}, {"name": "Rivercess", "code": "LR-RI"}, {"name": "Sinoe", "code": "LR-SI"}, {"name": "Al Buţnān", "code": "LY-BU"}, {"name": "Al Jabal al Akhḑar", "code": "LY-JA"}, {"name": "Al Jabal al Gharbī", "code": "LY-JG"}, {"name": "Al Jufrah", "code": "LY-Ju"}, {"name": "Al Wāḩah", "code": "LY-WA"}, {"name": "Al Wusţá", "code": "LY-Wu"}, {"name": "Az Zāwiyah", "code": "LY-ZA"}, {"name": "Banghāzī", "code": "LY-BA"}, {"name": "Fazzān", "code": "LY-FA"}, {"name": "Mişrātah", "code": "LY-MI"}, {"name": "Naggaza", "code": "LY-NA"}, {"name": "Sawfajjin", "code": "LY-SF"}, {"name": "Ţarābulus", "code": "LY-TB"}, {"name": "Liechtenstein", "code": "LI-LI"}, {"name": "Alytaus Apskritis", "code": "LT-AL"}, {"name": "Kauno Apskritis", "code": "LT-KU"}, {"name": "Klaipėdos Apskritis", "code": "LT-KL"}, {"name": "Marijampolės Apskritis", "code": "LT-MR"}, {"name": "Panevėžio Apskritis", "code": "LT-PN"}, {"name": "Šiauliu Apskritis", "code": "LT-SA"}, {"name": "Tauragės Apskritis", "code": "LT-TA"}, {"name": "Telšiu Apskritis", "code": "LT-TE"}, {"name": "Utenos Apskritis", "code": "LT-UT"}, {"name": "Vilniaus Apskritis", "code": "LT-VL"}, {"name": "Diekirch", "code": "LU-D"}, {"name": "Grevenmacher", "code": "LU-G"}, {"name": "Luxembourg (Luxemburg)", "code": "LU-L"}, {"name": "Macau", "code": "MO-MO"}, {"name": "Macedonia", "code": "MK-MK"}, {"name": "Antananarivo", "code": "MG-T"}, {"name": "Antsiranana", "code": "MG-D"}, {"name": "Fianarantsoa", "code": "MG-F"}, {"name": "Mahajanga", "code": "MG-M"}, {"name": "Toamasina", "code": "MG-A"}, {"name": "Toliara", "code": "MG-U"}, {"name": "Dedza", "code": "MW-DE"}, {"name": "Dowa", "code": "MW-DO"}, {"name": "Kasungu", "code": "MW-KS"}, {"name": "Lilongwe", "code": "MW-LI"}, {"name": "Mchinji", "code": "MW-MC"}, {"name": "Nkhotakota", "code": "MW-NK"}, {"name": "Ntcheu", "code": "MW-NU"}, {"name": "Ntchisi", "code": "MW-NI"}, {"name": "Salima", "code": "MW-SA"}, {"name": "Chitipa", "code": "MW-CT"}, {"name": "Karonga", "code": "MW-KR"}, {"name": "Mzimba", "code": "MW-MZ"}, {"name": "Nkhata Bay", "code": "MW-NB"}, {"name": "Rumphi", "code": "MW-RU"}, {"name": "Southern", "code": "MW-S"}, {"name": "Blantyre", "code": "MW-BL"}, {"name": "Chikwawa", "code": "MW-CK"}, {"name": "Chiradzulu", "code": "MW-CR"}, {"name": "Machinga", "code": "MW-MH"}, {"name": "Mangochi", "code": "MW-MG"}, {"name": "Mulanje", "code": "MW-MU"}, {"name": "Mwanza", "code": "MW-MW"}, {"name": "Nsanje", "code": "MW-NS"}, {"name": "Thyolo", "code": "MW-TH"}, {"name": "Zomba", "code": "MW-ZO"}, {"name": "Wilayah Persekutuan Kuala Lumpur", "code": "MY-W"}, {"name": "Wilayah Persekutuan Labuan", "code": "MY-L"}, {"name": "Johor", "code": "MY-J"}, {"name": "Kedah", "code": "MY-K"}, {"name": "Kelantan", "code": "MY-D"}, {"name": "Melaka", "code": "MY-M"}, {"name": "Negeri Sembilan", "code": "MY-N"}, {"name": "Pahang", "code": "MY-C"}, {"name": "Perak", "code": "MY-A"}, {"name": "Perlis", "code": "MY-R"}, {"name": "Pulau Pinang", "code": "MY-P"}, {"name": "Sabah", "code": "MY-SA"}, {"name": "Sarawak", "code": "MY-SK"}, {"name": "Selangor", "code": "MY-B"}, {"name": "Terengganu", "code": "MY-T"}, {"name": "Male", "code": "MV-MLE"}, {"name": "Alif", "code": "MV-02"}, {"name": "Baa", "code": "MV-20"}, {"name": "Dhaalu", "code": "MV-17"}, {"name": "Faafu", "code": "MV-14"}, {"name": "Gaaf Alif", "code": "MV-27"}, {"name": "Gaafu Dhaalu", "code": "MV-28"}, {"name": "Gnaviyani", "code": "MV-29"}, {"name": "Haa Alif", "code": "MV-07"}, {"name": "Haa Dhaalu", "code": "MV-23"}, {"name": "Kaafu", "code": "MV-26"}, {"name": "Laamu", "code": "MV-05"}, {"name": "Lhaviyani", "code": "MV-03"}, {"name": "Meemu", "code": "MV-12"}, {"name": "Noonu", "code": "MV-25"}, {"name": "Raa", "code": "MV-13"}, {"name": "Seenu", "code": "MV-01"}, {"name": "Shaviyani", "code": "MV-24"}, {"name": "Thaa", "code": "MV-08"}, {"name": "Vaavu", "code": "MV-04"}, {"name": "Bamako", "code": "ML-BKO"}, {"name": "Gao", "code": "ML-7"}, {"name": "Kayes", "code": "ML-1"}, {"name": "Kidal", "code": "ML-8"}, {"name": "Koulikoro", "code": "ML-2"}, {"name": "Mopti", "code": "ML-5"}, {"name": "Ségou", "code": "ML-4"}, {"name": "Sikasso", "code": "ML-3"}, {"name": "Tombouctou", "code": "ML-6"}, {"name": "Malta", "code": "MT-MT"}, {"name": "Ralik chain", "code": "MH-L"}, {"name": "Ailinglapalap", "code": "MH-ALL"}, {"name": "Ebon", "code": "MH-EBO"}, {"name": "Eniwetok", "code": "MH-ENI"}, {"name": "Jaluit", "code": "MH-JAL"}, {"name": "Kili", "code": "MH-KIL"}, {"name": "Kwajalein", "code": "MH-KWA"}, {"name": "Lae", "code": "MH-LAE"}, {"name": "Lib", "code": "MH-LIB"}, {"name": "Namorik", "code": "MH-NMK"}, {"name": "Namu", "code": "MH-NMU"}, {"name": "Rongelap", "code": "MH-RON"}, {"name": "Ujae", "code": "MH-UJA"}, {"name": "Ujelang", "code": "MH-UJL"}, {"name": "Wotho", "code": "MH-WTH"}, {"name": "Ratak chain", "code": "MH-T"}, {"name": "Ailuk", "code": "MH-ALK"}, {"name": "Arno", "code": "MH-ARN"}, {"name": "Aur", "code": "MH-AUR"}, {"name": "Likiep", "code": "MH-LIK"}, {"name": "Majuro", "code": "MH-MAJ"}, {"name": "Maloelap", "code": "MH-MAL"}, {"name": "Mejit", "code": "MH-MEJ"}, {"name": "Mili", "code": "MH-MIL"}, {"name": "Utirik", "code": "MH-UTI"}, {"name": "Wotje", "code": "MH-WTJ"}, {"name": "Nouakchott", "code": "MR-NKC"}, {"name": "Assaba", "code": "MR-03"}, {"name": "Brakna", "code": "MR-05"}, {"name": "Dakhlet Nouādhibou", "code": "MR-08"}, {"name": "Gorgol", "code": "MR-04"}, {"name": "Guidimaka", "code": "MR-10"}, {"name": "Hodh ech Chargui", "code": "MR-01"}, {"name": "Hodh el Gharbi", "code": "MR-02"}, {"name": "Inchiri", "code": "MR-12"}, {"name": "Tagant", "code": "MR-09"}, {"name": "Tiris Zemmour", "code": "MR-11"}, {"name": "Trarza", "code": "MR-06"}, {"name": "Beau Bassin-Rose Hill", "code": "MU-BR"}, {"name": "Curepipe", "code": "MU-CU"}, {"name": "Port Louis", "code": "MU-PL"}, {"name": "Quatre Bornes", "code": "MU-QB"}, {"name": "Vacoas-Phoenix", "code": "MU-VP"}, {"name": "Black River", "code": "MU-BL"}, {"name": "Flacq", "code": "MU-FL"}, {"name": "Grand Port", "code": "MU-GP"}, {"name": "Moka", "code": "MU-MO"}, {"name": "Pamplemousses", "code": "MU-PA"}, {"name": "Plaines Wilhems", "code": "MU-PW"}, {"name": "Rivière du Rempart", "code": "MU-RR"}, {"name": "Savanne", "code": "MU-SA"}, {"name": "Agalega Islands", "code": "MU-AG"}, {"name": "Cargados Carajos Shoals [Saint Brandon Islands]", "code": "MU-CC"}, {"name": "Rodrigues Island", "code": "MU-RO"}, {"name": "Aguascalientes", "code": "MX-AGU"}, {"name": "Baja California", "code": "MX-BCN"}, {"name": "Baja California Sur", "code": "MX-BCS"}, {"name": "Campeche", "code": "MX-CAM"}, {"name": "Coahuila", "code": "MX-COA"}, {"name": "Colima", "code": "MX-COL"}, {"name": "Chiapas", "code": "MX-CHP"}, {"name": "Chihuahua", "code": "MX-CHH"}, {"name": "Durango", "code": "MX-DUR"}, {"name": "Guerrero", "code": "MX-GRO"}, {"name": "Guanajuato", "code": "MX-GUA"}, {"name": "Hidalgo", "code": "MX-HID"}, {"name": "Jalisco", "code": "MX-JAL"}, {"name": "México", "code": "MX-MEX"}, {"name": "Michoacán", "code": "MX-MIC"}, {"name": "Morelos", "code": "MX-MOR"}, {"name": "Nayarit", "code": "MX-NAY"}, {"name": "Nuevo León", "code": "MX-NLE"}, {"name": "Oaxaca", "code": "MX-OAX"}, {"name": "Puebla", "code": "MX-PUE"}, {"name": "Queretaro", "code": "MX-QUE"}, {"name": "Quintana Roo", "code": "MX-ROO"}, {"name": "San Luis Potosí", "code": "MX-SLP"}, {"name": "Sinaloa", "code": "MX-SIN"}, {"name": "Sonora", "code": "MX-SON"}, {"name": "Tabasco", "code": "MX-TAB"}, {"name": "Tamaulipas", "code": "MX-TAM"}, {"name": "Tlaxcala", "code": "MX-TLA"}, {"name": "Veracruz", "code": "MX-VER"}, {"name": "Yucatán", "code": "MX-YUC"}, {"name": "Zacatecas", "code": "MX-ZAC"}, {"name": "chuuk", "code": "FM-TRK"}, {"name": "Kosrae", "code": "FM-KSA"}, {"name": "Pohnpei", "code": "FM-PNI"}, {"name": "Yap", "code": "FM-YAP"}, {"name": "Bălţi", "code": "MD-BAL"}, {"name": "Cahul", "code": "MD-CAH"}, {"name": "Chişinău", "code": "MD-CHI"}, {"name": "Dubăsari", "code": "MD-DUB"}, {"name": "Orhei", "code": "MD-ORH"}, {"name": "Rîbniţa", "code": "MD-RIB"}, {"name": "Soroca", "code": "MD-SOC"}, {"name": "Tighina", "code": "MD-TIG"}, {"name": "Tiraspol", "code": "MD-TIR"}, {"name": "Ungheni", "code": "MD-UNG"}, {"name": "Anenii Noi", "code": "MD-ANE"}, {"name": "Basarabeasca", "code": "MD-BAS"}, {"name": "Brinceni", "code": "MD-BRI"}, {"name": "Camenca", "code": "MD-CAM"}, {"name": "Cantemir", "code": "MD-CAN"}, {"name": "Căinari", "code": "MD-CAI"}, {"name": "Călăraşi", "code": "MD-CAL"}, {"name": "Căuşeni", "code": "MD-CAS"}, {"name": "Ciadîr-Lunga", "code": "MD-CIA"}, {"name": "Cimişlia", "code": "MD-CIM"}, {"name": "Comrat", "code": "MD-COM"}, {"name": "Criuleni", "code": "MD-CRI"}, {"name": "Donduşeni", "code": "MD-DON"}, {"name": "Drochia", "code": "MD-DRO"}, {"name": "Edineţ", "code": "MD-EDI"}, {"name": "Făleşti", "code": "MD-FAL"}, {"name": "Floreşti", "code": "MD-FLO"}, {"name": "Glodeni", "code": "MD-GLO"}, {"name": "Grigoriopol", "code": "MD-GRI"}, {"name": "Hînceşti", "code": "MD-HIN"}, {"name": "Ialoveni", "code": "MD-IAL"}, {"name": "Leova", "code": "MD-LEO"}, {"name": "Nisporeni", "code": "MD-NIS"}, {"name": "Ocniţa", "code": "MD-OCN"}, {"name": "Rezina", "code": "MD-REZ"}, {"name": "Rîşcani", "code": "MD-RIS"}, {"name": "Sîngerei", "code": "MD-SIN"}, {"name": "Slobozia", "code": "MD-SLO"}, {"name": "Străşeni", "code": "MD-STR"}, {"name": "Şoldăneşti", "code": "MD-SOL"}, {"name": "Ştefan Vodă", "code": "MD-STE"}, {"name": "Taraclia", "code": "MD-TAR"}, {"name": "Teleneşti", "code": "MD-TEL"}, {"name": "Vulcăneşti", "code": "MD-VUL"}, {"name": "Monaco", "code": "MC-MC"}, {"name": "Ulaanbaatar", "code": "MN-1"}, {"name": "Arhangay", "code": "MN-073"}, {"name": "Bayanhongor", "code": "MN-069"}, {"name": "Bayan-Ölgiy", "code": "MN-071"}, {"name": "Bulgan", "code": "MN-067"}, {"name": "Darhan uul", "code": "MN-037"}, {"name": "Dornod", "code": "MN-061"}, {"name": "Dornogovĭ", "code": "MN-063"}, {"name": "Dundgovĭ", "code": "MN-059"}, {"name": "Dzavhan", "code": "MN-057"}, {"name": "Govĭ-Altay", "code": "MN-065"}, {"name": "Govĭ-Sümber", "code": "MN-064"}, {"name": "Hentiy", "code": "MN-039"}, {"name": "Hovd", "code": "MN-043"}, {"name": "Hövsgöl", "code": "MN-041"}, {"name": "Ömnögovĭ", "code": "MN-053"}, {"name": "Orhon", "code": "MN-035"}, {"name": "Övörhangay", "code": "MN-055"}, {"name": "Selenge", "code": "MN-049"}, {"name": "Sühbaatar", "code": "MN-051"}, {"name": "Töv", "code": "MN-047"}, {"name": "Uvs", "code": "MN-046"}, {"name": "Montserrat", "code": "MS-MS"}, {"name": "Azilal", "code": "MA-AZI"}, {"name": "Beni Mellal", "code": "MA-BEM"}, {"name": "Ben Slimane", "code": "MA-BES"}, {"name": "Boulemane", "code": "MA-BOM"}, {"name": "Casablanca [Dar el Beïda]", "code": "MA-CAS"}, {"name": "El Jadida", "code": "MA-JDI"}, {"name": "Khouribga", "code": "MA-KHO"}, {"name": "Settat", "code": "MA-SET"}, {"name": "Centre-Nord", "code": "MA-CN"}, {"name": "Al Hoceïma", "code": "MA-HOC"}, {"name": "Fès", "code": "MA-FES"}, {"name": "Sefrou", "code": "MA-SEF"}, {"name": "Taounate", "code": "MA-TAO"}, {"name": "Taza", "code": "MA-TAZ"}, {"name": "Centre-Sud", "code": "MA-CS"}, {"name": "El Hajeb", "code": "MA-HAJ"}, {"name": "Errachidia", "code": "MA-ERR"}, {"name": "Ifrane", "code": "MA-IFR"}, {"name": "Khenifra", "code": "MA-KHN"}, {"name": "Meknès", "code": "MA-MEK"}, {"name": "Berkane", "code": "MA-BER"}, {"name": "Figuig", "code": "MA-FIG"}, {"name": "Jrada", "code": "MA-IRA"}, {"name": "Nador", "code": "MA-NAD"}, {"name": "Oujda", "code": "MA-OUJ"}, {"name": "Chefchaouene", "code": "MA-CHE"}, {"name": "Kénitra", "code": "MA-KEN"}, {"name": "Khemisset", "code": "MA-KHE"}, {"name": "Larache", "code": "MA-LAR"}, {"name": "Rabat-Salé", "code": "MA-RBA"}, {"name": "Sidi Kacem", "code": "MA-SIK"}, {"name": "Tanger", "code": "MA-TNG"}, {"name": "Tétouan", "code": "MA-TET"}, {"name": "Agadir", "code": "MA-AGD"}, {"name": "Aït Baha", "code": "MA-BAH"}, {"name": "Aït Melloul", "code": "MA-MEL"}, {"name": "Assa-Zag", "code": "MA-ASZ"}, {"name": "Boujdour (EH)", "code": "MA-BOD"}, {"name": "Es Semara (EH)", "code": "MA-ESM"}, {"name": "Guelmim", "code": "MA-GUE"}, {"name": "Laayoune (EH)", "code": "MA-LAA"}, {"name": "Ouarzazate", "code": "MA-OUA"}, {"name": "Oued ed Dahab (EH)", "code": "MA-OUD"}, {"name": "Tan-Tan", "code": "MA-TNT"}, {"name": "Taroudannt", "code": "MA-TAR"}, {"name": "Tata", "code": "MA-TAT"}, {"name": "Tiznit", "code": "MA-TIZ"}, {"name": "Tensift", "code": "MA-TS"}, {"name": "Al Haouz", "code": "MA-HAO"}, {"name": "Chichaoua", "code": "MA-CHI"}, {"name": "Essaouira", "code": "MA-ESI"}, {"name": "Kelaat Sraghna", "code": "MA-KES"}, {"name": "Marrakech", "code": "MA-MAR"}, {"name": "Safi", "code": "MA-SAF"}, {"name": "Maputo", "code": "MZ-MPM"}, {"name": "Cabo Delgado", "code": "MZ-P"}, {"name": "Gaza", "code": "MZ-G"}, {"name": "Inhambane", "code": "MZ-I"}, {"name": "Manica", "code": "MZ-B"}, {"name": "Nampula", "code": "MZ-N"}, {"name": "Niassa", "code": "MZ-A"}, {"name": "Sofala", "code": "MZ-S"}, {"name": "Tete", "code": "MZ-T"}, {"name": "Zambézia", "code": "MZ-Q"}, {"name": "Ayeyarwady", "code": "MM-07"}, {"name": "Bago", "code": "MM-02"}, {"name": "Magway", "code": "MM-03"}, {"name": "Mandalay", "code": "MM-04"}, {"name": "Sagaing", "code": "MM-01"}, {"name": "Tanintharyi", "code": "MM-05"}, {"name": "Yangon", "code": "MM-06"}, {"name": "Chin", "code": "MM-14"}, {"name": "Kachin", "code": "MM-11"}, {"name": "Kayah", "code": "MM-12"}, {"name": "Kayin", "code": "MM-13"}, {"name": "Mon", "code": "MM-15"}, {"name": "Rakhine", "code": "MM-16"}, {"name": "Shan", "code": "MM-17"}, {"name": "Caprivi", "code": "NA-CA"}, {"name": "Erongo", "code": "NA-ER"}, {"name": "Hardap", "code": "NA-HA"}, {"name": "Karas", "code": "NA-KA"}, {"name": "Khomas", "code": "NA-KH"}, {"name": "Kunene", "code": "NA-KU"}, {"name": "Ohangwena", "code": "NA-OW"}, {"name": "Okavango", "code": "NA-OK"}, {"name": "Omaheke", "code": "NA-OH"}, {"name": "Omusati", "code": "NA-OS"}, {"name": "Oshana", "code": "NA-ON"}, {"name": "Oshikoto", "code": "NA-OT"}, {"name": "Otjozondjupa", "code": "NA-OD"}, {"name": "Nauru", "code": "NR-NR"}, {"name": "Madhyamanchal", "code": "NP-1"}, {"name": "Bagmati", "code": "NP-BA"}, {"name": "Janakpur", "code": "NP-JA"}, {"name": "Narayani", "code": "NP-NA"}, {"name": "Madhya Pashchimanchal", "code": "NP-2"}, {"name": "Bheri", "code": "NP-BH"}, {"name": "Karnali", "code": "NP-KA"}, {"name": "Rapti", "code": "NP-RA"}, {"name": "Pashchimanchal", "code": "NP-3"}, {"name": "Dhawalagiri", "code": "NP-DH"}, {"name": "Gandaki", "code": "NP-GA"}, {"name": "Lumbini", "code": "NP-LU"}, {"name": "Purwanchal", "code": "NP-4"}, {"name": "Kosi [Koshi]", "code": "NP-KO"}, {"name": "Mechi", "code": "NP-ME"}, {"name": "Sagarmatha", "code": "NP-SA"}, {"name": "Sudur Pashchimanchal", "code": "NP-5"}, {"name": "Mahakali", "code": "NP-MA"}, {"name": "Seti", "code": "NP-SE"}, {"name": "Drenthe", "code": "NL-DR"}, {"name": "Flevoland", "code": "NL-FL"}, {"name": "Friesland", "code": "NL-FR"}, {"name": "Gelderland", "code": "NL-GE"}, {"name": "Groningen", "code": "NL-GR"}, {"name": "Limburg", "code": "NL-LI"}, {"name": "Noord-Brabant", "code": "NL-NB"}, {"name": "Noord-Holland", "code": "NL-NH"}, {"name": "Overijssel", "code": "NL-OV"}, {"name": "Utrecht", "code": "NL-UT"}, {"name": "Zeeland", "code": "NL-ZE"}, {"name": "Zuid-Holland", "code": "NL-ZH"}, {"name": "Netherlands Antilles", "code": "AN-AN"}, {"name": "New Caledonia", "code": "NC-NC"}, {"name": "North Island", "code": "NZ-N"}, {"name": "Auckland", "code": "NZ-AUK"}, {"name": "Bay of Plenty", "code": "NZ-BOP"}, {"name": "Gisborne", "code": "NZ-GIS"}, {"name": "Hawkes's Bay", "code": "NZ-HKB"}, {"name": "Manawatu-Wanganui", "code": "NZ-MWT"}, {"name": "Northland", "code": "NZ-NTL"}, {"name": "Taranaki", "code": "NZ-TKI"}, {"name": "Waikato", "code": "NZ-WKO"}, {"name": "Wellington", "code": "NZ-WGN"}, {"name": "South Island", "code": "NZ-S"}, {"name": "Canterbury", "code": "NZ-CAN"}, {"name": "Marlborough", "code": "NZ-MBH"}, {"name": "Nelson", "code": "NZ-NSN"}, {"name": "Otago", "code": "NZ-OTA"}, {"name": "Southland", "code": "NZ-STL"}, {"name": "Tasman", "code": "NZ-TAS"}, {"name": "West Coast", "code": "NZ-WTC"}, {"name": "Boaco", "code": "NI-BO"}, {"name": "Carazo", "code": "NI-CA"}, {"name": "Chinandega", "code": "NI-CI"}, {"name": "Chontales", "code": "NI-CO"}, {"name": "Estelí", "code": "NI-ES"}, {"name": "Granada", "code": "NI-GR"}, {"name": "Jinotega", "code": "NI-JI"}, {"name": "León", "code": "NI-LE"}, {"name": "Madriz", "code": "NI-MD"}, {"name": "Manaqua", "code": "NI-MN"}, {"name": "Masaya", "code": "NI-MS"}, {"name": "Matagalpa", "code": "NI-MT"}, {"name": "Nueva Segovia", "code": "NI-NS"}, {"name": "Río San Juan", "code": "NI-SJ"}, {"name": "Rivas", "code": "NI-RI"}, {"name": "Zelaya", "code": "NI-ZE"}, {"name": "Niamey", "code": "NE-8"}, {"name": "Agadez", "code": "NE-1"}, {"name": "Diffa", "code": "NE-2"}, {"name": "Dosso", "code": "NE-3"}, {"name": "Maradi", "code": "NE-4"}, {"name": "Tahoua", "code": "NE-5"}, {"name": "Tillaberi", "code": "NE-6"}, {"name": "Zinder", "code": "NE-7"}, {"name": "Abuja Capital Territory", "code": "NG-FC"}, {"name": "Abia", "code": "NG-AB"}, {"name": "Adamawa", "code": "NG-AD"}, {"name": "Akwa Ibom", "code": "NG-AK"}, {"name": "Anambra", "code": "NG-AN"}, {"name": "Bauchi", "code": "NG-BA"}, {"name": "Benue", "code": "NG-BE"}, {"name": "Borno", "code": "NG-BO"}, {"name": "Cross River", "code": "NG-CR"}, {"name": "Delta", "code": "NG-DE"}, {"name": "Edo", "code": "NG-ED"}, {"name": "Enugu", "code": "NG-EN"}, {"name": "Imo", "code": "NG-IM"}, {"name": "Jigawa", "code": "NG-JI"}, {"name": "Kaduna", "code": "NG-KD"}, {"name": "Kano", "code": "NG-KN"}, {"name": "Katsina", "code": "NG-KT"}, {"name": "Kebbi", "code": "NG-KE"}, {"name": "Kogi", "code": "NG-KO"}, {"name": "Kwara", "code": "NG-KW"}, {"name": "Lagos", "code": "NG-LA"}, {"name": "Niger", "code": "NG-NI"}, {"name": "Ogun", "code": "NG-OG"}, {"name": "Ondo", "code": "NG-ON"}, {"name": "Osun", "code": "NG-OS"}, {"name": "Oyo", "code": "NG-OY"}, {"name": "Plateau", "code": "NG-PL"}, {"name": "Rivers", "code": "NG-RI"}, {"name": "Sokoto", "code": "NG-SO"}, {"name": "Taraba", "code": "NG-TA"}, {"name": "Yobe", "code": "NG-YO"}, {"name": "Niue", "code": "NU-NU"}, {"name": "Norfolk Island", "code": "NF-NF"}, {"name": "Akershus", "code": "NO-02"}, {"name": "Aust-Agder", "code": "NO-09"}, {"name": "Buskerud", "code": "NO-06"}, {"name": "Finnmark", "code": "NO-20"}, {"name": "Hedmark", "code": "NO-04"}, {"name": "Hordaland", "code": "NO-12"}, {"name": "Møre og Romsdal", "code": "NO-15"}, {"name": "Nordland", "code": "NO-18"}, {"name": "Nord-Trøndelag", "code": "NO-17"}, {"name": "Oppland", "code": "NO-05"}, {"name": "Oslo", "code": "NO-03"}, {"name": "Rogaland", "code": "NO-11"}, {"name": "Sogn og Fjordane", "code": "NO-14"}, {"name": "Sør-Trøndelag", "code": "NO-16"}, {"name": "Telemark", "code": "NO-08"}, {"name": "Troms", "code": "NO-19"}, {"name": "Vest-Agder", "code": "NO-10"}, {"name": "Vestfold", "code": "NO-07"}, {"name": "Østfold", "code": "NO-01"}, {"name": "Jan Mayen (Arctic Region)", "code": "NO-22"}, {"name": "Svalbard (Arctic Region)", "code": "NO-21"}, {"name": "Ad Dākhilīyah", "code": "OM-DA"}, {"name": "Al Bāţinah", "code": "OM-BA"}, {"name": "Al Janūbīyah [Zufār]", "code": "OM-JA"}, {"name": "Al Wusţā", "code": "OM-WU"}, {"name": "Az Zāhirah", "code": "OM-ZA"}, {"name": "Masqaţ", "code": "OM-MA"}, {"name": "Musandam", "code": "OM-MU"}, {"name": "Islamabad", "code": "PK-IS"}, {"name": "Baluchistan (Balochistān)", "code": "PK-BA"}, {"name": "North-West Frontier", "code": "PK-NW"}, {"name": "Sind (Sindh)", "code": "PK-SD"}, {"name": "Federally Administered Tribal Areas", "code": "PK-TA"}, {"name": "Azad Kashmir", "code": "PK-JK"}, {"name": "Northern Areas", "code": "PK-NA"}, {"name": "Botas del Toro", "code": "PA-1"}, {"name": "Coclé", "code": "PA-2"}, {"name": "Chiriquī", "code": "PA-4"}, {"name": "Darién", "code": "PA-5"}, {"name": "Herrera", "code": "PA-6"}, {"name": "Los Santos", "code": "PA-7"}, {"name": "Panamá", "code": "PA-8"}, {"name": "Veraguas", "code": "PA-9"}, {"name": "Comarca de San Blas", "code": "PA-0"}, {"name": "National Capital District (Port Moresby)", "code": "PG-NCD"}, {"name": "Chimbu", "code": "PG-CPK"}, {"name": "Eastern Highlands", "code": "PG-EHG"}, {"name": "East New Britain", "code": "PG-EBR"}, {"name": "East Sepik", "code": "PG-ESW"}, {"name": "Enga", "code": "PG-EPW"}, {"name": "Gulf", "code": "PG-GPK"}, {"name": "Madang", "code": "PG-MPM"}, {"name": "Manus", "code": "PG-MRL"}, {"name": "Milne Bay", "code": "PG-MBA"}, {"name": "Morobe", "code": "PG-MPL"}, {"name": "New Ireland", "code": "PG-NIK"}, {"name": "North Solomons", "code": "PG-NSA"}, {"name": "Sandaun [West Sepik]", "code": "PG-SAN"}, {"name": "Southern Highlands", "code": "PG-SHM"}, {"name": "Western Highlands", "code": "PG-WHM"}, {"name": "West New Britain", "code": "PG-WBK"}, {"name": "Asunción", "code": "PY-ASU"}, {"name": "Alto Paraguay", "code": "PY-16"}, {"name": "Alto Parang", "code": "PY-10"}, {"name": "Amambay", "code": "PY-13"}, {"name": "Boquerón", "code": "PY-19"}, {"name": "Caaguazú", "code": "PY-5"}, {"name": "Caazapá", "code": "PY-6"}, {"name": "Canindeyú", "code": "PY-14"}, {"name": "Concepción", "code": "PY-1"}, {"name": "Cordillera", "code": "PY-3"}, {"name": "Guairá", "code": "PY-4"}, {"name": "Itapúa", "code": "PY-7"}, {"name": "Neembucú", "code": "PY-12"}, {"name": "Paraguarī", "code": "PY-9"}, {"name": "Presidente Hayes", "code": "PY-15"}, {"name": "San Pedro", "code": "PY-2"}, {"name": "El Callao", "code": "PE-CAL"}, {"name": "Ancash", "code": "PE-ANC"}, {"name": "Apurímac", "code": "PE-APU"}, {"name": "Arequipa", "code": "PE-ARE"}, {"name": "Ayacucho", "code": "PE-AYA"}, {"name": "Cajamarca", "code": "PE-CAJ"}, {"name": "Cuzco [Cusco]", "code": "PE-CUS"}, {"name": "Huancavelica", "code": "PE-HUV"}, {"name": "Huánuco", "code": "PE-HUC"}, {"name": "Ica", "code": "PE-ICA"}, {"name": "Junín", "code": "PE-JUN"}, {"name": "Lambayeque", "code": "PE-LAM"}, {"name": "Lima", "code": "PE-LIM"}, {"name": "Loreto", "code": "PE-LOR"}, {"name": "Madre de Dios", "code": "PE-MDD"}, {"name": "Moquegua", "code": "PE-MOQ"}, {"name": "Pasco", "code": "PE-PAS"}, {"name": "Piura", "code": "PE-PIU"}, {"name": "Puno", "code": "PE-PUN"}, {"name": "San Martín", "code": "PE-SAM"}, {"name": "Tacna", "code": "PE-TAC"}, {"name": "Tumbes", "code": "PE-TUM"}, {"name": "Ucayali", "code": "PE-UCA"}, {"name": "Philippines", "code": "PH-PH"}, {"name": "Pitcairn", "code": "PN-PN"}, {"name": "Biała Podlaska", "code": "PL-BP"}, {"name": "Białystok", "code": "PL-BK"}, {"name": "Bielsko", "code": "PL-BB"}, {"name": "Bydgoszcz", "code": "PL-BY"}, {"name": "Chełm", "code": "PL-CH"}, {"name": "Ciechanów", "code": "PL-CI"}, {"name": "Czestochowa", "code": "PL-CZ"}, {"name": "Elblag", "code": "PL-EL"}, {"name": "Gdańsk", "code": "PL-GD"}, {"name": "Gorzów", "code": "PL-GO"}, {"name": "Jelenia Gera", "code": "PL-JG"}, {"name": "Kalisz", "code": "PL-KL"}, {"name": "Katowice", "code": "PL-KA"}, {"name": "Kielce", "code": "PL-KI"}, {"name": "Konin", "code": "PL-KN"}, {"name": "Koszalin", "code": "PL-KO"}, {"name": "Kraków", "code": "PL-KR"}, {"name": "Krosno", "code": "PL-KS"}, {"name": "Legnica", "code": "PL-LG"}, {"name": "Leszno", "code": "PL-LE"}, {"name": "Lublin", "code": "PL-LU"}, {"name": "Łomia", "code": "PL-LO"}, {"name": "Łódź", "code": "PL-LD"}, {"name": "Nowy Sacz", "code": "PL-NS"}, {"name": "Olsztyn", "code": "PL-OL"}, {"name": "Opole", "code": "PL-OP"}, {"name": "Ostrołeka", "code": "PL-OS"}, {"name": "Piła", "code": "PL-PI"}, {"name": "Piotrków", "code": "PL-PT"}, {"name": "Płock", "code": "PL-PL"}, {"name": "Poznań", "code": "PL-PO"}, {"name": "Przemyśl", "code": "PL-PR"}, {"name": "Radom", "code": "PL-RA"}, {"name": "Rzeszów", "code": "PL-RZ"}, {"name": "Siedlce", "code": "PL-SE"}, {"name": "Sieradz", "code": "PL-SI"}, {"name": "Skierniewice", "code": "PL-SK"}, {"name": "Słupsk", "code": "PL-SL"}, {"name": "Suwałki", "code": "PL-SU"}, {"name": "Szczecin", "code": "PL-SZ"}, {"name": "Tarnobrzeg", "code": "PL-TG"}, {"name": "Tarnów", "code": "PL-TA"}, {"name": "Toruń", "code": "PL-TO"}, {"name": "Wałbrzych", "code": "PL-WB"}, {"name": "Warszawa", "code": "PL-WA"}, {"name": "Włocławek", "code": "PL-WL"}, {"name": "Wrocław", "code": "PL-WR"}, {"name": "Zamość", "code": "PL-ZA"}, {"name": "Zielona Góra", "code": "PL-ZG"}, {"name": "Aveiro", "code": "PT-01"}, {"name": "Beja", "code": "PT-02"}, {"name": "Braga", "code": "PT-03"}, {"name": "Bragança", "code": "PT-04"}, {"name": "Castelo Branco", "code": "PT-05"}, {"name": "Coimbra", "code": "PT-06"}, {"name": "Évora", "code": "PT-07"}, {"name": "Faro", "code": "PT-08"}, {"name": "Guarda", "code": "PT-09"}, {"name": "Leiria", "code": "PT-10"}, {"name": "Lisboa", "code": "PT-11"}, {"name": "Portalegre", "code": "PT-12"}, {"name": "Porto", "code": "PT-13"}, {"name": "Santarém", "code": "PT-14"}, {"name": "Setúbal", "code": "PT-15"}, {"name": "Viana do Castelo", "code": "PT-16"}, {"name": "Vila Real", "code": "PT-17"}, {"name": "Viseu", "code": "PT-18"}, {"name": "Regiāo Autónoma dos Açores", "code": "PT-20"}, {"name": "Regiāo Autónoma da Madeira", "code": "PT-30"}, {"name": "Ad Dawḩah", "code": "QA-DA"}, {"name": "Al Ghuwayrīyah", "code": "QA-GH"}, {"name": "Al Jumaylīyah", "code": "QA-JU"}, {"name": "Al Khawr", "code": "QA-KH"}, {"name": "Al Wakrah", "code": "QA-WA"}, {"name": "Ar Rayyān", "code": "QA-RA"}, {"name": "Jarīyān al Bāţnah", "code": "QA-JB"}, {"name": "Madīnat ash Shamāl", "code": "QA-MS"}, {"name": "Umm Şalāl", "code": "QA-US"}, {"name": "Reunion", "code": "RE-RE"}, {"name": "Bucureşti", "code": "RO-B"}, {"name": "Alba", "code": "RO-AB"}, {"name": "Arad", "code": "RO-AR"}, {"name": "Argeş", "code": "RO-AG"}, {"name": "Bacău", "code": "RO-BC"}, {"name": "Bihor", "code": "RO-BH"}, {"name": "Bistriţa-Năsăud", "code": "RO-BN"}, {"name": "Botoşani", "code": "RO-BT"}, {"name": "Braşov", "code": "RO-BV"}, {"name": "Brăila", "code": "RO-BR"}, {"name": "Buzău", "code": "RO-BZ"}, {"name": "Caraş-Severin", "code": "RO-CS"}, {"name": "Cluj", "code": "RO-CJ"}, {"name": "Constanţa", "code": "RO-CT"}, {"name": "Covasna", "code": "RO-CV"}, {"name": "Dâmboviţa", "code": "RO-DB"}, {"name": "Dolj", "code": "RO-DJ"}, {"name": "Galaţi", "code": "RO-GL"}, {"name": "Giurgiu", "code": "RO-GR"}, {"name": "Gorj", "code": "RO-GJ"}, {"name": "Harghita", "code": "RO-HR"}, {"name": "Hunedoara", "code": "RO-HD"}, {"name": "Ialomiţa", "code": "RO-IL"}, {"name": "Iaşi", "code": "RO-IS"}, {"name": "Maramureş", "code": "RO-MM"}, {"name": "Mehedinţi", "code": "RO-MH"}, {"name": "Mureş", "code": "RO-MS"}, {"name": "Neamţ", "code": "RO-NT"}, {"name": "Olt", "code": "RO-OT"}, {"name": "Prahova", "code": "RO-PH"}, {"name": "Satu Mare", "code": "RO-SM"}, {"name": "Sălaj", "code": "RO-SJ"}, {"name": "Sibiu", "code": "RO-SB"}, {"name": "Suceava", "code": "RO-SV"}, {"name": "Teleorman", "code": "RO-TR"}, {"name": "Timiş", "code": "RO-TM"}, {"name": "Tulcea", "code": "RO-TL"}, {"name": "Vaslui", "code": "RO-VS"}, {"name": "Vâlcea", "code": "RO-VL"}, {"name": "Vrancea", "code": "RO-VN"}, {"name": "Adygeya, Respublika", "code": "RU-AD"}, {"name": "Altay, Respublika", "code": "RU-AL"}, {"name": "Bashkortostan, Respublika", "code": "RU-BA"}, {"name": "Buryatiya, Respublika", "code": "RU-BU"}, {"name": "Chechenskaya Respublika", "code": "RU-CE"}, {"name": "Chuvashskaya Respublika", "code": "RU-CU"}, {"name": "Dagestan, Respublika", "code": "RU-DA"}, {"name": "Ingushskaya Respublika", "code": "RU-IN"}, {"name": "Kabardino-Balkarskaya Respublika", "code": "RU-KB"}, {"name": "Kalmykiya, Respublika", "code": "RU-KL"}, {"name": "Karachayevo-Cherkesskaya Respublika", "code": "RU-KC"}, {"name": "Kareliya, Respublika", "code": "RU-KR"}, {"name": "Khakasiya, Respublika", "code": "RU-KK"}, {"name": "Komi, Respublika", "code": "RU-KO"}, {"name": "Mariy El, Respublika", "code": "RU-ME"}, {"name": "Mordoviya, Respublika", "code": "RU-MO"}, {"name": "Sakha, Respublika [Yakutiya]", "code": "RU-SA"}, {"name": "Severnaya Osetiya, Respublika [Alaniya]", "code": "RU-SE"}, {"name": "Tatarstan, Respublika", "code": "RU-TA"}, {"name": "Tyva, Respublika [Tuva]", "code": "RU-TY"}, {"name": "Udmurtskaya Respublika", "code": "RU-UD"}, {"name": "Altayskiy kray", "code": "RU-ALT"}, {"name": "Khabarovskiy kray", "code": "RU-KHA"}, {"name": "Krasnodarskiy kray", "code": "RU-KDA"}, {"name": "Krasnoyarskiy kray", "code": "RU-KYA"}, {"name": "Primorskiy kray", "code": "RU-PRI"}, {"name": "Stavropol 'skiy kray", "code": "RU-STA"}, {"name": "Amurskaya Oblast'", "code": "RU-AMU"}, {"name": "Arkhangel'skaya Oblast'", "code": "RU-ARK"}, {"name": "Astrakhanskaya Oblast'", "code": "RU-AST"}, {"name": "Belgorodskaya Oblast'", "code": "RU-BEL"}, {"name": "Bryanskaya Oblast'", "code": "RU-BRY"}, {"name": "Chelyabinskaya Oblast'", "code": "RU-CHE"}, {"name": "Chitinskaya Oblast'", "code": "RU-CHI"}, {"name": "Irkutskaya Oblast'", "code": "RU-IRK"}, {"name": "Ivanovskaya Oblast'", "code": "RU-IVA"}, {"name": "Kaliningradskaya Oblast'", "code": "RU-KGD"}, {"name": "Kaluzhskaya Oblast'", "code": "RU-KLU"}, {"name": "Kamchatskaya Oblast'", "code": "RU-KAM"}, {"name": "Kemerovskaya Oblast'", "code": "RU-KEM"}, {"name": "Kirovskaya Oblast'", "code": "RU-KIR"}, {"name": "Kostromskaya Oblast'", "code": "RU-KOS"}, {"name": "Kurganskaya Oblast'", "code": "RU-KGN"}, {"name": "Kurskaya Oblast'", "code": "RU-KRS"}, {"name": "Leningradskaya Oblast'", "code": "RU-LEN"}, {"name": "Lipetskaya Oblast'", "code": "RU-LIP"}, {"name": "Magadanskaya Oblast'", "code": "RU-MAG"}, {"name": "Moskovskaya Oblast'", "code": "RU-MOS"}, {"name": "Murmanskaya Oblast'", "code": "RU-MUR"}, {"name": "Nizhegorodskaya Oblast'", "code": "RU-NIZ"}, {"name": "Novgorodskaya Oblast'", "code": "RU-NGR"}, {"name": "Novosibirskaya Oblast'", "code": "RU-NVS"}, {"name": "Omskaya Oblast'", "code": "RU-OMS"}, {"name": "Orenburgskaya Oblast'", "code": "RU-ORE"}, {"name": "Orlovskaya Oblast'", "code": "RU-ORL"}, {"name": "Penzenskaya Oblast'", "code": "RU-PNZ"}, {"name": "Permskaya Oblast'", "code": "RU-PER"}, {"name": "Pskovskaya Oblast'", "code": "RU-PSK"}, {"name": "Rostovskaya Oblast'", "code": "RU-ROS"}, {"name": "Ryazanskaya Oblast'", "code": "RU-RYA"}, {"name": "Sakhalinskaya Oblast'", "code": "RU-SAK"}, {"name": "Samarskaya Oblast’", "code": "RU-SAM"}, {"name": "Saratovskaya Oblast'", "code": "RU-SAR"}, {"name": "Smolenskaya Oblast'", "code": "RU-SMO"}, {"name": "Sverdlovskaya Oblast'", "code": "RU-SVE"}, {"name": "Tambovskaya Oblast'", "code": "RU-TAM"}, {"name": "Tomskaya Oblast’", "code": "RU-TOM"}, {"name": "Tul'skaya Oblast'", "code": "RU-TUL"}, {"name": "Tverskaya Oblast'", "code": "RU-TVE"}, {"name": "Tyumenskaya Oblast'", "code": "RU-TYU"}, {"name": "Ul'yanovskaya Oblast'", "code": "RU-ULY"}, {"name": "Vladimirskaya Oblast'", "code": "RU-VLA"}, {"name": "Volgogradskaya Oblast'", "code": "RU-VGG"}, {"name": "Vologodskaya Oblast'", "code": "RU-VLG"}, {"name": "Voronezhskaya Oblast'", "code": "RU-VOR"}, {"name": "Yaroslavskaya Oblast'", "code": "RU-YAR"}, {"name": "Moskva", "code": "RU-MOW"}, {"name": "Sankt-Peterburg", "code": "RU-SPE"}, {"name": "Yevreyskaya avtonomnaya oblast'", "code": "RU-YEV"}, {"name": "Aginskiy Buryatskiy avtonomnyy okrug", "code": "RU-AGB"}, {"name": "Chukotskiy avtonomnyy okrug", "code": "RU-CHU"}, {"name": "Evenkiyskiy avtonomnyy okrug", "code": "RU-EVE"}, {"name": "Khanty-Mansiyskiy avtonomnyy okrug", "code": "RU-KHM"}, {"name": "Komi-Permyatskiy avtonomnyy okrug", "code": "RU-KOP"}, {"name": "Koryakskiy avtonomnyy okrug", "code": "RU-KOR"}, {"name": "Nenetskiy avtonomnyy okrug", "code": "RU-NEN"}, {"name": "Taymyrskiy (Dolgano-Nenetskiy) avtonomnyy okrug", "code": "RU-TAY"}, {"name": "Ust’-Ordynskiy Buryatskiy avtonomnyy okrug", "code": "RU-UOB"}, {"name": "Yamalo-Nenetskiy avtonomnyy okrug", "code": "RU-YAN"}, {"name": "Butare", "code": "RW-C"}, {"name": "Byumba", "code": "RW-I"}, {"name": "Cyangugu", "code": "RW-E"}, {"name": "Gikongoro", "code": "RW-D"}, {"name": "Gisenyi", "code": "RW-G"}, {"name": "Gitarama", "code": "RW-B"}, {"name": "Kibungo", "code": "RW-J"}, {"name": "Kibuye", "code": "RW-F"}, {"name": "Kigali-Rural (Kigali y’ Icyaro)", "code": "RW-K"}, {"name": "Kigali-Ville (Kilgali Ngari)", "code": "RW-L"}, {"name": "Mutara", "code": "RW-M"}, {"name": "Ruhengeri", "code": "RW-H"}, {"name": "Saint Helena", "code": "SH-SH"}, {"name": "Ascension", "code": "SH-AC"}, {"name": "Tristan da Cunha", "code": "SH-TA"}, {"name": "Saint Kitts & Nevis", "code": "KN-KN"}, {"name": "Saint Lucia", "code": "LC-LC"}, {"name": "St. Pierre & Miquelon", "code": "PM-PM"}, {"name": "St. Vincent & the Grenadines", "code": "VC-VC"}, {"name": "A'ana", "code": "WS-AA"}, {"name": "Aiga-i-le-Tai", "code": "WS-AL"}, {"name": "Atua", "code": "WS-AT"}, {"name": "Fa'asaleleaga", "code": "WS-FA"}, {"name": "Gaga'emauga", "code": "WS-GE"}, {"name": "Gagaifomauga", "code": "WS-GI"}, {"name": "Palauli", "code": "WS-PA"}, {"name": "Satupa'itea", "code": "WS-SA"}, {"name": "Tuamasaga", "code": "WS-TU"}, {"name": "Va'a-o-Fonoti", "code": "WS-VF"}, {"name": "Vaisigano", "code": "WS-VS"}, {"name": "San Marino", "code": "SM-SM"}, {"name": "Príncipe", "code": "ST-P"}, {"name": "Sāo Tomé", "code": "ST-S"}, {"name": "Al Bāḩah", "code": "SA-11"}, {"name": "Al Ḩudūd ash Shamālīyah", "code": "SA-08"}, {"name": "Al Jawf", "code": "SA-12"}, {"name": "Al Madīnah", "code": "SA-03"}, {"name": "Al Qaşim", "code": "SA-05"}, {"name": "Ar Riyāḑ", "code": "SA-O1"}, {"name": "‘Asīr", "code": "SA-14"}, {"name": "Ḩā'il", "code": "SA-06"}, {"name": "Jīzān", "code": "SA-09"}, {"name": "Makkah", "code": "SA-02"}, {"name": "Najrān", "code": "SA-10"}, {"name": "Tabūk", "code": "SA-07"}, {"name": "Dakar", "code": "SN-DK"}, {"name": "Diourbel", "code": "SN-DB"}, {"name": "Fatick", "code": "SN-FK"}, {"name": "Kaolack", "code": "SN-KL"}, {"name": "Kolda", "code": "SN-KD"}, {"name": "Louga", "code": "SN-LG"}, {"name": "Saint-Louis", "code": "SN-SL"}, {"name": "Tambacounda", "code": "SN-TC"}, {"name": "Thiès", "code": "SN-TH"}, {"name": "Ziguinchor", "code": "SN-ZG"}, {"name": "Seychelles", "code": "SC-SC"}, {"name": "Western Area (Freetown)", "code": "SL-W"}, {"name": "Singapore", "code": "SG-SG"}, {"name": "Banskobystrický kraj", "code": "SK-BC"}, {"name": "Bratislavský kraj", "code": "SK-BL"}, {"name": "Košický kraj", "code": "SK-KI"}, {"name": "Nitriansky kraj", "code": "SK-NI"}, {"name": "Prešovský kraj", "code": "SK-PV"}, {"name": "Trenčiansky kraj", "code": "SK-TC"}, {"name": "Trnavský kraj", "code": "SK-TA"}, {"name": "Žilinský kraj", "code": "SK-ZI"}, {"name": "Dolenjska", "code": "SI-07"}, {"name": "Gorenjska", "code": "SI-09"}, {"name": "Goriška", "code": "SI-11"}, {"name": "Koroška", "code": "SI-03"}, {"name": "Notranjsko-kraška", "code": "SI-10"}, {"name": "Obalno-kraška", "code": "SI-12"}, {"name": "Osrednjeslovenska", "code": "SI-08"}, {"name": "Podravska", "code": "SI-02"}, {"name": "Pomurska", "code": "SI-01"}, {"name": "Savinjska", "code": "SI-04"}, {"name": "Spodnjeposavska", "code": "SI-06"}, {"name": "Zasavska", "code": "SI-05"}, {"name": "Capital Territory (Honiara)", "code": "SB-CT"}, {"name": "Guadalcanal", "code": "SB-GU"}, {"name": "Isabel", "code": "SB-IS"}, {"name": "Makira", "code": "SB-MK"}, {"name": "Malaita", "code": "SB-ML"}, {"name": "Temotu", "code": "SB-TE"}, {"name": "Awdal", "code": "SO-AW"}, {"name": "Bakool", "code": "SO-BK"}, {"name": "Banaadir", "code": "SO-BN"}, {"name": "BaY", "code": "SO-BY"}, {"name": "Galguduud", "code": "SO-GA"}, {"name": "Gedo", "code": "SO-GE"}, {"name": "Hiiraan", "code": "SO-HI"}, {"name": "Jubbada Dhexe", "code": "SO-JD"}, {"name": "Jubbada Hoose", "code": "SO-JH"}, {"name": "Mudug", "code": "SO-MU"}, {"name": "Nugaal", "code": "SO-NU"}, {"name": "Sanaag", "code": "SO-SA"}, {"name": "Shabeellaha Dhexe", "code": "SO-SD"}, {"name": "Shabeellaha Hoose", "code": "SO-SH"}, {"name": "Sool", "code": "SO-SO"}, {"name": "Togdheer", "code": "SO-TO"}, {"name": "Woqooyi Galbeed", "code": "SO-WO"}, {"name": "Eastern Cape (Oos-Kaap)", "code": "ZA-EC"}, {"name": "Free State (Vrystaat)", "code": "ZA-FS"}, {"name": "Gauteng", "code": "ZA-GT"}, {"name": "Kwazulu-Natal", "code": "ZA-NL"}, {"name": "Mpumalanga", "code": "ZA-MP"}, {"name": "Northern Cape (Noord-Kaap)", "code": "ZA-NC"}, {"name": "Northern Province (Noordelike Provinsie)", "code": "ZA-NP"}, {"name": "North-West (Noord-Wes)", "code": "ZA-NW"}, {"name": "Western Cape (Wes-Kaap)", "code": "ZA-WC"}, {"name": "S.Georgia & S.Sandwich Islands", "code": "GS-GS"}, {"name": "Andalucía", "code": "ES-AN"}, {"name": "Almería", "code": "ES-AL"}, {"name": "Cádiz", "code": "ES-CA"}, {"name": "Huelva", "code": "ES-H"}, {"name": "Jaén", "code": "ES-J"}, {"name": "Málaga", "code": "ES-MA"}, {"name": "Sevilla", "code": "ES-SE"}, {"name": "Aragón", "code": "ES-AR"}, {"name": "Huesca", "code": "ES-HU"}, {"name": "Teruel", "code": "ES-TE"}, {"name": "Zaragoza", "code": "ES-Z"}, {"name": "Asturias", "code": "ES-O"}, {"name": "Canarias", "code": "ES-CN"}, {"name": "Las Palmas", "code": "ES-GC"}, {"name": "Santa Cruz De Tenerife", "code": "ES-TF"}, {"name": "Cantabria", "code": "ES-S"}, {"name": "Castilla-La Mancha", "code": "ES-CM"}, {"name": "Albacete", "code": "ES-AB"}, {"name": "Ciudad Real", "code": "ES-CR"}, {"name": "Cuenca", "code": "ES-CU"}, {"name": "Guadalajara", "code": "ES-GU"}, {"name": "Castilla y León", "code": "ES-CL"}, {"name": "Ávila", "code": "ES-AV"}, {"name": "Burgos", "code": "ES-BU"}, {"name": "Palencia", "code": "ES-P"}, {"name": "Salamanca", "code": "ES-SA"}, {"name": "Segovia", "code": "ES-SG"}, {"name": "Soria", "code": "ES-SO"}, {"name": "Valladolid", "code": "ES-VA"}, {"name": "Zamora", "code": "ES-ZA"}, {"name": "Cataluña", "code": "ES-CT"}, {"name": "Barcelona", "code": "ES-B"}, {"name": "Gerona", "code": "ES-GE"}, {"name": "Lérida", "code": "ES-L"}, {"name": "Tarragona", "code": "ES-T"}, {"name": "Extremadura", "code": "ES-EX"}, {"name": "Badajoz", "code": "ES-BA"}, {"name": "Cáceres", "code": "ES-CC"}, {"name": "Galicia", "code": "ES-GA"}, {"name": "La Coruña", "code": "ES-C"}, {"name": "Lugo", "code": "ES-LU"}, {"name": "Orense", "code": "ES-OR"}, {"name": "Pontevedra", "code": "ES-PO"}, {"name": "Baleares", "code": "ES-PM"}, {"name": "Madrid", "code": "ES-M"}, {"name": "Murcia", "code": "ES-MU"}, {"name": "Navarra", "code": "ES-NA"}, {"name": "País Vasco", "code": "ES-PV"}, {"name": "Álava", "code": "ES-VI"}, {"name": "Guipúzcoa", "code": "ES-SS"}, {"name": "Vizcaya", "code": "ES-BI"}, {"name": "Valenciana, Comunidad", "code": "ES-VC"}, {"name": "Alicante", "code": "ES-A"}, {"name": "Castellón", "code": "ES-CS"}, {"name": "Valencia", "code": "ES-V"}, {"name": "Basnahira Palata (Western Province)", "code": "LK-1"}, {"name": "Colombo", "code": "LK-11"}, {"name": "Gampaha", "code": "LK-12"}, {"name": "Kalutara", "code": "LK-13"}, {"name": "Dakunu Palata (Southern Province)", "code": "LK-3"}, {"name": "Galle", "code": "LK-31"}, {"name": "Hambantota", "code": "LK-33"}, {"name": "Matara", "code": "LK-32"}, {"name": "Madhyama Palata (Central Province)", "code": "LK-2"}, {"name": "Kandy", "code": "LK-21"}, {"name": "Matale", "code": "LK-22"}, {"name": "Nuwara Eliya", "code": "LK-23"}, {"name": "Negenahira Palata (Eastern Province)", "code": "LK-5"}, {"name": "Arnpara", "code": "LK-52"}, {"name": "Batticaloa", "code": "LK-51"}, {"name": "Trincomalee", "code": "LK-53"}, {"name": "Sabaragamuwa Palata", "code": "LK-9"}, {"name": "Kegalla", "code": "LK-92"}, {"name": "Ratnapura", "code": "LK-91"}, {"name": "Uturumeda Palata (North Central Province)", "code": "LK-7"}, {"name": "Anuradhapura", "code": "LK-71"}, {"name": "Polonnaruwa", "code": "LK-72"}, {"name": "Uturu Palata (Northern Province)", "code": "LK-4"}, {"name": "Jaffna", "code": "LK-41"}, {"name": "Kilinochchi", "code": "LK-42"}, {"name": "Mannar", "code": "LK-43"}, {"name": "Mullaittivu", "code": "LK-45"}, {"name": "Vavuniya", "code": "LK-44"}, {"name": "Uva Palata", "code": "LK-8"}, {"name": "Badulla", "code": "LK-81"}, {"name": "Monaragala", "code": "LK-82"}, {"name": "Wayamba Palata (North Western Province)", "code": "LK-6"}, {"name": "Kurunegala", "code": "LK-61"}, {"name": "Puttalam", "code": "LK-62"}, {"name": "A‘ālī an Nīl", "code": "SD-23"}, {"name": "Al Buḩayrāt", "code": "SD-18"}, {"name": "Al Jazīrah", "code": "SD-07"}, {"name": "Al Kharţūm", "code": "SD-03"}, {"name": "Al Qaḑārif", "code": "SD-06"}, {"name": "Al Waḩdah", "code": "SD-22"}, {"name": "An Nīl", "code": "SD-04"}, {"name": "An Nīl al Abyaḑ", "code": "SD-08"}, {"name": "An Nīl al Azraq", "code": "SD-24"}, {"name": "Ash Shamālīyah", "code": "SD-01"}, {"name": "Baḩr al Jabal", "code": "SD-17"}, {"name": "Gharb al Istiwā'īyah", "code": "SD-16"}, {"name": "Gharb Baḩr al Ghazāl", "code": "SD-14"}, {"name": "Gharb Dārfūr", "code": "SD-12"}, {"name": "Gharb Kurdufān", "code": "SD-10"}, {"name": "Janūb Dārfūr", "code": "SD-11"}, {"name": "Janūb Kurdufān", "code": "SD-13"}, {"name": "Jūnqalī", "code": "SD-20"}, {"name": "Kassalā", "code": "SD-05"}, {"name": "Shamāl Baḩr al Ghazāl", "code": "SD-15"}, {"name": "Shamāl Dārfūr", "code": "SD-02"}, {"name": "Shamāl Kurdufān", "code": "SD-09"}, {"name": "Sharq al Istiwā'iyah", "code": "SD-19"}, {"name": "Sinnār", "code": "SD-25"}, {"name": "Wārāb", "code": "SD-21"}, {"name": "Brokopondo", "code": "SR-BR"}, {"name": "Commewijne", "code": "SR-CM"}, {"name": "Coronie", "code": "SR-CR"}, {"name": "Marowijne", "code": "SR-MA"}, {"name": "Nickerie", "code": "SR-NI"}, {"name": "Para", "code": "SR-PR"}, {"name": "Paramaribo", "code": "SR-PM"}, {"name": "Saramacca", "code": "SR-SA"}, {"name": "Sipaliwini", "code": "SR-SI"}, {"name": "Wanica", "code": "SR-WA"}, {"name": "Svalbard & Jan Mayen Islands", "code": "SJ-SJ"}, {"name": "Hhohho", "code": "SZ-HH"}, {"name": "Lubombo", "code": "SZ-LU"}, {"name": "Manzini", "code": "SZ-MA"}, {"name": "Shiselweni", "code": "SZ-SH"}, {"name": "Blekinge län", "code": "SE-K"}, {"name": "Dalarnas län", "code": "SE-W"}, {"name": "Gotlands län", "code": "SE-I"}, {"name": "Gävleborgs län", "code": "SE-X"}, {"name": "Hallands län", "code": "SE-N"}, {"name": "Jämtlands län", "code": "SE-Z"}, {"name": "Jönköpings län", "code": "SE-F"}, {"name": "Kalmar län", "code": "SE-H"}, {"name": "Kronobergs län", "code": "SE-G"}, {"name": "Norrbottens län", "code": "SE-BD"}, {"name": "Skåne län", "code": "SE-M"}, {"name": "Stockholms län", "code": "SE-AB"}, {"name": "Södermanlands län", "code": "SE-D"}, {"name": "Uppsala län", "code": "SE-C"}, {"name": "Värmlands län", "code": "SE-S"}, {"name": "Västerbottens län", "code": "SE-AC"}, {"name": "Västernorrlands län", "code": "SE-Y"}, {"name": "Västmanlands län", "code": "SE-U"}, {"name": "Västra Götalands län", "code": "SE-O"}, {"name": "Örebro län", "code": "SE-T"}, {"name": "Östergötlands län", "code": "SE-E"}, {"name": "Aargau", "code": "CH-AG"}, {"name": "Appenzell Ausser-Rhoden", "code": "CH-AR"}, {"name": "Appenzell Inner-Rhoden", "code": "CH-AI"}, {"name": "Basel-Landschaft", "code": "CH-BL"}, {"name": "Basel-Stadt", "code": "CH-BS"}, {"name": "Bern", "code": "CH-BE"}, {"name": "Freiburg", "code": "CH-FR"}, {"name": "Geneve", "code": "CH-GE"}, {"name": "Glarus", "code": "CH-GL"}, {"name": "Graubünden", "code": "CH-GR"}, {"name": "Luzern", "code": "CH-LU"}, {"name": "Neuchatel", "code": "CH-NE"}, {"name": "Nidwalden", "code": "CH-NW"}, {"name": "Obwalden", "code": "CH-OW"}, {"name": "Sankt Gallen", "code": "CH-SG"}, {"name": "Schaffhausen", "code": "CH-SH"}, {"name": "Schwyz", "code": "CH-SZ"}, {"name": "Solothurn", "code": "CH-SO"}, {"name": "Thurgau", "code": "CH-TG"}, {"name": "Ticino", "code": "CH-TI"}, {"name": "Uri", "code": "CH-UR"}, {"name": "Wallis", "code": "CH-VS"}, {"name": "Vaud", "code": "CH-VD"}, {"name": "Zug", "code": "CH-ZG"}, {"name": "Zürich", "code": "CH-ZH"}, {"name": "Al Ḩasakah", "code": "SY-HA"}, {"name": "Al Lādhiqīyah", "code": "SY-LA"}, {"name": "Al Qunayţirah", "code": "SY-QU"}, {"name": "Ar Raqqah", "code": "SY-RA"}, {"name": "As Suwaydā'", "code": "SY-SU"}, {"name": "Dar’ā", "code": "SY-DR"}, {"name": "Dayr az Zawr", "code": "SY-DY"}, {"name": "Dimashq", "code": "SY-DI"}, {"name": "Ḩalab", "code": "SY-HL"}, {"name": "Ḩamāh", "code": "SY-HM"}, {"name": "Ḩimş", "code": "SY-HI"}, {"name": "Idlib", "code": "SY-ID"}, {"name": "Rīf Dimashq", "code": "SY-RD"}, {"name": "Ţarţūs", "code": "SY-TA"}, {"name": "Kaohsiung", "code": "TW-KHH"}, {"name": "Taipei", "code": "TW-TPE"}, {"name": "Chiayi", "code": "TW-CYI"}, {"name": "Hsinchu", "code": "TW-HSZ"}, {"name": "Keelung", "code": "TW-KEE"}, {"name": "Taichung", "code": "TW-TXG"}, {"name": "Tainan", "code": "TW-TNN"}, {"name": "Changhua", "code": "TW-CHA"}, {"name": "Hualien", "code": "TW-HUA"}, {"name": "Ilan", "code": "TW-ILA"}, {"name": "Miaoli", "code": "TW-MIA"}, {"name": "Nantou", "code": "TW-NAN"}, {"name": "Penghu", "code": "TW-PEN"}, {"name": "Pingtung", "code": "TW-PIF"}, {"name": "Taitung", "code": "TW-TTT"}, {"name": "Taoyuan", "code": "TW-TAO"}, {"name": "Yunlin", "code": "TW-YUN"}, {"name": "Karategin", "code": "TJ-KR"}, {"name": "Khatlon", "code": "TJ-KT"}, {"name": "Leninabad", "code": "TJ-LN"}, {"name": "Gorno-Badakhshan", "code": "TJ-GB"}, {"name": "Arusha", "code": "TZ-01"}, {"name": "Dar-es-Salaam", "code": "TZ-02"}, {"name": "Dodoma", "code": "TZ-03"}, {"name": "Iringa", "code": "TZ-04"}, {"name": "Kagera", "code": "TZ-05"}, {"name": "Kaskazini Pemba (Pemba North)", "code": "TZ-06"}, {"name": "Kaskazini Unguja (Zanzibar North)", "code": "TZ-07"}, {"name": "Kigoma", "code": "TZ-08"}, {"name": "Kilimanjaro", "code": "TZ-09"}, {"name": "Kusini Pemba (Pemba South)", "code": "TZ-10"}, {"name": "Kusini Unguja (Zanzibar South)", "code": "TZ-11"}, {"name": "Lindi", "code": "TZ-12"}, {"name": "Mara", "code": "TZ-13"}, {"name": "Mbeya", "code": "TZ-14"}, {"name": "Mjini Magharibi (Zanzibar West)", "code": "TZ-15"}, {"name": "Morogoro", "code": "TZ-16"}, {"name": "Mtwara", "code": "TZ-17"}, {"name": "Pwani (Coast)", "code": "TZ-19"}, {"name": "Rukwa", "code": "TZ-20"}, {"name": "Ruvuma", "code": "TZ-21"}, {"name": "Shinyanga", "code": "TZ-22"}, {"name": "Singida", "code": "TZ-23"}, {"name": "Tabora", "code": "TZ-24"}, {"name": "Tanga", "code": "TZ-25"}, {"name": "Krung Thep Maha Nakhon [Bangkok]", "code": "TH-10"}, {"name": "Phatthaya", "code": "TH-S"}, {"name": "Amnat Charoen", "code": "TH-37"}, {"name": "Ang Thong", "code": "TH-15"}, {"name": "Buri Ram", "code": "TH-31"}, {"name": "Chachoengsao", "code": "TH-24"}, {"name": "Chai Nat", "code": "TH-18"}, {"name": "Chaiyaphum", "code": "TH-36"}, {"name": "Chanthaburi", "code": "TH-22"}, {"name": "Chiang Mai", "code": "TH-50"}, {"name": "Chiang Rai", "code": "TH-57"}, {"name": "Chon Buri", "code": "TH-20"}, {"name": "Chumphon", "code": "TH-86"}, {"name": "Kalasin", "code": "TH-46"}, {"name": "Kamphaeng Phet", "code": "TH-62"}, {"name": "Kanchanaburi", "code": "TH-71"}, {"name": "Khon Kaen", "code": "TH-40"}, {"name": "Krabi", "code": "TH-81"}, {"name": "Lampang", "code": "TH-52"}, {"name": "Lamphun", "code": "TH-51"}, {"name": "Loei", "code": "TH-42"}, {"name": "Lop Buri", "code": "TH-16"}, {"name": "Mae Hong Son", "code": "TH-58"}, {"name": "Maha Sarakham", "code": "TH-44"}, {"name": "Mukdahan", "code": "TH-49"}, {"name": "Nakhon Nayok", "code": "TH-26"}, {"name": "Nakhon Pathom", "code": "TH-73"}, {"name": "Nakhon Phanom", "code": "TH-48"}, {"name": "Nakhon Ratchasima", "code": "TH-30"}, {"name": "Nakhon Sawan", "code": "TH-60"}, {"name": "Nakhon Si Thammarat", "code": "TH-80"}, {"name": "Nan", "code": "TH-55"}, {"name": "Narathiwat", "code": "TH-96"}, {"name": "Nong Bua Lam Phu", "code": "TH-39"}, {"name": "Nong Khai", "code": "TH-43"}, {"name": "Nonthaburi", "code": "TH-12"}, {"name": "Pathum Thani", "code": "TH-13"}, {"name": "Pattani", "code": "TH-94"}, {"name": "Phangnga", "code": "TH-82"}, {"name": "Phatthalung", "code": "TH-93"}, {"name": "Phayao", "code": "TH-56"}, {"name": "Phetchabun", "code": "TH-67"}, {"name": "Phetchaburi", "code": "TH-76"}, {"name": "Phichit", "code": "TH-66"}, {"name": "Phitsanulok", "code": "TH-65"}, {"name": "Phrae", "code": "TH-54"}, {"name": "Phra Nakhon Si Ayutthaya", "code": "TH-14"}, {"name": "Phuket", "code": "TH-83"}, {"name": "Prachin Buri", "code": "TH-25"}, {"name": "Prachuap Khiri Khan", "code": "TH-77"}, {"name": "Ranong", "code": "TH-85"}, {"name": "Ratchaburi", "code": "TH-70"}, {"name": "Rayong", "code": "TH-21"}, {"name": "Roi Et", "code": "TH-45"}, {"name": "Sa Kaeo", "code": "TH-27"}, {"name": "Sakon Nakhon", "code": "TH-47"}, {"name": "Samut Prakan", "code": "TH-11"}, {"name": "Samut Sakhon", "code": "TH-74"}, {"name": "Samut Songkhram", "code": "TH-75"}, {"name": "Saraburi", "code": "TH-19"}, {"name": "Satun", "code": "TH-91"}, {"name": "Sing Buri", "code": "TH-17"}, {"name": "Si Sa Ket", "code": "TH-33"}, {"name": "Songkhla", "code": "TH-90"}, {"name": "Sukhothai", "code": "TH-64"}, {"name": "Suphan Buri", "code": "TH-72"}, {"name": "Surat Thani", "code": "TH-84"}, {"name": "Surin", "code": "TH-32"}, {"name": "Tak", "code": "TH-63"}, {"name": "Trang", "code": "TH-92"}, {"name": "Trat", "code": "TH-23"}, {"name": "Ubon Ratchathani", "code": "TH-34"}, {"name": "Udon Thani", "code": "TH-41"}, {"name": "Uthai Thani", "code": "TH-61"}, {"name": "Uttaradit", "code": "TH-53"}, {"name": "Yala", "code": "TH-95"}, {"name": "Yasothon", "code": "TH-35"}, {"name": "Kara", "code": "TG-K"}, {"name": "Maritime (Région)", "code": "TG-M"}, {"name": "Savannes", "code": "TG-S"}, {"name": "Tokelau", "code": "TK-TK"}, {"name": "Tonga", "code": "TO-TO"}, {"name": "Couva-Tabaquite-Talparo", "code": "TT-CTT"}, {"name": "Diego Martin", "code": "TT-DMN"}, {"name": "Eastern Tobago", "code": "TT-ETO"}, {"name": "Penal-Debe", "code": "TT-PED"}, {"name": "Princes Town", "code": "TT-PRT"}, {"name": "Rio Claro-Mayaro", "code": "TT-RCM"}, {"name": "Sangre Grande", "code": "TT-SGE"}, {"name": "San Juan-Laventille", "code": "TT-SJL"}, {"name": "Siparia", "code": "TT-SIP"}, {"name": "Tunapuna-Piarco", "code": "TT-TUP"}, {"name": "Western Tobago", "code": "TT-WTO"}, {"name": "Arima", "code": "TT-ARI"}, {"name": "Chaguanas", "code": "TT-CHA"}, {"name": "Point Fortin", "code": "TT-PTF"}, {"name": "Port of Spain", "code": "TT-POS"}, {"name": "San Fernando", "code": "TT-SFO"}, {"name": "Béja", "code": "TN-31"}, {"name": "Ben Arous", "code": "TN-13"}, {"name": "Bizerte", "code": "TN-23"}, {"name": "Gabès", "code": "TN-81"}, {"name": "Gafsa", "code": "TN-71"}, {"name": "Jendouba", "code": "TN-32"}, {"name": "Kairouan", "code": "TN-41"}, {"name": "Kasserine", "code": "TN-42"}, {"name": "Kebili", "code": "TN-73"}, {"name": "L'Ariana", "code": "TN-12"}, {"name": "Le Kef", "code": "TN-33"}, {"name": "Mahdia", "code": "TN-53"}, {"name": "Medenine", "code": "TN-82"}, {"name": "Monastir", "code": "TN-52"}, {"name": "Nabeul", "code": "TN-21"}, {"name": "Sfax", "code": "TN-61"}, {"name": "Sidi Bouzid", "code": "TN-43"}, {"name": "Siliana", "code": "TN-34"}, {"name": "Sousse", "code": "TN-51"}, {"name": "Tataouine", "code": "TN-83"}, {"name": "Tozeur", "code": "TN-72"}, {"name": "Tunis", "code": "TN-11"}, {"name": "Zaghouan", "code": "TN-22"}, {"name": "Adana", "code": "TR-01"}, {"name": "Adiyaman", "code": "TR-02"}, {"name": "Afyon", "code": "TR-03"}, {"name": "Ağrı", "code": "TR-04"}, {"name": "Aksaray", "code": "TR-68"}, {"name": "Amasya", "code": "TR-05"}, {"name": "Ankara", "code": "TR-06"}, {"name": "Antalya", "code": "TR-07"}, {"name": "Ardahan", "code": "TR-75"}, {"name": "Artvin", "code": "TR-08"}, {"name": "Aydin", "code": "TR-09"}, {"name": "Balıkesir", "code": "TR-10"}, {"name": "Bartın", "code": "TR-74"}, {"name": "Batman", "code": "TR-72"}, {"name": "Bayburt", "code": "TR-69"}, {"name": "Bilecik", "code": "TR-11"}, {"name": "Bingöl", "code": "TR-12"}, {"name": "Bitlis", "code": "TR-13"}, {"name": "Bolu", "code": "TR-14"}, {"name": "Burdur", "code": "TR-15"}, {"name": "Bursa", "code": "TR-16"}, {"name": "Çanakkale", "code": "TR-17"}, {"name": "Çankırı", "code": "TR-18"}, {"name": "Çorum", "code": "TR-19"}, {"name": "Denizli", "code": "TR-20"}, {"name": "Diyarbakır", "code": "TR-21"}, {"name": "Edirne", "code": "TR-22"}, {"name": "Elaziğ", "code": "TR-23"}, {"name": "Erzincan", "code": "TR-24"}, {"name": "Erzurum", "code": "TR-25"}, {"name": "Eskişehir", "code": "TR-26"}, {"name": "Gaziantep", "code": "TR-27"}, {"name": "Giresun", "code": "TR-28"}, {"name": "Gümüşhane", "code": "TR-29"}, {"name": "Hakkari", "code": "TR-30"}, {"name": "Hatay", "code": "TR-31"}, {"name": "Iğdir", "code": "TR-76"}, {"name": "Isparta", "code": "TR-32"}, {"name": "İçel", "code": "TR-33"}, {"name": "İstanbul", "code": "TR-34"}, {"name": "İzmir", "code": "TR-35"}, {"name": "Kahramanmaraş", "code": "TR-46"}, {"name": "Karabük", "code": "TR-78"}, {"name": "Karaman", "code": "TR-70"}, {"name": "Kars", "code": "TR-36"}, {"name": "Kastamonu", "code": "TR-37"}, {"name": "Kayseri", "code": "TR-38"}, {"name": "Kırıkkale", "code": "TR-71"}, {"name": "Kırklareli", "code": "TR-39"}, {"name": "Kırşehir", "code": "TR-40"}, {"name": "Kilis", "code": "TR-79"}, {"name": "Kocaeli", "code": "TR-41"}, {"name": "Konya", "code": "TR-42"}, {"name": "Kütahya", "code": "TR-43"}, {"name": "Malatya", "code": "TR-44"}, {"name": "Manisa", "code": "TR-4S"}, {"name": "Mardin", "code": "TR-47"}, {"name": "Muğla", "code": "TR-48"}, {"name": "Muş", "code": "TR-49"}, {"name": "Nevşehir", "code": "TR-SO"}, {"name": "Niğde", "code": "TR-51"}, {"name": "Ordu", "code": "TR-52"}, {"name": "Rize", "code": "TR-53"}, {"name": "Sakarya", "code": "TR-54"}, {"name": "Samsun", "code": "TR-SS"}, {"name": "Siirt", "code": "TR-56"}, {"name": "Sinop", "code": "TR-57"}, {"name": "Sivas", "code": "TR-S8"}, {"name": "Şanlıurfa", "code": "TR-63"}, {"name": "Şirnak", "code": "TR-73"}, {"name": "Tekirdağ", "code": "TR-59"}, {"name": "Tokat", "code": "TR-60"}, {"name": "Trabzon", "code": "TR-61"}, {"name": "Tunceli", "code": "TR-62"}, {"name": "Uşak", "code": "TR-64"}, {"name": "Van", "code": "TR-65"}, {"name": "Yalova", "code": "TR-77"}, {"name": "Yozgat", "code": "TR-66"}, {"name": "Zonguldak", "code": "TR-67"}, {"name": "Ahal", "code": "TM-A"}, {"name": "Balkan", "code": "TM-B"}, {"name": "Daşhowuz", "code": "TM-D"}, {"name": "Lebap", "code": "TM-L"}, {"name": "Mary", "code": "TM-M"}, {"name": "Turks & Caicos Islands", "code": "TC-TC"}, {"name": "Tuvalu", "code": "TV-TV"}, {"name": "Apac", "code": "UG-APA"}, {"name": "Arua", "code": "UG-ARU"}, {"name": "Bundibugyo", "code": "UG-BUN"}, {"name": "Bushenyi", "code": "UG-BUS"}, {"name": "Gulu", "code": "UG-GUL"}, {"name": "Hoima", "code": "UG-HOI"}, {"name": "Iganga", "code": "UG-IGA"}, {"name": "Jinja", "code": "UG-JIN"}, {"name": "Kabale", "code": "UG-KBL"}, {"name": "Kabarole", "code": "UG-KBR"}, {"name": "Kalangala", "code": "UG-KLG"}, {"name": "Kampala", "code": "UG-KLA"}, {"name": "Kamuli", "code": "UG-KLI"}, {"name": "Kapchorwa", "code": "UG-KAP"}, {"name": "Kasese", "code": "UG-KAS"}, {"name": "Kibaale", "code": "UG-KLE"}, {"name": "Kiboga", "code": "UG-KIB"}, {"name": "Kisoro", "code": "UG-KIS"}, {"name": "Kitgum", "code": "UG-KIT"}, {"name": "Kotido", "code": "UG-KOT"}, {"name": "Kumi", "code": "UG-KUM"}, {"name": "Lira", "code": "UG-LIR"}, {"name": "Luwero", "code": "UG-LUW"}, {"name": "Masaka", "code": "UG-MSK"}, {"name": "Masindi", "code": "UG-MSI"}, {"name": "Mbale", "code": "UG-MBL"}, {"name": "Mbarara", "code": "UG-MBR"}, {"name": "Moroto", "code": "UG-MOR"}, {"name": "Moyo", "code": "UG-MOY"}, {"name": "Mpigi", "code": "UG-MPI"}, {"name": "Mubende", "code": "UG-MUB"}, {"name": "Mukono", "code": "UG-MUK"}, {"name": "Nebbi", "code": "UG-NEB"}, {"name": "Ntungamo", "code": "UG-NTU"}, {"name": "Pallisa", "code": "UG-PAL"}, {"name": "Rakai", "code": "UG-RAK"}, {"name": "Rukungiri", "code": "UG-RUK"}, {"name": "Soroti", "code": "UG-SOR"}, {"name": "Tororo", "code": "UG-TOR"}, {"name": "Cherkas'ka Oblast'", "code": "UA-71"}, {"name": "Chernihivs'ka Oblast'", "code": "UA-74"}, {"name": "Chernivets'ka Oblast'", "code": "UA-77"}, {"name": "Dnipropetrovs'ka Oblast'", "code": "UA-12"}, {"name": "Donets'ka Oblast'", "code": "UA-14"}, {"name": "Ivano-Frankivs'ka Oblast'", "code": "UA-26"}, {"name": "Kharkivs'ka Oblast'", "code": "UA-63"}, {"name": "Khersons'ka Oblast'", "code": "UA-65"}, {"name": "Khmel'nyts'ka Oblast'", "code": "UA-68"}, {"name": "Kirovohrads'ka Oblast'", "code": "UA-35"}, {"name": "Kyïvs'ka Oblast'", "code": "UA-32"}, {"name": "Luhans'ka Oblast'", "code": "UA-09"}, {"name": "L'vivs'ka Oblast'", "code": "UA-46"}, {"name": "Mykolaïvs'ka Oblast'", "code": "UA-48"}, {"name": "Odes'ka Oblast'", "code": "UA-51"}, {"name": "Poltavs'ka Oblast'", "code": "UA-53"}, {"name": "Rivnens'ka Oblast'", "code": "UA-56"}, {"name": "Sums'ka Oblast'", "code": "UA-59"}, {"name": "Ternopil's'ka Oblast'", "code": "UA-61"}, {"name": "Vinnyts'ka Oblast'", "code": "UA-05"}, {"name": "Volyns'ka Oblast'", "code": "UA-07"}, {"name": "Zakarpats'ka Oblast'", "code": "UA-21"}, {"name": "Zaporiz'ka Oblast'", "code": "UA-23"}, {"name": "Zhytomyrs'ka Oblast'", "code": "UA-18"}, {"name": "Respublika Krym", "code": "UA-43"}, {"name": "Kyïv", "code": "UA-30"}, {"name": "Sevastopol'", "code": "UA-40"}, {"name": "Abū Zaby (Abu Dhabi)", "code": "AE-AZ"}, {"name": "‘Ajmān", "code": "AE-AJ"}, {"name": "Al Fujayrah", "code": "AE-FU"}, {"name": "Ash Shāriqah (Sharjah)", "code": "AE-SH"}, {"name": "Dubayy (Dubai)", "code": "AE-DU"}, {"name": "R'as al Khaymah", "code": "AE-RK"}, {"name": "Umm al Qaywayn", "code": "AE-UQ"}, {"name": "Artigas", "code": "UY-AR"}, {"name": "Canelones", "code": "UY-CA"}, {"name": "Cerro Largo", "code": "UY-CL"}, {"name": "Colonia", "code": "UY-CO"}, {"name": "Durazno", "code": "UY-DU"}, {"name": "Flores", "code": "UY-FS"}, {"name": "Lavalleja", "code": "UY-LA"}, {"name": "Maldonado", "code": "UY-MA"}, {"name": "Montevideo", "code": "UY-MO"}, {"name": "Paysandú", "code": "UY-PA"}, {"name": "Rivera", "code": "UY-RV"}, {"name": "Rocha", "code": "UY-RO"}, {"name": "Salto", "code": "UY-SA"}, {"name": "Soriano", "code": "UY-SO"}, {"name": "Tacuarembó", "code": "UY-TA"}, {"name": "Treinta y Tres", "code": "UY-TT"}, {"name": "Qoraqalpoghiston Respublikasi (Karakalpakstan, Respublika)", "code": "UZ-QR"}, {"name": "Andijon (Andizhan)", "code": "UZ-AN"}, {"name": "Bukhoro (Bukhara)", "code": "UZ-BU"}, {"name": "Farghona (Fergana)", "code": "UZ-FA"}, {"name": "Jizzakh (Dzhizak)", "code": "UZ-JI"}, {"name": "Khorazm (Khorezm)", "code": "UZ-KH"}, {"name": "Namangan", "code": "UZ-NG"}, {"name": "Nawoiy (Navoi)", "code": "UZ-NW"}, {"name": "Qashqadaryo (Kashkadar'ya)", "code": "UZ-QA"}, {"name": "Samarqand (Samarkand)", "code": "UZ-SA"}, {"name": "Sirdaryo (Syrdar'ya)", "code": "UZ-SI"}, {"name": "Surkhondaryo (Surkhandar'ya)", "code": "UZ-SU"}, {"name": "Toshkent (Tashkent)", "code": "UZ-TO"}, {"name": "Malampa", "code": "VU-MAP"}, {"name": "Pénama", "code": "VU-PAM"}, {"name": "Sanma", "code": "VU-SAM"}, {"name": "Shéfa", "code": "VU-SEE"}, {"name": "Taféa", "code": "VU-TAE"}, {"name": "Torba", "code": "VU-TOB"}, {"name": "Anzoátegui", "code": "VE-B"}, {"name": "Apure", "code": "VE-C"}, {"name": "Aragua", "code": "VE-D"}, {"name": "Barinas", "code": "VE-E"}, {"name": "Carabobo", "code": "VE-G"}, {"name": "Cojedes", "code": "VE-H"}, {"name": "Falcón", "code": "VE-I"}, {"name": "Guárico", "code": "VE-J"}, {"name": "Lara", "code": "VE-K"}, {"name": "Mérida", "code": "VE-L"}, {"name": "Miranda", "code": "VE-M"}, {"name": "Monagas", "code": "VE-N"}, {"name": "Nueva Esparta", "code": "VE-O"}, {"name": "Portuguesa", "code": "VE-P"}, {"name": "Táchira", "code": "VE-S"}, {"name": "Trujillo", "code": "VE-T"}, {"name": "Yaracuy", "code": "VE-U"}, {"name": "Zulia", "code": "VE-V"}, {"name": "Delta Amacuro", "code": "VE-Y"}, {"name": "Dependencias Federales", "code": "VE-W"}, {"name": "An Giang", "code": "VN-44"}, {"name": "Bat Can", "code": "VN-53"}, {"name": "Bat Giang", "code": "VN-54"}, {"name": "Bat Lieu", "code": "VN-55"}, {"name": "Bat Ninh", "code": "VN-56"}, {"name": "Ba Ria - Vung Tau", "code": "VN-43"}, {"name": "Ben Tre", "code": "VN-50"}, {"name": "Binh Dinh", "code": "VN-31"}, {"name": "Binh Duong", "code": "VN-57"}, {"name": "Binh Phuoc", "code": "VN-58"}, {"name": "Binh Thuan", "code": "VN-40"}, {"name": "Ca Mau", "code": "VN-59"}, {"name": "Can Tho", "code": "VN-48"}, {"name": "Cao Bang", "code": "VN-04"}, {"name": "Dac Lac", "code": "VN-33"}, {"name": "Da Nang, thanh pho", "code": "VN-60"}, {"name": "Dong Nai", "code": "VN-39"}, {"name": "Dong Thap", "code": "VN-45"}, {"name": "Gia Lai", "code": "VN-30"}, {"name": "Ha Giang", "code": "VN-03"}, {"name": "Hai Duong", "code": "VN-61"}, {"name": "Hai Phong, thanh pho", "code": "VN-62"}, {"name": "Ha Nam", "code": "VN-63"}, {"name": "Ha Noi, thu do", "code": "VN-64"}, {"name": "Ha Tay", "code": "VN-15"}, {"name": "Ha Tinh", "code": "VN-23"}, {"name": "Hoa Binh", "code": "VN-14"}, {"name": "Ho Chi Minh, thanh po [Sai Gon]", "code": "VN-65"}, {"name": "Hung Yen", "code": "VN-66"}, {"name": "Khanh Hoa", "code": "VN-34"}, {"name": "Kien Giang", "code": "VN-47"}, {"name": "Kon Turn", "code": "VN-28"}, {"name": "Lai Chau", "code": "VN-01"}, {"name": "Lam Dong", "code": "VN-35"}, {"name": "Lang Son", "code": "VN-09"}, {"name": "Lao Cai", "code": "VN-02"}, {"name": "Long An", "code": "VN-41"}, {"name": "Nam Dinh", "code": "VN-67"}, {"name": "Nghe An", "code": "VN-22"}, {"name": "Ninh Binh", "code": "VN-18"}, {"name": "Ninh Thuan", "code": "VN-36"}, {"name": "Phu Tho", "code": "VN-68"}, {"name": "Phu Yen", "code": "VN-32"}, {"name": "Quang Ninh", "code": "VN-24"}, {"name": "Quang Nam", "code": "VN-27"}, {"name": "Quang Ngai", "code": "VN-29"}, {"name": "Quang Tri", "code": "VN-25"}, {"name": "Sec Trang", "code": "VN-52"}, {"name": "Son La", "code": "VN-05"}, {"name": "Tay Ninh", "code": "VN-37"}, {"name": "Thai Binh", "code": "VN-20"}, {"name": "Thai Nguyen", "code": "VN-69"}, {"name": "Thanh Hoa", "code": "VN-21"}, {"name": "Thua Thien-Hue", "code": "VN-26"}, {"name": "Tien Giang", "code": "VN-46"}, {"name": "Tra Vinh", "code": "VN-51"}, {"name": "Tuyen Quang", "code": "VN-07"}, {"name": "Vinh Long", "code": "VN-49"}, {"name": "Vinh Yen", "code": "VN-70"}, {"name": "Yen Bai", "code": "VN-06"}, {"name": "Virgin Islands (British)", "code": "VG-VG"}, {"name": "Virgin Islands (U.S.)", "code": "VI-VI"}, {"name": "Wallis & Futuna Islands", "code": "WF-WF"}, {"name": "Western Sahara", "code": "EH-EH"}, {"name": "Abyān", "code": "YE-AB"}, {"name": "‘Adan", "code": "YE-AD"}, {"name": "Al Bayḑā'", "code": "YE-BA"}, {"name": "Al Ḩudaydah", "code": "YE-HU"}, {"name": "Al Mahrah", "code": "YE-MR"}, {"name": "Al Maḩwit", "code": "YE-MW"}, {"name": "Dhamār", "code": "YE-DH"}, {"name": "Ḩaḑramawt", "code": "YE-HD"}, {"name": "Ḩajjah", "code": "YE-HJ"}, {"name": "Ibb", "code": "YE-IB"}, {"name": "Laḩij", "code": "YE-LA"}, {"name": "Ma'rib", "code": "YE-MA"}, {"name": "Şa'dah", "code": "YE-SD"}, {"name": "Şan‘ā'", "code": "YE-SN"}, {"name": "Shabwah", "code": "YE-SH"}, {"name": "Ta‘izz", "code": "YE-TA"}, {"name": "Crna Gora", "code": "YU-CG"}, {"name": "Srbija", "code": "YU-SR"}, {"name": "Kosovo-Metohija", "code": "YU-KM"}, {"name": "Vojvodina", "code": "YU-VO"}, {"name": "Copperbelt", "code": "ZM-08"}, {"name": "Luapula", "code": "ZM-04"}, {"name": "Lusaka", "code": "ZM-09"}, {"name": "North-Western", "code": "ZM-06"}, {"name": "Bulawayo", "code": "ZW-BU"}, {"name": "Harare", "code": "ZW-HA"}, {"name": "Manicaland", "code": "ZW-MA"}, {"name": "Mashonaland Central", "code": "ZW-MC"}, {"name": "Mashonaland East", "code": "ZW-ME"}, {"name": "Mashonaland West", "code": "ZW-MW"}, {"name": "Masvingo", "code": "ZW-MV"}, {"name": "Matabeleland North", "code": "ZW-MN"}, {"name": "Matabeleland South", "code": "ZW-MS"}, {"name": "Midlands", "code": "ZW-MI"} ];
  const states = [{"code": "AF-BDS", "name": "Badakhshān"}, {"code": "AF-BDG", "name": "Bādghīs"}, {"code": "AF-BGL", "name": "Baghlān"}, {"code": "AF-BAL", "name": "Balkh"}, {"code": "AF-BAM", "name": "Bāmīān"}, {"code": "AF-FRA", "name": "Farāh"}, {"code": "AF-FYB", "name": "Fāryāb"}, {"code": "AF-GHA", "name": "Ghaznī"}, {"code": "AF-GHO", "name": "Ghowr"}, {"code": "AF-HEL", "name": "Helmand"}, {"code": "AF-HER", "name": "Herāt"}, {"code": "AF-JOW", "name": "Jowzjān"}, {"code": "AF-KAB", "name": "Kabul (Kābol)"}, {"code": "AF-KAN", "name": "Kandahār"}, {"code": "AF-KAP", "name": "Kāpīsā"}, {"code": "AF-KNR", "name": "Konar (Kunar)"}, {"code": "AF-KDZ", "name": "Kondoz (Kunduz)"}, {"code": "AF-LAG", "name": "Laghmān"}, {"code": "AF-LOW", "name": "Lowgar"}, {"code": "AF-NAN", "name": "Nangrahār (Nangarhār)"}, {"code": "AF-NIM", "name": "Nīmrūz"}, {"code": "AF-ORU", "name": "Orūzgān (Urūzgā"}, {"code": "AF-PIA", "name": "Paktīā"}, {"code": "AF-PKA", "name": "Paktīkā"}, {"code": "AF-PAR", "name": "Parwān"}, {"code": "AF-SAM", "name": "Samangān"}, {"code": "AF-SAR", "name": "Sar-e Pol"}, {"code": "AF-TAK", "name": "Takhār"}, {"code": "AF-WAR", "name": "Wardak (Wardag)"}, {"code": "AF-ZAB", "name": "Zābol (Zābul)"}, {"code": "AL-BR", "name": "Berat"}, {"code": "AL-BU", "name": "Bulqizë"}, {"code": "AL-DL", "name": "Delvinë"}, {"code": "AL-DV", "name": "Devoll"}, {"code": "AL-DI", "name": "Dibër"}, {"code": "AL-DR", "name": "Durrës"}, {"code": "AL-EL", "name": "Elbasan"}, {"code": "AL-FR", "name": "Fier"}, {"code": "AL-GR", "name": "Gramsh"}, {"code": "AL-GJ", "name": "Gjirokastër"}, {"code": "AL-HA", "name": "Has"}, {"code": "AL-KA", "name": "Kavajë"}, {"code": "AL-ER", "name": "Kolonjë"}, {"code": "AL-KO", "name": "Korcë"}, {"code": "AL-KR", "name": "Krujë"}, {"code": "AL-KC", "name": "Kucovë"}, {"code": "AL-KU", "name": "Kukës"}, {"code": "AL-LA", "name": "Laç"}, {"code": "AL-LE", "name": "Lezhë"}, {"code": "AL-LB", "name": "Librazhd"}, {"code": "AL-LU", "name": "Lushnjë"}, {"code": "AL-MM", "name": "Malësia e Madhe"}, {"code": "AL-MK", "name": "Mallakastër"}, {"code": "AL-MT", "name": "Mat"}, {"code": "AL-MR", "name": "Mirditë"}, {"code": "AL-PQ", "name": "Peqin"}, {"code": "AL-PR", "name": "Përmet"}, {"code": "AL-PG", "name": "Pogradec"}, {"code": "AL-PU", "name": "Pukë"}, {"code": "AL-SR", "name": "Sarandë"}, {"code": "AL-SK", "name": "Skrapar"}, {"code": "AL-SH", "name": "Shkodër"}, {"code": "AL-TE", "name": "Tepelenë"}, {"code": "AL-TR", "name": "Tiranë"}, {"code": "AL-TP", "name": "Tropojë"}, {"code": "AL-VL", "name": "Vlorë"}, {"code": "DZ-01", "name": "Adrar (Algeria)"}, {"code": "DZ-44", "name": "Aïn Defla"}, {"code": "DZ-46", "name": "Aïn Témouchent"}, {"code": "DZ-16", "name": "Alger"}, {"code": "DZ-05", "name": "Batna"}, {"code": "DZ-08", "name": "Béchar"}, {"code": "DZ-06", "name": "Béjaïa"}, {"code": "DZ-07", "name": "Biskra"}, {"code": "DZ-09", "name": "Blida"}, {"code": "DZ-34", "name": "Bordj Bou Arréridj"}, {"code": "DZ-10", "name": "Bouira"}, {"code": "DZ-35", "name": "Boumerdès"}, {"code": "DZ-02", "name": "Chlef"}, {"code": "DZ-25", "name": "Constantine"}, {"code": "DZ-17", "name": "Djelfa"}, {"code": "DZ-32", "name": "El Bayadh"}, {"code": "DZ-39", "name": "El Oued"}, {"code": "DZ-36", "name": "El Tarf"}, {"code": "DZ-47", "name": "Ghardaïa"}, {"code": "DZ-24", "name": "Guelma"}, {"code": "DZ-33", "name": "Illizi"}, {"code": "DZ-18", "name": "Jijel"}, {"code": "DZ-40", "name": "Khenchela"}, {"code": "DZ-03", "name": "Laghouat"}, {"code": "DZ-29", "name": "Mascara"}, {"code": "DZ-26", "name": "Médéa"}, {"code": "DZ-43", "name": "Mila"}, {"code": "DZ-27", "name": "Mostaganem"}, {"code": "DZ-28", "name": "Msila"}, {"code": "DZ-45", "name": "Naama"}, {"code": "DZ-31", "name": "Oran"}, {"code": "DZ-30", "name": "Ouargla"}, {"code": "DZ-04", "name": "Oum el Bouaghi"}, {"code": "DZ-48", "name": "Relizane"}, {"code": "DZ-20", "name": "Saïda"}, {"code": "DZ-19", "name": "Sétif"}, {"code": "DZ-22", "name": "Sidi Bel Abbès"}, {"code": "DZ-21", "name": "Skikda"}, {"code": "DZ-41", "name": "Souk Ahras"}, {"code": "DZ-11", "name": "Tamanghasset"}, {"code": "DZ-12", "name": "Tébessa"}, {"code": "DZ-14", "name": "Tiaret"}, {"code": "DZ-37", "name": "Tindouf"}, {"code": "DZ-42", "name": "Tipaza"}, {"code": "DZ-38", "name": "Tissemsilt"}, {"code": "DZ-15", "name": "Tizi Ouzou"}, {"code": "DZ-13", "name": "Tlemcen"}, {"code": "AS-AS", "name": "American Samoa (American Samoa)"}, {"code": "AD-AD", "name": "Andorra"}, {"code": "AO-BGO", "name": "Bengo"}, {"code": "AO-BGU", "name": "Benguela"}, {"code": "AO-BIE", "name": "Bié"}, {"code": "AO-CAB", "name": "Cabinda"}, {"code": "AO-CCU", "name": "Cuando-Cubango"}, {"code": "AO-CNO", "name": "Cuanza Norte"}, {"code": "AO-CUS", "name": "Cuanza Sul"}, {"code": "AO-CNN", "name": "Cunene"}, {"code": "AO-HUA", "name": "Huambo"}, {"code": "AO-HUI", "name": "Huíla"}, {"code": "AO-LUA", "name": "Luanda"}, {"code": "AO-LNO", "name": "Lunda Norte"}, {"code": "AO-LSU", "name": "Lunda Sul"}, {"code": "AO-MAL", "name": "Malange"}, {"code": "AO-MOX", "name": "Moxico"}, {"code": "AO-NAM", "name": "Namibe"}, {"code": "AO-UIG", "name": "Uíge"}, {"code": "AO-ZAI", "name": "Zaïre"}, {"code": "AI-AI", "name": "Anguilla"}, {"code": "AQ-AQ", "name": "Antarctica"}, {"code": "AG-AG", "name": "Antigua & Barbuda"}, {"code": "AR-C", "name": "Capital federal"}, {"code": "AR-B", "name": "Buenos Aires"}, {"code": "AR-K", "name": "Catamarca"}, {"code": "AR-X", "name": "Córdoba (Argentina)"}, {"code": "AR-W", "name": "Corrientes"}, {"code": "AR-H", "name": "Chaco"}, {"code": "AR-U", "name": "Chubut"}, {"code": "AR-E", "name": "Entre Ríos"}, {"code": "AR-P", "name": "Formosa"}, {"code": "AR-Y", "name": "Jujuy"}, {"code": "AR-L", "name": "La Pampa"}, {"code": "AR-F", "name": "La Rioja (Argentina)"}, {"code": "AR-M", "name": "Mendoza"}, {"code": "AR-N", "name": "Misiones (Argentina)"}, {"code": "AR-Q", "name": "Neuquén"}, {"code": "AR-R", "name": "Río Negro (Argentina)"}, {"code": "AR-A", "name": "Salta"}, {"code": "AR-J", "name": "San Juan (Argentina)"}, {"code": "AR-D", "name": "San Luis"}, {"code": "AR-Z", "name": "Santa Cruz (Argentina)"}, {"code": "AR-S", "name": "Santa Fe"}, {"code": "AR-G", "name": "Santiago del Estero"}, {"code": "AR-V", "name": "Tierra del Fuego"}, {"code": "AR-T", "name": "Tucumán"}, {"code": "AM-ER", "name": "Erevan"}, {"code": "AM-AG", "name": "Aragacotn"}, {"code": "AM-AR", "name": "Ararat"}, {"code": "AM-AV", "name": "Armavir"}, {"code": "AM-GR", "name": "Geģark'unik'"}, {"code": "AM-KT", "name": "Kotayk'"}, {"code": "AM-LO", "name": "Loŕy"}, {"code": "AM-SH", "name": "Širak"}, {"code": "AM-SU", "name": "Syunik'"}, {"code": "AM-TV", "name": "Tavuš"}, {"code": "AM-VD", "name": "Vayoc Jor"}, {"code": "AW-AW", "name": "Aruba"}, {"code": "AU-NSW", "name": "New South Wales"}, {"code": "AU-QLD", "name": "Queensland"}, {"code": "AU-SA", "name": "South Australia"}, {"code": "AU-TAS", "name": "Tasmania"}, {"code": "AU-VIC", "name": "Victoria"}, {"code": "AU-WA", "name": "Western Australia"}, {"code": "AU-ACT", "name": "Australian Capital Territory"}, {"code": "AU-NT", "name": "Northern Territory"}, {"code": "AT-1", "name": "Burgenland"}, {"code": "AT-2", "name": "Kärnten"}, {"code": "AT-3", "name": "Niederösterreich"}, {"code": "AT-4", "name": "Oberösterreich"}, {"code": "AT-5", "name": "Salzburg"}, {"code": "AT-6", "name": "Steiermark"}, {"code": "AT-7", "name": "Tirol"}, {"code": "AT-8", "name": "Vorarlberg"}, {"code": "AT-9", "name": "Wien"}, {"code": "AZ-MM", "name": "Naxçivan"}, {"code": "AZ-AB", "name": "Äli Bayramli"}, {"code": "AZ-BA", "name": "Baki"}, {"code": "AZ-GA", "name": "Gäncä"}, {"code": "AZ-LA", "name": "Länkäran (Azerbaijan)"}, {"code": "AZ-MI", "name": "Mingäçevir"}, {"code": "AZ-NA", "name": "Naftalan"}, {"code": "AZ-SA", "name": "Şäki (Azerbaijan)"}, {"code": "AZ-SM", "name": "Sumqayit"}, {"code": "AZ-SS", "name": "Şuşa (Azerbaijan)"}, {"code": "AZ-XA", "name": "Xankändi"}, {"code": "AZ-YE", "name": "Yevlax (Azerbaijan)"}, {"code": "AZ-ABS", "name": "Abşeron"}, {"code": "AZ-AGC", "name": "Ağcabädi"}, {"code": "AZ-AGM", "name": "Ağdam"}, {"code": "AZ-AGS", "name": "Ağdas"}, {"code": "AZ-AGA", "name": "Ağstafa"}, {"code": "AZ-AGU", "name": "Ağsu"}, {"code": "AZ-AST", "name": "Astara"}, {"code": "AZ-BAB", "name": "Babäk"}, {"code": "AZ-BAL", "name": "Balakän"}, {"code": "AZ-BAR", "name": "Bärdä"}, {"code": "AZ-BEY", "name": "Beyläqan"}, {"code": "AZ-BIL", "name": "Biläsuvar"}, {"code": "AZ-CAB", "name": "Cäbrayil"}, {"code": "AZ-CAL", "name": "Cälilabad"}, {"code": "AZ-CUL", "name": "Culfa"}, {"code": "AZ-DAS", "name": "Daşkäsän"}, {"code": "AZ-DAV", "name": "Däväçi"}, {"code": "AZ-FUZ", "name": "Füzuli"}, {"code": "AZ-GAD", "name": "Gädäbäy"}, {"code": "AZ-GOR", "name": "Goranboy"}, {"code": "AZ-GOY", "name": "Göyçay"}, {"code": "AZ-HAC", "name": "Haciqabul"}, {"code": "AZ-IMI", "name": "Imişli"}, {"code": "AZ-ISM", "name": "Ismayilli"}, {"code": "AZ-KAL", "name": "Kälbäcär"}, {"code": "AZ-KUR", "name": "Kürdämir"}, {"code": "AZ-LAC", "name": "Laçin"}, {"code": "AZ-LAN", "name": "Länkäran (Azerbaijan)"}, {"code": "AZ-LER", "name": "Lerik"}, {"code": "AZ-MAS", "name": "Masalli"}, {"code": "AZ-NEF", "name": "Neftçala"}, {"code": "AZ-OGU", "name": "Oğuz"}, {"code": "AZ-ORD", "name": "Ordubad"}, {"code": "AZ-QAB", "name": "Qäbälä"}, {"code": "AZ-QAX", "name": "Qax"}, {"code": "AZ-QAZ", "name": "Qazax"}, {"code": "AZ-QOB", "name": "Qobustan"}, {"code": "AZ-QBA", "name": "Quba"}, {"code": "AZ-QBI", "name": "Qubadlı"}, {"code": "AZ-QUS", "name": "Qusar"}, {"code": "AZ-SAT", "name": "Saatli"}, {"code": "AZ-SAB", "name": "Sabirabad"}, {"code": "AZ-SAD", "name": "Sädäräk"}, {"code": "AZ-SAH", "name": "Şahbuz"}, {"code": "AZ-SAK", "name": "Şäki (Azerbaijan)"}, {"code": "AZ-SAL", "name": "Salyan"}, {"code": "AZ-SMI", "name": "Şamaxı"}, {"code": "AZ-SKR", "name": "Şämkir"}, {"code": "AZ-SMX", "name": "Samux"}, {"code": "AZ-SAR", "name": "Şärur"}, {"code": "AZ-SIY", "name": "Siyäzän"}, {"code": "AZ-SUS", "name": "Şuşa (Azerbaijan)"}, {"code": "AZ-TAR", "name": "Tärtär"}, {"code": "AZ-TOV", "name": "Tovuz"}, {"code": "AZ-UCA", "name": "Ucar"}, {"code": "AZ-XAC", "name": "Xaçmaz"}, {"code": "AZ-XAN", "name": "Xanlar"}, {"code": "AZ-XIZ", "name": "Xizi"}, {"code": "AZ-XCI", "name": "Xocalı"}, {"code": "AZ-XVD", "name": "Xocavänd"}, {"code": "AZ-YAR", "name": "Yardimli"}, {"code": "AZ-YEV", "name": "Yevlax (Azerbaijan)"}, {"code": "AZ-ZAN", "name": "Zängılan"}, {"code": "AZ-ZAQ", "name": "Zaqatala"}, {"code": "AZ-ZAR", "name": "Zärdab"}, {"code": "BS-AC", "name": "Acklins and Crooked Islands"}, {"code": "BS-BI", "name": "Bimini"}, {"code": "BS-CI", "name": "Cat Island"}, {"code": "BS-EX", "name": "Exuma"}, {"code": "BS-FP", "name": "Freeport"}, {"code": "BS-FC", "name": "Fresh Creek"}, {"code": "BS-GH", "name": "Governor's Harbour"}, {"code": "BS-GT", "name": "Green Turtle Cay"}, {"code": "BS-HI", "name": "Harbour Island"}, {"code": "BS-HR", "name": "High Rock"}, {"code": "BS-IN", "name": "Inagua"}, {"code": "BS-KB", "name": "Kemps Bay"}, {"code": "BS-LI", "name": "Long Island"}, {"code": "BS-MH", "name": "Marsh Harbour"}, {"code": "BS-MG", "name": "Mayaguana"}, {"code": "BS-NP", "name": "New Providence"}, {"code": "BS-NB", "name": "Nicholls Town and Berry Islands"}, {"code": "BS-RI", "name": "Ragged Island"}, {"code": "BS-RS", "name": "Rock Sound"}, {"code": "BS-SP", "name": "Sandy Point"}, {"code": "BS-SR", "name": "San Salvador and Rum Cay"}, {"code": "BH-01", "name": "Al Ḩadd"}, {"code": "BH-03", "name": "Al Manāmah"}, {"code": "BH-10", "name": "Al Minţaqah al Gharbīyah"}, {"code": "BH-07", "name": "Al Minţaqah al Wusţa"}, {"code": "BH-05", "name": "Al Minţaqah ash Shamālīyah"}, {"code": "BH-02", "name": "Al Muḩarraq"}, {"code": "BH-09", "name": "Ar Rifā‘"}, {"code": "BH-04", "name": "Jidd Ḩafş"}, {"code": "BH-12", "name": "Madīnat Ḩamad"}, {"code": "BH-08", "name": "Madīnat ‘Īsá"}, {"code": "BH-11", "name": "Minţaqat Juzur Ḩawār"}, {"code": "BH-06", "name": "Sitrah"}, {"code": "BD-1", "name": "Barisal bibhag"}, {"code": "BD-1B", "name": "Barisal anchal"}, {"code": "BD-1Q", "name": "Patuakhali anchal"}, {"code": "BD-2", "name": "Chittagong bibhag"}, {"code": "BD-2A", "name": "Bandarban anchal"}, {"code": "BD-2D", "name": "Chittagong anchal"}, {"code": "BD-2E", "name": "Chittagong Hill Tracts"}, {"code": "BD-2F", "name": "Comilla anchal"}, {"code": "BD-2O", "name": "Noakhali anchal"}, {"code": "BD-2T", "name": "Sylhet anchal"}, {"code": "BD-3", "name": "Dhaka bibhag"}, {"code": "BD-3G", "name": "Dhaka anchal"}, {"code": "BD-3I", "name": "Faridpur anchal"}, {"code": "BD-3J", "name": "Jamalpur anchal"}, {"code": "BD-3N", "name": "Mymensingh anchal"}, {"code": "BD-3U", "name": "Tangail anchal"}, {"code": "BD-4", "name": "Khulna bibhag"}, {"code": "BD-4K", "name": "Jessore anchal"}, {"code": "BD-4L", "name": "Khulna anchal"}, {"code": "BD-4M", "name": "Khustia anchal"}, {"code": "BD-5", "name": "Rajshahi bibhag"}, {"code": "BD-5C", "name": "Bogra anchal"}, {"code": "BD-5H", "name": "Dinajpur anchal"}, {"code": "BD-5P", "name": "Pabna anchal"}, {"code": "BD-5R", "name": "Rajshahi anchal"}, {"code": "BD-5S", "name": "Rangpur anchal"}, {"code": "BB-BB", "name": "Barbados"}, {"code": "BY-BR", "name": "Brestskaya voblasts'"}, {"code": "BY-HO", "name": "Homyel'skaya voblasts’"}, {"code": "BY-HR", "name": "Hrodnenskaya voblasts'"}, {"code": "BY-MA", "name": "Mahilyowskaya voblasts'"}, {"code": "BY-MI", "name": "Minskaya voblasts'"}, {"code": "BY-VI", "name": "Vitsyebskaya voblasts'"}, {"code": "BE-BRU", "name": "Bruxelles-Capitale, Region de (fr), Brussels Hoofdstedelijk Gewest (nl)"}, {"code": "BE-VLG", "name": "Vlaamse Gewest (nl)"}, {"code": "BE-VAN", "name": "Antwerpen (nl)"}, {"code": "BE-VLI", "name": "Limburg (nl)"}, {"code": "BE-VOV", "name": "Oost-Vlaanderen (nl)"}, {"code": "BE-VBR", "name": "Vlaams Brabant (nl)"}, {"code": "BE-VWV", "name": "West-Vlaanderen (nl)"}, {"code": "BE-WAL", "name": "Wallonne, Region (fr)"}, {"code": "BE-WBR", "name": "Brabant Wallon (fr)"}, {"code": "BE-WHT", "name": "Hainaut (fr)"}, {"code": "BE-WLG", "name": "Liège (fr)"}, {"code": "BE-WLX", "name": "Luxembourg (fr)"}, {"code": "BE-WNA", "name": "Namur (fr)"}, {"code": "BZ-BZ", "name": "Belize"}, {"code": "BZ-CY", "name": "Cayo"}, {"code": "BZ-CZL", "name": "Corozal"}, {"code": "BZ-OW", "name": "Orange Walk"}, {"code": "BZ-SC", "name": "Stann Creek"}, {"code": "BZ-TOL", "name": "Toledo (Belize)"}, {"code": "BJ-AK", "name": "Atakora"}, {"code": "BJ-AQ", "name": "Atlantique"}, {"code": "BJ-BO", "name": "Borgou"}, {"code": "BJ-MO", "name": "Mono"}, {"code": "BJ-OU", "name": "Ouémé"}, {"code": "BJ-ZO", "name": "Zou"}, {"code": "BM-BM", "name": "Bermuda"}, {"code": "BT-33", "name": "Bumthang"}, {"code": "BT-12", "name": "Chhukha"}, {"code": "BT-22", "name": "Dagana"}, {"code": "BT-GA", "name": "Gasa"}, {"code": "BT-13", "name": "Ha"}, {"code": "BT-44", "name": "Lhuentse"}, {"code": "BT-42", "name": "Monggar"}, {"code": "BT-11", "name": "Paro"}, {"code": "BT-43", "name": "Pemagatshel"}, {"code": "BT-23", "name": "Punakha"}, {"code": "BT-45", "name": "Samdrup Jongkha"}, {"code": "BT-14", "name": "Samtse"}, {"code": "BT-31", "name": "Sarpang"}, {"code": "BT-15", "name": "Thimphu"}, {"code": "BT-41", "name": "Trashigang"}, {"code": "BT-TY", "name": "Trashi Yangtse"}, {"code": "BT-32", "name": "Trongsa"}, {"code": "BT-21", "name": "Tsirang"}, {"code": "BT-24", "name": "Wangdue Phodrang"}, {"code": "BT-34", "name": "Zhemgang"}, {"code": "BO-C", "name": "Cochabamba"}, {"code": "BO-H", "name": "Chuquisaca"}, {"code": "BO-B", "name": "El Beni"}, {"code": "BO-L", "name": "La Paz (Bolivia)"}, {"code": "BO-O", "name": "Oruro"}, {"code": "BO-N", "name": "Pando"}, {"code": "BO-P", "name": "Potosi"}, {"code": "BO-S", "name": "Santa Cruz (Bolivia)"}, {"code": "BO-T", "name": "Tarija"}, {"code": "BA-BIH", "name": "Federacija Bosna i Hercegovina"}, {"code": "BA-SRP", "name": "Republika Srpska"}, {"code": "BW-CE", "name": "Central [Serowe-Palapye]"}, {"code": "BW-CH", "name": "Chobe"}, {"code": "BW-GH", "name": "Ghanzi"}, {"code": "BW-KG", "name": "Kgalagadi"}, {"code": "BW-KL", "name": "Kgatleng"}, {"code": "BW-KW", "name": "Kweneng"}, {"code": "BW-NG", "name": "Ngamiland [North-West]"}, {"code": "BW-NE", "name": "North-East"}, {"code": "BW-SE", "name": "South-East"}, {"code": "BW-SO", "name": "Southern [Ngwaketse]"}, {"code": "BV-BV", "name": "Bouvet Island"}, {"code": "BR-DF", "name": "Distrito Federal (Brazil)"}, {"code": "BR-AC", "name": "Acre"}, {"code": "BR-AL", "name": "Alagoas"}, {"code": "BR-AP", "name": "Amapá"}, {"code": "BR-AM", "name": "Amazonas (Brazil)"}, {"code": "BR-BA", "name": "Bahia"}, {"code": "BR-CE", "name": "Ceará"}, {"code": "BR-ES", "name": "Espírito Santo"}, {"code": "BR-GO", "name": "Goiás"}, {"code": "BR-MA", "name": "Maranhāo"}, {"code": "BR-MT", "name": "Mato Grosso"}, {"code": "BR-MS", "name": "Mato Grosso do Sul"}, {"code": "BR-MG", "name": "Minas Gerais"}, {"code": "BR-PA", "name": "Pará"}, {"code": "BR-PB", "name": "Paraíba"}, {"code": "BR-PR", "name": "Paraná"}, {"code": "BR-PE", "name": "Pernambuco"}, {"code": "BR-PI", "name": "Piauí"}, {"code": "BR-RJ", "name": "Rio de Janeiro"}, {"code": "BR-RN", "name": "Rio Grande do Norte"}, {"code": "BR-RS", "name": "Rio Grande do Sul"}, {"code": "BR-R0", "name": "Rondônia"}, {"code": "BR-RR", "name": "Roraima"}, {"code": "BR-SC", "name": "Santa Catarina (Brazil)"}, {"code": "BR-SP", "name": "São Paulo"}, {"code": "BR-SE", "name": "Sergipe"}, {"code": "BR-TO", "name": "Tocantins"}, {"code": "IO-IO", "name": "British Indian Ocean Territory"}, {"code": "BN-BE", "name": "Belait"}, {"code": "BN-BM", "name": "Brunei-Muara"}, {"code": "BN-TE", "name": "Temburong"}, {"code": "BN-TU", "name": "Tutong"}, {"code": "BG-02", "name": "Burgas"}, {"code": "BG-09", "name": "Haskovo"}, {"code": "BG-04", "name": "Loveč"}, {"code": "BG-05", "name": "Montana (Bulgaria)"}, {"code": "BG-06", "name": "Plovdiv"}, {"code": "BG-07", "name": "Ruse"}, {"code": "BG-08", "name": "Sofija"}, {"code": "BG-01", "name": "Sofija-Grad"}, {"code": "BG-03", "name": "Varna"}, {"code": "BF-BAL", "name": "Balé"}, {"code": "BF-BAM", "name": "Bam"}, {"code": "BF-BAN", "name": "Banwa"}, {"code": "BF-BAZ", "name": "Bazèga"}, {"code": "BF-BGR", "name": "Bougouriba"}, {"code": "BF-BLG", "name": "Boulgou"}, {"code": "BF-BLK", "name": "Boulkiemdé"}, {"code": "BF-COM", "name": "Comoé"}, {"code": "BF-GAN", "name": "Ganzourgou"}, {"code": "BF-GNA", "name": "Gnagna"}, {"code": "BF-GOU", "name": "Gourma"}, {"code": "BF-HOU", "name": "Houet"}, {"code": "BF-IOB", "name": "Ioba"}, {"code": "BF-KAD", "name": "Kadiogo"}, {"code": "BF-KEN", "name": "Kénédougou"}, {"code": "BF-KMD", "name": "Komondjari"}, {"code": "BF-KMP", "name": "Kompienga"}, {"code": "BF-KOS", "name": "Kossi"}, {"code": "BF-KOP", "name": "Koulpélogo"}, {"code": "BF-KOT", "name": "Kouritenga"}, {"code": "BF-KOW", "name": "Kourwéogo"}, {"code": "BF-LER", "name": "Léraba"}, {"code": "BF-LOR", "name": "Loroum"}, {"code": "BF-MOU", "name": "Mouhoun"}, {"code": "BF-NAO", "name": "Nahouri"}, {"code": "BF-NAM", "name": "Namentenga"}, {"code": "BF-NAY", "name": "Nayala"}, {"code": "BF-NOU", "name": "Noumbiel"}, {"code": "BF-OUB", "name": "Oubritenga"}, {"code": "BF-OUD", "name": "Oudalan"}, {"code": "BF-PAS", "name": "Passoré"}, {"code": "BF-PON", "name": "Poni"}, {"code": "BF-SNG", "name": "Sanguié"}, {"code": "BF-SMT", "name": "Sanmatenga"}, {"code": "BF-SEN", "name": "Séno"}, {"code": "BF-SIS", "name": "Sissili"}, {"code": "BF-SOM", "name": "Soum"}, {"code": "BF-SOR", "name": "Sourou"}, {"code": "BF-TAP", "name": "Tapoa"}, {"code": "BF-TUI", "name": "Tui"}, {"code": "BF-YAG", "name": "Yagha"}, {"code": "BF-YAT", "name": "Yatenga"}, {"code": "BF-ZIR", "name": "Ziro"}, {"code": "BF-ZON", "name": "Zondoma"}, {"code": "BF-ZOU", "name": "Zoundwéogo"}, {"code": "BI-BB", "name": "Bubanza"}, {"code": "BI-BJ", "name": "Bujumbura"}, {"code": "BI-BR", "name": "Bururi"}, {"code": "BI-CA", "name": "Cankuzo"}, {"code": "BI-CI", "name": "Cibitoke"}, {"code": "BI-GI", "name": "Gitega"}, {"code": "BI-KR", "name": "Karuzi"}, {"code": "BI-KY", "name": "Kayanza"}, {"code": "BI-KI", "name": "Kirundo"}, {"code": "BI-MA", "name": "Makamba"}, {"code": "BI-MU", "name": "Muramvya"}, {"code": "BI-MY", "name": "Muyinga"}, {"code": "BI-NG", "name": "Ngozi"}, {"code": "BI-RT", "name": "Rutana"}, {"code": "BI-RY", "name": "Ruyigi"}, {"code": "KH-23", "name": "Krong Kaeb [Krŏng Kêb]"}, {"code": "KH-18", "name": "Krong Preah Sihanouk [Krŏng Preăh Sihanouk]"}, {"code": "KH-12", "name": "Phnom Penh [Phnum Pénh]"}, {"code": "KH-2", "name": "Baat Dambang [Bătdâmbâng]"}, {"code": "KH-1", "name": "Banteay Mean Chey [Bântéay Méanchey]"}, {"code": "KH-3", "name": "Kampong Chaam [Kâmpóng Cham]"}, {"code": "KH-4", "name": "Kampong Chhnang [Kâmpóng Chhnăng]"}, {"code": "KH-5", "name": "Kampong Spueu [Kâmpóng Spœ]"}, {"code": "KH-6", "name": "Kampong Thum [Kâmpóng Thum]"}, {"code": "KH-7", "name": "Kampot [Kâmpôt]"}, {"code": "KH-8", "name": "Kandaal [Kândal]"}, {"code": "KH-10", "name": "Kracheh [Krâchéh]"}, {"code": "KH-11", "name": "Mond01 Kiri [Môndól Kiri]"}, {"code": "KH-22", "name": "Otdar Mean Chey [Ŏtdâr Méanchey]"}, {"code": "KH-15", "name": "Pousaat [Poŭthĭsăt]"}, {"code": "KH-13", "name": "Preah Vihear [Preăh Vihéar]"}, {"code": "KH-14", "name": "Prey Veaeng [Prey Vêng]"}, {"code": "KH-16", "name": "Rotanak Kiri [Rôtânôkiri]"}, {"code": "KH-17", "name": "Siem Reab [Siĕmréab]"}, {"code": "KH-19", "name": "Stueng Traeng [Stœng Trêng]"}, {"code": "KH-20", "name": "Svaay Rieng [Svay Riĕng]"}, {"code": "KH-21", "name": "Taakaev [Takêv]"}, {"code": "CM-AD", "name": "Adamaoua"}, {"code": "CM-CE", "name": "Centre (Cameroon)"}, {"code": "CM-ES", "name": "Est (Cameroon)"}, {"code": "CM-EN", "name": "Far North"}, {"code": "CM-LT", "name": "Littoral"}, {"code": "CM-NO", "name": "North"}, {"code": "CM-NW", "name": "North-West"}, {"code": "CM-SU", "name": "South"}, {"code": "CM-SW", "name": "South-West"}, {"code": "CM-OU", "name": "West"}, {"code": "CA-AB", "name": "Alberta"}, {"code": "CA-BC", "name": "British Columbia (Colombie-Britannique)"}, {"code": "CA-MB", "name": "Manitoba"}, {"code": "CA-NB", "name": "New Brunswick (Nouveau-Brunswick)"}, {"code": "CA-NL", "name": "Newfoundland and Labrador (Terre-Neuve)"}, {"code": "CA-NS", "name": "Nova Scotia (Nouvelle-Écosse)"}, {"code": "CA-ON", "name": "Ontario"}, {"code": "CA-PE", "name": "Prince Edward Island (Île-du-Prince-Édouard)"}, {"code": "CA-QC", "name": "Quebec (Québec)"}, {"code": "CA-SK", "name": "Saskatchewan"}, {"code": "CA-NT", "name": "Northwest Territories (Territoires du Nord-Ouest)"}, {"code": "CA-NU", "name": "Nunavut"}, {"code": "CA-YT", "name": "Yukon Territory (Teritoire du Yukon)"}, {"code": "CV-B", "name": "Ilhas de Barlavento"}, {"code": "CV-BV", "name": "Boa Vista"}, {"code": "CV-PA", "name": "Paul"}, {"code": "CV-PN", "name": "Porto Novo"}, {"code": "CV-RG", "name": "Ribeira Grande"}, {"code": "CV-SL", "name": "Sal"}, {"code": "CV-SN", "name": "Sāo Nicolau"}, {"code": "CV-SV", "name": "Sāo Vicente"}, {"code": "CV-S", "name": "Ilhas de Sotavento"}, {"code": "CV-BR", "name": "Brava"}, {"code": "CV-FO", "name": "Fogo"}, {"code": "CV-MA", "name": "Maio"}, {"code": "CV-PR", "name": "Praia"}, {"code": "CV-CA", "name": "Santa Catarina (Cape Verde)"}, {"code": "CV-CR", "name": "Santa Cruz (Cape Verde)"}, {"code": "CV-TA", "name": "Tarrafal"}, {"code": "KY-KY", "name": "Cayman Islands"}, {"code": "CF-BGF", "name": "Bangui"}, {"code": "CF-BB", "name": "Bamingui-Bangoran"}, {"code": "CF-BK", "name": "Basse-Kotto"}, {"code": "CF-HK", "name": "Haute-Kotto"}, {"code": "CF-HM", "name": "Haut-Mbomou"}, {"code": "CF-KG", "name": "Kémo"}, {"code": "CF-LB", "name": "Lobaye"}, {"code": "CF-HS", "name": "Mambéré-Kadéï"}, {"code": "CF-MB", "name": "Mbomou"}, {"code": "CF-KB", "name": "Nana-Grébizi"}, {"code": "CF-NM", "name": "Nana-Mambéré"}, {"code": "CF-MP", "name": "Ombella-Mpoko"}, {"code": "CF-UK", "name": "Ouaka"}, {"code": "CF-AC", "name": "Ouham"}, {"code": "CF-OP", "name": "Ouham-Pendé"}, {"code": "CF-SE", "name": "Sangha-Mbaéré"}, {"code": "CF-VK", "name": "Vakaga"}, {"code": "TD-BA", "name": "Batha"}, {"code": "TD-BI", "name": "Biltine"}, {"code": "TD-BET", "name": "Borkou-Ennedi-Tibesti"}, {"code": "TD-CB", "name": "Chari-Baguirmi"}, {"code": "TD-GR", "name": "Guéra"}, {"code": "TD-KA", "name": "Kanem"}, {"code": "TD-LC", "name": "Lac"}, {"code": "TD-LO", "name": "Logone-Occidental"}, {"code": "TD-LR", "name": "Logone-Oriental"}, {"code": "TD-MK", "name": "Mayo-Kébbi"}, {"code": "TD-MC", "name": "Moyen-Chari"}, {"code": "TD-OD", "name": "Ouaddaï"}, {"code": "TD-SA", "name": "Salamat"}, {"code": "TD-TA", "name": "Tandjilé"}, {"code": "CL-AI", "name": "Aisén del General Carlos Ibáñiez del Campo"}, {"code": "CL-AN", "name": "Antofagasta"}, {"code": "CL-AR", "name": "Araucanía"}, {"code": "CL-AT", "name": "Atacama"}, {"code": "CL-BI", "name": "Bío-Bío"}, {"code": "CL-CO", "name": "Coquimbo"}, {"code": "CL-LI", "name": "Libertador General Bernardo O'Higgins"}, {"code": "CL-LL", "name": "Los Lagos"}, {"code": "CL-MA", "name": "Magallanes"}, {"code": "CL-ML", "name": "Maule"}, {"code": "CL-RM", "name": "Regíon Metropolitana de Santiago"}, {"code": "CL-TA", "name": "Tarapacá"}, {"code": "CL-VS", "name": "Valparaiso"}, {"code": "CN-11", "name": "Beijing"}, {"code": "CN-50", "name": "Chongqing"}, {"code": "CN-31", "name": "Shanghai"}, {"code": "CN-12", "name": "Tianjin"}, {"code": "CN-34", "name": "Anhui"}, {"code": "CN-35", "name": "Fujian"}, {"code": "CN-62", "name": "Gansu"}, {"code": "CN-44", "name": "Guangdong"}, {"code": "CN-52", "name": "Guizhou"}, {"code": "CN-46", "name": "Hainan"}, {"code": "CN-13", "name": "Hebei"}, {"code": "CN-23", "name": "Heilongjiang"}, {"code": "CN-41", "name": "Henan"}, {"code": "CN-42", "name": "Hubei"}, {"code": "CN-43", "name": "Hunan"}, {"code": "CN-32", "name": "Jiangsu"}, {"code": "CN-36", "name": "Jiangxi"}, {"code": "CN-22", "name": "Jilin"}, {"code": "CN-21", "name": "Liaoning"}, {"code": "CN-63", "name": "Qinghai"}, {"code": "CN-61", "name": "Shaanxi"}, {"code": "CN-37", "name": "Shandong"}, {"code": "CN-14", "name": "Shanxi"}, {"code": "CN-51", "name": "Sichuan"}, {"code": "CN-71", "name": "Taiwan"}, {"code": "CN-53", "name": "Yunnan"}, {"code": "CN-33", "name": "Zhejiang"}, {"code": "CN-45", "name": "Guangxi"}, {"code": "CN-15", "name": "Nei Monggol"}, {"code": "CN-64", "name": "Ningxia"}, {"code": "CN-65", "name": "Xinjiang"}, {"code": "CN-54", "name": "Xizang"}, {"code": "CN-91", "name": "Hong Kong (China)"}, {"code": "CX-CX", "name": "Christmas Island"}, {"code": "CC-CC", "name": "Cocos (Keeling) Islands"}, {"code": "CO-DC", "name": "Distrito Capital de Santa Fe de Bogota"}, {"code": "CO-AMA", "name": "Amazonas (Colombia)"}, {"code": "CO-ANT", "name": "Antioguia"}, {"code": "CO-ARA", "name": "Arauca"}, {"code": "CO-ATL", "name": "Atlántico"}, {"code": "CO-BOL", "name": "Bolívar (Colombia)"}, {"code": "CO-BOY", "name": "Boyacá"}, {"code": "CO-CAL", "name": "Caldas"}, {"code": "CO-CAQ", "name": "Caquetá"}, {"code": "CO-CAS", "name": "Casanare"}, {"code": "CO-CAU", "name": "Cauca"}, {"code": "CO-CES", "name": "Cesar"}, {"code": "CO-COR", "name": "Córdoba (Colombia)"}, {"code": "CO-CUN", "name": "Cundinamarca"}, {"code": "CO-CHO", "name": "Chocó"}, {"code": "CO-GUA", "name": "Guainía"}, {"code": "CO-GUV", "name": "Guaviare"}, {"code": "CO-HUI", "name": "Huila"}, {"code": "CO-LAG", "name": "La Guajira"}, {"code": "CO-MAG", "name": "Magdalena"}, {"code": "CO-MET", "name": "Meta"}, {"code": "CO-NAR", "name": "Nariño"}, {"code": "CO-NSA", "name": "Norte de Santander"}, {"code": "CO-PUT", "name": "Putumayo"}, {"code": "CO-QUI", "name": "Quindío"}, {"code": "CO-RIS", "name": "Risaralda"}, {"code": "CO-SAP", "name": "San Andrés, Providencia y Santa Catalina"}, {"code": "CO-SAN", "name": "Santander"}, {"code": "CO-SUC", "name": "Sucre (Colombia)"}, {"code": "CO-TOL", "name": "Tolima"}, {"code": "CO-VAC", "name": "Valle del Cauca"}, {"code": "CO-VAU", "name": "Vaupés"}, {"code": "CO-VID", "name": "Vichada"}, {"code": "KM-A", "name": "Anjouan (Ndzouani)"}, {"code": "KM-G", "name": "Grande Comore (Ngazidja)"}, {"code": "KM-M", "name": "Mohéli (Moili)"}, {"code": "CG-BZV", "name": "Brazzaville"}, {"code": "CG-11", "name": "Bouenza"}, {"code": "CG-8", "name": "Cuvette"}, {"code": "CG-15", "name": "Cuvette-Ouest"}, {"code": "CG-5", "name": "Kouilou"}, {"code": "CG-2", "name": "Lékoumou"}, {"code": "CG-7", "name": "Likouala"}, {"code": "CG-9", "name": "Niari"}, {"code": "CG-14", "name": "Plateaux (Congo)"}, {"code": "CG-12", "name": "Pool"}, {"code": "CG-13", "name": "Sangha"}, {"code": "CD-KN", "name": "Kinshasa"}, {"code": "CD-BN", "name": "Bandundu"}, {"code": "CD-BC", "name": "Bas-Congo"}, {"code": "CD-EQ", "name": "Équateur"}, {"code": "CD-HC", "name": "Haut-Congo"}, {"code": "CD-KW", "name": "Kasai-Occidental"}, {"code": "CD-KE", "name": "Kasai-Oriental"}, {"code": "CD-KA", "name": "Katanga"}, {"code": "CD-MA", "name": "Maniema"}, {"code": "CD-NK", "name": "Nord-Kivu"}, {"code": "CD-SK", "name": "Sud-Kivu"}, {"code": "CK-CK", "name": "Cook Islands"}, {"code": "CR-A", "name": "Alajuela"}, {"code": "CR-C", "name": "Cartago"}, {"code": "CR-G", "name": "Guanacaste"}, {"code": "CR-H", "name": "Heredia"}, {"code": "CR-L", "name": "Limón"}, {"code": "CR-P", "name": "Puntarenas"}, {"code": "CR-SJ", "name": "San José (Costa Rica)"}, {"code": "CI-06", "name": "18 Montagnes (Région des)"}, {"code": "CI-16", "name": "Agnébi (Région de l')"}, {"code": "CI-09", "name": "Bas-Sassandra (Région du)"}, {"code": "CI-10", "name": "Denguélé (Région du)"}, {"code": "CI-02", "name": "Haut-Sassandra (Région du)"}, {"code": "CI-07", "name": "Lacs (Région des)"}, {"code": "CI-01", "name": "Lagunes (Région des)"}, {"code": "CI-12", "name": "Marahoué (Région de la)"}, {"code": "CI-05", "name": "Moyen-Comoé (Région du)"}, {"code": "CI-11", "name": "Nzi-Comoé (Région)"}, {"code": "CI-03", "name": "Savanes (Région des)"}, {"code": "CI-15", "name": "Sud-Bandama (Région du)"}, {"code": "CI-13", "name": "Sud-Comoé (Région du)"}, {"code": "CI-04", "name": "Vallée du Bandama (Région de la)"}, {"code": "CI-14", "name": "Worodougou (Région du)"}, {"code": "CI-08", "name": "Zanzan (Région du)"}, {"code": "HR-07", "name": "Bjelovarsko-bilogorska županija"}, {"code": "HR-12", "name": "Brodsko-posavska županija"}, {"code": "HR-19", "name": "Dubrovačko-neretvanska županija"}, {"code": "HR-18", "name": "Istarska županija"}, {"code": "HR-04", "name": "Karlovačka županija"}, {"code": "HR-06", "name": "Koprivničkco-križevačka županija"}, {"code": "HR-02", "name": "Krapinsko-zagorska županija"}, {"code": "HR-09", "name": "Ličko-senjska županija"}, {"code": "HR-20", "name": "Medjimurska županija"}, {"code": "HR-14", "name": "Osječko-baranjska županija"}, {"code": "HR-11", "name": "Požeško-slavonska županija"}, {"code": "HR-08", "name": "Primorsko-goranska županija"}, {"code": "HR-03", "name": "Sisaško-moslavačka županija"}, {"code": "HR-17", "name": "Splitsko-dalmatinska županija"}, {"code": "HR-15", "name": "Šibensko-kninska županija"}, {"code": "HR-05", "name": "Varaždinska županija"}, {"code": "HR-10", "name": "Virovitičko-podravska županija"}, {"code": "HR-16", "name": "Vukovarsko-srijemska županija"}, {"code": "HR-13", "name": "Zadarska županija"}, {"code": "HR-01", "name": "Zagrebačka županija"}, {"code": "CU-09", "name": "Camagüey"}, {"code": "CU-03", "name": "Ciudad de La Habana"}, {"code": "CU-12", "name": "Granma"}, {"code": "CU-14", "name": "Guantánamo"}, {"code": "CU-11", "name": "Holguín"}, {"code": "CU-02", "name": "La Habana"}, {"code": "CU-10", "name": "Las Tunas"}, {"code": "CU-04", "name": "Matanzas"}, {"code": "CU-01", "name": "Pinar del Río"}, {"code": "CU-07", "name": "Sancti Spíritus"}, {"code": "CU-13", "name": "Santiago de Cuba"}, {"code": "CU-05", "name": "Villa Clara"}, {"code": "CU-99", "name": "Isla de la Juventud"}, {"code": "CY-04", "name": "Ammochostos (Mağusa)"}, {"code": "CY-06", "name": "Keryneia (Girne)"}, {"code": "CY-03", "name": "Larnaka"}, {"code": "CY-01", "name": "Lefkosia (Lefkoşa)"}, {"code": "CY-02", "name": "Lemesos (Leymosun)"}, {"code": "CY-05", "name": "Pafos (Baf)"}, {"code": "CZ-PRG", "name": "Praha"}, {"code": "CZ-CJC", "name": "Jihočeský kraj"}, {"code": "CZ-CJM", "name": "Jihomoravský kraj"}, {"code": "CZ-CSC", "name": "Severočeský kraj"}, {"code": "CZ-CSM", "name": "Severomoravský kraj"}, {"code": "CZ-CST", "name": "Středočeský kraj"}, {"code": "CZ-CVC", "name": "Východočeský kraj"}, {"code": "CZ-CZC", "name": "Západočeský kraj"}, {"code": "DK-147", "name": "Frederiksberg"}, {"code": "DK-101", "name": "Kǿbenhavn (Denmark)"}, {"code": "DK-040", "name": "Bornholm"}, {"code": "DK-020", "name": "Frederiksborg"}, {"code": "DK-042", "name": "Fyn"}, {"code": "DK-015", "name": "Kǿbenhavn (Denmark)"}, {"code": "DK-080", "name": "Nordjylland"}, {"code": "DK-055", "name": "Ribe"}, {"code": "DK-065", "name": "Ringkǿbing"}, {"code": "DK-025", "name": "Roskilde"}, {"code": "DK-035", "name": "Storstrǿm"}, {"code": "DK-050", "name": "Sǿnderjylland"}, {"code": "DK-060", "name": "Vejle"}, {"code": "DK-030", "name": "Vestsjælland"}, {"code": "DK-076", "name": "Viborg"}, {"code": "DK-070", "name": "Århus"}, {"code": "DJ-AS", "name": "Ali Sabieh"}, {"code": "DJ-DI", "name": "Dikhil"}, {"code": "DJ-DJ", "name": "Djibouti"}, {"code": "DJ-OB", "name": "Obock"}, {"code": "DJ-TA", "name": "Tadjoura"}, {"code": "DM-DM", "name": "Dominica"}, {"code": "DO-DN", "name": "Distrito National (Santo Domingo)"}, {"code": "DO-AZ", "name": "Azua"}, {"code": "DO-BR", "name": "Bahoruco"}, {"code": "DO-BH", "name": "Barahona"}, {"code": "DO-DA", "name": "Dajabón"}, {"code": "DO-DU", "name": "Duarte"}, {"code": "DO-SE", "name": "El Seibo"}, {"code": "DO-EP", "name": "La Estrelleta [Elías Piña]"}, {"code": "DO-HM", "name": "Hato Mayor"}, {"code": "DO-IN", "name": "Independencia"}, {"code": "DO-AL", "name": "La Altagracia"}, {"code": "DO-RO", "name": "La Romana"}, {"code": "DO-VE", "name": "La Vega"}, {"code": "DO-MT", "name": "María Trinidad Sánchez"}, {"code": "DO-MN", "name": "Monseñor Nouel"}, {"code": "DO-MC", "name": "Monte Cristi"}, {"code": "DO-MP", "name": "Monte Plata"}, {"code": "DO-PN", "name": "Pedernales"}, {"code": "DO-PR", "name": "Peravia"}, {"code": "DO-PP", "name": "Puerto Plata"}, {"code": "DO-SC", "name": "Salcedo"}, {"code": "DO-SM", "name": "Samaná"}, {"code": "DO-SZ", "name": "Sanchez Ramírez"}, {"code": "DO-CR", "name": "San Cristóbal"}, {"code": "DO-JU", "name": "San Juan (Dominican Republic)"}, {"code": "DO-PM", "name": "San Pedro de Macorís"}, {"code": "DO-ST", "name": "Santiago"}, {"code": "DO-SR", "name": "Santiago Rodríguez"}, {"code": "DO-VA", "name": "Valverde"}, {"code": "TP-TP", "name": "East Timor"}, {"code": "EC-A", "name": "Azuay"}, {"code": "EC-B", "name": "Bolívar (Ecuador)"}, {"code": "EC-F", "name": "Cañar"}, {"code": "EC-C", "name": "Carchi"}, {"code": "EC-X", "name": "Cotopaxi"}, {"code": "EC-H", "name": "Chimborazo"}, {"code": "EC-O", "name": "El Oro"}, {"code": "EC-E", "name": "Esmeraldas"}, {"code": "EC-W", "name": "Galápagos"}, {"code": "EC-G", "name": "Guayas"}, {"code": "EC-I", "name": "Imbabura"}, {"code": "EC-L", "name": "Loja"}, {"code": "EC-R", "name": "Los Ríos"}, {"code": "EC-M", "name": "Manabí"}, {"code": "EC-S", "name": "Morona-Santiago"}, {"code": "EC-N", "name": "Napo"}, {"code": "EC-Y", "name": "Pastaza"}, {"code": "EC-P", "name": "Pichincha"}, {"code": "EC-U", "name": "Sucumbíos"}, {"code": "EC-T", "name": "Tungurahua"}, {"code": "EC-Z", "name": "Zarnora-Chinchipe"}, {"code": "EG-DK", "name": "Ad Daqahlīyah"}, {"code": "EG-BA", "name": "Al Baḩr al Aḩmar (Egypt)"}, {"code": "EG-BH", "name": "Al Buḩayrah"}, {"code": "EG-FYM", "name": "Al Fayyūm"}, {"code": "EG-GH", "name": "Al Gharbīyah"}, {"code": "EG-ALX", "name": "Al Iskandarīyah"}, {"code": "EG-IS", "name": "Al Ismā‘īlīyah"}, {"code": "EG-GZ", "name": "Al Jīzah"}, {"code": "EG-MNF", "name": "Al Minūfīyah"}, {"code": "EG-MN", "name": "Al Minyā"}, {"code": "EG-C", "name": "Al Qāhirah"}, {"code": "EG-KB", "name": "Al Qalyūbīyah"}, {"code": "EG-WAD", "name": "Al Wādī al Jadīd"}, {"code": "EG-SHR", "name": "Ash Sharqīyah (Egypt)"}, {"code": "EG-SUZ", "name": "As Suways"}, {"code": "EG-ASN", "name": "Aswān"}, {"code": "EG-AST", "name": "Asyūţ"}, {"code": "EG-BNS", "name": "Banī Suwayf"}, {"code": "EG-PTS", "name": "Būr Sa‘īd"}, {"code": "EG-DT", "name": "Dumyāţ"}, {"code": "EG-JS", "name": "Janūb Sīnā'"}, {"code": "EG-KFS", "name": "Kafr ash Shaykh"}, {"code": "EG-MT", "name": "Maţrūḩ"}, {"code": "EG-KN", "name": "Qinā"}, {"code": "EG-SIN", "name": "Shamāl Sīnā'"}, {"code": "EG-SHG", "name": "Sūhāj"}, {"code": "SV-AH", "name": "Ahuachapán"}, {"code": "SV-CA", "name": "Cabañas"}, {"code": "SV-CU", "name": "Cuscatlán"}, {"code": "SV-CH", "name": "Chalatenango"}, {"code": "SV-LI", "name": "La Libertad (El Salvador)"}, {"code": "SV-PA", "name": "La Paz (El Salvador)"}, {"code": "SV-UN", "name": "La Unión"}, {"code": "SV-MO", "name": "Morazán"}, {"code": "SV-SM", "name": "San Miguel"}, {"code": "SV-SS", "name": "San Salvador"}, {"code": "SV-SA", "name": "Santa Ana"}, {"code": "SV-SV", "name": "San Vicente"}, {"code": "SV-SO", "name": "Sonsonate"}, {"code": "SV-SU", "name": "Usulután"}, {"code": "GQ-C", "name": "Región Continental"}, {"code": "GQ-CS", "name": "Centro Sur"}, {"code": "GQ-KN", "name": "Kie-Ntem"}, {"code": "GQ-LI", "name": "Litoral"}, {"code": "GQ-WN", "name": "Wele-Nzás"}, {"code": "GQ-I", "name": "Región Insular"}, {"code": "GQ-AN", "name": "Annobón"}, {"code": "GQ-BN", "name": "Bioko Norte"}, {"code": "GQ-BS", "name": "Bioko Sur"}, {"code": "ER-AG", "name": "Akele Guzai [Akalä Guzay]"}, {"code": "ER-AS", "name": "Asmara [Asmära]"}, {"code": "ER-BA", "name": "Barka"}, {"code": "ER-DE", "name": "Denkalia [Dänkali]"}, {"code": "ER-GS", "name": "Gash-Setit [Gaš enna Sätit]"}, {"code": "ER-HA", "name": "Hamasien [Hamasén]"}, {"code": "ER-SA", "name": "Sahel"}, {"code": "ER-SM", "name": "Semhar [Sämhar]"}, {"code": "ER-SN", "name": "Senhit [Sänhet]"}, {"code": "ER-SR", "name": "Seraye [Särayé]"}, {"code": "EE-37", "name": "Harjumaa"}, {"code": "EE-39", "name": "Hiiumaa"}, {"code": "EE-44", "name": "Ida-Virumaa"}, {"code": "EE-49", "name": "Jōgevamaa"}, {"code": "EE-51", "name": "Järvamaa"}, {"code": "EE-57", "name": "Läänemaa"}, {"code": "EE-59", "name": "Lääne-Virumaa"}, {"code": "EE-65", "name": "Pōlvamaa"}, {"code": "EE-67", "name": "Pärnumaa"}, {"code": "EE-70", "name": "Raplamaa"}, {"code": "EE-74", "name": "Saaremaa"}, {"code": "EE-78", "name": "Tartumaa"}, {"code": "EE-82", "name": "Valgamaa"}, {"code": "EE-84", "name": "Viljandimaa"}, {"code": "EE-86", "name": "Vōrumaa"}, {"code": "ET-AA", "name": "Addis Ababa [Addis Abeba]"}, {"code": "ET-AF", "name": "Afar"}, {"code": "ET-AM", "name": "Amara [Amhara]"}, {"code": "ET-BE", "name": "Benshangul-Gumaz [Bénishangul]"}, {"code": "ET-GA", "name": "Gambela Peoples [Gambéla]"}, {"code": "ET-HA", "name": "Harari People [Harer]"}, {"code": "ET-OR", "name": "Oromia [Oromo]"}, {"code": "ET-SO", "name": "Somali"}, {"code": "ET-SN", "name": "Southern Nations, Nationalities and Peoples"}, {"code": "ET-TI", "name": "Tigrai [Tegré]"}, {"code": "FK-FK", "name": "Falkland Islands (Malvinas)"}, {"code": "FO-FO", "name": "Faroe Islands"}, {"code": "FJ-C", "name": "Central (Fiji)"}, {"code": "FJ-E", "name": "Eastern (Fiji)"}, {"code": "FJ-N", "name": "Northern (Fiji)"}, {"code": "FJ-W", "name": "Western (Fiji)"}, {"code": "FJ-R", "name": "Rotuma"}, {"code": "FI-AL", "name": "Ahvenanmaan lääni"}, {"code": "FI-ES", "name": "Etelä-Suomen lääni"}, {"code": "FI-IS", "name": "Itä-Suomen lääni"}, {"code": "FI-LL", "name": "Lapin lääni"}, {"code": "FI-LS", "name": "Länsi-Suomen lääni"}, {"code": "FI-OL", "name": "Oulun lääni"}, {"code": "FR-A", "name": "Alsace"}, {"code": "FR-67", "name": "Bas-Rhin"}, {"code": "FR-68", "name": "Haut-Rhin"}, {"code": "FR-B", "name": "Aquitaine"}, {"code": "FR-79", "name": "Deux-Sèvres"}, {"code": "FR-24", "name": "Dordogne"}, {"code": "FR-33", "name": "Gironde"}, {"code": "FR-40", "name": "Landes"}, {"code": "FR-47", "name": "Lot-et-Garonne"}, {"code": "FR-64", "name": "Pyrénées-Atlantiques"}, {"code": "FR-C", "name": "Auvergne"}, {"code": "FR-03", "name": "Allier"}, {"code": "FR-15", "name": "Cantal"}, {"code": "FR-43", "name": "Haute-Loire"}, {"code": "FR-63", "name": "Puy-de-Dôme"}, {"code": "FR-P", "name": "Basse-Normandie"}, {"code": "FR-14", "name": "Calvados"}, {"code": "FR-50", "name": "Manche"}, {"code": "FR-61", "name": "Orne"}, {"code": "FR-D", "name": "Bourgogne"}, {"code": "FR-21", "name": "Côte-d'Or"}, {"code": "FR-58", "name": "Nièvre"}, {"code": "FR-71", "name": "Saône-et-Loire"}, {"code": "FR-89", "name": "Yonne"}, {"code": "FR-E", "name": "Bretagne"}, {"code": "FR-22", "name": "Cotes-d'Armor"}, {"code": "FR-29", "name": "Finistère"}, {"code": "FR-35", "name": "Ille-et-Vilaine"}, {"code": "FR-56", "name": "Morbihan"}, {"code": "FR-F", "name": "Centre (France)"}, {"code": "FR-18", "name": "Cher"}, {"code": "FR-28", "name": "Eure-et-Loir"}, {"code": "FR-36", "name": "Indre"}, {"code": "FR-37", "name": "Indre-et-Loire"}, {"code": "FR-41", "name": "Loir-et-Cher"}, {"code": "FR-45", "name": "Loiret"}, {"code": "FR-G", "name": "Champagne-Ardenne"}, {"code": "FR-08", "name": "Ardennes"}, {"code": "FR-10", "name": "Aube"}, {"code": "FR-52", "name": "Haute-Marne"}, {"code": "FR-51", "name": "Marne"}, {"code": "FR-H", "name": "Corse"}, {"code": "FR-2A", "name": "Corse-du-Sud"}, {"code": "FR-2B", "name": "Haute-Corse"}, {"code": "FR-I", "name": "Franche-Comté"}, {"code": "FR-25", "name": "Doubs"}, {"code": "FR-70", "name": "Haute-Saône"}, {"code": "FR-39", "name": "Jura (France)"}, {"code": "FR-90", "name": "Territoire de Belfort"}, {"code": "FR-Q", "name": "Haute-Normandie"}, {"code": "FR-27", "name": "Eure"}, {"code": "FR-76", "name": "Seine-Maritime"}, {"code": "FR-J", "name": "Île-de-France"}, {"code": "FR-91", "name": "Essonne"}, {"code": "FR-92", "name": "Hauts-de-Seine"}, {"code": "FR-75", "name": "Paris"}, {"code": "FR-77", "name": "Seine-et-Marne"}, {"code": "FR-93", "name": "Seine-Saint-Denis"}, {"code": "FR-94", "name": "Val-de-Marne"}, {"code": "FR-95", "name": "Val-d'Oise"}, {"code": "FR-78", "name": "Yvelines"}, {"code": "FR-K", "name": "Languedoc-Roussillon"}, {"code": "FR-11", "name": "Aude"}, {"code": "FR-30", "name": "Gard"}, {"code": "FR-34", "name": "Hérault"}, {"code": "FR-48", "name": "Lozère"}, {"code": "FR-66", "name": "Pyrénées-Orientales"}, {"code": "FR-L", "name": "Limousin"}, {"code": "FR-19", "name": "Corrèze"}, {"code": "FR-23", "name": "Creuse"}, {"code": "FR-87", "name": "Haute-Vienne"}, {"code": "FR-M", "name": "Lorraine"}, {"code": "FR-54", "name": "Meurthe-et-Moselle"}, {"code": "FR-55", "name": "Meuse"}, {"code": "FR-57", "name": "Moselle"}, {"code": "FR-88", "name": "Vosges"}, {"code": "FR-N", "name": "Midi-Pyrénées"}, {"code": "FR-09", "name": "Ariège"}, {"code": "FR-12", "name": "Aveyron"}, {"code": "FR-32", "name": "Gers"}, {"code": "FR-31", "name": "Haute-Garonne"}, {"code": "FR-65", "name": "Hautes-Pyrénées"}, {"code": "FR-46", "name": "Lot"}, {"code": "FR-81", "name": "Tarn"}, {"code": "FR-82", "name": "Tarn-et-Garonne"}, {"code": "FR-O", "name": "Nord-Pas-de-Calais"}, {"code": "FR-59", "name": "Nord (France)"}, {"code": "FR-62", "name": "Pas-de-Calais"}, {"code": "FR-R", "name": "Pays de la Loire"}, {"code": "FR-44", "name": "Loire-Atlantique"}, {"code": "FR-49", "name": "Maine-et-Loire"}, {"code": "FR-53", "name": "Mayenne"}, {"code": "FR-72", "name": "Sarthe"}, {"code": "FR-85", "name": "Vendée"}, {"code": "FR-S", "name": "Picardie"}, {"code": "FR-02", "name": "Aisne"}, {"code": "FR-60", "name": "Oise"}, {"code": "FR-80", "name": "Somme"}, {"code": "FR-T", "name": "Poitou-Charentes"}, {"code": "FR-16", "name": "Charente"}, {"code": "FR-17", "name": "Charente-Maritime"}, {"code": "FR-86", "name": "Vienne"}, {"code": "FR-U", "name": "Provence-Alpes-Côte d'Azur"}, {"code": "FR-04", "name": "Alpes-de-Haute-Provence"}, {"code": "FR-06", "name": "Alpes-Maritimes"}, {"code": "FR-13", "name": "Bauches-du-Rhône"}, {"code": "FR-05", "name": "Hautes-Alpes"}, {"code": "FR-83", "name": "Var"}, {"code": "FR-84", "name": "Vaucluse"}, {"code": "FR-V", "name": "Rhône-Alpes"}, {"code": "FR-01", "name": "Ain"}, {"code": "FR-07", "name": "Ardèche"}, {"code": "FR-26", "name": "Drôme"}, {"code": "FR-74", "name": "Haute-Savoie"}, {"code": "FR-38", "name": "Isère"}, {"code": "FR-42", "name": "Loire"}, {"code": "FR-69", "name": "Rhône"}, {"code": "FR-73", "name": "Savoie"}, {"code": "FR-GP", "name": "Guadeloupe (France)"}, {"code": "FR-GF", "name": "Guyane (francaise)"}, {"code": "FR-MQ", "name": "Martinique (France)"}, {"code": "FR-RE", "name": "Réunion"}, {"code": "FR-YT", "name": "Mayotte (France)"}, {"code": "FR-PM", "name": "Saint-Pierre-et-Miquelon"}, {"code": "FR-NC", "name": "Nouvelle-Calédonie"}, {"code": "FR-PF", "name": "Polynésie française"}, {"code": "FR-TF", "name": "Terres Australes"}, {"code": "FR-WF", "name": "Wallis et Futuna"}, {"code": "GF-GF", "name": "French Guiana"}, {"code": "PF-PF", "name": "French Polynesia"}, {"code": "TF-TF", "name": "French Southern Territories"}, {"code": "GA-1", "name": "Estuaire"}, {"code": "GA-2", "name": "Haut-Ogooué"}, {"code": "GA-3", "name": "Moyen-Ogooué"}, {"code": "GA-4", "name": "Ngounié"}, {"code": "GA-5", "name": "Nyanga"}, {"code": "GA-6", "name": "Ogooué-Ivindo"}, {"code": "GA-7", "name": "Ogooué-Lolo"}, {"code": "GA-8", "name": "Ogooué-Maritime"}, {"code": "GA-9", "name": "Woleu-Ntem"}, {"code": "GM-B", "name": "Banjul"}, {"code": "GM-L", "name": "Lower River"}, {"code": "GM-M", "name": "MacCarthy Island"}, {"code": "GM-N", "name": "North Bank"}, {"code": "GM-U", "name": "Upper River"}, {"code": "GM-W", "name": "Western (Gambia)"}, {"code": "GE-AB", "name": "Ap'khazet'is Avtonomiuri Respublika [Abkhazia]"}, {"code": "GE-AJ", "name": "Acharis Avtonomiuri Respublika [Ajaria]"}, {"code": "GE-BUS", "name": "Bat'umi"}, {"code": "GE-CHI", "name": "Chiat'ura"}, {"code": "GE-GAG", "name": "Gagra"}, {"code": "GE-GOR", "name": "Gori"}, {"code": "GE-KUT", "name": "K'ut'aisi"}, {"code": "GE-PTI", "name": "P'ot'i"}, {"code": "GE-RUS", "name": "Rust'avi"}, {"code": "GE-SUI", "name": "Sokhumi"}, {"code": "GE-TBS", "name": "T'bilisi"}, {"code": "GE-TQI", "name": "Tqibuli"}, {"code": "GE-TQV", "name": "Tqvarch'eli"}, {"code": "GE-TSQ", "name": "Tsqalmbo"}, {"code": "GE-ZUG", "name": "Zugdidi"}, {"code": "GE-01", "name": "Abashis Raioni"}, {"code": "GE-02", "name": "Adigenis Raioni"}, {"code": "GE-03", "name": "Akhalgoris Raioni"}, {"code": "GE-04", "name": "Akhalk'alak'is Raioni"}, {"code": "GE-05", "name": "Akhalts'ikhis Raioni"}, {"code": "GE-06", "name": "Akhmetis Raioni"}, {"code": "GE-07", "name": "Ambrolauris Raioni"}, {"code": "GE-08", "name": "Aspindzis Raioni"}, {"code": "GE-09", "name": "Baghdat'is Raioni"}, {"code": "GE-10", "name": "Bolnisis Raioni"}, {"code": "GE-11", "name": "Borjomis Raioni"}, {"code": "GE-12", "name": "Ch'khorotsqus Raioni"}, {"code": "GE-13", "name": "Ch'okhatauris Raioni"}, {"code": "GE-14", "name": "Dedop'listsqaros Raioni"}, {"code": "GE-15", "name": "Dmanisis Raioni"}, {"code": "GE-16", "name": "Dushet'is Raioni"}, {"code": "GE-17", "name": "Galis Raioni"}, {"code": "GE-18", "name": "Gardabnis Raioni"}, {"code": "GE-19", "name": "Goris Raioni"}, {"code": "GE-20", "name": "Gudaut'is Raioni"}, {"code": "GE-21", "name": "Gulrip'shis Raioni"}, {"code": "GE-22", "name": "Gurjaanis Raioni"}, {"code": "GE-23", "name": "Javis Raioni"}, {"code": "GE-24", "name": "K'arelis Raioni"}, {"code": "GE-25", "name": "Kaspis Raioni"}, {"code": "GE-26", "name": "K'edis Raioni"}, {"code": "GE-27", "name": "Kharagaulis Raioni"}, {"code": "GE-28", "name": "Khashuris Raioni"}, {"code": "GE-29", "name": "Khelvach'auris Raioni"}, {"code": "GE-30", "name": "Khobis Raioni"}, {"code": "GE-31", "name": "Khonis Raioni"}, {"code": "GE-32", "name": "Khulos Raioni"}, {"code": "GE-33", "name": "K'obuletis Raioni"}, {"code": "GE-34", "name": "Lagodekhis Raioni"}, {"code": "GE-35", "name": "Lanch'khut'is Raioni"}, {"code": "GE-36", "name": "Lentekhis Raioni"}, {"code": "GE-37", "name": "Marneulis Raioni"}, {"code": "GE-38", "name": "Martvilis Raioni"}, {"code": "GE-39", "name": "Mestiis Raioni"}, {"code": "GE-40", "name": "Mts'khet'is Raioni"}, {"code": "GE-41", "name": "Ninotsmindis Raioni"}, {"code": "GE-42", "name": "Och'amch'iris Raioni"}, {"code": "GE-43", "name": "Onis Raioni"}, {"code": "GE-44", "name": "Ozurget'is Raioni"}, {"code": "GE-45", "name": "Qazbegis Raioni"}, {"code": "GE-46", "name": "Qvarlis Raioni"}, {"code": "GE-47", "name": "Sach'kheris Raioni"}, {"code": "GE-48", "name": "Sagarejos Raioni"}, {"code": "GE-49", "name": "Samtrediis Raioni"}, {"code": "GE-50", "name": "Senakis Raioni"}, {"code": "GE-51", "name": "Shuakhevis Raioni"}, {"code": "GE-52", "name": "Sighnaghis Raioni"}, {"code": "GE-53", "name": "Sokhumis Raioni"}, {"code": "GE-54", "name": "T'elavis Raioni"}, {"code": "GE-55", "name": "T'erjolis Raioni"}, {"code": "GE-56", "name": "T'et'ritsqaros Raioni"}, {"code": "GE-57", "name": "T'ianet'is Raioni"}, {"code": "GE-58", "name": "Ts'ageris Raioni"}, {"code": "GE-59", "name": "Tsalenjikhis Raioni"}, {"code": "GE-60", "name": "Tsalkis Raioni"}, {"code": "GE-61", "name": "Vanis Raioni"}, {"code": "GE-62", "name": "Zestap'onis Raioni"}, {"code": "GE-63", "name": "Zugdidis Raioni"}, {"code": "DE-BW", "name": "Baden-Württemberg"}, {"code": "DE-BY", "name": "Bayern"}, {"code": "DE-BE", "name": "Berlin"}, {"code": "DE-BB", "name": "Brandenburg"}, {"code": "DE-HB", "name": "Bremen"}, {"code": "DE-HH", "name": "Hamburg"}, {"code": "DE-HE", "name": "Hessen"}, {"code": "DE-MV", "name": "Mecklenburg-Vorpommern"}, {"code": "DE-NI", "name": "Niedersachsen"}, {"code": "DE-NW", "name": "Nordrhein-Westfalen"}, {"code": "DE-RP", "name": "Rheinland-Pfalz"}, {"code": "DE-SL", "name": "Saarland"}, {"code": "DE-SN", "name": "Sachsen"}, {"code": "DE-ST", "name": "Sachsen-Anhalt"}, {"code": "DE-SH", "name": "Schleswig-Holstein"}, {"code": "DE-TH", "name": "Thüringen"}, {"code": "GH-AH", "name": "Ashanti"}, {"code": "GH-BA", "name": "Brong-Ahafo"}, {"code": "GH-CP", "name": "Central (Ghana)"}, {"code": "GH-EP", "name": "Eastern (Ghana)"}, {"code": "GH-AA", "name": "Greater Accra"}, {"code": "GH-NP", "name": "Northern (Ghana)"}, {"code": "GH-UE", "name": "Upper East"}, {"code": "GH-UW", "name": "Upper West"}, {"code": "GH-TV", "name": "Volta"}, {"code": "GH-WP", "name": "Western (Ghana)"}, {"code": "GI-GI", "name": "Gibraltar"}, {"code": "GB-CHA", "name": "Channel Islands"}, {"code": "GB-GSY", "name": "Guernsey [Guernesey]"}, {"code": "GB-JSY", "name": "Jersey"}, {"code": "GB-ENG", "name": "England"}, {"code": "GB-BDG", "name": "Barking and Dagenham"}, {"code": "GB-BNE", "name": "Barnet"}, {"code": "GB-BNS", "name": "Barnsley"}, {"code": "GB-BAS", "name": "Bath and North East Somerset"}, {"code": "GB-BDF", "name": "Bedfordshire"}, {"code": "GB-BEX", "name": "Bexley"}, {"code": "GB-BIR", "name": "Birmingham (City of)"}, {"code": "GB-BBD", "name": "Blackburn with Darwen"}, {"code": "GB-BPL", "name": "Blackpool"}, {"code": "GB-BOL", "name": "Bolton"}, {"code": "GB-BMH", "name": "Bournemouth"}, {"code": "GB-BRC", "name": "Bracknell Forest"}, {"code": "GB-BRD", "name": "Bradford (City of)"}, {"code": "GB-BEN", "name": "Brent"}, {"code": "GB-BNH", "name": "Brighton and Hove"}, {"code": "GB-BST", "name": "Bristol, City of"}, {"code": "GB-BRY", "name": "Bromley"}, {"code": "GB-BKM", "name": "Buckinghamshire"}, {"code": "GB-BUR", "name": "Bury"}, {"code": "GB-CLD", "name": "Calderdale"}, {"code": "GB-CAM", "name": "Cambridgeshire"}, {"code": "GB-CMD", "name": "Camden"}, {"code": "GB-CHS", "name": "Cheshire"}, {"code": "GB-CON", "name": "Cornwall"}, {"code": "GB-COV", "name": "Coventry (City of)"}, {"code": "GB-CRY", "name": "Croydon"}, {"code": "GB-CMA", "name": "Cumbria"}, {"code": "GB-DAL", "name": "Darlington"}, {"code": "GB-DER", "name": "Derby (City of)"}, {"code": "GB-DBY", "name": "Derbyshire"}, {"code": "GB-DEV", "name": "Devon"}, {"code": "GB-DNC", "name": "Doncaster"}, {"code": "GB-DOR", "name": "Dorset"}, {"code": "GB-DUD", "name": "Dudley"}, {"code": "GB-DUR", "name": "Durharn"}, {"code": "GB-EAL", "name": "Ealing"}, {"code": "GB-ERY", "name": "East Riding of Yorkshire"}, {"code": "GB-ESX", "name": "East Sussex"}, {"code": "GB-ENF", "name": "Enfield"}, {"code": "GB-ESS", "name": "Essex"}, {"code": "GB-GAT", "name": "Gateshead"}, {"code": "GB-GLS", "name": "Gloucestershire"}, {"code": "GB-GRE", "name": "Greenwich"}, {"code": "GB-HCK", "name": "Hackney"}, {"code": "GB-HAL", "name": "Haiton"}, {"code": "GB-HMF", "name": "Hammersmith and Fulham"}, {"code": "GB-HAM", "name": "Hampshire"}, {"code": "GB-HRY", "name": "Haringey"}, {"code": "GB-HRW", "name": "Harrow"}, {"code": "GB-HPL", "name": "Hartlepool"}, {"code": "GB-HAV", "name": "Havering"}, {"code": "GB-HEF", "name": "Herefordshire, County of"}, {"code": "GB-HRT", "name": "Hertfordshire"}, {"code": "GB-HIL", "name": "Hillingdon"}, {"code": "GB-HNS", "name": "Hounslow"}, {"code": "GB-IOW", "name": "Isle of Wight"}, {"code": "GB-IOS", "name": "Isles of Scilly"}, {"code": "GB-ISL", "name": "Islington"}, {"code": "GB-KEC", "name": "Kensington and Chelsea"}, {"code": "GB-KEN", "name": "Kent"}, {"code": "GB-KHL", "name": "Kingston upon Hull, City of"}, {"code": "GB-KTT", "name": "Kingston upon Thames"}, {"code": "GB-KIR", "name": "Kirklees"}, {"code": "GB-KWL", "name": "Knowsley"}, {"code": "GB-LBH", "name": "Lambeth"}, {"code": "GB-LAN", "name": "Lancashire"}, {"code": "GB-LDS", "name": "Leeds (City of)"}, {"code": "GB-LCE", "name": "Leitester (City of)"}, {"code": "GB-LEC", "name": "Leicestershire"}, {"code": "GB-LEW", "name": "Lewisham"}, {"code": "GB-LIN", "name": "Lincolnshire"}, {"code": "GB-LIV", "name": "Liverpool (City of)"}, {"code": "GB-LND", "name": "London, City of"}, {"code": "GB-LUT", "name": "Luton"}, {"code": "GB-MAN", "name": "Manchester (City of)"}, {"code": "GB-MDW", "name": "Medway"}, {"code": "GB-MRT", "name": "Merton"}, {"code": "GB-MDB", "name": "Middlesbrough"}, {"code": "GB-MIK", "name": "Milton Keynes"}, {"code": "GB-NET", "name": "Newcastle upon Tyne (City of)"}, {"code": "GB-NWM", "name": "Newham"}, {"code": "GB-NFK", "name": "Norfolk"}, {"code": "GB-NEL", "name": "North East Lincolnshire"}, {"code": "GB-NLN", "name": "North Lincolnshire"}, {"code": "GB-NSM", "name": "North Somerset"}, {"code": "GB-NTY", "name": "North Tyneside"}, {"code": "GB-NYK", "name": "North Yorkshire"}, {"code": "GB-NTH", "name": "Northamptonshire"}, {"code": "GB-NBL", "name": "Northumberland"}, {"code": "GB-NGM", "name": "Nottingham (City of)"}, {"code": "GB-NTT", "name": "Nottinghamshire"}, {"code": "GB-OLD", "name": "Oldham"}, {"code": "GB-OXF", "name": "Oxfordshire"}, {"code": "GB-PTE", "name": "Peterborough"}, {"code": "GB-PLY", "name": "Plymouth (City of)"}, {"code": "GB-POL", "name": "Poole"}, {"code": "GB-POR", "name": "Portsmouth (City of)"}, {"code": "GB-RDG", "name": "Reading"}, {"code": "GB-RDB", "name": "Redbridge"}, {"code": "GB-RCC", "name": "Redcar and Cleveland"}, {"code": "GB-RIC", "name": "Richmond upon Thames"}, {"code": "GB-RCH", "name": "Rochdale"}, {"code": "GB-ROT", "name": "Rotherharn"}, {"code": "GB-RUT", "name": "Rutland"}, {"code": "GB-SHN", "name": "St. Helens"}, {"code": "GB-SLF", "name": "Salford (City of)"}, {"code": "GB-SAW", "name": "Sandweil"}, {"code": "GB-SFT", "name": "Sefton"}, {"code": "GB-SHF", "name": "Sheffield (City of)"}, {"code": "GB-SHR", "name": "Shropshire"}, {"code": "GB-SLG", "name": "Slough"}, {"code": "GB-SOL", "name": "Solihull"}, {"code": "GB-SOM", "name": "Somerset"}, {"code": "GB-SGC", "name": "South Gloucestershire"}, {"code": "GB-STY", "name": "South Tyneside"}, {"code": "GB-STH", "name": "Southampton (City of)"}, {"code": "GB-SOS", "name": "Southend-on-Sea"}, {"code": "GB-SWK", "name": "Southwark"}, {"code": "GB-STS", "name": "Staffordshire"}, {"code": "GB-SKP", "name": "Stockport"}, {"code": "GB-STT", "name": "Stockton-On-Tees"}, {"code": "GB-STE", "name": "Stoke-on-Trent (City of)"}, {"code": "GB-SFK", "name": "Suffolk"}, {"code": "GB-SND", "name": "Sunderland (City of)"}, {"code": "GB-SRY", "name": "Surrey"}, {"code": "GB-STN", "name": "Sutton"}, {"code": "GB-SWD", "name": "Swindon"}, {"code": "GB-TAM", "name": "Tameside"}, {"code": "GB-TFW", "name": "Telford and Wrekin"}, {"code": "GB-THR", "name": "Thurrock"}, {"code": "GB-TOB", "name": "Torbay"}, {"code": "GB-TWH", "name": "Tower Hamlets"}, {"code": "GB-TRF", "name": "Trafford"}, {"code": "GB-WKF", "name": "Wakefield (City of)"}, {"code": "GB-WLL", "name": "Walsall"}, {"code": "GB-WFT", "name": "Waltham Forest"}, {"code": "GB-WND", "name": "Wandsworth"}, {"code": "GB-WRT", "name": "Warrington"}, {"code": "GB-WAR", "name": "Warwickshire"}, {"code": "GB-WBK", "name": "West Berkshire"}, {"code": "GB-WSX", "name": "West Sussex"}, {"code": "GB-WSM", "name": "Westminster (City of)"}, {"code": "GB-WGN", "name": "Wigan"}, {"code": "GB-WIL", "name": "Wiltshire"}, {"code": "GB-WNM", "name": "Windsor and Maidenhead"}, {"code": "GB-WRL", "name": "Wirral"}, {"code": "GB-WOK", "name": "Wokingham"}, {"code": "GB-WLV", "name": "Wolverhampton"}, {"code": "GB-WOR", "name": "Worcestershire"}, {"code": "GB-YOR", "name": "York (City of)"}, {"code": "GB-IOM", "name": "Isle of Man"}, {"code": "GB-NIR", "name": "Northern Ireland"}, {"code": "GB-ANT", "name": "Antrim"}, {"code": "GB-ARD", "name": "Ards"}, {"code": "GB-ARM", "name": "Armagh"}, {"code": "GB-BLA", "name": "Ballymena"}, {"code": "GB-BLY", "name": "Ballymoney"}, {"code": "GB-BNB", "name": "Banbridge"}, {"code": "GB-BFS", "name": "Belfast (City of)"}, {"code": "GB-CKF", "name": "Carrickfergus"}, {"code": "GB-CSR", "name": "Castlereagh"}, {"code": "GB-CLR", "name": "Coleraine"}, {"code": "GB-CKT", "name": "Cookstown"}, {"code": "GB-CGV", "name": "Craigavon"}, {"code": "GB-DRY", "name": "Derry (City of)"}, {"code": "GB-DOW", "name": "Down"}, {"code": "GB-DGN", "name": "Dungannon"}, {"code": "GB-FER", "name": "Fermanagh"}, {"code": "GB-LRN", "name": "Larne"}, {"code": "GB-LMV", "name": "Limavady"}, {"code": "GB-LSB", "name": "Lisburn"}, {"code": "GB-MFT", "name": "Magherafelt"}, {"code": "GB-MYL", "name": "Moyle"}, {"code": "GB-NYM", "name": "Newry and Mourne"}, {"code": "GB-NTA", "name": "Newtownabbey"}, {"code": "GB-NDN", "name": "North Down"}, {"code": "GB-OMH", "name": "Omagh"}, {"code": "GB-STB", "name": "Strabane"}, {"code": "GB-SCT", "name": "Scotland"}, {"code": "GB-ABE", "name": "Aberdeen City"}, {"code": "GB-ABD", "name": "Aberdeenshire"}, {"code": "GB-ANS", "name": "Angus"}, {"code": "GB-AGB", "name": "Argyll and Bute"}, {"code": "GB-CLK", "name": "Clackmannanshire"}, {"code": "GB-DGY", "name": "Dumfries and Galloway"}, {"code": "GB-DND", "name": "Dundee City"}, {"code": "GB-EAY", "name": "East Ayrshire"}, {"code": "GB-EDU", "name": "East Dunbartonshire"}, {"code": "GB-ELN", "name": "East Lothian"}, {"code": "GB-ERW", "name": "East Renfrewshire"}, {"code": "GB-EDH", "name": "Edinburgh, City of"}, {"code": "GB-ELS", "name": "Eilean Siar"}, {"code": "GB-FAL", "name": "Falkirk"}, {"code": "GB-FIF", "name": "Fife"}, {"code": "GB-GLG", "name": "Glasgow City"}, {"code": "GB-HLD", "name": "Highland"}, {"code": "GB-IVC", "name": "Inverclyde"}, {"code": "GB-MLN", "name": "Midlothian"}, {"code": "GB-MRY", "name": "Moray"}, {"code": "GB-NAY", "name": "North Ayrshire"}, {"code": "GB-NLK", "name": "North Lanarkshire"}, {"code": "GB-ORK", "name": "Orkney Islands"}, {"code": "GB-PKN", "name": "Perth and Kinross"}, {"code": "GB-RFW", "name": "Renfrewshire"}, {"code": "GB-SCB", "name": "Scottish Borders, The"}, {"code": "GB-ZET", "name": "Shetland Islands"}, {"code": "GB-SAY", "name": "South Ayrshire"}, {"code": "GB-SLK", "name": "South Lanarkshire"}, {"code": "GB-STG", "name": "Stirling"}, {"code": "GB-WDU", "name": "West Dunbartonshire"}, {"code": "GB-WLN", "name": "West Lothian"}, {"code": "GB-WLS", "name": "Wales [Cymru]"}, {"code": "GB-BGW", "name": "Blaenau Gwent"}, {"code": "GB-BGE", "name": "Bridgend [Pen-y-bont ar Ogwr GB-POG]"}, {"code": "GB-CAY", "name": "Caerphilly [Caerffili GB-CAF]"}, {"code": "GB-CRF", "name": "Cardiff (City of) [Caerdydd GB-CRD]"}, {"code": "GB-CMN", "name": "Carmarthenshire [Sir Gaerfyrddin GB-GFY]"}, {"code": "GB-CGN", "name": "Ceredigion [Sir Ceredigion]"}, {"code": "GB-CWY", "name": "Conwy"}, {"code": "GB-DEN", "name": "Denbighshire [Sir Ddinbych GB-DDB]"}, {"code": "GB-FLN", "name": "Flintshire [Sir y Fflint GB-FFL]"}, {"code": "GB-GWN", "name": "Gwynedd"}, {"code": "GB-AGY", "name": "Isle of Anglesey [Sir Ynys Man GB-YNM]"}, {"code": "GB-MTY", "name": "Merthyr Tydfil [Merthyr Tudful GB-MTU]"}, {"code": "GB-MON", "name": "Monmouthshire [Sir Fynwy GB-FYN]"}, {"code": "GB-NTL", "name": "Neath Port Talbot [Castell-nedd Port Talbot GB-CTL]"}, {"code": "GB-NWP", "name": "Newport [Casnewydd GB-CNW]"}, {"code": "GB-PEM", "name": "Pembrokeshire [Sir Benfro CB-BNF]"}, {"code": "GB-POW", "name": "Powys"}, {"code": "GB-RCT", "name": "Rhondda, Cynon, Taff [Rhondda, Cynon, Taf]"}, {"code": "GB-SWA", "name": "Swansea (City of) [Abertawe GB-ATA]"}, {"code": "GB-TOF", "name": "Torfaen [Tor-faen]"}, {"code": "GB-VGL", "name": "Vale of Glamorgan, The [Bro Morgannwg GB-BMG]"}, {"code": "GB-WRX", "name": "Wrexham [Wrecsam GB-WRC]"}, {"code": "GR-I", "name": "Anatoliki Makedonia kai Thraki"}, {"code": "GR-52", "name": "Drama"}, {"code": "GR-71", "name": "Evros"}, {"code": "GR-55", "name": "Kavalla"}, {"code": "GR-73", "name": "Rodopi"}, {"code": "GR-72", "name": "Xanthi"}, {"code": "GR-IX", "name": "Attiki (Greece)"}, {"code": "GR-A1", "name": "Attiki (Greece)"}, {"code": "GR-VII", "name": "Dytiki Ellada"}, {"code": "GR-13", "name": "Achaïa"}, {"code": "GR-01", "name": "Aitolia-Akarnania"}, {"code": "GR-14", "name": "Ileia"}, {"code": "GR-III", "name": "Dytiki Makedonia"}, {"code": "GR-63", "name": "Florina"}, {"code": "GR-51", "name": "Grevena"}, {"code": "GR-56", "name": "Kastoria"}, {"code": "GR-58", "name": "Kozani"}, {"code": "GR-VI", "name": "Ionioi Nisoi"}, {"code": "GR-23", "name": "Kefallinia"}, {"code": "GR-22", "name": "Kerkyra"}, {"code": "GR-24", "name": "Lefkas"}, {"code": "GR-21", "name": "Zakynthos"}, {"code": "GR-IV", "name": "Ipeiros"}, {"code": "GR-31", "name": "Arta"}, {"code": "GR-33", "name": "Ioannina"}, {"code": "GR-34", "name": "Preveza"}, {"code": "GR-32", "name": "Thesprotia"}, {"code": "GR-II", "name": "Kentriki Makedonia"}, {"code": "GR-64", "name": "Chalkidiki"}, {"code": "GR-53", "name": "Imathia"}, {"code": "GR-57", "name": "Kilkis"}, {"code": "GR-59", "name": "Pella"}, {"code": "GR-61", "name": "Pieria"}, {"code": "GR-62", "name": "Serrai"}, {"code": "GR-54", "name": "Thessaloniki"}, {"code": "GR-XIII", "name": "Kriti"}, {"code": "GR-94", "name": "Chania"}, {"code": "GR-91", "name": "Irakleion"}, {"code": "GR-92", "name": "Lasithion"}, {"code": "GR-93", "name": "Rethymnon"}, {"code": "GR-XII", "name": "Notio Aigaio"}, {"code": "GR-81", "name": "Dodekanisos"}, {"code": "GR-82", "name": "Kyklades"}, {"code": "GR-X", "name": "Peloponnisos"}, {"code": "GR-11", "name": "Argolis"}, {"code": "GR-12", "name": "Arkadia"}, {"code": "GR-15", "name": "Korinthia"}, {"code": "GR-16", "name": "Lakonia"}, {"code": "GR-17", "name": "Messinia"}, {"code": "GR-VIII", "name": "Sterea Ellada"}, {"code": "GR-05", "name": "Evrytania"}, {"code": "GR-04", "name": "Evvoia"}, {"code": "GR-07", "name": "Fokis"}, {"code": "GR-06", "name": "Fthiotis"}, {"code": "GR-03", "name": "Voiotia"}, {"code": "GR-V", "name": "Thessalia"}, {"code": "GR-41", "name": "Karditsa"}, {"code": "GR-42", "name": "Larisa"}, {"code": "GR-43", "name": "Magnisia"}, {"code": "GR-44", "name": "Trikala"}, {"code": "GR-XI", "name": "Voreio Aigaio"}, {"code": "GR-85", "name": "Chios"}, {"code": "GR-83", "name": "Lesvos"}, {"code": "GR-84", "name": "Samos"}, {"code": "GL-GL", "name": "Greenland"}, {"code": "GD-GD", "name": "Grenada"}, {"code": "GP-GP", "name": "Guadeloupe (Guadeloupe)"}, {"code": "GU-GU", "name": "Guam (Guam)"}, {"code": "GT-AV", "name": "Alta Verapaz"}, {"code": "GT-BV", "name": "Baja Verapaz"}, {"code": "GT-CM", "name": "Chimaltenango"}, {"code": "GT-CQ", "name": "Chiquimula"}, {"code": "GT-PR", "name": "El Progreso"}, {"code": "GT-ES", "name": "Escuintla"}, {"code": "GT-GU", "name": "Guatemala"}, {"code": "GT-HU", "name": "Huehuetenango"}, {"code": "GT-IZ", "name": "Izabal"}, {"code": "GT-JA", "name": "Jalapa"}, {"code": "GT-JU", "name": "Jutiapa"}, {"code": "GT-PE", "name": "Petén"}, {"code": "GT-QZ", "name": "Quezaltenango"}, {"code": "GT-QC", "name": "Quiché"}, {"code": "GT-RE", "name": "Retalhuleu"}, {"code": "GT-SA", "name": "Sacatepéquez"}, {"code": "GT-SM", "name": "San Marcos"}, {"code": "GT-SR", "name": "Santa Rosa"}, {"code": "GT-SO", "name": "Sololá"}, {"code": "GT-SU", "name": "Suchitepéquez"}, {"code": "GT-TO", "name": "Totonicapán"}, {"code": "GT-ZA", "name": "Zacapa"}, {"code": "GN-B", "name": "Bake, Gouvernorat de"}, {"code": "GN-BF", "name": "Boffa"}, {"code": "GN-BK", "name": "Boké"}, {"code": "GN-FR", "name": "Fria"}, {"code": "GN-GA", "name": "Gaoual"}, {"code": "GN-KD", "name": "Kindia"}, {"code": "GN-C", "name": "Conakry, Gouvernorat de"}, {"code": "GN-F", "name": "Faranah, Gouvernorat de"}, {"code": "GN-DB", "name": "Dabola"}, {"code": "GN-DI", "name": "Dinguiraye"}, {"code": "GN-FA", "name": "Faranah"}, {"code": "GN-KS", "name": "Kissidougou"}, {"code": "GN-K", "name": "Kankan, Gouvernorat de"}, {"code": "GN-KA", "name": "Kankan"}, {"code": "GN-KE", "name": "Kérouané"}, {"code": "GN-KO", "name": "Kouroussa"}, {"code": "GN-MD", "name": "Mandiana"}, {"code": "GN-SI", "name": "Siguiri"}, {"code": "GN-D", "name": "Kindia, Gouvernorat de"}, {"code": "GN-CO", "name": "Coyah"}, {"code": "GN-DU", "name": "Dubréka"}, {"code": "GN-FO", "name": "Forécariah"}, {"code": "GN-TE", "name": "Télimélé"}, {"code": "GN-L", "name": "Labé, Gouvernorat de"}, {"code": "GN-KB", "name": "Koubia"}, {"code": "GN-LA", "name": "Labé"}, {"code": "GN-LE", "name": "Lélouma"}, {"code": "GN-ML", "name": "Mali"}, {"code": "GN-TO", "name": "Tougué"}, {"code": "GN-M", "name": "Mamou, Gouvernorat de"}, {"code": "GN-DL", "name": "Dalaba"}, {"code": "GN-MM", "name": "Mamou"}, {"code": "GN-PI", "name": "Pita"}, {"code": "GN-N", "name": "Nzérékoré, Gouvernorat de"}, {"code": "GN-BE", "name": "Beyla"}, {"code": "GN-GU", "name": "Guékédou"}, {"code": "GN-LO", "name": "Lola"}, {"code": "GN-MC", "name": "Macenta"}, {"code": "GN-NZ", "name": "Nzérékoré"}, {"code": "GN-YO", "name": "Yomou"}, {"code": "GW-BS", "name": "Bissau"}, {"code": "GW-BA", "name": "Bafatá"}, {"code": "GW-BM", "name": "Biombo"}, {"code": "GW-BL", "name": "Bolama"}, {"code": "GW-CA", "name": "Cacheu"}, {"code": "GW-GA", "name": "Gabú"}, {"code": "GW-OI", "name": "Oio"}, {"code": "GW-QU", "name": "Quinara"}, {"code": "GY-BA", "name": "Barima-Waini"}, {"code": "GY-CU", "name": "Cuyuni-Mazaruni"}, {"code": "GY-DE", "name": "Demerara-Mahaica"}, {"code": "GY-EB", "name": "East Berbice-Corentyne"}, {"code": "GY-ES", "name": "Essequibo Islands-West Demerara"}, {"code": "GY-MA", "name": "Mahaica-Berbice"}, {"code": "GY-PM", "name": "Pomeroon-Supenaam"}, {"code": "GY-PT", "name": "Potaro-Siparuni"}, {"code": "GY-UD", "name": "Upper Demerara-Berbice"}, {"code": "GY-UT", "name": "Upper Takutu-Upper Essequibo"}, {"code": "HT-AR", "name": "Artibonite"}, {"code": "HT-CE", "name": "Centre (Haiti)"}, {"code": "HT-GA", "name": "Grande-Anse"}, {"code": "HT-ND", "name": "Nord (Haiti)"}, {"code": "HT-NE", "name": "Nord-Est"}, {"code": "HT-NO", "name": "Nord-Ouest (Haiti)"}, {"code": "HT-OU", "name": "Ouest"}, {"code": "HT-SD", "name": "Sud (Haiti)"}, {"code": "HT-SE", "name": "Sud-Est"}, {"code": "HM-HM", "name": "Heard & McDonald Islands"}, {"code": "VA-VA", "name": "Vatican City (Holy See)"}, {"code": "HN-AT", "name": "Atlántida"}, {"code": "HN-CL", "name": "Colón (Honduras)"}, {"code": "HN-CM", "name": "Comayagua"}, {"code": "HN-CP", "name": "Copán"}, {"code": "HN-CR", "name": "Cortés"}, {"code": "HN-CH", "name": "Choluteca"}, {"code": "HN-EP", "name": "El Paraíso"}, {"code": "HN-FM", "name": "Francisco Morazán"}, {"code": "HN-GD", "name": "Gracias a Dios"}, {"code": "HN-IN", "name": "Intibucá"}, {"code": "HN-IB", "name": "Islas de la Bahía"}, {"code": "HN-LP", "name": "La Paz (Honduras)"}, {"code": "HN-LE", "name": "Lempira"}, {"code": "HN-OC", "name": "Ocotepeque"}, {"code": "HN-OL", "name": "Olancho"}, {"code": "HN-SB", "name": "Santa Bárbara"}, {"code": "HN-VA", "name": "Valle"}, {"code": "HN-YO", "name": "Yoro"}, {"code": "HK-HK", "name": "Hong Kong (Hong Kong)"}, {"code": "HU-BU", "name": "Budapest"}, {"code": "HU-BK", "name": "Bács-Kiskun"}, {"code": "HU-BA", "name": "Baranya"}, {"code": "HU-BE", "name": "Békés"}, {"code": "HU-BZ", "name": "Borsod-Abaúj-Zemplén"}, {"code": "HU-CS", "name": "Csongrád"}, {"code": "HU-FE", "name": "Fejér"}, {"code": "HU-GS", "name": "Gyór-Moson-Sopron"}, {"code": "HU-HB", "name": "Hajdú-Bihar"}, {"code": "HU-HE", "name": "Heves"}, {"code": "HU-JN", "name": "Jasz-Nagykun-Szolnok"}, {"code": "HU-KE", "name": "Komárom-Esztergom"}, {"code": "HU-NO", "name": "Nógrád"}, {"code": "HU-PE", "name": "Pest"}, {"code": "HU-SO", "name": "Somogy"}, {"code": "HU-SZ", "name": "Szabolcs-Szatmár-Bereg"}, {"code": "HU-TO", "name": "Tolna"}, {"code": "HU-VA", "name": "Vas"}, {"code": "HU-VE", "name": "Veszprém (Hungary)"}, {"code": "HU-ZA", "name": "Zala"}, {"code": "HU-BC", "name": "Békéscsaba"}, {"code": "HU-DE", "name": "Debrecen"}, {"code": "HU-DU", "name": "Dunaújváros"}, {"code": "HU-EG", "name": "Eger"}, {"code": "HU-GY", "name": "Gyór"}, {"code": "HU-HV", "name": "Hódmezóvásárhely"}, {"code": "HU-KV", "name": "Kaposvár"}, {"code": "HU-KM", "name": "Kecskemét"}, {"code": "HU-MI", "name": "Miskolc"}, {"code": "HU-NK", "name": "Nagykanizsa"}, {"code": "HU-NY", "name": "Nyíregyháza"}, {"code": "HU-PS", "name": "Pécs"}, {"code": "HU-ST", "name": "Salgótarján"}, {"code": "HU-SN", "name": "Sopron"}, {"code": "HU-SD", "name": "Szeged"}, {"code": "HU-SF", "name": "Székesfehérvár"}, {"code": "HU-SS", "name": "Szekszárd"}, {"code": "HU-SK", "name": "Szolnok"}, {"code": "HU-SH", "name": "Szombathely"}, {"code": "HU-TB", "name": "Tatabánya"}, {"code": "HU-VM", "name": "Veszprém (Hungary)"}, {"code": "HU-ZE", "name": "Zalaegerszeg"}, {"code": "IS-7", "name": "Austurland"}, {"code": "IS-1", "name": "Höfudborgarsvædi utan Reykjavíkur"}, {"code": "IS-6", "name": "Nordurland eystra"}, {"code": "IS-5", "name": "Nordurland vestra"}, {"code": "IS-0", "name": "Reykjavīk"}, {"code": "IS-8", "name": "Sudurland"}, {"code": "IS-2", "name": "Sudurnes"}, {"code": "IS-4", "name": "Vestfirdir"}, {"code": "IS-3", "name": "Vesturland"}, {"code": "IN-AP", "name": "Andhra Pradesh"}, {"code": "IN-AR", "name": "Arunachal Pradesh"}, {"code": "IN-AS", "name": "Assam"}, {"code": "IN-BR", "name": "Bihar"}, {"code": "IN-GA", "name": "Goa"}, {"code": "IN-GJ", "name": "Gujarat"}, {"code": "IN-HR", "name": "Haryana"}, {"code": "IN-HP", "name": "Himachal Pradesh"}, {"code": "IN-JK", "name": "Jammu and Kashmir"}, {"code": "IN-KA", "name": "Karnataka"}, {"code": "IN-KL", "name": "Kerala"}, {"code": "IN-MP", "name": "Madhya Pradesh"}, {"code": "IN-MH", "name": "Maharashtra"}, {"code": "IN-MN", "name": "Manipur"}, {"code": "IN-ML", "name": "Meghalaya"}, {"code": "IN-MZ", "name": "Mizoram"}, {"code": "IN-NL", "name": "Nagaland"}, {"code": "IN-OR", "name": "Orissa"}, {"code": "IN-PB", "name": "Punjab (India)"}, {"code": "IN-RJ", "name": "Rajasthan"}, {"code": "IN-SK", "name": "Sikkim"}, {"code": "IN-TN", "name": "Tamil Nadu"}, {"code": "IN-TR", "name": "Tripura"}, {"code": "IN-UP", "name": "Uttar Pradesh"}, {"code": "IN-WB", "name": "West Bengal"}, {"code": "IN-AN", "name": "Andaman and Nicobar Islands"}, {"code": "IN-CH", "name": "Chandigarh"}, {"code": "IN-DN", "name": "Dadra and Nagar Haveli"}, {"code": "IN-DD", "name": "Daman and Diu"}, {"code": "IN-DL", "name": "Delhi"}, {"code": "IN-LD", "name": "Lakshadweep"}, {"code": "IN-PY", "name": "Pondicherry"}, {"code": "ID-IJU", "name": "Irian Jaya (Indonesia)"}, {"code": "ID-IJ", "name": "Irian Jaya (Indonesia)"}, {"code": "ID-JWU", "name": "Jawa"}, {"code": "ID-JB", "name": "Jawa Barat"}, {"code": "ID-JT", "name": "Jawa Tengah"}, {"code": "ID-JI", "name": "Jawa Timur"}, {"code": "ID-JK", "name": "Jakarta Raya"}, {"code": "ID-YO", "name": "Yogyakarta"}, {"code": "ID-KAU", "name": "Kalimantan"}, {"code": "ID-KB", "name": "Kalimantan Barat"}, {"code": "ID-KS", "name": "Kalimantan Selatan"}, {"code": "ID-KT", "name": "Kalimantan Tengah"}, {"code": "ID-KI", "name": "Kalimantan Timur"}, {"code": "ID-MAU", "name": "Maluku (Indonesia)"}, {"code": "ID-MA", "name": "Maluku (Indonesia)"}, {"code": "ID-NUU", "name": "Nusa Tenggara"}, {"code": "ID-BA", "name": "Bali"}, {"code": "ID-NB", "name": "Nusa Tenggara Barat"}, {"code": "ID-NT", "name": "Nusa Tenggara Timur"}, {"code": "ID-TT", "name": "Timor Timur"}, {"code": "ID-SLU", "name": "Sulawesi"}, {"code": "ID-SN", "name": "Sulawesi Selatan"}, {"code": "ID-ST", "name": "Sulawesi Tengah"}, {"code": "ID-SG", "name": "Sulawesi Tenggara"}, {"code": "ID-SA", "name": "Sulawesi Utara"}, {"code": "ID-SMU", "name": "Sumatera"}, {"code": "ID-BE", "name": "Bengkulu"}, {"code": "ID-JA", "name": "Jambi"}, {"code": "ID-LA", "name": "Lampung"}, {"code": "ID-RI", "name": "Riau"}, {"code": "ID-SB", "name": "Sumatera Barat"}, {"code": "ID-SS", "name": "Sumatera Selatan"}, {"code": "ID-SU", "name": "Sumatera Utara"}, {"code": "ID-AC", "name": "Aceh"}, {"code": "IR-03", "name": "Ardabīl"}, {"code": "IR-02", "name": "Āzarbāyjān-e-Gharbī"}, {"code": "IR-01", "name": "Āzarbāyjān-e-Sharqī"}, {"code": "IR-06", "name": "Būshehr"}, {"code": "IR-08", "name": "Chahār Maḩāll vā Bakhtīārī"}, {"code": "IR-04", "name": "Eşfahān"}, {"code": "IR-14", "name": "Fārs"}, {"code": "IR-19", "name": "Gīlān"}, {"code": "IR-24", "name": "Hamadān"}, {"code": "IR-23", "name": "Hormozgān"}, {"code": "IR-05", "name": "Īlām"}, {"code": "IR-15", "name": "Kermān"}, {"code": "IR-17", "name": "Kermānshāhān"}, {"code": "IR-09", "name": "Khorāsān"}, {"code": "IR-10", "name": "Khūzestān"}, {"code": "IR-18", "name": "Kohkīlūyeh va Būyer Aḩmadī"}, {"code": "IR-16", "name": "Kordestān"}, {"code": "IR-20", "name": "Lorestān"}, {"code": "IR-22", "name": "Markazī"}, {"code": "IR-21", "name": "Māzandarān"}, {"code": "IR-26", "name": "Qom"}, {"code": "IR-12", "name": "Semnān"}, {"code": "IR-13", "name": "Sīstān va Balūchestān"}, {"code": "IR-07", "name": "Tehrān"}, {"code": "IR-25", "name": "Yazd"}, {"code": "IR-11", "name": "Zanjān"}, {"code": "IQ-AN", "name": "Al Anbār"}, {"code": "IQ-BA", "name": "Al Başrah"}, {"code": "IQ-MU", "name": "Al Muthanná"}, {"code": "IQ-QA", "name": "Al Qādisīyah"}, {"code": "IQ-NA", "name": "An Najaf"}, {"code": "IQ-AR", "name": "Arbīl"}, {"code": "IQ-SU", "name": "As Sulaymānīyah"}, {"code": "IQ-TS", "name": "At Ta'mīm"}, {"code": "IQ-BB", "name": "Bābil"}, {"code": "IQ-BG", "name": "Baghdād"}, {"code": "IQ-DA", "name": "Dahūk"}, {"code": "IQ-DQ", "name": "Dhī Qār"}, {"code": "IQ-DI", "name": "Diyālá"}, {"code": "IQ-KA", "name": "Karbalā'"}, {"code": "IQ-MA", "name": "Maysān"}, {"code": "IQ-NI", "name": "Nīnawá"}, {"code": "IQ-SD", "name": "Şalāḩ ad Dīn"}, {"code": "IQ-WA", "name": "Wāsiţ"}, {"code": "IE-CP", "name": "Connaught (Connacht)"}, {"code": "IE-G", "name": "Galway (Gaillimh)"}, {"code": "IE-LM", "name": "Leitrim (Liatroim)"}, {"code": "IE-MO", "name": "Mayo (Maigh Eo)"}, {"code": "IE-RN", "name": "Roscommon (Ros Comáin)"}, {"code": "IE-SO", "name": "Sligo (Sligeach)"}, {"code": "IE-LP", "name": "Leinster (Laighin)"}, {"code": "IE-CW", "name": "Carlow (Ceatharlach)"}, {"code": "IE-D", "name": "Dublin (Baile Átha Cliath)"}, {"code": "IE-KE", "name": "Kildare (Cill Dara)"}, {"code": "IE-KK", "name": "Kilkenny (Cill Chainnigh)"}, {"code": "IE-LS", "name": "Laois (Laois)"}, {"code": "IE-LD", "name": "Longford (An Longfort)"}, {"code": "IE-LH", "name": "Louth (Lú)"}, {"code": "IE-MH", "name": "Meath (An Mhí)"}, {"code": "IE-OY", "name": "Offaly (Uíbh Fhailí)"}, {"code": "IE-WH", "name": "Westmeath (An Iarmhí)"}, {"code": "IE-WX", "name": "Wexford (Loch Garman)"}, {"code": "IE-WW", "name": "Wicklow (Cill Mhantáin)"}, {"code": "IE-M", "name": "Munster (An Mhumhain)"}, {"code": "IE-UP", "name": "Ulster (Ulaidh)"}, {"code": "IE-CN", "name": "Cavan (An Cabhán)"}, {"code": "IE-DL", "name": "Donegal (Dún na nGall)"}, {"code": "IE-MN", "name": "Monaghan (Muineachán)"}, {"code": "IL-D", "name": "HaDarom (El Janūbī)"}, {"code": "IL-M", "name": "HaMerkaz (El Awsat)"}, {"code": "IL-2", "name": "HaZafon (Esh Shamālī)"}, {"code": "IL-HA", "name": "Hefa (Heifā)"}, {"code": "IL-TA", "name": "Tel-Aviv (Tell Abīb)"}, {"code": "IL-JM", "name": "Yerushalayim (Al Quds)"}, {"code": "IT-65", "name": "Abruzzo"}, {"code": "IT-CH", "name": "Chieti"}, {"code": "IT-AQ", "name": "L'Aquila"}, {"code": "IT-PE", "name": "Pescara"}, {"code": "IT-TE", "name": "Teramo"}, {"code": "IT-77", "name": "Basilicata"}, {"code": "IT-MT", "name": "Matera"}, {"code": "IT-PZ", "name": "Potenza"}, {"code": "IT-78", "name": "Calabria"}, {"code": "IT-CZ", "name": "Catanzaro"}, {"code": "IT-CS", "name": "Cosenza"}, {"code": "IT-KR", "name": "Crotone"}, {"code": "IT-RC", "name": "Reggio Calabria"}, {"code": "IT-W", "name": "Vibo Valentia"}, {"code": "IT-72", "name": "Campania"}, {"code": "IT-AV", "name": "Avellino"}, {"code": "IT-BN", "name": "Benevento"}, {"code": "IT-CE", "name": "Caserta"}, {"code": "IT-NA", "name": "Napoli"}, {"code": "IT-SA", "name": "Salerno"}, {"code": "IT-45", "name": "Emilia-Romagna"}, {"code": "IT-BO", "name": "Bologna"}, {"code": "IT-FE", "name": "Ferrara"}, {"code": "IT-FO", "name": "Forlì"}, {"code": "IT-MO", "name": "Modena"}, {"code": "IT-PR", "name": "Parma"}, {"code": "IT-PC", "name": "Piacenza"}, {"code": "IT-RA", "name": "Ravenna"}, {"code": "IT-RE", "name": "Reggio Emilia"}, {"code": "IT-RN", "name": "Rimini"}, {"code": "IT-36", "name": "Friuli-Venezia Giulia"}, {"code": "IT-GO", "name": "Gorizia"}, {"code": "IT-PN", "name": "Pordenone"}, {"code": "IT-TS", "name": "Trieste"}, {"code": "IT-UD", "name": "Udine"}, {"code": "IT-62", "name": "Lazio"}, {"code": "IT-FR", "name": "Frosinone"}, {"code": "IT-LT", "name": "Latina"}, {"code": "IT-RI", "name": "Rieti"}, {"code": "IT-RM", "name": "Roma"}, {"code": "IT-VT", "name": "Viterbo"}, {"code": "IT-42", "name": "Liguria"}, {"code": "IT-GE", "name": "Genova"}, {"code": "IT-IM", "name": "Imperia"}, {"code": "IT-SP", "name": "La Spezia"}, {"code": "IT-SV", "name": "Savona"}, {"code": "IT-25", "name": "Lombardia"}, {"code": "IT-BG", "name": "Bergamo"}, {"code": "IT-BS", "name": "Brescia"}, {"code": "IT-CO", "name": "Como"}, {"code": "IT-CR", "name": "Cremona"}, {"code": "IT-LC", "name": "Lecco"}, {"code": "IT-LO", "name": "Lodi"}, {"code": "IT-MN", "name": "Mantova"}, {"code": "IT-MI", "name": "Milano"}, {"code": "IT-PV", "name": "Pavia"}, {"code": "IT-SO", "name": "Sondrio"}, {"code": "IT-VA", "name": "Varese"}, {"code": "IT-57", "name": "Marche"}, {"code": "IT-AN", "name": "Ancona"}, {"code": "IT-AP", "name": "Ascoli Piceno"}, {"code": "IT-MC", "name": "Macerata"}, {"code": "IT-PS", "name": "Pesaro"}, {"code": "IT-67", "name": "Molise"}, {"code": "IT-CB", "name": "Campobasso"}, {"code": "IT-IS", "name": "Isernia"}, {"code": "IT-21", "name": "Piemonte"}, {"code": "IT-AL", "name": "Alessandria"}, {"code": "IT-AT", "name": "Asti"}, {"code": "IT-BI", "name": "Biella"}, {"code": "IT-CN", "name": "Cuneo"}, {"code": "IT-NO", "name": "Novara"}, {"code": "IT-TO", "name": "Torino"}, {"code": "IT-VB", "name": "Verbano-Cusio-Ossola"}, {"code": "IT-VC", "name": "Vercelli"}, {"code": "IT-75", "name": "Puglia"}, {"code": "IT-BA", "name": "Bari (Italy)"}, {"code": "IT-BR", "name": "Brindisi"}, {"code": "IT-FG", "name": "Foggia"}, {"code": "IT-LE", "name": "Lecce"}, {"code": "IT-TA", "name": "Taranto"}, {"code": "IT-88", "name": "Sardegna"}, {"code": "IT-CA", "name": "Cagliari"}, {"code": "IT-NU", "name": "Nuoro"}, {"code": "IT-OR", "name": "Oristano"}, {"code": "IT-SS", "name": "Sassari"}, {"code": "IT-82", "name": "Sicilia"}, {"code": "IT-AG", "name": "Agrigento"}, {"code": "IT-CL", "name": "Caltanissetta"}, {"code": "IT-CT", "name": "Catania"}, {"code": "IT-EN", "name": "Enna"}, {"code": "IT-ME", "name": "Mesaina"}, {"code": "IT-PA", "name": "Palermo"}, {"code": "IT-RG", "name": "Ragusa"}, {"code": "IT-SR", "name": "Siracusa"}, {"code": "IT-TP", "name": "Trapani"}, {"code": "IT-52", "name": "Toscana"}, {"code": "IT-AR", "name": "Arezzo"}, {"code": "IT-FI", "name": "Firenze"}, {"code": "IT-GR", "name": "Grosseto"}, {"code": "IT-LI", "name": "Livorno"}, {"code": "IT-LU", "name": "Lucca"}, {"code": "IT-MS", "name": "Massa"}, {"code": "IT-PI", "name": "Pisa"}, {"code": "IT-PT", "name": "Pistoia"}, {"code": "IT-PO", "name": "Prato"}, {"code": "IT-SI", "name": "Siena"}, {"code": "IT-32", "name": "Trentino-Alte Adige (Trentino-Südtirol)"}, {"code": "IT-BZ", "name": "Bolzano (Bozen)"}, {"code": "IT-TN", "name": "Trento"}, {"code": "IT-55", "name": "Umbria"}, {"code": "IT-PG", "name": "Perugia"}, {"code": "IT-TR", "name": "Terni"}, {"code": "IT-23", "name": "Valle d'Aosta (Vallée d'Aoste)"}, {"code": "IT-AO", "name": "Aosta (Aoste)"}, {"code": "IT-34", "name": "Veneto"}, {"code": "IT-BL", "name": "Belluno"}, {"code": "IT-PD", "name": "Padova"}, {"code": "IT-RO", "name": "Rovigo"}, {"code": "IT-TV", "name": "Treviso"}, {"code": "IT-VE", "name": "Venezia"}, {"code": "IT-VR", "name": "Verona"}, {"code": "IT-VI", "name": "Vicenza"}, {"code": "JM-13", "name": "Clarendon"}, {"code": "JM-09", "name": "Hanover"}, {"code": "JM-01", "name": "Kingston"}, {"code": "JM-12", "name": "Manchester"}, {"code": "JM-04", "name": "Portland"}, {"code": "JM-02", "name": "Saint Andrew"}, {"code": "JM-06", "name": "Saint Ann"}, {"code": "JM-14", "name": "Saint Catherine"}, {"code": "JM-11", "name": "Saint Elizabeth"}, {"code": "JM-08", "name": "Saint James"}, {"code": "JM-05", "name": "Saint Mary"}, {"code": "JM-03", "name": "Saint Thomas"}, {"code": "JM-07", "name": "Trelawny"}, {"code": "JM-10", "name": "Westmoreland"}, {"code": "JP-23", "name": "Aiti [Aichi]"}, {"code": "JP-05", "name": "Akita"}, {"code": "JP-02", "name": "Aomori"}, {"code": "JP-38", "name": "Ehime"}, {"code": "JP-21", "name": "Gihu [Gifu]"}, {"code": "JP-10", "name": "Gunma"}, {"code": "JP-34", "name": "Hirosima [Hiroshima]"}, {"code": "JP-01", "name": "Hokkaidô [Hokkaido]"}, {"code": "JP-18", "name": "Hukui [Fukui]"}, {"code": "JP-40", "name": "Hukuoka [Fukuoka]"}, {"code": "JP-07", "name": "Hukusima [Fukushima]"}, {"code": "JP-28", "name": "Hyôgo [Hyogo]"}, {"code": "JP-08", "name": "Ibaraki"}, {"code": "JP-17", "name": "Isikawa [Ishikawa]"}, {"code": "JP-03", "name": "Iwate"}, {"code": "JP-37", "name": "Kagawa"}, {"code": "JP-46", "name": "Kagosima [Kagoshima]"}, {"code": "JP-14", "name": "Kanagawa"}, {"code": "JP-39", "name": "Kôti [Kochi]"}, {"code": "JP-43", "name": "Kumamoto"}, {"code": "JP-26", "name": "Kyôto [Kyoto]"}, {"code": "JP-24", "name": "Mie"}, {"code": "JP-04", "name": "Miyagi"}, {"code": "JP-45", "name": "Miyazaki"}, {"code": "JP-20", "name": "Nagano"}, {"code": "JP-42", "name": "Nagasaki"}, {"code": "JP-29", "name": "Nara"}, {"code": "JP-15", "name": "Niigata"}, {"code": "JP-44", "name": "Ôita [Oita]"}, {"code": "JP-33", "name": "Okayama"}, {"code": "JP-47", "name": "Okinawa"}, {"code": "JP-27", "name": "Ôsaka [Osaka]"}, {"code": "JP-41", "name": "Saga"}, {"code": "JP-11", "name": "Saitama"}, {"code": "JP-25", "name": "Siga [Shiga]"}, {"code": "JP-22", "name": "Sizuoka [Shizuoka]"}, {"code": "JP-12", "name": "Tiba [Chiba]"}, {"code": "JP-09", "name": "Totigi [Tochigi]"}, {"code": "JP-36", "name": "Tokusima [Tokushima]"}, {"code": "JP-13", "name": "Tôkyô [Tokyo]"}, {"code": "JP-31", "name": "Tottori"}, {"code": "JP-16", "name": "Toyama"}, {"code": "JP-30", "name": "Wakayama"}, {"code": "JP-06", "name": "Yamagata"}, {"code": "JP-35", "name": "Yamaguti [Yamaguchi]"}, {"code": "JP-19", "name": "Yamanasi [Yamanashi]"}, {"code": "JO-AJ", "name": "‘Ajlūn"}, {"code": "JO-AQ", "name": "Al 'Aqaba"}, {"code": "JO-BA", "name": "Al Balqā'"}, {"code": "JO-KA", "name": "Al Karak"}, {"code": "JO-MA", "name": "Al Mafraq"}, {"code": "JO-AM", "name": "‘Ammān"}, {"code": "JO-AT", "name": "Aţ Ţafīlah"}, {"code": "JO-AZ", "name": "Az Zarqā'"}, {"code": "JO-IR", "name": "Irbid"}, {"code": "JO-JA", "name": "Jarash"}, {"code": "JO-MN", "name": "Ma‘ān"}, {"code": "JO-MD", "name": "Mādaba"}, {"code": "KZ-ALA", "name": "Almaty"}, {"code": "KZ-BAY", "name": "Bayqonyr (Baykonyr)"}, {"code": "KZ-ALM", "name": "Almaty oblysy (Almatinskaya oblast')"}, {"code": "KZ-AKM", "name": "Aqmola oblysy (Akmolinskaya oblast')"}, {"code": "KZ-AKT", "name": "Aqtöbe oblysy (Aktyubinskaya oblast')"}, {"code": "KZ-ATY", "name": "Atyraü oblysy (Atyrauskaya oblast')"}, {"code": "KZ-ZAP", "name": "Batys Kazakstan oblysy (Zapadno-Kazakhstanskaya oblast')"}, {"code": "KZ-MAN", "name": "Mangghystaū oblysy (Mangystauskaya oblast')"}, {"code": "KZ-YUZ", "name": "Ongtüstik Kazakstan oblysy (Yuzhno-Kazakhstanskaya oblast')"}, {"code": "KZ-PAV", "name": "Pavlodar oblysy (Pavlodarskaya oblast')"}, {"code": "KZ-KAR", "name": "Qaraghandy oblysy (Karagandinskaya oblast')"}, {"code": "KZ-KUS", "name": "Qostanay oblysy (Kustanayskaya oblast')"}, {"code": "KZ-KZY", "name": "Qyzylorda oblysy (Kzylordinskaya oblast')"}, {"code": "KZ-VOS", "name": "Shyghys Kazakstan oblysy (Vostochno-Kazakhstanskaya oblast')"}, {"code": "KZ-SEV", "name": "Soltüstik Kazakstan oblysy (Severo-Kazakhstanskaya oblast')"}, {"code": "KZ-ZHA", "name": "Zhambyl oblysy (Zhambylskaya Oblast')"}, {"code": "KE-110", "name": "Nairobi Municipality"}, {"code": "KE-200", "name": "Central (Kati)"}, {"code": "KE-300", "name": "Coast (Pwani)"}, {"code": "KE-400", "name": "Eastern (Mashariki)"}, {"code": "KE-500", "name": "North-Eastern (Kaskazini Mashariki)"}, {"code": "KE-600", "name": "Nyanza"}, {"code": "KE-700", "name": "Rift Valley"}, {"code": "KE-900", "name": "Western (Magharibi)"}, {"code": "KI-G", "name": "Gilbert Islands"}, {"code": "KI-L", "name": "Line Islands"}, {"code": "KI-P", "name": "Phoenix Islands"}, {"code": "KP-KAE", "name": "Kaesong-si"}, {"code": "KP-NAM", "name": "Nampo-si"}, {"code": "KP-PYO", "name": "Pyongyang-si"}, {"code": "KP-CHA", "name": "Chagang-do"}, {"code": "KP-HAB", "name": "Hamgyongbuk-do"}, {"code": "KP-HAN", "name": "Hamgyongnam-do"}, {"code": "KP-HWB", "name": "Hwanghaebuk-do"}, {"code": "KP-HWN", "name": "Hwanghaenam-do"}, {"code": "KP-KAN", "name": "Kangwon-do"}, {"code": "KP-PYB", "name": "Pyonganbuk-do"}, {"code": "KP-PYN", "name": "Pyongannam-do"}, {"code": "KP-YAN", "name": "Yanggang-do"}, {"code": "KR-11", "name": "Seoul Teugbyeolsi [ Seoul-T’ŭkpyŏlshi]"}, {"code": "KR-26", "name": "Busan Gwang'yeogsi [Pusan-Kwangyŏkshi]"}, {"code": "KR-27", "name": "Daegu Gwang'yeogsi [Taegu-Kwangyŏkshi)"}, {"code": "KR-30", "name": "Daejeon Gwang'yeogsi [Taejŏn-Kwangyŏkshi]"}, {"code": "KR-29", "name": "Gwangju Gwang'yeogsi [Kwangju-Kwangyŏkshi]"}, {"code": "KR-28", "name": "Incheon Gwang'yeogsi [Inchŏn-Kwangyŏkshi]"}, {"code": "KR-31", "name": "Ulsan Gwang'yeogsi [Ulsan-Kwangyŏkshi]"}, {"code": "KR-43", "name": "Chungcheongbugdo [Ch'ungch'ŏngbuk-do]"}, {"code": "KR-44", "name": "Chungcheongnamdo [Ch'ungch'ŏngnam-do]"}, {"code": "KR-42", "name": "Gang'weondo [Kang-won-do]"}, {"code": "KR-41", "name": "Gyeonggido [Kyŏnggi-do]"}, {"code": "KR-47", "name": "Gyeongsangbugdo [Kyŏngsangbuk-do]"}, {"code": "KR-48", "name": "Gyeongsangnamdo [Kyŏngsangnam-do]"}, {"code": "KR-49", "name": "Jejudo [Cheju-do]"}, {"code": "KR-45", "name": "Jeonrabugdo [Chŏllabuk-do)"}, {"code": "KR-46", "name": "Jeonranamdo [Chŏllanam-do]"}, {"code": "KW-AH", "name": "Al Aḩmadi"}, {"code": "KW-FA", "name": "Al Farwānīyah"}, {"code": "KW-JA", "name": "Al Jahrah"}, {"code": "KW-KU", "name": "Al Kuwayt"}, {"code": "KW-HA", "name": "Ḩawallī"}, {"code": "KG-C", "name": "Chu (Chuyskaya oblast')"}, {"code": "KG-J", "name": "Jalal-Abad (Dzhalal-Abadskaya oblast')"}, {"code": "KG-N", "name": "Naryn (Narynskaya Oblast’)"}, {"code": "KG-O", "name": "Osh (Oshskaya oblast')"}, {"code": "KG-T", "name": "Talas (Talasskaya oblast')"}, {"code": "KG-Y", "name": "Ysyk-Köl (Issyk-Kul'skaya oblast')"}, {"code": "LA-VT", "name": "Vientiane (Laos)"}, {"code": "LA-AT", "name": "Attapu [Attopeu]"}, {"code": "LA-BK", "name": "Bokèo"}, {"code": "LA-BL", "name": "Bolikhamxai [Borikhane]"}, {"code": "LA-CH", "name": "Champasak [Champassak]"}, {"code": "LA-HO", "name": "Houaphan"}, {"code": "LA-KH", "name": "Khammouan"}, {"code": "LA-LM", "name": "Louang Namtha"}, {"code": "LA-LP", "name": "Louangphabang [Louang Prabang]"}, {"code": "LA-OU", "name": "Oudômxai [Oudomsai]"}, {"code": "LA-PH", "name": "Phôngsali [Phong Saly]"}, {"code": "LA-SL", "name": "Salavan [Saravane]"}, {"code": "LA-SV", "name": "Savannakhét"}, {"code": "LA-VI", "name": "Vientiane (Laos)"}, {"code": "LA-XA", "name": "Xaignabouli [Sayaboury]"}, {"code": "LA-XE", "name": "Xékong [Sékong]"}, {"code": "LA-XI", "name": "Xiangkhoang [Xieng Khouang]"}, {"code": "LV-AI", "name": "Aizkraukles Aprinkis"}, {"code": "LV-AL", "name": "Alūksnes Aprinkis"}, {"code": "LV-BL", "name": "Balvu Aprinkis"}, {"code": "LV-BU", "name": "Bauskas Aprinkis"}, {"code": "LV-CE", "name": "Cēsu Aprinkis"}, {"code": "LV-DA", "name": "Daugavpils Aprinkis"}, {"code": "LV-DO", "name": "Dobeles Aprinkis"}, {"code": "LV-GU", "name": "Gulbenes Aprinkis"}, {"code": "LV-JL", "name": "Jelgavas Aprinkis"}, {"code": "LV-JK", "name": "Jēkabpils Aprinkis"}, {"code": "LV-KR", "name": "Krāslavas Aprinkis"}, {"code": "LV-KU", "name": "Kuldīgas Aprinkis"}, {"code": "LV-LM", "name": "Limbažu Aprinkis"}, {"code": "LV-LE", "name": "Liepājas Aprinkis"}, {"code": "LV-LU", "name": "Ludzas Aprinkis"}, {"code": "LV-MA", "name": "Madonas Aprinkis"}, {"code": "LV-OG", "name": "Ogres Aprinkis"}, {"code": "LV-PR", "name": "Preilu Aprinkis"}, {"code": "LV-RE", "name": "Rēzeknes Aprinkis"}, {"code": "LV-RI", "name": "Rīgas Aprinkis"}, {"code": "LV-SA", "name": "Saldus Aprinkis"}, {"code": "LV-TA", "name": "Talsu Aprinkis"}, {"code": "LV-TU", "name": "Tukuma Aprinkis"}, {"code": "LV-VK", "name": "Valkas Aprinkis"}, {"code": "LV-VM", "name": "Valmieras Aprinkis"}, {"code": "LV-VE", "name": "Ventspils Aprinkis"}, {"code": "LV-DGV", "name": "Daugavpils"}, {"code": "LV-JEL", "name": "Jelgava"}, {"code": "LV-JUR", "name": "Jūrmala"}, {"code": "LV-LPX", "name": "Liepāja"}, {"code": "LV-REZ", "name": "Rēzekne"}, {"code": "LV-RIX", "name": "Rīga"}, {"code": "LV-VEN", "name": "Ventspils"}, {"code": "LB-BA", "name": "Beiroût (Bayrūt)"}, {"code": "LB-BI", "name": "El Béqaa (Al Biqā')"}, {"code": "LB-JL", "name": "Jabal Loubnâne (Jabal Lubnān)"}, {"code": "LB-AS", "name": "Loubnâne ech Chemâli (Ash Shamāl)"}, {"code": "LB-JA", "name": "Loubnâne ej Jnoûbi (Al Janūb)"}, {"code": "LB-NA", "name": "Nabatîyé (An Nabaţīyah"}, {"code": "LS-D", "name": "Berea"}, {"code": "LS-B", "name": "Butha-Buthe"}, {"code": "LS-C", "name": "Leribe"}, {"code": "LS-E", "name": "Mafeteng"}, {"code": "LS-A", "name": "Maseru"}, {"code": "LS-F", "name": "Mohale's Hoek"}, {"code": "LS-J", "name": "Mokhotlong"}, {"code": "LS-H", "name": "Qacha's Nek"}, {"code": "LS-G", "name": "Quthing"}, {"code": "LS-K", "name": "Thaba-Tseka"}, {"code": "LR-BM", "name": "Bomi"}, {"code": "LR-BG", "name": "Bong"}, {"code": "LR-GB", "name": "Grand Bassa"}, {"code": "LR-CM", "name": "Grand Cape Mount"}, {"code": "LR-GG", "name": "Grand Gedeh"}, {"code": "LR-GK", "name": "Grand Kru"}, {"code": "LR-LO", "name": "Lofa"}, {"code": "LR-MG", "name": "Margibi"}, {"code": "LR-MY", "name": "Maryland (Liberia)"}, {"code": "LR-MO", "name": "Montserrado"}, {"code": "LR-NI", "name": "Nimba"}, {"code": "LR-RI", "name": "Rivercess"}, {"code": "LR-SI", "name": "Sinoe"}, {"code": "LY-BU", "name": "Al Buţnān"}, {"code": "LY-JA", "name": "Al Jabal al Akhḑar"}, {"code": "LY-JG", "name": "Al Jabal al Gharbī"}, {"code": "LY-Ju", "name": "Al Jufrah"}, {"code": "LY-WA", "name": "Al Wāḩah"}, {"code": "LY-Wu", "name": "Al Wusţá"}, {"code": "LY-ZA", "name": "Az Zāwiyah"}, {"code": "LY-BA", "name": "Banghāzī"}, {"code": "LY-FA", "name": "Fazzān"}, {"code": "LY-MI", "name": "Mişrātah"}, {"code": "LY-NA", "name": "Naggaza"}, {"code": "LY-SF", "name": "Sawfajjin"}, {"code": "LY-TB", "name": "Ţarābulus"}, {"code": "LI-LI", "name": "Liechtenstein"}, {"code": "LT-AL", "name": "Alytaus Apskritis"}, {"code": "LT-KU", "name": "Kauno Apskritis"}, {"code": "LT-KL", "name": "Klaipėdos Apskritis"}, {"code": "LT-MR", "name": "Marijampolės Apskritis"}, {"code": "LT-PN", "name": "Panevėžio Apskritis"}, {"code": "LT-SA", "name": "Šiauliu Apskritis"}, {"code": "LT-TA", "name": "Tauragės Apskritis"}, {"code": "LT-TE", "name": "Telšiu Apskritis"}, {"code": "LT-UT", "name": "Utenos Apskritis"}, {"code": "LT-VL", "name": "Vilniaus Apskritis"}, {"code": "LU-D", "name": "Diekirch"}, {"code": "LU-G", "name": "Grevenmacher"}, {"code": "LU-L", "name": "Luxembourg (Luxemburg)"}, {"code": "MO-MO", "name": "Macau"}, {"code": "MK-MK", "name": "Macedonia"}, {"code": "MG-T", "name": "Antananarivo"}, {"code": "MG-D", "name": "Antsiranana"}, {"code": "MG-F", "name": "Fianarantsoa"}, {"code": "MG-M", "name": "Mahajanga"}, {"code": "MG-A", "name": "Toamasina"}, {"code": "MG-U", "name": "Toliara"}, {"code": "MW-C", "name": "Central (Malawi)"}, {"code": "MW-DE", "name": "Dedza"}, {"code": "MW-DO", "name": "Dowa"}, {"code": "MW-KS", "name": "Kasungu"}, {"code": "MW-LI", "name": "Lilongwe"}, {"code": "MW-MC", "name": "Mchinji"}, {"code": "MW-NK", "name": "Nkhotakota"}, {"code": "MW-NU", "name": "Ntcheu"}, {"code": "MW-NI", "name": "Ntchisi"}, {"code": "MW-SA", "name": "Salima"}, {"code": "MW-N", "name": "Northern (Malawi)"}, {"code": "MW-CT", "name": "Chitipa"}, {"code": "MW-KR", "name": "Karonga"}, {"code": "MW-MZ", "name": "Mzimba"}, {"code": "MW-NB", "name": "Nkhata Bay"}, {"code": "MW-RU", "name": "Rumphi"}, {"code": "MW-S", "name": "Southern (Malawi)"}, {"code": "MW-BL", "name": "Blantyre"}, {"code": "MW-CK", "name": "Chikwawa"}, {"code": "MW-CR", "name": "Chiradzulu"}, {"code": "MW-MH", "name": "Machinga"}, {"code": "MW-MG", "name": "Mangochi"}, {"code": "MW-MU", "name": "Mulanje"}, {"code": "MW-MW", "name": "Mwanza (Malawi)"}, {"code": "MW-NS", "name": "Nsanje"}, {"code": "MW-TH", "name": "Thyolo"}, {"code": "MW-ZO", "name": "Zomba"}, {"code": "MY-W", "name": "Wilayah Persekutuan Kuala Lumpur"}, {"code": "MY-L", "name": "Wilayah Persekutuan Labuan"}, {"code": "MY-J", "name": "Johor"}, {"code": "MY-K", "name": "Kedah"}, {"code": "MY-D", "name": "Kelantan"}, {"code": "MY-M", "name": "Melaka"}, {"code": "MY-N", "name": "Negeri Sembilan"}, {"code": "MY-C", "name": "Pahang"}, {"code": "MY-A", "name": "Perak"}, {"code": "MY-R", "name": "Perlis"}, {"code": "MY-P", "name": "Pulau Pinang"}, {"code": "MY-SA", "name": "Sabah"}, {"code": "MY-SK", "name": "Sarawak"}, {"code": "MY-B", "name": "Selangor"}, {"code": "MY-T", "name": "Terengganu"}, {"code": "MV-MLE", "name": "Male"}, {"code": "MV-02", "name": "Alif"}, {"code": "MV-20", "name": "Baa"}, {"code": "MV-17", "name": "Dhaalu"}, {"code": "MV-14", "name": "Faafu"}, {"code": "MV-27", "name": "Gaaf Alif"}, {"code": "MV-28", "name": "Gaafu Dhaalu"}, {"code": "MV-29", "name": "Gnaviyani"}, {"code": "MV-07", "name": "Haa Alif"}, {"code": "MV-23", "name": "Haa Dhaalu"}, {"code": "MV-26", "name": "Kaafu"}, {"code": "MV-05", "name": "Laamu"}, {"code": "MV-03", "name": "Lhaviyani"}, {"code": "MV-12", "name": "Meemu"}, {"code": "MV-25", "name": "Noonu"}, {"code": "MV-13", "name": "Raa"}, {"code": "MV-01", "name": "Seenu"}, {"code": "MV-24", "name": "Shaviyani"}, {"code": "MV-08", "name": "Thaa"}, {"code": "MV-04", "name": "Vaavu"}, {"code": "ML-BKO", "name": "Bamako"}, {"code": "ML-7", "name": "Gao"}, {"code": "ML-1", "name": "Kayes"}, {"code": "ML-8", "name": "Kidal"}, {"code": "ML-2", "name": "Koulikoro"}, {"code": "ML-5", "name": "Mopti"}, {"code": "ML-4", "name": "Ségou"}, {"code": "ML-3", "name": "Sikasso"}, {"code": "ML-6", "name": "Tombouctou"}, {"code": "MT-MT", "name": "Malta"}, {"code": "MH-L", "name": "Ralik chain"}, {"code": "MH-ALL", "name": "Ailinglapalap"}, {"code": "MH-EBO", "name": "Ebon"}, {"code": "MH-ENI", "name": "Eniwetok"}, {"code": "MH-JAL", "name": "Jaluit"}, {"code": "MH-KIL", "name": "Kili"}, {"code": "MH-KWA", "name": "Kwajalein"}, {"code": "MH-LAE", "name": "Lae"}, {"code": "MH-LIB", "name": "Lib"}, {"code": "MH-NMK", "name": "Namorik"}, {"code": "MH-NMU", "name": "Namu"}, {"code": "MH-RON", "name": "Rongelap"}, {"code": "MH-UJA", "name": "Ujae"}, {"code": "MH-UJL", "name": "Ujelang"}, {"code": "MH-WTH", "name": "Wotho"}, {"code": "MH-T", "name": "Ratak chain"}, {"code": "MH-ALK", "name": "Ailuk"}, {"code": "MH-ARN", "name": "Arno"}, {"code": "MH-AUR", "name": "Aur"}, {"code": "MH-LIK", "name": "Likiep"}, {"code": "MH-MAJ", "name": "Majuro"}, {"code": "MH-MAL", "name": "Maloelap"}, {"code": "MH-MEJ", "name": "Mejit"}, {"code": "MH-MIL", "name": "Mili"}, {"code": "MH-UTI", "name": "Utirik"}, {"code": "MH-WTJ", "name": "Wotje"}, {"code": "MQ-MQ", "name": "Martinique (Martinique)"}, {"code": "MR-NKC", "name": "Nouakchott"}, {"code": "MR-07", "name": "Adrar (Mauritania)"}, {"code": "MR-03", "name": "Assaba"}, {"code": "MR-05", "name": "Brakna"}, {"code": "MR-08", "name": "Dakhlet Nouādhibou"}, {"code": "MR-04", "name": "Gorgol"}, {"code": "MR-10", "name": "Guidimaka"}, {"code": "MR-01", "name": "Hodh ech Chargui"}, {"code": "MR-02", "name": "Hodh el Gharbi"}, {"code": "MR-12", "name": "Inchiri"}, {"code": "MR-09", "name": "Tagant"}, {"code": "MR-11", "name": "Tiris Zemmour"}, {"code": "MR-06", "name": "Trarza"}, {"code": "MU-BR", "name": "Beau Bassin-Rose Hill"}, {"code": "MU-CU", "name": "Curepipe"}, {"code": "MU-PL", "name": "Port Louis"}, {"code": "MU-QB", "name": "Quatre Bornes"}, {"code": "MU-VP", "name": "Vacoas-Phoenix"}, {"code": "MU-BL", "name": "Black River"}, {"code": "MU-FL", "name": "Flacq"}, {"code": "MU-GP", "name": "Grand Port"}, {"code": "MU-MO", "name": "Moka"}, {"code": "MU-PA", "name": "Pamplemousses"}, {"code": "MU-PW", "name": "Plaines Wilhems"}, {"code": "MU-RR", "name": "Rivière du Rempart"}, {"code": "MU-SA", "name": "Savanne"}, {"code": "MU-AG", "name": "Agalega Islands"}, {"code": "MU-CC", "name": "Cargados Carajos Shoals [Saint Brandon Islands]"}, {"code": "MU-RO", "name": "Rodrigues Island"}, {"code": "YT-YT", "name": "Mayotte (Mayotte)"}, {"code": "MX-DIF", "name": "Distrito Federal (Mexico)"}, {"code": "MX-AGU", "name": "Aguascalientes"}, {"code": "MX-BCN", "name": "Baja California"}, {"code": "MX-BCS", "name": "Baja California Sur"}, {"code": "MX-CAM", "name": "Campeche"}, {"code": "MX-COA", "name": "Coahuila"}, {"code": "MX-COL", "name": "Colima"}, {"code": "MX-CHP", "name": "Chiapas"}, {"code": "MX-CHH", "name": "Chihuahua"}, {"code": "MX-DUR", "name": "Durango"}, {"code": "MX-GRO", "name": "Guerrero"}, {"code": "MX-GUA", "name": "Guanajuato"}, {"code": "MX-HID", "name": "Hidalgo"}, {"code": "MX-JAL", "name": "Jalisco"}, {"code": "MX-MEX", "name": "México"}, {"code": "MX-MIC", "name": "Michoacán"}, {"code": "MX-MOR", "name": "Morelos"}, {"code": "MX-NAY", "name": "Nayarit"}, {"code": "MX-NLE", "name": "Nuevo León"}, {"code": "MX-OAX", "name": "Oaxaca"}, {"code": "MX-PUE", "name": "Puebla"}, {"code": "MX-QUE", "name": "Queretaro"}, {"code": "MX-ROO", "name": "Quintana Roo"}, {"code": "MX-SLP", "name": "San Luis Potosí"}, {"code": "MX-SIN", "name": "Sinaloa"}, {"code": "MX-SON", "name": "Sonora"}, {"code": "MX-TAB", "name": "Tabasco"}, {"code": "MX-TAM", "name": "Tamaulipas"}, {"code": "MX-TLA", "name": "Tlaxcala"}, {"code": "MX-VER", "name": "Veracruz"}, {"code": "MX-YUC", "name": "Yucatán"}, {"code": "MX-ZAC", "name": "Zacatecas"}, {"code": "FM-TRK", "name": "chuuk"}, {"code": "FM-KSA", "name": "Kosrae"}, {"code": "FM-PNI", "name": "Pohnpei"}, {"code": "FM-YAP", "name": "Yap"}, {"code": "MD-BAL", "name": "Bălţi"}, {"code": "MD-CAH", "name": "Cahul (Moldova)"}, {"code": "MD-CHI", "name": "Chişinău"}, {"code": "MD-DUB", "name": "Dubăsari (Moldova)"}, {"code": "MD-ORH", "name": "Orhei (Moldova)"}, {"code": "MD-RIB", "name": "Rîbniţa (Moldova)"}, {"code": "MD-SOC", "name": "Soroca (Moldova)"}, {"code": "MD-TIG", "name": "Tighina"}, {"code": "MD-TIR", "name": "Tiraspol"}, {"code": "MD-UNG", "name": "Ungheni (Moldova)"}, {"code": "MD-ANE", "name": "Anenii Noi"}, {"code": "MD-BAS", "name": "Basarabeasca"}, {"code": "MD-BRI", "name": "Brinceni"}, {"code": "MD-CHL", "name": "Cahul (Moldova)"}, {"code": "MD-CAM", "name": "Camenca"}, {"code": "MD-CAN", "name": "Cantemir"}, {"code": "MD-CAI", "name": "Căinari"}, {"code": "MD-CAL", "name": "Călăraşi (Moldova)"}, {"code": "MD-CAS", "name": "Căuşeni"}, {"code": "MD-CIA", "name": "Ciadîr-Lunga"}, {"code": "MD-CIM", "name": "Cimişlia"}, {"code": "MD-COM", "name": "Comrat"}, {"code": "MD-CRI", "name": "Criuleni"}, {"code": "MD-DON", "name": "Donduşeni"}, {"code": "MD-DRO", "name": "Drochia"}, {"code": "MD-DBI", "name": "Dubăsari (Moldova)"}, {"code": "MD-EDI", "name": "Edineţ"}, {"code": "MD-FAL", "name": "Făleşti"}, {"code": "MD-FLO", "name": "Floreşti"}, {"code": "MD-GLO", "name": "Glodeni"}, {"code": "MD-GRI", "name": "Grigoriopol"}, {"code": "MD-HIN", "name": "Hînceşti"}, {"code": "MD-IAL", "name": "Ialoveni"}, {"code": "MD-LEO", "name": "Leova"}, {"code": "MD-NIS", "name": "Nisporeni"}, {"code": "MD-OCN", "name": "Ocniţa"}, {"code": "MD-OHI", "name": "Orhei (Moldova)"}, {"code": "MD-REZ", "name": "Rezina"}, {"code": "MD-RIT", "name": "Rîbniţa (Moldova)"}, {"code": "MD-RIS", "name": "Rîşcani"}, {"code": "MD-SIN", "name": "Sîngerei"}, {"code": "MD-SLO", "name": "Slobozia"}, {"code": "MD-SOA", "name": "Soroca (Moldova)"}, {"code": "MD-STR", "name": "Străşeni"}, {"code": "MD-SOL", "name": "Şoldăneşti"}, {"code": "MD-STE", "name": "Ştefan Vodă"}, {"code": "MD-TAR", "name": "Taraclia"}, {"code": "MD-TEL", "name": "Teleneşti"}, {"code": "MD-UGI", "name": "Ungheni (Moldova)"}, {"code": "MD-VUL", "name": "Vulcăneşti"}, {"code": "MC-MC", "name": "Monaco"}, {"code": "MN-1", "name": "Ulaanbaatar"}, {"code": "MN-073", "name": "Arhangay"}, {"code": "MN-069", "name": "Bayanhongor"}, {"code": "MN-071", "name": "Bayan-Ölgiy"}, {"code": "MN-067", "name": "Bulgan"}, {"code": "MN-037", "name": "Darhan uul"}, {"code": "MN-061", "name": "Dornod"}, {"code": "MN-063", "name": "Dornogovĭ"}, {"code": "MN-059", "name": "Dundgovĭ"}, {"code": "MN-057", "name": "Dzavhan"}, {"code": "MN-065", "name": "Govĭ-Altay"}, {"code": "MN-064", "name": "Govĭ-Sümber"}, {"code": "MN-039", "name": "Hentiy"}, {"code": "MN-043", "name": "Hovd"}, {"code": "MN-041", "name": "Hövsgöl"}, {"code": "MN-053", "name": "Ömnögovĭ"}, {"code": "MN-035", "name": "Orhon"}, {"code": "MN-055", "name": "Övörhangay"}, {"code": "MN-049", "name": "Selenge"}, {"code": "MN-051", "name": "Sühbaatar"}, {"code": "MN-047", "name": "Töv"}, {"code": "MN-046", "name": "Uvs"}, {"code": "MS-MS", "name": "Montserrat"}, {"code": "MA-CE", "name": "Centre (Morocco)"}, {"code": "MA-AZI", "name": "Azilal"}, {"code": "MA-BEM", "name": "Beni Mellal"}, {"code": "MA-BES", "name": "Ben Slimane"}, {"code": "MA-BOM", "name": "Boulemane"}, {"code": "MA-CAS", "name": "Casablanca [Dar el Beïda]"}, {"code": "MA-JDI", "name": "El Jadida"}, {"code": "MA-KHO", "name": "Khouribga"}, {"code": "MA-SET", "name": "Settat"}, {"code": "MA-CN", "name": "Centre-Nord"}, {"code": "MA-HOC", "name": "Al Hoceïma"}, {"code": "MA-FES", "name": "Fès"}, {"code": "MA-SEF", "name": "Sefrou"}, {"code": "MA-TAO", "name": "Taounate"}, {"code": "MA-TAZ", "name": "Taza"}, {"code": "MA-CS", "name": "Centre-Sud"}, {"code": "MA-HAJ", "name": "El Hajeb"}, {"code": "MA-ERR", "name": "Errachidia"}, {"code": "MA-IFR", "name": "Ifrane"}, {"code": "MA-KHN", "name": "Khenifra"}, {"code": "MA-MEK", "name": "Meknès"}, {"code": "MA-ES", "name": "Est (Morocco)"}, {"code": "MA-BER", "name": "Berkane"}, {"code": "MA-FIG", "name": "Figuig"}, {"code": "MA-IRA", "name": "Jrada"}, {"code": "MA-NAD", "name": "Nador"}, {"code": "MA-OUJ", "name": "Oujda"}, {"code": "MA-NO", "name": "Nord-Ouest (Morocco)"}, {"code": "MA-CHE", "name": "Chefchaouene"}, {"code": "MA-KEN", "name": "Kénitra"}, {"code": "MA-KHE", "name": "Khemisset"}, {"code": "MA-LAR", "name": "Larache"}, {"code": "MA-RBA", "name": "Rabat-Salé"}, {"code": "MA-SIK", "name": "Sidi Kacem"}, {"code": "MA-TNG", "name": "Tanger"}, {"code": "MA-TET", "name": "Tétouan"}, {"code": "MA-SU", "name": "Sud (Morocco)"}, {"code": "MA-AGD", "name": "Agadir"}, {"code": "MA-BAH", "name": "Aït Baha"}, {"code": "MA-MEL", "name": "Aït Melloul"}, {"code": "MA-ASZ", "name": "Assa-Zag"}, {"code": "MA-BOD", "name": "Boujdour (EH)"}, {"code": "MA-ESM", "name": "Es Semara (EH)"}, {"code": "MA-GUE", "name": "Guelmim"}, {"code": "MA-LAA", "name": "Laayoune (EH)"}, {"code": "MA-OUA", "name": "Ouarzazate"}, {"code": "MA-OUD", "name": "Oued ed Dahab (EH)"}, {"code": "MA-TNT", "name": "Tan-Tan"}, {"code": "MA-TAR", "name": "Taroudannt"}, {"code": "MA-TAT", "name": "Tata"}, {"code": "MA-TIZ", "name": "Tiznit"}, {"code": "MA-TS", "name": "Tensift"}, {"code": "MA-HAO", "name": "Al Haouz"}, {"code": "MA-CHI", "name": "Chichaoua"}, {"code": "MA-ESI", "name": "Essaouira"}, {"code": "MA-KES", "name": "Kelaat Sraghna"}, {"code": "MA-MAR", "name": "Marrakech"}, {"code": "MA-SAF", "name": "Safi"}, {"code": "MZ-MPM", "name": "Maputo (Mozambique)"}, {"code": "MZ-P", "name": "Cabo Delgado"}, {"code": "MZ-G", "name": "Gaza"}, {"code": "MZ-I", "name": "Inhambane"}, {"code": "MZ-B", "name": "Manica"}, {"code": "MZ-L", "name": "Maputo (Mozambique)"}, {"code": "MZ-N", "name": "Nampula"}, {"code": "MZ-A", "name": "Niassa"}, {"code": "MZ-S", "name": "Sofala"}, {"code": "MZ-T", "name": "Tete"}, {"code": "MZ-Q", "name": "Zambézia"}, {"code": "MM-07", "name": "Ayeyarwady"}, {"code": "MM-02", "name": "Bago"}, {"code": "MM-03", "name": "Magway"}, {"code": "MM-04", "name": "Mandalay"}, {"code": "MM-01", "name": "Sagaing"}, {"code": "MM-05", "name": "Tanintharyi"}, {"code": "MM-06", "name": "Yangon"}, {"code": "MM-14", "name": "Chin"}, {"code": "MM-11", "name": "Kachin"}, {"code": "MM-12", "name": "Kayah"}, {"code": "MM-13", "name": "Kayin"}, {"code": "MM-15", "name": "Mon"}, {"code": "MM-16", "name": "Rakhine"}, {"code": "MM-17", "name": "Shan"}, {"code": "NA-CA", "name": "Caprivi"}, {"code": "NA-ER", "name": "Erongo"}, {"code": "NA-HA", "name": "Hardap"}, {"code": "NA-KA", "name": "Karas"}, {"code": "NA-KH", "name": "Khomas"}, {"code": "NA-KU", "name": "Kunene"}, {"code": "NA-OW", "name": "Ohangwena"}, {"code": "NA-OK", "name": "Okavango"}, {"code": "NA-OH", "name": "Omaheke"}, {"code": "NA-OS", "name": "Omusati"}, {"code": "NA-ON", "name": "Oshana"}, {"code": "NA-OT", "name": "Oshikoto"}, {"code": "NA-OD", "name": "Otjozondjupa"}, {"code": "NR-NR", "name": "Nauru"}, {"code": "NP-1", "name": "Madhyamanchal"}, {"code": "NP-BA", "name": "Bagmati"}, {"code": "NP-JA", "name": "Janakpur"}, {"code": "NP-NA", "name": "Narayani"}, {"code": "NP-2", "name": "Madhya Pashchimanchal"}, {"code": "NP-BH", "name": "Bheri"}, {"code": "NP-KA", "name": "Karnali"}, {"code": "NP-RA", "name": "Rapti"}, {"code": "NP-3", "name": "Pashchimanchal"}, {"code": "NP-DH", "name": "Dhawalagiri"}, {"code": "NP-GA", "name": "Gandaki"}, {"code": "NP-LU", "name": "Lumbini"}, {"code": "NP-4", "name": "Purwanchal"}, {"code": "NP-KO", "name": "Kosi [Koshi]"}, {"code": "NP-ME", "name": "Mechi"}, {"code": "NP-SA", "name": "Sagarmatha"}, {"code": "NP-5", "name": "Sudur Pashchimanchal"}, {"code": "NP-MA", "name": "Mahakali"}, {"code": "NP-SE", "name": "Seti"}, {"code": "NL-DR", "name": "Drenthe"}, {"code": "NL-FL", "name": "Flevoland"}, {"code": "NL-FR", "name": "Friesland"}, {"code": "NL-GE", "name": "Gelderland"}, {"code": "NL-GR", "name": "Groningen"}, {"code": "NL-LI", "name": "Limburg"}, {"code": "NL-NB", "name": "Noord-Brabant"}, {"code": "NL-NH", "name": "Noord-Holland"}, {"code": "NL-OV", "name": "Overijssel"}, {"code": "NL-UT", "name": "Utrecht"}, {"code": "NL-ZE", "name": "Zeeland"}, {"code": "NL-ZH", "name": "Zuid-Holland"}, {"code": "AN-AN", "name": "Netherlands Antilles"}, {"code": "NC-NC", "name": "New Caledonia"}, {"code": "NZ-N", "name": "North Island"}, {"code": "NZ-AUK", "name": "Auckland"}, {"code": "NZ-BOP", "name": "Bay of Plenty"}, {"code": "NZ-GIS", "name": "Gisborne"}, {"code": "NZ-HKB", "name": "Hawkes's Bay"}, {"code": "NZ-MWT", "name": "Manawatu-Wanganui"}, {"code": "NZ-NTL", "name": "Northland"}, {"code": "NZ-TKI", "name": "Taranaki"}, {"code": "NZ-WKO", "name": "Waikato"}, {"code": "NZ-WGN", "name": "Wellington"}, {"code": "NZ-S", "name": "South Island"}, {"code": "NZ-CAN", "name": "Canterbury"}, {"code": "NZ-MBH", "name": "Marlborough"}, {"code": "NZ-NSN", "name": "Nelson"}, {"code": "NZ-OTA", "name": "Otago"}, {"code": "NZ-STL", "name": "Southland"}, {"code": "NZ-TAS", "name": "Tasman"}, {"code": "NZ-WTC", "name": "West Coast"}, {"code": "NI-BO", "name": "Boaco"}, {"code": "NI-CA", "name": "Carazo"}, {"code": "NI-CI", "name": "Chinandega"}, {"code": "NI-CO", "name": "Chontales"}, {"code": "NI-ES", "name": "Estelí"}, {"code": "NI-GR", "name": "Granada (Nicaragua)"}, {"code": "NI-JI", "name": "Jinotega"}, {"code": "NI-LE", "name": "León (Nicaragua)"}, {"code": "NI-MD", "name": "Madriz"}, {"code": "NI-MN", "name": "Manaqua"}, {"code": "NI-MS", "name": "Masaya"}, {"code": "NI-MT", "name": "Matagalpa"}, {"code": "NI-NS", "name": "Nueva Segovia"}, {"code": "NI-SJ", "name": "Río San Juan"}, {"code": "NI-RI", "name": "Rivas"}, {"code": "NI-ZE", "name": "Zelaya"}, {"code": "NE-8", "name": "Niamey"}, {"code": "NE-1", "name": "Agadez"}, {"code": "NE-2", "name": "Diffa"}, {"code": "NE-3", "name": "Dosso"}, {"code": "NE-4", "name": "Maradi"}, {"code": "NE-5", "name": "Tahoua"}, {"code": "NE-6", "name": "Tillaberi"}, {"code": "NE-7", "name": "Zinder"}, {"code": "NG-FC", "name": "Abuja Capital Territory"}, {"code": "NG-AB", "name": "Abia"}, {"code": "NG-AD", "name": "Adamawa"}, {"code": "NG-AK", "name": "Akwa Ibom"}, {"code": "NG-AN", "name": "Anambra"}, {"code": "NG-BA", "name": "Bauchi"}, {"code": "NG-BE", "name": "Benue"}, {"code": "NG-BO", "name": "Borno"}, {"code": "NG-CR", "name": "Cross River"}, {"code": "NG-DE", "name": "Delta"}, {"code": "NG-ED", "name": "Edo"}, {"code": "NG-EN", "name": "Enugu"}, {"code": "NG-IM", "name": "Imo"}, {"code": "NG-JI", "name": "Jigawa"}, {"code": "NG-KD", "name": "Kaduna"}, {"code": "NG-KN", "name": "Kano"}, {"code": "NG-KT", "name": "Katsina"}, {"code": "NG-KE", "name": "Kebbi"}, {"code": "NG-KO", "name": "Kogi"}, {"code": "NG-KW", "name": "Kwara"}, {"code": "NG-LA", "name": "Lagos"}, {"code": "NG-NI", "name": "Niger"}, {"code": "NG-OG", "name": "Ogun"}, {"code": "NG-ON", "name": "Ondo"}, {"code": "NG-OS", "name": "Osun"}, {"code": "NG-OY", "name": "Oyo"}, {"code": "NG-PL", "name": "Plateau"}, {"code": "NG-RI", "name": "Rivers"}, {"code": "NG-SO", "name": "Sokoto"}, {"code": "NG-TA", "name": "Taraba"}, {"code": "NG-YO", "name": "Yobe"}, {"code": "NU-NU", "name": "Niue"}, {"code": "NF-NF", "name": "Norfolk Island"}, {"code": "MP-MP", "name": "Northern Mariana Islands (Northern Mariana Islands)"}, {"code": "NO-02", "name": "Akershus"}, {"code": "NO-09", "name": "Aust-Agder"}, {"code": "NO-06", "name": "Buskerud"}, {"code": "NO-20", "name": "Finnmark"}, {"code": "NO-04", "name": "Hedmark"}, {"code": "NO-12", "name": "Hordaland"}, {"code": "NO-15", "name": "Møre og Romsdal"}, {"code": "NO-18", "name": "Nordland"}, {"code": "NO-17", "name": "Nord-Trøndelag"}, {"code": "NO-05", "name": "Oppland"}, {"code": "NO-03", "name": "Oslo"}, {"code": "NO-11", "name": "Rogaland"}, {"code": "NO-14", "name": "Sogn og Fjordane"}, {"code": "NO-16", "name": "Sør-Trøndelag"}, {"code": "NO-08", "name": "Telemark"}, {"code": "NO-19", "name": "Troms"}, {"code": "NO-10", "name": "Vest-Agder"}, {"code": "NO-07", "name": "Vestfold"}, {"code": "NO-01", "name": "Østfold"}, {"code": "NO-22", "name": "Jan Mayen (Arctic Region)"}, {"code": "NO-21", "name": "Svalbard (Arctic Region)"}, {"code": "OM-DA", "name": "Ad Dākhilīyah"}, {"code": "OM-BA", "name": "Al Bāţinah"}, {"code": "OM-JA", "name": "Al Janūbīyah [Zufār]"}, {"code": "OM-WU", "name": "Al Wusţā"}, {"code": "OM-SH", "name": "Ash Sharqīyah (Oman)"}, {"code": "OM-ZA", "name": "Az Zāhirah"}, {"code": "OM-MA", "name": "Masqaţ"}, {"code": "OM-MU", "name": "Musandam"}, {"code": "PK-IS", "name": "Islamabad"}, {"code": "PK-BA", "name": "Baluchistan (Balochistān)"}, {"code": "PK-NW", "name": "North-West Frontier"}, {"code": "PK-PB", "name": "Punjab (Pakistan)"}, {"code": "PK-SD", "name": "Sind (Sindh)"}, {"code": "PK-TA", "name": "Federally Administered Tribal Areas"}, {"code": "PK-JK", "name": "Azad Kashmir"}, {"code": "PK-NA", "name": "Northern Areas"}, {"code": "PW-PW", "name": "Palau (Palau)"}, {"code": "PA-1", "name": "Botas del Toro"}, {"code": "PA-2", "name": "Coclé"}, {"code": "PA-3", "name": "Colón (Panama)"}, {"code": "PA-4", "name": "Chiriquī"}, {"code": "PA-5", "name": "Darién"}, {"code": "PA-6", "name": "Herrera"}, {"code": "PA-7", "name": "Los Santos"}, {"code": "PA-8", "name": "Panamá"}, {"code": "PA-9", "name": "Veraguas"}, {"code": "PA-0", "name": "Comarca de San Blas"}, {"code": "PG-NCD", "name": "National Capital District (Port Moresby)"}, {"code": "PG-CPM", "name": "Central (Papua New Guinea)"}, {"code": "PG-CPK", "name": "Chimbu"}, {"code": "PG-EHG", "name": "Eastern Highlands"}, {"code": "PG-EBR", "name": "East New Britain"}, {"code": "PG-ESW", "name": "East Sepik"}, {"code": "PG-EPW", "name": "Enga"}, {"code": "PG-GPK", "name": "Gulf"}, {"code": "PG-MPM", "name": "Madang"}, {"code": "PG-MRL", "name": "Manus"}, {"code": "PG-MBA", "name": "Milne Bay"}, {"code": "PG-MPL", "name": "Morobe"}, {"code": "PG-NIK", "name": "New Ireland"}, {"code": "PG-NPP", "name": "Northern (Papua New Guinea)"}, {"code": "PG-NSA", "name": "North Solomons"}, {"code": "PG-SAN", "name": "Sandaun [West Sepik]"}, {"code": "PG-SHM", "name": "Southern Highlands"}, {"code": "PG-WPD", "name": "Western (Papua New Guinea)"}, {"code": "PG-WHM", "name": "Western Highlands"}, {"code": "PG-WBK", "name": "West New Britain"}, {"code": "PY-ASU", "name": "Asunción"}, {"code": "PY-16", "name": "Alto Paraguay"}, {"code": "PY-10", "name": "Alto Parang"}, {"code": "PY-13", "name": "Amambay"}, {"code": "PY-19", "name": "Boquerón"}, {"code": "PY-5", "name": "Caaguazú"}, {"code": "PY-6", "name": "Caazapá"}, {"code": "PY-14", "name": "Canindeyú"}, {"code": "PY-11", "name": "Central (Paraguay)"}, {"code": "PY-1", "name": "Concepción"}, {"code": "PY-3", "name": "Cordillera"}, {"code": "PY-4", "name": "Guairá"}, {"code": "PY-7", "name": "Itapúa"}, {"code": "PY-8", "name": "Misiones (Paraguay)"}, {"code": "PY-12", "name": "Neembucú"}, {"code": "PY-9", "name": "Paraguarī"}, {"code": "PY-15", "name": "Presidente Hayes"}, {"code": "PY-2", "name": "San Pedro"}, {"code": "PE-CAL", "name": "El Callao"}, {"code": "PE-AMA", "name": "Amazonas (Peru)"}, {"code": "PE-ANC", "name": "Ancash"}, {"code": "PE-APU", "name": "Apurímac"}, {"code": "PE-ARE", "name": "Arequipa"}, {"code": "PE-AYA", "name": "Ayacucho"}, {"code": "PE-CAJ", "name": "Cajamarca"}, {"code": "PE-CUS", "name": "Cuzco [Cusco]"}, {"code": "PE-HUV", "name": "Huancavelica"}, {"code": "PE-HUC", "name": "Huánuco"}, {"code": "PE-ICA", "name": "Ica"}, {"code": "PE-JUN", "name": "Junín"}, {"code": "PE-LAL", "name": "La Libertad (Peru)"}, {"code": "PE-LAM", "name": "Lambayeque"}, {"code": "PE-LIM", "name": "Lima"}, {"code": "PE-LOR", "name": "Loreto"}, {"code": "PE-MDD", "name": "Madre de Dios"}, {"code": "PE-MOQ", "name": "Moquegua"}, {"code": "PE-PAS", "name": "Pasco"}, {"code": "PE-PIU", "name": "Piura"}, {"code": "PE-PUN", "name": "Puno"}, {"code": "PE-SAM", "name": "San Martín"}, {"code": "PE-TAC", "name": "Tacna"}, {"code": "PE-TUM", "name": "Tumbes"}, {"code": "PE-UCA", "name": "Ucayali"}, {"code": "PH-PH", "name": "Philippines"}, {"code": "PN-PN", "name": "Pitcairn"}, {"code": "PL-BP", "name": "Biała Podlaska"}, {"code": "PL-BK", "name": "Białystok"}, {"code": "PL-BB", "name": "Bielsko"}, {"code": "PL-BY", "name": "Bydgoszcz"}, {"code": "PL-CH", "name": "Chełm"}, {"code": "PL-CI", "name": "Ciechanów"}, {"code": "PL-CZ", "name": "Czestochowa"}, {"code": "PL-EL", "name": "Elblag"}, {"code": "PL-GD", "name": "Gdańsk"}, {"code": "PL-GO", "name": "Gorzów"}, {"code": "PL-JG", "name": "Jelenia Gera"}, {"code": "PL-KL", "name": "Kalisz"}, {"code": "PL-KA", "name": "Katowice"}, {"code": "PL-KI", "name": "Kielce"}, {"code": "PL-KN", "name": "Konin"}, {"code": "PL-KO", "name": "Koszalin"}, {"code": "PL-KR", "name": "Kraków"}, {"code": "PL-KS", "name": "Krosno"}, {"code": "PL-LG", "name": "Legnica"}, {"code": "PL-LE", "name": "Leszno"}, {"code": "PL-LU", "name": "Lublin"}, {"code": "PL-LO", "name": "Łomia"}, {"code": "PL-LD", "name": "Łódź"}, {"code": "PL-NS", "name": "Nowy Sacz"}, {"code": "PL-OL", "name": "Olsztyn"}, {"code": "PL-OP", "name": "Opole"}, {"code": "PL-OS", "name": "Ostrołeka"}, {"code": "PL-PI", "name": "Piła"}, {"code": "PL-PT", "name": "Piotrków"}, {"code": "PL-PL", "name": "Płock"}, {"code": "PL-PO", "name": "Poznań"}, {"code": "PL-PR", "name": "Przemyśl"}, {"code": "PL-RA", "name": "Radom"}, {"code": "PL-RZ", "name": "Rzeszów"}, {"code": "PL-SE", "name": "Siedlce"}, {"code": "PL-SI", "name": "Sieradz"}, {"code": "PL-SK", "name": "Skierniewice"}, {"code": "PL-SL", "name": "Słupsk"}, {"code": "PL-SU", "name": "Suwałki"}, {"code": "PL-SZ", "name": "Szczecin"}, {"code": "PL-TG", "name": "Tarnobrzeg"}, {"code": "PL-TA", "name": "Tarnów"}, {"code": "PL-TO", "name": "Toruń"}, {"code": "PL-WB", "name": "Wałbrzych"}, {"code": "PL-WA", "name": "Warszawa"}, {"code": "PL-WL", "name": "Włocławek"}, {"code": "PL-WR", "name": "Wrocław"}, {"code": "PL-ZA", "name": "Zamość"}, {"code": "PL-ZG", "name": "Zielona Góra"}, {"code": "PT-01", "name": "Aveiro"}, {"code": "PT-02", "name": "Beja"}, {"code": "PT-03", "name": "Braga"}, {"code": "PT-04", "name": "Bragança"}, {"code": "PT-05", "name": "Castelo Branco"}, {"code": "PT-06", "name": "Coimbra"}, {"code": "PT-07", "name": "Évora"}, {"code": "PT-08", "name": "Faro"}, {"code": "PT-09", "name": "Guarda"}, {"code": "PT-10", "name": "Leiria"}, {"code": "PT-11", "name": "Lisboa"}, {"code": "PT-12", "name": "Portalegre"}, {"code": "PT-13", "name": "Porto"}, {"code": "PT-14", "name": "Santarém"}, {"code": "PT-15", "name": "Setúbal"}, {"code": "PT-16", "name": "Viana do Castelo"}, {"code": "PT-17", "name": "Vila Real"}, {"code": "PT-18", "name": "Viseu"}, {"code": "PT-20", "name": "Regiāo Autónoma dos Açores"}, {"code": "PT-30", "name": "Regiāo Autónoma da Madeira"}, {"code": "PR-PR", "name": "Puerto Rico (Puerto Rico)"}, {"code": "QA-DA", "name": "Ad Dawḩah"}, {"code": "QA-GH", "name": "Al Ghuwayrīyah"}, {"code": "QA-JU", "name": "Al Jumaylīyah"}, {"code": "QA-KH", "name": "Al Khawr"}, {"code": "QA-WA", "name": "Al Wakrah"}, {"code": "QA-RA", "name": "Ar Rayyān"}, {"code": "QA-JB", "name": "Jarīyān al Bāţnah"}, {"code": "QA-MS", "name": "Madīnat ash Shamāl"}, {"code": "QA-US", "name": "Umm Şalāl"}, {"code": "RE-RE", "name": "Reunion"}, {"code": "RO-B", "name": "Bucureşti"}, {"code": "RO-AB", "name": "Alba"}, {"code": "RO-AR", "name": "Arad"}, {"code": "RO-AG", "name": "Argeş"}, {"code": "RO-BC", "name": "Bacău"}, {"code": "RO-BH", "name": "Bihor"}, {"code": "RO-BN", "name": "Bistriţa-Năsăud"}, {"code": "RO-BT", "name": "Botoşani"}, {"code": "RO-BV", "name": "Braşov"}, {"code": "RO-BR", "name": "Brăila"}, {"code": "RO-BZ", "name": "Buzău"}, {"code": "RO-CS", "name": "Caraş-Severin"}, {"code": "RO-CL", "name": "Călăraşi (Romania)"}, {"code": "RO-CJ", "name": "Cluj"}, {"code": "RO-CT", "name": "Constanţa"}, {"code": "RO-CV", "name": "Covasna"}, {"code": "RO-DB", "name": "Dâmboviţa"}, {"code": "RO-DJ", "name": "Dolj"}, {"code": "RO-GL", "name": "Galaţi"}, {"code": "RO-GR", "name": "Giurgiu"}, {"code": "RO-GJ", "name": "Gorj"}, {"code": "RO-HR", "name": "Harghita"}, {"code": "RO-HD", "name": "Hunedoara"}, {"code": "RO-IL", "name": "Ialomiţa"}, {"code": "RO-IS", "name": "Iaşi"}, {"code": "RO-MM", "name": "Maramureş"}, {"code": "RO-MH", "name": "Mehedinţi"}, {"code": "RO-MS", "name": "Mureş"}, {"code": "RO-NT", "name": "Neamţ"}, {"code": "RO-OT", "name": "Olt"}, {"code": "RO-PH", "name": "Prahova"}, {"code": "RO-SM", "name": "Satu Mare"}, {"code": "RO-SJ", "name": "Sălaj"}, {"code": "RO-SB", "name": "Sibiu"}, {"code": "RO-SV", "name": "Suceava"}, {"code": "RO-TR", "name": "Teleorman"}, {"code": "RO-TM", "name": "Timiş"}, {"code": "RO-TL", "name": "Tulcea"}, {"code": "RO-VS", "name": "Vaslui"}, {"code": "RO-VL", "name": "Vâlcea"}, {"code": "RO-VN", "name": "Vrancea"}, {"code": "RU-AD", "name": "Adygeya, Respublika"}, {"code": "RU-AL", "name": "Altay, Respublika"}, {"code": "RU-BA", "name": "Bashkortostan, Respublika"}, {"code": "RU-BU", "name": "Buryatiya, Respublika"}, {"code": "RU-CE", "name": "Chechenskaya Respublika"}, {"code": "RU-CU", "name": "Chuvashskaya Respublika"}, {"code": "RU-DA", "name": "Dagestan, Respublika"}, {"code": "RU-IN", "name": "Ingushskaya Respublika"}, {"code": "RU-KB", "name": "Kabardino-Balkarskaya Respublika"}, {"code": "RU-KL", "name": "Kalmykiya, Respublika"}, {"code": "RU-KC", "name": "Karachayevo-Cherkesskaya Respublika"}, {"code": "RU-KR", "name": "Kareliya, Respublika"}, {"code": "RU-KK", "name": "Khakasiya, Respublika"}, {"code": "RU-KO", "name": "Komi, Respublika"}, {"code": "RU-ME", "name": "Mariy El, Respublika"}, {"code": "RU-MO", "name": "Mordoviya, Respublika"}, {"code": "RU-SA", "name": "Sakha, Respublika [Yakutiya]"}, {"code": "RU-SE", "name": "Severnaya Osetiya, Respublika [Alaniya]"}, {"code": "RU-TA", "name": "Tatarstan, Respublika"}, {"code": "RU-TY", "name": "Tyva, Respublika [Tuva]"}, {"code": "RU-UD", "name": "Udmurtskaya Respublika"}, {"code": "RU-ALT", "name": "Altayskiy kray"}, {"code": "RU-KHA", "name": "Khabarovskiy kray"}, {"code": "RU-KDA", "name": "Krasnodarskiy kray"}, {"code": "RU-KYA", "name": "Krasnoyarskiy kray"}, {"code": "RU-PRI", "name": "Primorskiy kray"}, {"code": "RU-STA", "name": "Stavropol 'skiy kray"}, {"code": "RU-AMU", "name": "Amurskaya Oblast'"}, {"code": "RU-ARK", "name": "Arkhangel'skaya Oblast'"}, {"code": "RU-AST", "name": "Astrakhanskaya Oblast'"}, {"code": "RU-BEL", "name": "Belgorodskaya Oblast'"}, {"code": "RU-BRY", "name": "Bryanskaya Oblast'"}, {"code": "RU-CHE", "name": "Chelyabinskaya Oblast'"}, {"code": "RU-CHI", "name": "Chitinskaya Oblast'"}, {"code": "RU-IRK", "name": "Irkutskaya Oblast'"}, {"code": "RU-IVA", "name": "Ivanovskaya Oblast'"}, {"code": "RU-KGD", "name": "Kaliningradskaya Oblast'"}, {"code": "RU-KLU", "name": "Kaluzhskaya Oblast'"}, {"code": "RU-KAM", "name": "Kamchatskaya Oblast'"}, {"code": "RU-KEM", "name": "Kemerovskaya Oblast'"}, {"code": "RU-KIR", "name": "Kirovskaya Oblast'"}, {"code": "RU-KOS", "name": "Kostromskaya Oblast'"}, {"code": "RU-KGN", "name": "Kurganskaya Oblast'"}, {"code": "RU-KRS", "name": "Kurskaya Oblast'"}, {"code": "RU-LEN", "name": "Leningradskaya Oblast'"}, {"code": "RU-LIP", "name": "Lipetskaya Oblast'"}, {"code": "RU-MAG", "name": "Magadanskaya Oblast'"}, {"code": "RU-MOS", "name": "Moskovskaya Oblast'"}, {"code": "RU-MUR", "name": "Murmanskaya Oblast'"}, {"code": "RU-NIZ", "name": "Nizhegorodskaya Oblast'"}, {"code": "RU-NGR", "name": "Novgorodskaya Oblast'"}, {"code": "RU-NVS", "name": "Novosibirskaya Oblast'"}, {"code": "RU-OMS", "name": "Omskaya Oblast'"}, {"code": "RU-ORE", "name": "Orenburgskaya Oblast'"}, {"code": "RU-ORL", "name": "Orlovskaya Oblast'"}, {"code": "RU-PNZ", "name": "Penzenskaya Oblast'"}, {"code": "RU-PER", "name": "Permskaya Oblast'"}, {"code": "RU-PSK", "name": "Pskovskaya Oblast'"}, {"code": "RU-ROS", "name": "Rostovskaya Oblast'"}, {"code": "RU-RYA", "name": "Ryazanskaya Oblast'"}, {"code": "RU-SAK", "name": "Sakhalinskaya Oblast'"}, {"code": "RU-SAM", "name": "Samarskaya Oblast’"}, {"code": "RU-SAR", "name": "Saratovskaya Oblast'"}, {"code": "RU-SMO", "name": "Smolenskaya Oblast'"}, {"code": "RU-SVE", "name": "Sverdlovskaya Oblast'"}, {"code": "RU-TAM", "name": "Tambovskaya Oblast'"}, {"code": "RU-TOM", "name": "Tomskaya Oblast’"}, {"code": "RU-TUL", "name": "Tul'skaya Oblast'"}, {"code": "RU-TVE", "name": "Tverskaya Oblast'"}, {"code": "RU-TYU", "name": "Tyumenskaya Oblast'"}, {"code": "RU-ULY", "name": "Ul'yanovskaya Oblast'"}, {"code": "RU-VLA", "name": "Vladimirskaya Oblast'"}, {"code": "RU-VGG", "name": "Volgogradskaya Oblast'"}, {"code": "RU-VLG", "name": "Vologodskaya Oblast'"}, {"code": "RU-VOR", "name": "Voronezhskaya Oblast'"}, {"code": "RU-YAR", "name": "Yaroslavskaya Oblast'"}, {"code": "RU-MOW", "name": "Moskva"}, {"code": "RU-SPE", "name": "Sankt-Peterburg"}, {"code": "RU-YEV", "name": "Yevreyskaya avtonomnaya oblast'"}, {"code": "RU-AGB", "name": "Aginskiy Buryatskiy avtonomnyy okrug"}, {"code": "RU-CHU", "name": "Chukotskiy avtonomnyy okrug"}, {"code": "RU-EVE", "name": "Evenkiyskiy avtonomnyy okrug"}, {"code": "RU-KHM", "name": "Khanty-Mansiyskiy avtonomnyy okrug"}, {"code": "RU-KOP", "name": "Komi-Permyatskiy avtonomnyy okrug"}, {"code": "RU-KOR", "name": "Koryakskiy avtonomnyy okrug"}, {"code": "RU-NEN", "name": "Nenetskiy avtonomnyy okrug"}, {"code": "RU-TAY", "name": "Taymyrskiy (Dolgano-Nenetskiy) avtonomnyy okrug"}, {"code": "RU-UOB", "name": "Ust’-Ordynskiy Buryatskiy avtonomnyy okrug"}, {"code": "RU-YAN", "name": "Yamalo-Nenetskiy avtonomnyy okrug"}, {"code": "RW-C", "name": "Butare"}, {"code": "RW-I", "name": "Byumba"}, {"code": "RW-E", "name": "Cyangugu"}, {"code": "RW-D", "name": "Gikongoro"}, {"code": "RW-G", "name": "Gisenyi"}, {"code": "RW-B", "name": "Gitarama"}, {"code": "RW-J", "name": "Kibungo"}, {"code": "RW-F", "name": "Kibuye"}, {"code": "RW-K", "name": "Kigali-Rural (Kigali y’ Icyaro)"}, {"code": "RW-L", "name": "Kigali-Ville (Kilgali Ngari)"}, {"code": "RW-M", "name": "Mutara"}, {"code": "RW-H", "name": "Ruhengeri"}, {"code": "SH-SH", "name": "Saint Helena"}, {"code": "SH-AC", "name": "Ascension"}, {"code": "SH-TA", "name": "Tristan da Cunha"}, {"code": "KN-KN", "name": "Saint Kitts & Nevis"}, {"code": "LC-LC", "name": "Saint Lucia"}, {"code": "PM-PM", "name": "St. Pierre & Miquelon"}, {"code": "VC-VC", "name": "St. Vincent & the Grenadines"}, {"code": "WS-AA", "name": "A'ana"}, {"code": "WS-AL", "name": "Aiga-i-le-Tai"}, {"code": "WS-AT", "name": "Atua"}, {"code": "WS-FA", "name": "Fa'asaleleaga"}, {"code": "WS-GE", "name": "Gaga'emauga"}, {"code": "WS-GI", "name": "Gagaifomauga"}, {"code": "WS-PA", "name": "Palauli"}, {"code": "WS-SA", "name": "Satupa'itea"}, {"code": "WS-TU", "name": "Tuamasaga"}, {"code": "WS-VF", "name": "Va'a-o-Fonoti"}, {"code": "WS-VS", "name": "Vaisigano"}, {"code": "SM-SM", "name": "San Marino"}, {"code": "ST-P", "name": "Príncipe"}, {"code": "ST-S", "name": "Sāo Tomé"}, {"code": "SA-11", "name": "Al Bāḩah"}, {"code": "SA-08", "name": "Al Ḩudūd ash Shamālīyah"}, {"code": "SA-12", "name": "Al Jawf (Saudi Arabia)"}, {"code": "SA-03", "name": "Al Madīnah"}, {"code": "SA-05", "name": "Al Qaşim"}, {"code": "SA-O1", "name": "Ar Riyāḑ"}, {"code": "SA-04", "name": "Ash Sharqīyah (Saudi Arabia)"}, {"code": "SA-14", "name": "‘Asīr"}, {"code": "SA-06", "name": "Ḩā'il"}, {"code": "SA-09", "name": "Jīzān"}, {"code": "SA-02", "name": "Makkah"}, {"code": "SA-10", "name": "Najrān"}, {"code": "SA-07", "name": "Tabūk"}, {"code": "SN-DK", "name": "Dakar"}, {"code": "SN-DB", "name": "Diourbel"}, {"code": "SN-FK", "name": "Fatick"}, {"code": "SN-KL", "name": "Kaolack"}, {"code": "SN-KD", "name": "Kolda"}, {"code": "SN-LG", "name": "Louga"}, {"code": "SN-SL", "name": "Saint-Louis"}, {"code": "SN-TC", "name": "Tambacounda"}, {"code": "SN-TH", "name": "Thiès"}, {"code": "SN-ZG", "name": "Ziguinchor"}, {"code": "SC-SC", "name": "Seychelles"}, {"code": "SL-W", "name": "Western Area (Freetown)"}, {"code": "SL-E", "name": "Eastern (Sierra Leone)"}, {"code": "SL-N", "name": "Northern (Sierra Leone)"}, {"code": "SL-S", "name": "Southern (Sierra Leone)"}, {"code": "SG-SG", "name": "Singapore"}, {"code": "SK-BC", "name": "Banskobystrický kraj"}, {"code": "SK-BL", "name": "Bratislavský kraj"}, {"code": "SK-KI", "name": "Košický kraj"}, {"code": "SK-NI", "name": "Nitriansky kraj"}, {"code": "SK-PV", "name": "Prešovský kraj"}, {"code": "SK-TC", "name": "Trenčiansky kraj"}, {"code": "SK-TA", "name": "Trnavský kraj"}, {"code": "SK-ZI", "name": "Žilinský kraj"}, {"code": "SI-07", "name": "Dolenjska"}, {"code": "SI-09", "name": "Gorenjska"}, {"code": "SI-11", "name": "Goriška"}, {"code": "SI-03", "name": "Koroška"}, {"code": "SI-10", "name": "Notranjsko-kraška"}, {"code": "SI-12", "name": "Obalno-kraška"}, {"code": "SI-08", "name": "Osrednjeslovenska"}, {"code": "SI-02", "name": "Podravska"}, {"code": "SI-01", "name": "Pomurska"}, {"code": "SI-04", "name": "Savinjska"}, {"code": "SI-06", "name": "Spodnjeposavska"}, {"code": "SI-05", "name": "Zasavska"}, {"code": "SB-CT", "name": "Capital Territory (Honiara)"}, {"code": "SB-CE", "name": "Central (Solomon Islands)"}, {"code": "SB-GU", "name": "Guadalcanal"}, {"code": "SB-IS", "name": "Isabel"}, {"code": "SB-MK", "name": "Makira"}, {"code": "SB-ML", "name": "Malaita"}, {"code": "SB-TE", "name": "Temotu"}, {"code": "SB-WE", "name": "Western (Solomon Islands)"}, {"code": "SO-AW", "name": "Awdal"}, {"code": "SO-BK", "name": "Bakool"}, {"code": "SO-BN", "name": "Banaadir"}, {"code": "SO-BR", "name": "Bari (Somalia)"}, {"code": "SO-BY", "name": "BaY"}, {"code": "SO-GA", "name": "Galguduud"}, {"code": "SO-GE", "name": "Gedo"}, {"code": "SO-HI", "name": "Hiiraan"}, {"code": "SO-JD", "name": "Jubbada Dhexe"}, {"code": "SO-JH", "name": "Jubbada Hoose"}, {"code": "SO-MU", "name": "Mudug"}, {"code": "SO-NU", "name": "Nugaal"}, {"code": "SO-SA", "name": "Sanaag"}, {"code": "SO-SD", "name": "Shabeellaha Dhexe"}, {"code": "SO-SH", "name": "Shabeellaha Hoose"}, {"code": "SO-SO", "name": "Sool"}, {"code": "SO-TO", "name": "Togdheer"}, {"code": "SO-WO", "name": "Woqooyi Galbeed"}, {"code": "ZA-EC", "name": "Eastern Cape (Oos-Kaap)"}, {"code": "ZA-FS", "name": "Free State (Vrystaat)"}, {"code": "ZA-GT", "name": "Gauteng"}, {"code": "ZA-NL", "name": "Kwazulu-Natal"}, {"code": "ZA-MP", "name": "Mpumalanga"}, {"code": "ZA-NC", "name": "Northern Cape (Noord-Kaap)"}, {"code": "ZA-NP", "name": "Northern Province (Noordelike Provinsie)"}, {"code": "ZA-NW", "name": "North-West (Noord-Wes)"}, {"code": "ZA-WC", "name": "Western Cape (Wes-Kaap)"}, {"code": "GS-GS", "name": "S.Georgia & S.Sandwich Islands"}, {"code": "ES-AN", "name": "Andalucía"}, {"code": "ES-AL", "name": "Almería"}, {"code": "ES-CA", "name": "Cádiz"}, {"code": "ES-CO", "name": "Córdoba (Spain)"}, {"code": "ES-GR", "name": "Granada (Spain)"}, {"code": "ES-H", "name": "Huelva"}, {"code": "ES-J", "name": "Jaén"}, {"code": "ES-MA", "name": "Málaga"}, {"code": "ES-SE", "name": "Sevilla"}, {"code": "ES-AR", "name": "Aragón"}, {"code": "ES-HU", "name": "Huesca"}, {"code": "ES-TE", "name": "Teruel"}, {"code": "ES-Z", "name": "Zaragoza"}, {"code": "ES-O", "name": "Asturias"}, {"code": "ES-CN", "name": "Canarias"}, {"code": "ES-GC", "name": "Las Palmas"}, {"code": "ES-TF", "name": "Santa Cruz De Tenerife"}, {"code": "ES-S", "name": "Cantabria"}, {"code": "ES-CM", "name": "Castilla-La Mancha"}, {"code": "ES-AB", "name": "Albacete"}, {"code": "ES-CR", "name": "Ciudad Real"}, {"code": "ES-CU", "name": "Cuenca"}, {"code": "ES-GU", "name": "Guadalajara"}, {"code": "ES-TO", "name": "Toledo (Spain)"}, {"code": "ES-CL", "name": "Castilla y León"}, {"code": "ES-AV", "name": "Ávila"}, {"code": "ES-BU", "name": "Burgos"}, {"code": "ES-LE", "name": "León (Spain)"}, {"code": "ES-P", "name": "Palencia"}, {"code": "ES-SA", "name": "Salamanca"}, {"code": "ES-SG", "name": "Segovia"}, {"code": "ES-SO", "name": "Soria"}, {"code": "ES-VA", "name": "Valladolid"}, {"code": "ES-ZA", "name": "Zamora"}, {"code": "ES-CT", "name": "Cataluña"}, {"code": "ES-B", "name": "Barcelona"}, {"code": "ES-GE", "name": "Gerona"}, {"code": "ES-L", "name": "Lérida"}, {"code": "ES-T", "name": "Tarragona"}, {"code": "ES-EX", "name": "Extremadura"}, {"code": "ES-BA", "name": "Badajoz"}, {"code": "ES-CC", "name": "Cáceres"}, {"code": "ES-GA", "name": "Galicia"}, {"code": "ES-C", "name": "La Coruña"}, {"code": "ES-LU", "name": "Lugo"}, {"code": "ES-OR", "name": "Orense"}, {"code": "ES-PO", "name": "Pontevedra"}, {"code": "ES-PM", "name": "Baleares"}, {"code": "ES-LO", "name": "La Rioja (Spain)"}, {"code": "ES-M", "name": "Madrid"}, {"code": "ES-MU", "name": "Murcia"}, {"code": "ES-NA", "name": "Navarra"}, {"code": "ES-PV", "name": "País Vasco"}, {"code": "ES-VI", "name": "Álava"}, {"code": "ES-SS", "name": "Guipúzcoa"}, {"code": "ES-BI", "name": "Vizcaya"}, {"code": "ES-VC", "name": "Valenciana, Comunidad"}, {"code": "ES-A", "name": "Alicante"}, {"code": "ES-CS", "name": "Castellón"}, {"code": "ES-V", "name": "Valencia"}, {"code": "LK-1", "name": "Basnahira Palata (Western Province)"}, {"code": "LK-11", "name": "Colombo"}, {"code": "LK-12", "name": "Gampaha"}, {"code": "LK-13", "name": "Kalutara"}, {"code": "LK-3", "name": "Dakunu Palata (Southern Province)"}, {"code": "LK-31", "name": "Galle"}, {"code": "LK-33", "name": "Hambantota"}, {"code": "LK-32", "name": "Matara"}, {"code": "LK-2", "name": "Madhyama Palata (Central Province)"}, {"code": "LK-21", "name": "Kandy"}, {"code": "LK-22", "name": "Matale"}, {"code": "LK-23", "name": "Nuwara Eliya"}, {"code": "LK-5", "name": "Negenahira Palata (Eastern Province)"}, {"code": "LK-52", "name": "Arnpara"}, {"code": "LK-51", "name": "Batticaloa"}, {"code": "LK-53", "name": "Trincomalee"}, {"code": "LK-9", "name": "Sabaragamuwa Palata"}, {"code": "LK-92", "name": "Kegalla"}, {"code": "LK-91", "name": "Ratnapura"}, {"code": "LK-7", "name": "Uturumeda Palata (North Central Province)"}, {"code": "LK-71", "name": "Anuradhapura"}, {"code": "LK-72", "name": "Polonnaruwa"}, {"code": "LK-4", "name": "Uturu Palata (Northern Province)"}, {"code": "LK-41", "name": "Jaffna"}, {"code": "LK-42", "name": "Kilinochchi"}, {"code": "LK-43", "name": "Mannar"}, {"code": "LK-45", "name": "Mullaittivu"}, {"code": "LK-44", "name": "Vavuniya"}, {"code": "LK-8", "name": "Uva Palata"}, {"code": "LK-81", "name": "Badulla"}, {"code": "LK-82", "name": "Monaragala"}, {"code": "LK-6", "name": "Wayamba Palata (North Western Province)"}, {"code": "LK-61", "name": "Kurunegala"}, {"code": "LK-62", "name": "Puttalam"}, {"code": "SD-23", "name": "A‘ālī an Nīl"}, {"code": "SD-26", "name": "Al Baḩr al Aḩmar (Sudan)"}, {"code": "SD-18", "name": "Al Buḩayrāt"}, {"code": "SD-07", "name": "Al Jazīrah"}, {"code": "SD-03", "name": "Al Kharţūm"}, {"code": "SD-06", "name": "Al Qaḑārif"}, {"code": "SD-22", "name": "Al Waḩdah"}, {"code": "SD-04", "name": "An Nīl"}, {"code": "SD-08", "name": "An Nīl al Abyaḑ"}, {"code": "SD-24", "name": "An Nīl al Azraq"}, {"code": "SD-01", "name": "Ash Shamālīyah"}, {"code": "SD-17", "name": "Baḩr al Jabal"}, {"code": "SD-16", "name": "Gharb al Istiwā'īyah"}, {"code": "SD-14", "name": "Gharb Baḩr al Ghazāl"}, {"code": "SD-12", "name": "Gharb Dārfūr"}, {"code": "SD-10", "name": "Gharb Kurdufān"}, {"code": "SD-11", "name": "Janūb Dārfūr"}, {"code": "SD-13", "name": "Janūb Kurdufān"}, {"code": "SD-20", "name": "Jūnqalī"}, {"code": "SD-05", "name": "Kassalā"}, {"code": "SD-15", "name": "Shamāl Baḩr al Ghazāl"}, {"code": "SD-02", "name": "Shamāl Dārfūr"}, {"code": "SD-09", "name": "Shamāl Kurdufān"}, {"code": "SD-19", "name": "Sharq al Istiwā'iyah"}, {"code": "SD-25", "name": "Sinnār"}, {"code": "SD-21", "name": "Wārāb"}, {"code": "SR-BR", "name": "Brokopondo"}, {"code": "SR-CM", "name": "Commewijne"}, {"code": "SR-CR", "name": "Coronie"}, {"code": "SR-MA", "name": "Marowijne"}, {"code": "SR-NI", "name": "Nickerie"}, {"code": "SR-PR", "name": "Para"}, {"code": "SR-PM", "name": "Paramaribo"}, {"code": "SR-SA", "name": "Saramacca"}, {"code": "SR-SI", "name": "Sipaliwini"}, {"code": "SR-WA", "name": "Wanica"}, {"code": "SJ-SJ", "name": "Svalbard & Jan Mayen Islands"}, {"code": "SZ-HH", "name": "Hhohho"}, {"code": "SZ-LU", "name": "Lubombo"}, {"code": "SZ-MA", "name": "Manzini"}, {"code": "SZ-SH", "name": "Shiselweni"}, {"code": "SE-K", "name": "Blekinge län"}, {"code": "SE-W", "name": "Dalarnas län"}, {"code": "SE-I", "name": "Gotlands län"}, {"code": "SE-X", "name": "Gävleborgs län"}, {"code": "SE-N", "name": "Hallands län"}, {"code": "SE-Z", "name": "Jämtlands län"}, {"code": "SE-F", "name": "Jönköpings län"}, {"code": "SE-H", "name": "Kalmar län"}, {"code": "SE-G", "name": "Kronobergs län"}, {"code": "SE-BD", "name": "Norrbottens län"}, {"code": "SE-M", "name": "Skåne län"}, {"code": "SE-AB", "name": "Stockholms län"}, {"code": "SE-D", "name": "Södermanlands län"}, {"code": "SE-C", "name": "Uppsala län"}, {"code": "SE-S", "name": "Värmlands län"}, {"code": "SE-AC", "name": "Västerbottens län"}, {"code": "SE-Y", "name": "Västernorrlands län"}, {"code": "SE-U", "name": "Västmanlands län"}, {"code": "SE-O", "name": "Västra Götalands län"}, {"code": "SE-T", "name": "Örebro län"}, {"code": "SE-E", "name": "Östergötlands län"}, {"code": "CH-AG", "name": "Aargau"}, {"code": "CH-AR", "name": "Appenzell Ausser-Rhoden"}, {"code": "CH-AI", "name": "Appenzell Inner-Rhoden"}, {"code": "CH-BL", "name": "Basel-Landschaft"}, {"code": "CH-BS", "name": "Basel-Stadt"}, {"code": "CH-BE", "name": "Bern"}, {"code": "CH-FR", "name": "Freiburg"}, {"code": "CH-GE", "name": "Geneve"}, {"code": "CH-GL", "name": "Glarus"}, {"code": "CH-GR", "name": "Graubünden"}, {"code": "CH-JU", "name": "Jura (Switzerland)"}, {"code": "CH-LU", "name": "Luzern"}, {"code": "CH-NE", "name": "Neuchatel"}, {"code": "CH-NW", "name": "Nidwalden"}, {"code": "CH-OW", "name": "Obwalden"}, {"code": "CH-SG", "name": "Sankt Gallen"}, {"code": "CH-SH", "name": "Schaffhausen"}, {"code": "CH-SZ", "name": "Schwyz"}, {"code": "CH-SO", "name": "Solothurn"}, {"code": "CH-TG", "name": "Thurgau"}, {"code": "CH-TI", "name": "Ticino"}, {"code": "CH-UR", "name": "Uri"}, {"code": "CH-VS", "name": "Wallis"}, {"code": "CH-VD", "name": "Vaud"}, {"code": "CH-ZG", "name": "Zug"}, {"code": "CH-ZH", "name": "Zürich"}, {"code": "SY-HA", "name": "Al Ḩasakah"}, {"code": "SY-LA", "name": "Al Lādhiqīyah"}, {"code": "SY-QU", "name": "Al Qunayţirah"}, {"code": "SY-RA", "name": "Ar Raqqah"}, {"code": "SY-SU", "name": "As Suwaydā'"}, {"code": "SY-DR", "name": "Dar’ā"}, {"code": "SY-DY", "name": "Dayr az Zawr"}, {"code": "SY-DI", "name": "Dimashq"}, {"code": "SY-HL", "name": "Ḩalab"}, {"code": "SY-HM", "name": "Ḩamāh"}, {"code": "SY-HI", "name": "Ḩimş"}, {"code": "SY-ID", "name": "Idlib"}, {"code": "SY-RD", "name": "Rīf Dimashq"}, {"code": "SY-TA", "name": "Ţarţūs"}, {"code": "TW-KHH", "name": "Kaohsiung"}, {"code": "TW-TPE", "name": "Taipei"}, {"code": "TW-CYI", "name": "Chiayi"}, {"code": "TW-HSZ", "name": "Hsinchu"}, {"code": "TW-KEE", "name": "Keelung"}, {"code": "TW-TXG", "name": "Taichung"}, {"code": "TW-TNN", "name": "Tainan"}, {"code": "TW-CHA", "name": "Changhua"}, {"code": "TW-HUA", "name": "Hualien"}, {"code": "TW-ILA", "name": "Ilan"}, {"code": "TW-MIA", "name": "Miaoli"}, {"code": "TW-NAN", "name": "Nantou"}, {"code": "TW-PEN", "name": "Penghu"}, {"code": "TW-PIF", "name": "Pingtung"}, {"code": "TW-TTT", "name": "Taitung"}, {"code": "TW-TAO", "name": "Taoyuan"}, {"code": "TW-YUN", "name": "Yunlin"}, {"code": "TJ-KR", "name": "Karategin"}, {"code": "TJ-KT", "name": "Khatlon"}, {"code": "TJ-LN", "name": "Leninabad"}, {"code": "TJ-GB", "name": "Gorno-Badakhshan"}, {"code": "TZ-01", "name": "Arusha"}, {"code": "TZ-02", "name": "Dar-es-Salaam"}, {"code": "TZ-03", "name": "Dodoma"}, {"code": "TZ-04", "name": "Iringa"}, {"code": "TZ-05", "name": "Kagera"}, {"code": "TZ-06", "name": "Kaskazini Pemba (Pemba North)"}, {"code": "TZ-07", "name": "Kaskazini Unguja (Zanzibar North)"}, {"code": "TZ-08", "name": "Kigoma"}, {"code": "TZ-09", "name": "Kilimanjaro"}, {"code": "TZ-10", "name": "Kusini Pemba (Pemba South)"}, {"code": "TZ-11", "name": "Kusini Unguja (Zanzibar South)"}, {"code": "TZ-12", "name": "Lindi"}, {"code": "TZ-13", "name": "Mara"}, {"code": "TZ-14", "name": "Mbeya"}, {"code": "TZ-15", "name": "Mjini Magharibi (Zanzibar West)"}, {"code": "TZ-16", "name": "Morogoro"}, {"code": "TZ-17", "name": "Mtwara"}, {"code": "TZ-18", "name": "Mwanza (Tanzania)"}, {"code": "TZ-19", "name": "Pwani (Coast)"}, {"code": "TZ-20", "name": "Rukwa"}, {"code": "TZ-21", "name": "Ruvuma"}, {"code": "TZ-22", "name": "Shinyanga"}, {"code": "TZ-23", "name": "Singida"}, {"code": "TZ-24", "name": "Tabora"}, {"code": "TZ-25", "name": "Tanga"}, {"code": "TH-10", "name": "Krung Thep Maha Nakhon [Bangkok]"}, {"code": "TH-S", "name": "Phatthaya"}, {"code": "TH-37", "name": "Amnat Charoen"}, {"code": "TH-15", "name": "Ang Thong"}, {"code": "TH-31", "name": "Buri Ram"}, {"code": "TH-24", "name": "Chachoengsao"}, {"code": "TH-18", "name": "Chai Nat"}, {"code": "TH-36", "name": "Chaiyaphum"}, {"code": "TH-22", "name": "Chanthaburi"}, {"code": "TH-50", "name": "Chiang Mai"}, {"code": "TH-57", "name": "Chiang Rai"}, {"code": "TH-20", "name": "Chon Buri"}, {"code": "TH-86", "name": "Chumphon"}, {"code": "TH-46", "name": "Kalasin"}, {"code": "TH-62", "name": "Kamphaeng Phet"}, {"code": "TH-71", "name": "Kanchanaburi"}, {"code": "TH-40", "name": "Khon Kaen"}, {"code": "TH-81", "name": "Krabi"}, {"code": "TH-52", "name": "Lampang"}, {"code": "TH-51", "name": "Lamphun"}, {"code": "TH-42", "name": "Loei"}, {"code": "TH-16", "name": "Lop Buri"}, {"code": "TH-58", "name": "Mae Hong Son"}, {"code": "TH-44", "name": "Maha Sarakham"}, {"code": "TH-49", "name": "Mukdahan"}, {"code": "TH-26", "name": "Nakhon Nayok"}, {"code": "TH-73", "name": "Nakhon Pathom"}, {"code": "TH-48", "name": "Nakhon Phanom"}, {"code": "TH-30", "name": "Nakhon Ratchasima"}, {"code": "TH-60", "name": "Nakhon Sawan"}, {"code": "TH-80", "name": "Nakhon Si Thammarat"}, {"code": "TH-55", "name": "Nan"}, {"code": "TH-96", "name": "Narathiwat"}, {"code": "TH-39", "name": "Nong Bua Lam Phu"}, {"code": "TH-43", "name": "Nong Khai"}, {"code": "TH-12", "name": "Nonthaburi"}, {"code": "TH-13", "name": "Pathum Thani"}, {"code": "TH-94", "name": "Pattani"}, {"code": "TH-82", "name": "Phangnga"}, {"code": "TH-93", "name": "Phatthalung"}, {"code": "TH-56", "name": "Phayao"}, {"code": "TH-67", "name": "Phetchabun"}, {"code": "TH-76", "name": "Phetchaburi"}, {"code": "TH-66", "name": "Phichit"}, {"code": "TH-65", "name": "Phitsanulok"}, {"code": "TH-54", "name": "Phrae"}, {"code": "TH-14", "name": "Phra Nakhon Si Ayutthaya"}, {"code": "TH-83", "name": "Phuket"}, {"code": "TH-25", "name": "Prachin Buri"}, {"code": "TH-77", "name": "Prachuap Khiri Khan"}, {"code": "TH-85", "name": "Ranong"}, {"code": "TH-70", "name": "Ratchaburi"}, {"code": "TH-21", "name": "Rayong"}, {"code": "TH-45", "name": "Roi Et"}, {"code": "TH-27", "name": "Sa Kaeo"}, {"code": "TH-47", "name": "Sakon Nakhon"}, {"code": "TH-11", "name": "Samut Prakan"}, {"code": "TH-74", "name": "Samut Sakhon"}, {"code": "TH-75", "name": "Samut Songkhram"}, {"code": "TH-19", "name": "Saraburi"}, {"code": "TH-91", "name": "Satun"}, {"code": "TH-17", "name": "Sing Buri"}, {"code": "TH-33", "name": "Si Sa Ket"}, {"code": "TH-90", "name": "Songkhla"}, {"code": "TH-64", "name": "Sukhothai"}, {"code": "TH-72", "name": "Suphan Buri"}, {"code": "TH-84", "name": "Surat Thani"}, {"code": "TH-32", "name": "Surin"}, {"code": "TH-63", "name": "Tak"}, {"code": "TH-92", "name": "Trang"}, {"code": "TH-23", "name": "Trat"}, {"code": "TH-34", "name": "Ubon Ratchathani"}, {"code": "TH-41", "name": "Udon Thani"}, {"code": "TH-61", "name": "Uthai Thani"}, {"code": "TH-53", "name": "Uttaradit"}, {"code": "TH-95", "name": "Yala"}, {"code": "TH-35", "name": "Yasothon"}, {"code": "TG-C", "name": "Centre (Togo)"}, {"code": "TG-K", "name": "Kara"}, {"code": "TG-M", "name": "Maritime (Région)"}, {"code": "TG-P", "name": "Plateaux (Togo)"}, {"code": "TG-S", "name": "Savannes"}, {"code": "TK-TK", "name": "Tokelau"}, {"code": "TO-TO", "name": "Tonga"}, {"code": "TT-CTT", "name": "Couva-Tabaquite-Talparo"}, {"code": "TT-DMN", "name": "Diego Martin"}, {"code": "TT-ETO", "name": "Eastern Tobago"}, {"code": "TT-PED", "name": "Penal-Debe"}, {"code": "TT-PRT", "name": "Princes Town"}, {"code": "TT-RCM", "name": "Rio Claro-Mayaro"}, {"code": "TT-SGE", "name": "Sangre Grande"}, {"code": "TT-SJL", "name": "San Juan-Laventille"}, {"code": "TT-SIP", "name": "Siparia"}, {"code": "TT-TUP", "name": "Tunapuna-Piarco"}, {"code": "TT-WTO", "name": "Western Tobago"}, {"code": "TT-ARI", "name": "Arima"}, {"code": "TT-CHA", "name": "Chaguanas"}, {"code": "TT-PTF", "name": "Point Fortin"}, {"code": "TT-POS", "name": "Port of Spain"}, {"code": "TT-SFO", "name": "San Fernando"}, {"code": "TN-31", "name": "Béja"}, {"code": "TN-13", "name": "Ben Arous"}, {"code": "TN-23", "name": "Bizerte"}, {"code": "TN-81", "name": "Gabès"}, {"code": "TN-71", "name": "Gafsa"}, {"code": "TN-32", "name": "Jendouba"}, {"code": "TN-41", "name": "Kairouan"}, {"code": "TN-42", "name": "Kasserine"}, {"code": "TN-73", "name": "Kebili"}, {"code": "TN-12", "name": "L'Ariana"}, {"code": "TN-33", "name": "Le Kef"}, {"code": "TN-53", "name": "Mahdia"}, {"code": "TN-82", "name": "Medenine"}, {"code": "TN-52", "name": "Monastir"}, {"code": "TN-21", "name": "Nabeul"}, {"code": "TN-61", "name": "Sfax"}, {"code": "TN-43", "name": "Sidi Bouzid"}, {"code": "TN-34", "name": "Siliana"}, {"code": "TN-51", "name": "Sousse"}, {"code": "TN-83", "name": "Tataouine"}, {"code": "TN-72", "name": "Tozeur"}, {"code": "TN-11", "name": "Tunis"}, {"code": "TN-22", "name": "Zaghouan"}, {"code": "TR-01", "name": "Adana"}, {"code": "TR-02", "name": "Adiyaman"}, {"code": "TR-03", "name": "Afyon"}, {"code": "TR-04", "name": "Ağrı"}, {"code": "TR-68", "name": "Aksaray"}, {"code": "TR-05", "name": "Amasya"}, {"code": "TR-06", "name": "Ankara"}, {"code": "TR-07", "name": "Antalya"}, {"code": "TR-75", "name": "Ardahan"}, {"code": "TR-08", "name": "Artvin"}, {"code": "TR-09", "name": "Aydin"}, {"code": "TR-10", "name": "Balıkesir"}, {"code": "TR-74", "name": "Bartın"}, {"code": "TR-72", "name": "Batman"}, {"code": "TR-69", "name": "Bayburt"}, {"code": "TR-11", "name": "Bilecik"}, {"code": "TR-12", "name": "Bingöl"}, {"code": "TR-13", "name": "Bitlis"}, {"code": "TR-14", "name": "Bolu"}, {"code": "TR-15", "name": "Burdur"}, {"code": "TR-16", "name": "Bursa"}, {"code": "TR-17", "name": "Çanakkale"}, {"code": "TR-18", "name": "Çankırı"}, {"code": "TR-19", "name": "Çorum"}, {"code": "TR-20", "name": "Denizli"}, {"code": "TR-21", "name": "Diyarbakır"}, {"code": "TR-22", "name": "Edirne"}, {"code": "TR-23", "name": "Elaziğ"}, {"code": "TR-24", "name": "Erzincan"}, {"code": "TR-25", "name": "Erzurum"}, {"code": "TR-26", "name": "Eskişehir"}, {"code": "TR-27", "name": "Gaziantep"}, {"code": "TR-28", "name": "Giresun"}, {"code": "TR-29", "name": "Gümüşhane"}, {"code": "TR-30", "name": "Hakkari"}, {"code": "TR-31", "name": "Hatay"}, {"code": "TR-76", "name": "Iğdir"}, {"code": "TR-32", "name": "Isparta"}, {"code": "TR-33", "name": "İçel"}, {"code": "TR-34", "name": "İstanbul"}, {"code": "TR-35", "name": "İzmir"}, {"code": "TR-46", "name": "Kahramanmaraş"}, {"code": "TR-78", "name": "Karabük"}, {"code": "TR-70", "name": "Karaman"}, {"code": "TR-36", "name": "Kars"}, {"code": "TR-37", "name": "Kastamonu"}, {"code": "TR-38", "name": "Kayseri"}, {"code": "TR-71", "name": "Kırıkkale"}, {"code": "TR-39", "name": "Kırklareli"}, {"code": "TR-40", "name": "Kırşehir"}, {"code": "TR-79", "name": "Kilis"}, {"code": "TR-41", "name": "Kocaeli"}, {"code": "TR-42", "name": "Konya"}, {"code": "TR-43", "name": "Kütahya"}, {"code": "TR-44", "name": "Malatya"}, {"code": "TR-4S", "name": "Manisa"}, {"code": "TR-47", "name": "Mardin"}, {"code": "TR-48", "name": "Muğla"}, {"code": "TR-49", "name": "Muş"}, {"code": "TR-SO", "name": "Nevşehir"}, {"code": "TR-51", "name": "Niğde"}, {"code": "TR-52", "name": "Ordu"}, {"code": "TR-53", "name": "Rize"}, {"code": "TR-54", "name": "Sakarya"}, {"code": "TR-SS", "name": "Samsun"}, {"code": "TR-56", "name": "Siirt"}, {"code": "TR-57", "name": "Sinop"}, {"code": "TR-S8", "name": "Sivas"}, {"code": "TR-63", "name": "Şanlıurfa"}, {"code": "TR-73", "name": "Şirnak"}, {"code": "TR-59", "name": "Tekirdağ"}, {"code": "TR-60", "name": "Tokat"}, {"code": "TR-61", "name": "Trabzon"}, {"code": "TR-62", "name": "Tunceli"}, {"code": "TR-64", "name": "Uşak"}, {"code": "TR-65", "name": "Van"}, {"code": "TR-77", "name": "Yalova"}, {"code": "TR-66", "name": "Yozgat"}, {"code": "TR-67", "name": "Zonguldak"}, {"code": "TM-A", "name": "Ahal"}, {"code": "TM-B", "name": "Balkan"}, {"code": "TM-D", "name": "Daşhowuz"}, {"code": "TM-L", "name": "Lebap"}, {"code": "TM-M", "name": "Mary"}, {"code": "TC-TC", "name": "Turks & Caicos Islands"}, {"code": "TV-TV", "name": "Tuvalu"}, {"code": "UG-APA", "name": "Apac"}, {"code": "UG-ARU", "name": "Arua"}, {"code": "UG-BUN", "name": "Bundibugyo"}, {"code": "UG-BUS", "name": "Bushenyi"}, {"code": "UG-GUL", "name": "Gulu"}, {"code": "UG-HOI", "name": "Hoima"}, {"code": "UG-IGA", "name": "Iganga"}, {"code": "UG-JIN", "name": "Jinja"}, {"code": "UG-KBL", "name": "Kabale"}, {"code": "UG-KBR", "name": "Kabarole"}, {"code": "UG-KLG", "name": "Kalangala"}, {"code": "UG-KLA", "name": "Kampala"}, {"code": "UG-KLI", "name": "Kamuli"}, {"code": "UG-KAP", "name": "Kapchorwa"}, {"code": "UG-KAS", "name": "Kasese"}, {"code": "UG-KLE", "name": "Kibaale"}, {"code": "UG-KIB", "name": "Kiboga"}, {"code": "UG-KIS", "name": "Kisoro"}, {"code": "UG-KIT", "name": "Kitgum"}, {"code": "UG-KOT", "name": "Kotido"}, {"code": "UG-KUM", "name": "Kumi"}, {"code": "UG-LIR", "name": "Lira"}, {"code": "UG-LUW", "name": "Luwero"}, {"code": "UG-MSK", "name": "Masaka"}, {"code": "UG-MSI", "name": "Masindi"}, {"code": "UG-MBL", "name": "Mbale"}, {"code": "UG-MBR", "name": "Mbarara"}, {"code": "UG-MOR", "name": "Moroto"}, {"code": "UG-MOY", "name": "Moyo"}, {"code": "UG-MPI", "name": "Mpigi"}, {"code": "UG-MUB", "name": "Mubende"}, {"code": "UG-MUK", "name": "Mukono"}, {"code": "UG-NEB", "name": "Nebbi"}, {"code": "UG-NTU", "name": "Ntungamo"}, {"code": "UG-PAL", "name": "Pallisa"}, {"code": "UG-RAK", "name": "Rakai"}, {"code": "UG-RUK", "name": "Rukungiri"}, {"code": "UG-SOR", "name": "Soroti"}, {"code": "UG-TOR", "name": "Tororo"}, {"code": "UA-71", "name": "Cherkas'ka Oblast'"}, {"code": "UA-74", "name": "Chernihivs'ka Oblast'"}, {"code": "UA-77", "name": "Chernivets'ka Oblast'"}, {"code": "UA-12", "name": "Dnipropetrovs'ka Oblast'"}, {"code": "UA-14", "name": "Donets'ka Oblast'"}, {"code": "UA-26", "name": "Ivano-Frankivs'ka Oblast'"}, {"code": "UA-63", "name": "Kharkivs'ka Oblast'"}, {"code": "UA-65", "name": "Khersons'ka Oblast'"}, {"code": "UA-68", "name": "Khmel'nyts'ka Oblast'"}, {"code": "UA-35", "name": "Kirovohrads'ka Oblast'"}, {"code": "UA-32", "name": "Kyïvs'ka Oblast'"}, {"code": "UA-09", "name": "Luhans'ka Oblast'"}, {"code": "UA-46", "name": "L'vivs'ka Oblast'"}, {"code": "UA-48", "name": "Mykolaïvs'ka Oblast'"}, {"code": "UA-51", "name": "Odes'ka Oblast'"}, {"code": "UA-53", "name": "Poltavs'ka Oblast'"}, {"code": "UA-56", "name": "Rivnens'ka Oblast'"}, {"code": "UA-59", "name": "Sums'ka Oblast'"}, {"code": "UA-61", "name": "Ternopil's'ka Oblast'"}, {"code": "UA-05", "name": "Vinnyts'ka Oblast'"}, {"code": "UA-07", "name": "Volyns'ka Oblast'"}, {"code": "UA-21", "name": "Zakarpats'ka Oblast'"}, {"code": "UA-23", "name": "Zaporiz'ka Oblast'"}, {"code": "UA-18", "name": "Zhytomyrs'ka Oblast'"}, {"code": "UA-43", "name": "Respublika Krym"}, {"code": "UA-30", "name": "Kyïv"}, {"code": "UA-40", "name": "Sevastopol'"}, {"code": "AE-AZ", "name": "Abū Zaby (Abu Dhabi)"}, {"code": "AE-AJ", "name": "‘Ajmān"}, {"code": "AE-FU", "name": "Al Fujayrah"}, {"code": "AE-SH", "name": "Ash Shāriqah (Sharjah)"}, {"code": "AE-DU", "name": "Dubayy (Dubai)"}, {"code": "AE-RK", "name": "R'as al Khaymah"}, {"code": "AE-UQ", "name": "Umm al Qaywayn"}, {"code": "US-AL", "name": "Alabama"}, {"code": "US-AK", "name": "Alaska"}, {"code": "US-AZ", "name": "Arizona"}, {"code": "US-AR", "name": "Arkansas"}, {"code": "US-CA", "name": "California"}, {"code": "US-CO", "name": "Colorado"}, {"code": "US-CT", "name": "Connecticut"}, {"code": "US-DE", "name": "Delaware"}, {"code": "US-FL", "name": "Florida (United States)"}, {"code": "US-GA", "name": "Georgia"}, {"code": "US-HI", "name": "Hawaii"}, {"code": "US-ID", "name": "Idaho"}, {"code": "US-IL", "name": "Illinois"}, {"code": "US-IN", "name": "Indiana"}, {"code": "US-IA", "name": "Iowa"}, {"code": "US-KS", "name": "Kansas"}, {"code": "US-KY", "name": "Kentucky"}, {"code": "US-LA", "name": "Louisiana"}, {"code": "US-ME", "name": "Maine"}, {"code": "US-MD", "name": "Maryland (United States)"}, {"code": "US-MA", "name": "Massachusetts"}, {"code": "US-MI", "name": "Michigan"}, {"code": "US-MN", "name": "Minnesota"}, {"code": "US-MS", "name": "Mississippi"}, {"code": "US-MO", "name": "Missouri"}, {"code": "US-MT", "name": "Montana (United States)"}, {"code": "US-NE", "name": "Nebraska"}, {"code": "US-NV", "name": "Nevada"}, {"code": "US-NH", "name": "New Hampshire"}, {"code": "US-NJ", "name": "New Jersey"}, {"code": "US-NM", "name": "New Mexico"}, {"code": "US-NY", "name": "New York"}, {"code": "US-NC", "name": "North Carolina"}, {"code": "US-ND", "name": "North Dakota"}, {"code": "US-OH", "name": "Ohio"}, {"code": "US-OK", "name": "Oklahoma"}, {"code": "US-OR", "name": "Oregon"}, {"code": "US-PA", "name": "Pennsylvania"}, {"code": "US-RI", "name": "Rhode Island"}, {"code": "US-SC", "name": "South Carolina"}, {"code": "US-SD", "name": "South Dakota"}, {"code": "US-TN", "name": "Tennessee"}, {"code": "US-TX", "name": "Texas"}, {"code": "US-UT", "name": "Utah"}, {"code": "US-VT", "name": "Vermont"}, {"code": "US-VA", "name": "Virginia"}, {"code": "US-WA", "name": "Washington"}, {"code": "US-WV", "name": "West Virginia"}, {"code": "US-WI", "name": "Wisconsin"}, {"code": "US-WY", "name": "Wyoming"}, {"code": "US-DC", "name": "District of Columbia"}, {"code": "US-AS", "name": "American Samoa (United States)"}, {"code": "US-GU", "name": "Guam (United States)"}, {"code": "US-MP", "name": "Northern Mariana Islands (United States)"}, {"code": "US-PR", "name": "Puerto Rico (United States)"}, {"code": "US-UM", "name": "United States Minor Outlying Islands"}, {"code": "US-VI", "name": "Virgin Islands, U.S."}, {"code": "UY-AR", "name": "Artigas"}, {"code": "UY-CA", "name": "Canelones"}, {"code": "UY-CL", "name": "Cerro Largo"}, {"code": "UY-CO", "name": "Colonia"}, {"code": "UY-DU", "name": "Durazno"}, {"code": "UY-FS", "name": "Flores"}, {"code": "UY-FD", "name": "Florida (Uruguay)"}, {"code": "UY-LA", "name": "Lavalleja"}, {"code": "UY-MA", "name": "Maldonado"}, {"code": "UY-MO", "name": "Montevideo"}, {"code": "UY-PA", "name": "Paysandú"}, {"code": "UY-RN", "name": "Río Negro (Uruguay)"}, {"code": "UY-RV", "name": "Rivera"}, {"code": "UY-RO", "name": "Rocha"}, {"code": "UY-SA", "name": "Salto"}, {"code": "UY-SJ", "name": "San José (Uruguay)"}, {"code": "UY-SO", "name": "Soriano"}, {"code": "UY-TA", "name": "Tacuarembó"}, {"code": "UY-TT", "name": "Treinta y Tres"}, {"code": "UZ-QR", "name": "Qoraqalpoghiston Respublikasi (Karakalpakstan, Respublika)"}, {"code": "UZ-AN", "name": "Andijon (Andizhan)"}, {"code": "UZ-BU", "name": "Bukhoro (Bukhara)"}, {"code": "UZ-FA", "name": "Farghona (Fergana)"}, {"code": "UZ-JI", "name": "Jizzakh (Dzhizak)"}, {"code": "UZ-KH", "name": "Khorazm (Khorezm)"}, {"code": "UZ-NG", "name": "Namangan"}, {"code": "UZ-NW", "name": "Nawoiy (Navoi)"}, {"code": "UZ-QA", "name": "Qashqadaryo (Kashkadar'ya)"}, {"code": "UZ-SA", "name": "Samarqand (Samarkand)"}, {"code": "UZ-SI", "name": "Sirdaryo (Syrdar'ya)"}, {"code": "UZ-SU", "name": "Surkhondaryo (Surkhandar'ya)"}, {"code": "UZ-TO", "name": "Toshkent (Tashkent)"}, {"code": "VU-MAP", "name": "Malampa"}, {"code": "VU-PAM", "name": "Pénama"}, {"code": "VU-SAM", "name": "Sanma"}, {"code": "VU-SEE", "name": "Shéfa"}, {"code": "VU-TAE", "name": "Taféa"}, {"code": "VU-TOB", "name": "Torba"}, {"code": "VE-A", "name": "Distrito Federal (Venezuela)"}, {"code": "VE-B", "name": "Anzoátegui"}, {"code": "VE-C", "name": "Apure"}, {"code": "VE-D", "name": "Aragua"}, {"code": "VE-E", "name": "Barinas"}, {"code": "VE-F", "name": "Bolívar (Venezuela)"}, {"code": "VE-G", "name": "Carabobo"}, {"code": "VE-H", "name": "Cojedes"}, {"code": "VE-I", "name": "Falcón"}, {"code": "VE-J", "name": "Guárico"}, {"code": "VE-K", "name": "Lara"}, {"code": "VE-L", "name": "Mérida"}, {"code": "VE-M", "name": "Miranda"}, {"code": "VE-N", "name": "Monagas"}, {"code": "VE-O", "name": "Nueva Esparta"}, {"code": "VE-P", "name": "Portuguesa"}, {"code": "VE-R", "name": "Sucre (Venezuela)"}, {"code": "VE-S", "name": "Táchira"}, {"code": "VE-T", "name": "Trujillo"}, {"code": "VE-U", "name": "Yaracuy"}, {"code": "VE-V", "name": "Zulia"}, {"code": "VE-Z", "name": "Amazonas (Venezuela)"}, {"code": "VE-Y", "name": "Delta Amacuro"}, {"code": "VE-W", "name": "Dependencias Federales"}, {"code": "VN-44", "name": "An Giang"}, {"code": "VN-53", "name": "Bat Can"}, {"code": "VN-54", "name": "Bat Giang"}, {"code": "VN-55", "name": "Bat Lieu"}, {"code": "VN-56", "name": "Bat Ninh"}, {"code": "VN-43", "name": "Ba Ria - Vung Tau"}, {"code": "VN-50", "name": "Ben Tre"}, {"code": "VN-31", "name": "Binh Dinh"}, {"code": "VN-57", "name": "Binh Duong"}, {"code": "VN-58", "name": "Binh Phuoc"}, {"code": "VN-40", "name": "Binh Thuan"}, {"code": "VN-59", "name": "Ca Mau"}, {"code": "VN-48", "name": "Can Tho"}, {"code": "VN-04", "name": "Cao Bang"}, {"code": "VN-33", "name": "Dac Lac"}, {"code": "VN-60", "name": "Da Nang, thanh pho"}, {"code": "VN-39", "name": "Dong Nai"}, {"code": "VN-45", "name": "Dong Thap"}, {"code": "VN-30", "name": "Gia Lai"}, {"code": "VN-03", "name": "Ha Giang"}, {"code": "VN-61", "name": "Hai Duong"}, {"code": "VN-62", "name": "Hai Phong, thanh pho"}, {"code": "VN-63", "name": "Ha Nam"}, {"code": "VN-64", "name": "Ha Noi, thu do"}, {"code": "VN-15", "name": "Ha Tay"}, {"code": "VN-23", "name": "Ha Tinh"}, {"code": "VN-14", "name": "Hoa Binh"}, {"code": "VN-65", "name": "Ho Chi Minh, thanh po [Sai Gon]"}, {"code": "VN-66", "name": "Hung Yen"}, {"code": "VN-34", "name": "Khanh Hoa"}, {"code": "VN-47", "name": "Kien Giang"}, {"code": "VN-28", "name": "Kon Turn"}, {"code": "VN-01", "name": "Lai Chau"}, {"code": "VN-35", "name": "Lam Dong"}, {"code": "VN-09", "name": "Lang Son"}, {"code": "VN-02", "name": "Lao Cai"}, {"code": "VN-41", "name": "Long An"}, {"code": "VN-67", "name": "Nam Dinh"}, {"code": "VN-22", "name": "Nghe An"}, {"code": "VN-18", "name": "Ninh Binh"}, {"code": "VN-36", "name": "Ninh Thuan"}, {"code": "VN-68", "name": "Phu Tho"}, {"code": "VN-32", "name": "Phu Yen"}, {"code": "VN-24", "name": "Quang Ninh"}, {"code": "VN-27", "name": "Quang Nam"}, {"code": "VN-29", "name": "Quang Ngai"}, {"code": "VN-25", "name": "Quang Tri"}, {"code": "VN-52", "name": "Sec Trang"}, {"code": "VN-05", "name": "Son La"}, {"code": "VN-37", "name": "Tay Ninh"}, {"code": "VN-20", "name": "Thai Binh"}, {"code": "VN-69", "name": "Thai Nguyen"}, {"code": "VN-21", "name": "Thanh Hoa"}, {"code": "VN-26", "name": "Thua Thien-Hue"}, {"code": "VN-46", "name": "Tien Giang"}, {"code": "VN-51", "name": "Tra Vinh"}, {"code": "VN-07", "name": "Tuyen Quang"}, {"code": "VN-49", "name": "Vinh Long"}, {"code": "VN-70", "name": "Vinh Yen"}, {"code": "VN-06", "name": "Yen Bai"}, {"code": "VG-VG", "name": "Virgin Islands (British)"}, {"code": "VI-VI", "name": "Virgin Islands (U.S.)"}, {"code": "WF-WF", "name": "Wallis & Futuna Islands"}, {"code": "EH-EH", "name": "Western Sahara"}, {"code": "YE-AB", "name": "Abyān"}, {"code": "YE-AD", "name": "‘Adan"}, {"code": "YE-BA", "name": "Al Bayḑā'"}, {"code": "YE-HU", "name": "Al Ḩudaydah"}, {"code": "YE-JA", "name": "Al Jawf (Yemen)"}, {"code": "YE-MR", "name": "Al Mahrah"}, {"code": "YE-MW", "name": "Al Maḩwit"}, {"code": "YE-DH", "name": "Dhamār"}, {"code": "YE-HD", "name": "Ḩaḑramawt"}, {"code": "YE-HJ", "name": "Ḩajjah"}, {"code": "YE-IB", "name": "Ibb"}, {"code": "YE-LA", "name": "Laḩij"}, {"code": "YE-MA", "name": "Ma'rib"}, {"code": "YE-SD", "name": "Şa'dah"}, {"code": "YE-SN", "name": "Şan‘ā'"}, {"code": "YE-SH", "name": "Shabwah"}, {"code": "YE-TA", "name": "Ta‘izz"}, {"code": "YU-CG", "name": "Crna Gora"}, {"code": "YU-SR", "name": "Srbija"}, {"code": "YU-KM", "name": "Kosovo-Metohija"}, {"code": "YU-VO", "name": "Vojvodina"}, {"code": "ZM-02", "name": "Central (Zambia)"}, {"code": "ZM-08", "name": "Copperbelt"}, {"code": "ZM-03", "name": "Eastern (Zambia)"}, {"code": "ZM-04", "name": "Luapula"}, {"code": "ZM-09", "name": "Lusaka"}, {"code": "ZM-05", "name": "Northern (Zambia)"}, {"code": "ZM-06", "name": "North-Western"}, {"code": "ZM-07", "name": "Southern (Zambia)"}, {"code": "ZM-01", "name": "Western (Zambia)"}, {"code": "ZW-BU", "name": "Bulawayo"}, {"code": "ZW-HA", "name": "Harare"}, {"code": "ZW-MA", "name": "Manicaland"}, {"code": "ZW-MC", "name": "Mashonaland Central"}, {"code": "ZW-ME", "name": "Mashonaland East"}, {"code": "ZW-MW", "name": "Mashonaland West"}, {"code": "ZW-MV", "name": "Masvingo"}, {"code": "ZW-MN", "name": "Matabeleland North"}, {"code": "ZW-MS", "name": "Matabeleland South"}, {"code": "ZW-MI", "name": "Midlands"} ];
  const countries = [{"name": "Afghanistan", "code": "AF"}, {"name": "Albania", "code": "AL"}, {"name": "Algeria", "code": "DZ"}, {"name": "American Samoa", "code": "AS"}, {"name": "AndorrA", "code": "AD"}, {"name": "Angola", "code": "AO"}, {"name": "Anguilla", "code": "AI"}, {"name": "Antarctica", "code": "AQ"}, {"name": "Antigua and Barbuda", "code": "AG"}, {"name": "Argentina", "code": "AR"}, {"name": "Armenia", "code": "AM"}, {"name": "Aruba", "code": "AW"}, {"name": "Australia", "code": "AU"}, {"name": "Austria", "code": "AT"}, {"name": "Azerbaijan", "code": "AZ"}, {"name": "Bahamas", "code": "BS"}, {"name": "Bahrain", "code": "BH"}, {"name": "Bangladesh", "code": "BD"}, {"name": "Barbados", "code": "BB"}, {"name": "Belarus", "code": "BY"}, {"name": "Belgium", "code": "BE"}, {"name": "Belize", "code": "BZ"}, {"name": "Benin", "code": "BJ"}, {"name": "Bermuda", "code": "BM"}, {"name": "Bhutan", "code": "BT"}, {"name": "Bolivia", "code": "BO"}, {"name": "Bosnia and Herzegovina", "code": "BA"}, {"name": "Botswana", "code": "BW"}, {"name": "Bouvet Island", "code": "BV"}, {"name": "Brazil", "code": "BR"}, {"name": "British Indian Ocean Territory", "code": "IO"}, {"name": "Brunei Darussalam", "code": "BN"}, {"name": "Bulgaria", "code": "BG"}, {"name": "Burkina Faso", "code": "BF"}, {"name": "Burundi", "code": "BI"}, {"name": "Cambodia", "code": "KH"}, {"name": "Cameroon", "code": "CM"}, {"name": "Canada", "code": "CA"}, {"name": "Cape Verde", "code": "CV"}, {"name": "Cayman Islands", "code": "KY"}, {"name": "Central African Republic", "code": "CF"}, {"name": "Chad", "code": "TD"}, {"name": "Chile", "code": "CL"}, {"name": "China", "code": "CN"}, {"name": "Christmas Island", "code": "CX"}, {"name": "Cocos (Keeling) Islands", "code": "CC"}, {"name": "Colombia", "code": "CO"}, {"name": "Comoros", "code": "KM"}, {"name": "Congo", "code": "CG"}, {"name": "Congo, The Democratic Republic of the", "code": "CD"}, {"name": "Cook Islands", "code": "CK"}, {"name": "Costa Rica", "code": "CR"}, {"name": "Cote D\"Ivoire", "code": "CI"}, {"name": "Croatia", "code": "HR"}, {"name": "Cuba", "code": "CU"}, {"name": "Cyprus", "code": "CY"}, {"name": "Czech Republic", "code": "CZ"}, {"name": "Denmark", "code": "DK"}, {"name": "Djibouti", "code": "DJ"}, {"name": "Dominica", "code": "DM"}, {"name": "Dominican Republic", "code": "DO"}, {"name": "Ecuador", "code": "EC"}, {"name": "Egypt", "code": "EG"}, {"name": "El Salvador", "code": "SV"}, {"name": "Equatorial Guinea", "code": "GQ"}, {"name": "Eritrea", "code": "ER"}, {"name": "Estonia", "code": "EE"}, {"name": "Ethiopia", "code": "ET"}, {"name": "Falkland Islands (Malvinas)", "code": "FK"}, {"name": "Faroe Islands", "code": "FO"}, {"name": "Fiji", "code": "FJ"}, {"name": "Finland", "code": "FI"}, {"name": "France", "code": "FR"}, {"name": "French Guiana", "code": "GF"}, {"name": "French Polynesia", "code": "PF"}, {"name": "French Southern Territories", "code": "TF"}, {"name": "Gabon", "code": "GA"}, {"name": "Gambia", "code": "GM"}, {"name": "Georgia", "code": "GE"}, {"name": "Germany", "code": "DE"}, {"name": "Ghana", "code": "GH"}, {"name": "Gibraltar", "code": "GI"}, {"name": "Greece", "code": "GR"}, {"name": "Greenland", "code": "GL"}, {"name": "Grenada", "code": "GD"}, {"name": "Guadeloupe", "code": "GP"}, {"name": "Guam", "code": "GU"}, {"name": "Guatemala", "code": "GT"}, {"name": "Guernsey", "code": "GG"}, {"name": "Guinea", "code": "GN"}, {"name": "Guinea-Bissau", "code": "GW"}, {"name": "Guyana", "code": "GY"}, {"name": "Haiti", "code": "HT"}, {"name": "Heard Island and Mcdonald Islands", "code": "HM"}, {"name": "Holy See (Vatican City State)", "code": "VA"}, {"name": "Honduras", "code": "HN"}, {"name": "Hong Kong", "code": "HK"}, {"name": "Hungary", "code": "HU"}, {"name": "Iceland", "code": "IS"}, {"name": "India", "code": "IN"}, {"name": "Indonesia", "code": "ID"}, {"name": "Iran, Islamic Republic Of", "code": "IR"}, {"name": "Iraq", "code": "IQ"}, {"name": "Ireland", "code": "IE"}, {"name": "Isle of Man", "code": "IM"}, {"name": "Israel", "code": "IL"}, {"name": "Italy", "code": "IT"}, {"name": "Jamaica", "code": "JM"}, {"name": "Japan", "code": "JP"}, {"name": "Jersey", "code": "JE"}, {"name": "Jordan", "code": "JO"}, {"name": "Kazakhstan", "code": "KZ"}, {"name": "Kenya", "code": "KE"}, {"name": "Kiribati", "code": "KI"}, {"name": "Korea, Democratic People\"S Republic of", "code": "KP"}, {"name": "Korea, Republic of", "code": "KR"}, {"name": "Kuwait", "code": "KW"}, {"name": "Kyrgyzstan", "code": "KG"}, {"name": "Lao People\"S Democratic Republic", "code": "LA"}, {"name": "Latvia", "code": "LV"}, {"name": "Lebanon", "code": "LB"}, {"name": "Lesotho", "code": "LS"}, {"name": "Liberia", "code": "LR"}, {"name": "Libyan Arab Jamahiriya", "code": "LY"}, {"name": "Liechtenstein", "code": "LI"}, {"name": "Lithuania", "code": "LT"}, {"name": "Luxembourg", "code": "LU"}, {"name": "Macao", "code": "MO"}, {"name": "Macedonia, The Former Yugoslav Republic of", "code": "MK"}, {"name": "Madagascar", "code": "MG"}, {"name": "Malawi", "code": "MW"}, {"name": "Malaysia", "code": "MY"}, {"name": "Maldives", "code": "MV"}, {"name": "Mali", "code": "ML"}, {"name": "Malta", "code": "MT"}, {"name": "Marshall Islands", "code": "MH"}, {"name": "Martinique", "code": "MQ"}, {"name": "Mauritania", "code": "MR"}, {"name": "Mauritius", "code": "MU"}, {"name": "Mayotte", "code": "YT"}, {"name": "Mexico", "code": "MX"}, {"name": "Micronesia, Federated States of", "code": "FM"}, {"name": "Moldova, Republic of", "code": "MD"}, {"name": "Monaco", "code": "MC"}, {"name": "Mongolia", "code": "MN"}, {"name": "Montserrat", "code": "MS"}, {"name": "Morocco", "code": "MA"}, {"name": "Mozambique", "code": "MZ"}, {"name": "Myanmar", "code": "MM"}, {"name": "Namibia", "code": "NA"}, {"name": "Nauru", "code": "NR"}, {"name": "Nepal", "code": "NP"}, {"name": "Netherlands", "code": "NL"}, {"name": "Netherlands Antilles", "code": "AN"}, {"name": "New Caledonia", "code": "NC"}, {"name": "New Zealand", "code": "NZ"}, {"name": "Nicaragua", "code": "NI"}, {"name": "Niger", "code": "NE"}, {"name": "Nigeria", "code": "NG"}, {"name": "Niue", "code": "NU"}, {"name": "Norfolk Island", "code": "NF"}, {"name": "Northern Mariana Islands", "code": "MP"}, {"name": "Norway", "code": "NO"}, {"name": "Oman", "code": "OM"}, {"name": "Pakistan", "code": "PK"}, {"name": "Palau", "code": "PW"}, {"name": "Palestinian Territory, Occupied", "code": "PS"}, {"name": "Panama", "code": "PA"}, {"name": "Papua New Guinea", "code": "PG"}, {"name": "Paraguay", "code": "PY"}, {"name": "Peru", "code": "PE"}, {"name": "Philippines", "code": "PH"}, {"name": "Pitcairn", "code": "PN"}, {"name": "Poland", "code": "PL"}, {"name": "Portugal", "code": "PT"}, {"name": "Puerto Rico", "code": "PR"}, {"name": "Qatar", "code": "QA"}, {"name": "Reunion", "code": "RE"}, {"name": "Romania", "code": "RO"}, {"name": "Russian Federation", "code": "RU"}, {"name": "RWANDA", "code": "RW"}, {"name": "Saint Helena", "code": "SH"}, {"name": "Saint Kitts and Nevis", "code": "KN"}, {"name": "Saint Lucia", "code": "LC"}, {"name": "Saint Pierre and Miquelon", "code": "PM"}, {"name": "Saint Vincent and the Grenadines", "code": "VC"}, {"name": "Samoa", "code": "WS"}, {"name": "San Marino", "code": "SM"}, {"name": "Sao Tome and Principe", "code": "ST"}, {"name": "Saudi Arabia", "code": "SA"}, {"name": "Senegal", "code": "SN"}, {"name": "Serbia and Montenegro", "code": "CS"}, {"name": "Seychelles", "code": "SC"}, {"name": "Sierra Leone", "code": "SL"}, {"name": "Singapore", "code": "SG"}, {"name": "Slovakia", "code": "SK"}, {"name": "Slovenia", "code": "SI"}, {"name": "Solomon Islands", "code": "SB"}, {"name": "Somalia", "code": "SO"}, {"name": "South Africa", "code": "ZA"}, {"name": "South Georgia and the South Sandwich Islands", "code": "GS"}, {"name": "Spain", "code": "ES"}, {"name": "Sri Lanka", "code": "LK"}, {"name": "Sudan", "code": "SD"}, {"name": "Suri", "code": "SR"}, {"name": "Svalbard and Jan Mayen", "code": "SJ"}, {"name": "Swaziland", "code": "SZ"}, {"name": "Sweden", "code": "SE"}, {"name": "Switzerland", "code": "CH"}, {"name": "Syrian Arab Republic", "code": "SY"}, {"name": "Taiwan, Province of China", "code": "TW"}, {"name": "Tajikistan", "code": "TJ"}, {"name": "Tanzania, United Republic of", "code": "TZ"}, {"name": "Thailand", "code": "TH"}, {"name": "Timor-Leste", "code": "TL"}, {"name": "Togo", "code": "TG"}, {"name": "Tokelau", "code": "TK"}, {"name": "Tonga", "code": "TO"}, {"name": "Trinidad and Tobago", "code": "TT"}, {"name": "Tunisia", "code": "TN"}, {"name": "Turkey", "code": "TR"}, {"name": "Turkmenistan", "code": "TM"}, {"name": "Turks and Caicos Islands", "code": "TC"}, {"name": "Tuvalu", "code": "TV"}, {"name": "Uganda", "code": "UG"}, {"name": "Ukraine", "code": "UA"}, {"name": "United Arab Emirates", "code": "AE"}, {"name": "United Kingdom", "code": "GB"}, {"name": "United States", "code": "US"}, {"name": "United States Minor Outlying Islands", "code": "UM"}, {"name": "Uruguay", "code": "UY"}, {"name": "Uzbekistan", "code": "UZ"}, {"name": "Vanuatu", "code": "VU"}, {"name": "Venezuela", "code": "VE"}, {"name": "Viet Nam", "code": "VN"}, {"name": "Virgin Islands, British", "code": "VG"}, {"name": "Virgin Islands, U.S.", "code": "VI"}, {"name": "Wallis and Futuna", "code": "WF"}, {"name": "Western Sahara", "code": "EH"}, {"name": "Yemen", "code": "YE"}, {"name": "Zambia", "code": "ZM"}, {"name": "Zimbabwe", "code": "ZW"} ];
  const timezones = [{"value":"Dateline Standard Time","abbr":"DST","offset":-12,"isdst":false,"text":"(UTC-12:00) International Date Line West","utc":["Etc/GMT+12"]},{"value":"UTC-11","abbr":"U","offset":-11,"isdst":false,"text":"(UTC-11:00) Coordinated Universal Time-11","utc":["Etc/GMT+11","Pacific/Midway","Pacific/Niue","Pacific/Pago_Pago"]},{"value":"Hawaiian Standard Time","abbr":"HST","offset":-10,"isdst":false,"text":"(UTC-10:00) Hawaii","utc":["Etc/GMT+10","Pacific/Honolulu","Pacific/Johnston","Pacific/Rarotonga","Pacific/Tahiti"]},{"value":"Alaskan Standard Time","abbr":"AKDT","offset":-8,"isdst":true,"text":"(UTC-09:00) Alaska","utc":["America/Anchorage","America/Juneau","America/Nome","America/Sitka","America/Yakutat"]},{"value":"Pacific Standard Time (Mexico)","abbr":"PDT","offset":-7,"isdst":true,"text":"(UTC-08:00) Baja California","utc":["America/Santa_Isabel"]},{"value":"Pacific Standard Time","abbr":"PDT","offset":-7,"isdst":true,"text":"(UTC-08:00) Pacific Time (US & Canada)","utc":["America/Dawson","America/Los_Angeles","America/Tijuana","America/Vancouver","America/Whitehorse","PST8PDT"]},{"value":"US Mountain Standard Time","abbr":"UMST","offset":-7,"isdst":false,"text":"(UTC-07:00) Arizona","utc":["America/Creston","America/Dawson_Creek","America/Hermosillo","America/Phoenix","Etc/GMT+7"]},{"value":"Mountain Standard Time (Mexico)","abbr":"MDT","offset":-6,"isdst":true,"text":"(UTC-07:00) Chihuahua, La Paz, Mazatlan","utc":["America/Chihuahua","America/Mazatlan"]},{"value":"Mountain Standard Time","abbr":"MDT","offset":-6,"isdst":true,"text":"(UTC-07:00) Mountain Time (US & Canada)","utc":["America/Boise","America/Cambridge_Bay","America/Denver","America/Edmonton","America/Inuvik","America/Ojinaga","America/Yellowknife","MST7MDT"]},{"value":"Central America Standard Time","abbr":"CAST","offset":-6,"isdst":false,"text":"(UTC-06:00) Central America","utc":["America/Belize","America/Costa_Rica","America/El_Salvador","America/Guatemala","America/Managua","America/Tegucigalpa","Etc/GMT+6","Pacific/Galapagos"]},{"value":"Central Standard Time","abbr":"CDT","offset":-5,"isdst":true,"text":"(UTC-06:00) Central Time (US & Canada)","utc":["America/Chicago","America/Indiana/Knox","America/Indiana/Tell_City","America/Matamoros","America/Menominee","America/North_Dakota/Beulah","America/North_Dakota/Center","America/North_Dakota/New_Salem","America/Rainy_River","America/Rankin_Inlet","America/Resolute","America/Winnipeg","CST6CDT"]},{"value":"Central Standard Time (Mexico)","abbr":"CDT","offset":-5,"isdst":true,"text":"(UTC-06:00) Guadalajara, Mexico City, Monterrey","utc":["America/Bahia_Banderas","America/Cancun","America/Merida","America/Mexico_City","America/Monterrey"]},{"value":"Canada Central Standard Time","abbr":"CCST","offset":-6,"isdst":false,"text":"(UTC-06:00) Saskatchewan","utc":["America/Regina","America/Swift_Current"]},{"value":"SA Pacific Standard Time","abbr":"SPST","offset":-5,"isdst":false,"text":"(UTC-05:00) Bogota, Lima, Quito","utc":["America/Bogota","America/Cayman","America/Coral_Harbour","America/Eirunepe","America/Guayaquil","America/Jamaica","America/Lima","America/Panama","America/Rio_Branco","Etc/GMT+5"]},{"value":"Eastern Standard Time","abbr":"EDT","offset":-4,"isdst":true,"text":"(UTC-05:00) Eastern Time (US & Canada)","utc":["America/Detroit","America/Havana","America/Indiana/Petersburg","America/Indiana/Vincennes","America/Indiana/Winamac","America/Iqaluit","America/Kentucky/Monticello","America/Louisville","America/Montreal","America/Nassau","America/New_York","America/Nipigon","America/Pangnirtung","America/Port-au-Prince","America/Thunder_Bay","America/Toronto","EST5EDT"]},{"value":"US Eastern Standard Time","abbr":"UEDT","offset":-4,"isdst":true,"text":"(UTC-05:00) Indiana (East)","utc":["America/Indiana/Marengo","America/Indiana/Vevay","America/Indianapolis"]},{"value":"Venezuela Standard Time","abbr":"VST","offset":-4.5,"isdst":false,"text":"(UTC-04:30) Caracas","utc":["America/Caracas"]},{"value":"Paraguay Standard Time","abbr":"PYT","offset":-4,"isdst":false,"text":"(UTC-04:00) Asuncion","utc":["America/Asuncion"]},{"value":"Atlantic Standard Time","abbr":"ADT","offset":-3,"isdst":true,"text":"(UTC-04:00) Atlantic Time (Canada)","utc":["America/Glace_Bay","America/Goose_Bay","America/Halifax","America/Moncton","America/Thule","Atlantic/Bermuda"]},{"value":"Central Brazilian Standard Time","abbr":"CBST","offset":-4,"isdst":false,"text":"(UTC-04:00) Cuiaba","utc":["America/Campo_Grande","America/Cuiaba"]},{"value":"SA Western Standard Time","abbr":"SWST","offset":-4,"isdst":false,"text":"(UTC-04:00) Georgetown, La Paz, Manaus, San Juan","utc":["America/Anguilla","America/Antigua","America/Aruba","America/Barbados","America/Blanc-Sablon","America/Boa_Vista","America/Curacao","America/Dominica","America/Grand_Turk","America/Grenada","America/Guadeloupe","America/Guyana","America/Kralendijk","America/La_Paz","America/Lower_Princes","America/Manaus","America/Marigot","America/Martinique","America/Montserrat","America/Port_of_Spain","America/Porto_Velho","America/Puerto_Rico","America/Santo_Domingo","America/St_Barthelemy","America/St_Kitts","America/St_Lucia","America/St_Thomas","America/St_Vincent","America/Tortola","Etc/GMT+4"]},{"value":"Pacific SA Standard Time","abbr":"PSST","offset":-4,"isdst":false,"text":"(UTC-04:00) Santiago","utc":["America/Santiago","Antarctica/Palmer"]},{"value":"Newfoundland Standard Time","abbr":"NDT","offset":-2.5,"isdst":true,"text":"(UTC-03:30) Newfoundland","utc":["America/St_Johns"]},{"value":"E. South America Standard Time","abbr":"ESAST","offset":-3,"isdst":false,"text":"(UTC-03:00) Brasilia","utc":["America/Sao_Paulo"]},{"value":"Argentina Standard Time","abbr":"AST","offset":-3,"isdst":false,"text":"(UTC-03:00) Buenos Aires","utc":["America/Argentina/La_Rioja","America/Argentina/Rio_Gallegos","America/Argentina/Salta","America/Argentina/San_Juan","America/Argentina/San_Luis","America/Argentina/Tucuman","America/Argentina/Ushuaia","America/Buenos_Aires","America/Catamarca","America/Cordoba","America/Jujuy","America/Mendoza"]},{"value":"SA Eastern Standard Time","abbr":"SEST","offset":-3,"isdst":false,"text":"(UTC-03:00) Cayenne, Fortaleza","utc":["America/Araguaina","America/Belem","America/Cayenne","America/Fortaleza","America/Maceio","America/Paramaribo","America/Recife","America/Santarem","Antarctica/Rothera","Atlantic/Stanley","Etc/GMT+3"]},{"value":"Greenland Standard Time","abbr":"GDT","offset":-3,"isdst":true,"text":"(UTC-03:00) Greenland","utc":["America/Godthab"]},{"value":"Montevideo Standard Time","abbr":"MST","offset":-3,"isdst":false,"text":"(UTC-03:00) Montevideo","utc":["America/Montevideo"]},{"value":"Bahia Standard Time","abbr":"BST","offset":-3,"isdst":false,"text":"(UTC-03:00) Salvador","utc":["America/Bahia"]},{"value":"UTC-02","abbr":"U","offset":-2,"isdst":false,"text":"(UTC-02:00) Coordinated Universal Time-02","utc":["America/Noronha","Atlantic/South_Georgia","Etc/GMT+2"]},{"value":"Mid-Atlantic Standard Time","abbr":"MDT","offset":-1,"isdst":true,"text":"(UTC-02:00) Mid-Atlantic - Old","utc":[]},{"value":"Azores Standard Time","abbr":"ADT","offset":0,"isdst":true,"text":"(UTC-01:00) Azores","utc":["America/Scoresbysund","Atlantic/Azores"]},{"value":"Cape Verde Standard Time","abbr":"CVST","offset":-1,"isdst":false,"text":"(UTC-01:00) Cape Verde Is.","utc":["Atlantic/Cape_Verde","Etc/GMT+1"]},{"value":"Morocco Standard Time","abbr":"MDT","offset":1,"isdst":true,"text":"(UTC) Casablanca","utc":["Africa/Casablanca","Africa/El_Aaiun"]},{"value":"UTC","abbr":"UTC","offset":0,"isdst":false,"text":"(UTC) Coordinated Universal Time","utc":["America/Danmarkshavn","Etc/GMT"]},{"value":"GMT Standard Time","abbr":"GDT","offset":1,"isdst":true,"text":"(UTC) Dublin, Edinburgh, Lisbon, London","utc":["Atlantic/Canary","Atlantic/Faeroe","Atlantic/Madeira","Europe/Dublin","Europe/Guernsey","Europe/Isle_of_Man","Europe/Jersey","Europe/Lisbon","Europe/London"]},{"value":"Greenwich Standard Time","abbr":"GST","offset":0,"isdst":false,"text":"(UTC) Monrovia, Reykjavik","utc":["Africa/Abidjan","Africa/Accra","Africa/Bamako","Africa/Banjul","Africa/Bissau","Africa/Conakry","Africa/Dakar","Africa/Freetown","Africa/Lome","Africa/Monrovia","Africa/Nouakchott","Africa/Ouagadougou","Africa/Sao_Tome","Atlantic/Reykjavik","Atlantic/St_Helena"]},{"value":"W. Europe Standard Time","abbr":"WEDT","offset":2,"isdst":true,"text":"(UTC+01:00) Amsterdam, Berlin, Bern, Rome, Stockholm, Vienna","utc":["Arctic/Longyearbyen","Europe/Amsterdam","Europe/Andorra","Europe/Berlin","Europe/Busingen","Europe/Gibraltar","Europe/Luxembourg","Europe/Malta","Europe/Monaco","Europe/Oslo","Europe/Rome","Europe/San_Marino","Europe/Stockholm","Europe/Vaduz","Europe/Vatican","Europe/Vienna","Europe/Zurich"]},{"value":"Central Europe Standard Time","abbr":"CEDT","offset":2,"isdst":true,"text":"(UTC+01:00) Belgrade, Bratislava, Budapest, Ljubljana, Prague","utc":["Europe/Belgrade","Europe/Bratislava","Europe/Budapest","Europe/Ljubljana","Europe/Podgorica","Europe/Prague","Europe/Tirane"]},{"value":"Romance Standard Time","abbr":"RDT","offset":2,"isdst":true,"text":"(UTC+01:00) Brussels, Copenhagen, Madrid, Paris","utc":["Africa/Ceuta","Europe/Brussels","Europe/Copenhagen","Europe/Madrid","Europe/Paris"]},{"value":"Central European Standard Time","abbr":"CEDT","offset":2,"isdst":true,"text":"(UTC+01:00) Sarajevo, Skopje, Warsaw, Zagreb","utc":["Europe/Sarajevo","Europe/Skopje","Europe/Warsaw","Europe/Zagreb"]},{"value":"W. Central Africa Standard Time","abbr":"WCAST","offset":1,"isdst":false,"text":"(UTC+01:00) West Central Africa","utc":["Africa/Algiers","Africa/Bangui","Africa/Brazzaville","Africa/Douala","Africa/Kinshasa","Africa/Lagos","Africa/Libreville","Africa/Luanda","Africa/Malabo","Africa/Ndjamena","Africa/Niamey","Africa/Porto-Novo","Africa/Tunis","Etc/GMT-1"]},{"value":"Namibia Standard Time","abbr":"NST","offset":1,"isdst":false,"text":"(UTC+01:00) Windhoek","utc":["Africa/Windhoek"]},{"value":"GTB Standard Time","abbr":"GDT","offset":3,"isdst":true,"text":"(UTC+02:00) Athens, Bucharest","utc":["Asia/Nicosia","Europe/Athens","Europe/Bucharest","Europe/Chisinau"]},{"value":"Middle East Standard Time","abbr":"MEDT","offset":3,"isdst":true,"text":"(UTC+02:00) Beirut","utc":["Asia/Beirut"]},{"value":"Egypt Standard Time","abbr":"EST","offset":2,"isdst":false,"text":"(UTC+02:00) Cairo","utc":["Africa/Cairo"]},{"value":"Syria Standard Time","abbr":"SDT","offset":3,"isdst":true,"text":"(UTC+02:00) Damascus","utc":["Asia/Damascus"]},{"value":"E. Europe Standard Time","abbr":"EEDT","offset":3,"isdst":true,"text":"(UTC+02:00) E. Europe","utc":["Asia/Nicosia","Europe/Athens","Europe/Bucharest","Europe/Chisinau","Europe/Helsinki","Europe/Kiev","Europe/Mariehamn","Europe/Nicosia","Europe/Riga","Europe/Sofia","Europe/Tallinn","Europe/Uzhgorod","Europe/Vilnius","Europe/Zaporozhye"]},{"value":"South Africa Standard Time","abbr":"SAST","offset":2,"isdst":false,"text":"(UTC+02:00) Harare, Pretoria","utc":["Africa/Blantyre","Africa/Bujumbura","Africa/Gaborone","Africa/Harare","Africa/Johannesburg","Africa/Kigali","Africa/Lubumbashi","Africa/Lusaka","Africa/Maputo","Africa/Maseru","Africa/Mbabane","Etc/GMT-2"]},{"value":"FLE Standard Time","abbr":"FDT","offset":3,"isdst":true,"text":"(UTC+02:00) Helsinki, Kyiv, Riga, Sofia, Tallinn, Vilnius","utc":["Europe/Helsinki","Europe/Kiev","Europe/Mariehamn","Europe/Riga","Europe/Sofia","Europe/Tallinn","Europe/Uzhgorod","Europe/Vilnius","Europe/Zaporozhye"]},{"value":"Turkey Standard Time","abbr":"TDT","offset":3,"isdst":false,"text":"(UTC+03:00) Istanbul","utc":["Europe/Istanbul"]},{"value":"Israel Standard Time","abbr":"JDT","offset":3,"isdst":true,"text":"(UTC+02:00) Jerusalem","utc":["Asia/Jerusalem"]},{"value":"Libya Standard Time","abbr":"LST","offset":2,"isdst":false,"text":"(UTC+02:00) Tripoli","utc":["Africa/Tripoli"]},{"value":"Jordan Standard Time","abbr":"JST","offset":3,"isdst":false,"text":"(UTC+03:00) Amman","utc":["Asia/Amman"]},{"value":"Arabic Standard Time","abbr":"AST","offset":3,"isdst":false,"text":"(UTC+03:00) Baghdad","utc":["Asia/Baghdad"]},{"value":"Kaliningrad Standard Time","abbr":"KST","offset":3,"isdst":false,"text":"(UTC+03:00) Kaliningrad, Minsk","utc":["Europe/Kaliningrad","Europe/Minsk"]},{"value":"Arab Standard Time","abbr":"AST","offset":3,"isdst":false,"text":"(UTC+03:00) Kuwait, Riyadh","utc":["Asia/Aden","Asia/Bahrain","Asia/Kuwait","Asia/Qatar","Asia/Riyadh"]},{"value":"E. Africa Standard Time","abbr":"EAST","offset":3,"isdst":false,"text":"(UTC+03:00) Nairobi","utc":["Africa/Addis_Ababa","Africa/Asmera","Africa/Dar_es_Salaam","Africa/Djibouti","Africa/Juba","Africa/Kampala","Africa/Khartoum","Africa/Mogadishu","Africa/Nairobi","Antarctica/Syowa","Etc/GMT-3","Indian/Antananarivo","Indian/Comoro","Indian/Mayotte"]},{"value":"Moscow Standard Time","abbr":"MSK","offset":3,"isdst":false,"text":"(UTC+03:00) Moscow, St. Petersburg, Volgograd","utc":["Europe/Kirov","Europe/Moscow","Europe/Simferopol","Europe/Volgograd"]},{"value":"Samara Time","abbr":"SAMT","offset":4,"isdst":false,"text":"(UTC+04:00) Samara, Ulyanovsk, Saratov","utc":["Europe/Astrakhan","Europe/Samara","Europe/Ulyanovsk"]},{"value":"Iran Standard Time","abbr":"IDT","offset":4.5,"isdst":true,"text":"(UTC+03:30) Tehran","utc":["Asia/Tehran"]},{"value":"Arabian Standard Time","abbr":"AST","offset":4,"isdst":false,"text":"(UTC+04:00) Abu Dhabi, Muscat","utc":["Asia/Dubai","Asia/Muscat","Etc/GMT-4"]},{"value":"Azerbaijan Standard Time","abbr":"ADT","offset":5,"isdst":true,"text":"(UTC+04:00) Baku","utc":["Asia/Baku"]},{"value":"Mauritius Standard Time","abbr":"MST","offset":4,"isdst":false,"text":"(UTC+04:00) Port Louis","utc":["Indian/Mahe","Indian/Mauritius","Indian/Reunion"]},{"value":"Georgian Standard Time","abbr":"GST","offset":4,"isdst":false,"text":"(UTC+04:00) Tbilisi","utc":["Asia/Tbilisi"]},{"value":"Caucasus Standard Time","abbr":"CST","offset":4,"isdst":false,"text":"(UTC+04:00) Yerevan","utc":["Asia/Yerevan"]},{"value":"Afghanistan Standard Time","abbr":"AST","offset":4.5,"isdst":false,"text":"(UTC+04:30) Kabul","utc":["Asia/Kabul"]},{"value":"West Asia Standard Time","abbr":"WAST","offset":5,"isdst":false,"text":"(UTC+05:00) Ashgabat, Tashkent","utc":["Antarctica/Mawson","Asia/Aqtau","Asia/Aqtobe","Asia/Ashgabat","Asia/Dushanbe","Asia/Oral","Asia/Samarkand","Asia/Tashkent","Etc/GMT-5","Indian/Kerguelen","Indian/Maldives"]},{"value":"Pakistan Standard Time","abbr":"PST","offset":5,"isdst":false,"text":"(UTC+05:00) Islamabad, Karachi","utc":["Asia/Karachi"]},{"value":"India Standard Time","abbr":"IST","offset":5.5,"isdst":false,"text":"(UTC+05:30) Chennai, Kolkata, Mumbai, New Delhi","utc":["Asia/Kolkata"]},{"value":"Sri Lanka Standard Time","abbr":"SLST","offset":5.5,"isdst":false,"text":"(UTC+05:30) Sri Jayawardenepura","utc":["Asia/Colombo"]},{"value":"Nepal Standard Time","abbr":"NST","offset":5.75,"isdst":false,"text":"(UTC+05:45) Kathmandu","utc":["Asia/Katmandu"]},{"value":"Central Asia Standard Time","abbr":"CAST","offset":6,"isdst":false,"text":"(UTC+06:00) Astana","utc":["Antarctica/Vostok","Asia/Almaty","Asia/Bishkek","Asia/Qyzylorda","Asia/Urumqi","Etc/GMT-6","Indian/Chagos"]},{"value":"Bangladesh Standard Time","abbr":"BST","offset":6,"isdst":false,"text":"(UTC+06:00) Dhaka","utc":["Asia/Dhaka","Asia/Thimphu"]},{"value":"Ekaterinburg Standard Time","abbr":"EST","offset":6,"isdst":false,"text":"(UTC+06:00) Ekaterinburg","utc":["Asia/Yekaterinburg"]},{"value":"Myanmar Standard Time","abbr":"MST","offset":6.5,"isdst":false,"text":"(UTC+06:30) Yangon (Rangoon)","utc":["Asia/Rangoon","Indian/Cocos"]},{"value":"SE Asia Standard Time","abbr":"SAST","offset":7,"isdst":false,"text":"(UTC+07:00) Bangkok, Hanoi, Jakarta","utc":["Antarctica/Davis","Asia/Bangkok","Asia/Hovd","Asia/Jakarta","Asia/Phnom_Penh","Asia/Pontianak","Asia/Saigon","Asia/Vientiane","Etc/GMT-7","Indian/Christmas"]},{"value":"N. Central Asia Standard Time","abbr":"NCAST","offset":7,"isdst":false,"text":"(UTC+07:00) Novosibirsk","utc":["Asia/Novokuznetsk","Asia/Novosibirsk","Asia/Omsk"]},{"value":"China Standard Time","abbr":"CST","offset":8,"isdst":false,"text":"(UTC+08:00) Beijing, Chongqing, Hong Kong, Urumqi","utc":["Asia/Hong_Kong","Asia/Macau","Asia/Shanghai"]},{"value":"North Asia Standard Time","abbr":"NAST","offset":8,"isdst":false,"text":"(UTC+08:00) Krasnoyarsk","utc":["Asia/Krasnoyarsk"]},{"value":"Singapore Standard Time","abbr":"MPST","offset":8,"isdst":false,"text":"(UTC+08:00) Kuala Lumpur, Singapore","utc":["Asia/Brunei","Asia/Kuala_Lumpur","Asia/Kuching","Asia/Makassar","Asia/Manila","Asia/Singapore","Etc/GMT-8"]},{"value":"W. Australia Standard Time","abbr":"WAST","offset":8,"isdst":false,"text":"(UTC+08:00) Perth","utc":["Antarctica/Casey","Australia/Perth"]},{"value":"Taipei Standard Time","abbr":"TST","offset":8,"isdst":false,"text":"(UTC+08:00) Taipei","utc":["Asia/Taipei"]},{"value":"Ulaanbaatar Standard Time","abbr":"UST","offset":8,"isdst":false,"text":"(UTC+08:00) Ulaanbaatar","utc":["Asia/Choibalsan","Asia/Ulaanbaatar"]},{"value":"North Asia East Standard Time","abbr":"NAEST","offset":9,"isdst":false,"text":"(UTC+09:00) Irkutsk","utc":["Asia/Irkutsk"]},{"value":"Tokyo Standard Time","abbr":"TST","offset":9,"isdst":false,"text":"(UTC+09:00) Osaka, Sapporo, Tokyo","utc":["Asia/Dili","Asia/Jayapura","Asia/Tokyo","Etc/GMT-9","Pacific/Palau"]},{"value":"Korea Standard Time","abbr":"KST","offset":9,"isdst":false,"text":"(UTC+09:00) Seoul","utc":["Asia/Pyongyang","Asia/Seoul"]},{"value":"Cen. Australia Standard Time","abbr":"CAST","offset":9.5,"isdst":false,"text":"(UTC+09:30) Adelaide","utc":["Australia/Adelaide","Australia/Broken_Hill"]},{"value":"AUS Central Standard Time","abbr":"ACST","offset":9.5,"isdst":false,"text":"(UTC+09:30) Darwin","utc":["Australia/Darwin"]},{"value":"E. Australia Standard Time","abbr":"EAST","offset":10,"isdst":false,"text":"(UTC+10:00) Brisbane","utc":["Australia/Brisbane","Australia/Lindeman"]},{"value":"AUS Eastern Standard Time","abbr":"AEST","offset":10,"isdst":false,"text":"(UTC+10:00) Canberra, Melbourne, Sydney","utc":["Australia/Melbourne","Australia/Sydney"]},{"value":"West Pacific Standard Time","abbr":"WPST","offset":10,"isdst":false,"text":"(UTC+10:00) Guam, Port Moresby","utc":["Antarctica/DumontDUrville","Etc/GMT-10","Pacific/Guam","Pacific/Port_Moresby","Pacific/Saipan","Pacific/Truk"]},{"value":"Tasmania Standard Time","abbr":"TST","offset":10,"isdst":false,"text":"(UTC+10:00) Hobart","utc":["Australia/Currie","Australia/Hobart"]},{"value":"Yakutsk Standard Time","abbr":"YST","offset":10,"isdst":false,"text":"(UTC+10:00) Yakutsk","utc":["Asia/Chita","Asia/Khandyga","Asia/Yakutsk"]},{"value":"Central Pacific Standard Time","abbr":"CPST","offset":11,"isdst":false,"text":"(UTC+11:00) Solomon Is., New Caledonia","utc":["Antarctica/Macquarie","Etc/GMT-11","Pacific/Efate","Pacific/Guadalcanal","Pacific/Kosrae","Pacific/Noumea","Pacific/Ponape"]},{"value":"Vladivostok Standard Time","abbr":"VST","offset":11,"isdst":false,"text":"(UTC+11:00) Vladivostok","utc":["Asia/Sakhalin","Asia/Ust-Nera","Asia/Vladivostok"]},{"value":"New Zealand Standard Time","abbr":"NZST","offset":12,"isdst":false,"text":"(UTC+12:00) Auckland, Wellington","utc":["Antarctica/McMurdo","Pacific/Auckland"]},{"value":"UTC+12","abbr":"U","offset":12,"isdst":false,"text":"(UTC+12:00) Coordinated Universal Time+12","utc":["Etc/GMT-12","Pacific/Funafuti","Pacific/Kwajalein","Pacific/Majuro","Pacific/Nauru","Pacific/Tarawa","Pacific/Wake","Pacific/Wallis"]},{"value":"Fiji Standard Time","abbr":"FST","offset":12,"isdst":false,"text":"(UTC+12:00) Fiji","utc":["Pacific/Fiji"]},{"value":"Magadan Standard Time","abbr":"MST","offset":12,"isdst":false,"text":"(UTC+12:00) Magadan","utc":["Asia/Anadyr","Asia/Kamchatka","Asia/Magadan","Asia/Srednekolymsk"]},{"value":"Kamchatka Standard Time","abbr":"KDT","offset":13,"isdst":true,"text":"(UTC+12:00) Petropavlovsk-Kamchatsky - Old","utc":["Asia/Kamchatka"]},{"value":"Tonga Standard Time","abbr":"TST","offset":13,"isdst":false,"text":"(UTC+13:00) Nuku'alofa","utc":["Etc/GMT-13","Pacific/Enderbury","Pacific/Fakaofo","Pacific/Tongatapu"]},{"value":"Samoa Standard Time","abbr":"SST","offset":13,"isdst":false,"text":"(UTC+13:00) Samoa","utc":["Pacific/Apia"]}];

const COUNTRY_AUTOCOMPLETE_OPTIONS = {
      data: countries,
      getValue: "name",
      list: {
        match: {
          enabled: true
        },
        maxNumberOfElements: 10
      },
      template: {
        type: "custom",
        method: function(value, item) {
          return "<span class='flag flag-" + (item.code).toLowerCase() + "' ></span>" + value;
        }
      }
    };

const CONTINENT_AUTOCOMPLETE_OPTIONS = {
      data: continents,
      getValue: "name",
      list: {
        match: {
          enabled: true
        },
        maxNumberOfElements: 10
      },
      template: {
        type: "custom",
        method: function(value, item) {
          return value;
        }
      }
    };

const STATE_AUTOCOMPLETE_OPTIONS = {
      data: states,
      getValue: "name",
      list: {
        match: {
          enabled: true
        },
        maxNumberOfElements: 10
      },
      template: {
        type: "custom",
        method: function(value, item) {
          return value;
        }
      }
    };

function createNewLocation(locationType, behindSceneLocationData, visualLocationData) {

  var data = [locationType, visualLocationData, behindSceneLocationData];

  return data.join(DATA_SEPARATOR);

}

function initAutocompleteForElem($elem, options) {
	$elem.easyAutocomplete(options);
}

function initEasyAutocompletes() {

  if ($ != undefined) {
    initAutocompleteForElem( $(".countries-autocomplete"), COUNTRY_AUTOCOMPLETE_OPTIONS );
    initAutocompleteForElem( $(".continents-autocomplete"), CONTINENT_AUTOCOMPLETE_OPTIONS );
    initAutocompleteForElem( $(".states-autocomplete"), STATE_AUTOCOMPLETE_OPTIONS );
  }
}

jQuery(document).ready(function($){

// Enable EasyAutocomplete
initEasyAutocompletes();

$("html").on("change", ".ifso-input-autocomplete", function() {
  var $elem = $(this);
  var wholeGeolocationContainer = $elem.closest('.ifso-autocomplete-selection-display');
  var selectedCountry = $elem.getSelectedItemData();

  if (!selectedCountry || selectedCountry == -1) return;

  $elem.val(""); // Clear the input

  const selectedCountryName = selectedCountry.name;
  const selectedCountryCode = selectedCountry.code;
  const symbol = $(this).data('symbol');

  var newLocationData = createNewLocation(symbol, selectedCountryCode, selectedCountryName);
  newLocationSelected(wholeGeolocationContainer[0], newLocationData, selectedCountryName);
});

$("html").on("keypress focusout", ".page-visit-autocomplete", function(e) {
    if (e.keyCode === 13 || e.type === "focusout") {
        event.preventDefault();
        
        const $this = $(this);
        const pageUrl = $this.val();
        if (pageUrl.length == 0)
          return;

        const operator = $this.closest('.selection-inputs-container').find('.ifso-page-visit-operator').val();
        const symbol = "PAGEURL";
        const wholeGeolocationContainer = $this.closest('.ifso-autocomplete-selection-display')[0];

        // Add to the list
        const newLocationData = createNewLocation(symbol, operator, pageUrl);
        const position = createNewPositionForLocationSelection(wholeGeolocationContainer, newLocationData);

        // Add to the DOM
        const newFieldHTML = getAutocompletePageVisitFieldHTML(position, pageUrl, operator);
        const closestGeolocationFieldsContainer = wholeGeolocationContainer.querySelector('.ifso-autocomplete-fields-container');
        appendNewFieldToAutocompleteSection(closestGeolocationFieldsContainer, newFieldHTML);

        // Clear input
        $this.val("");

        
        return false;
    }
});

$("html").on("change", ".geo-timezone-selection", function() {

  if (this.selectedIndex > 0) {
    const timezoneName = this.value;
    const symbol = "TIMEZONE";
    const $elem = $(this);
    const wholeGeolocationContainer = $elem.closest('.ifso-autocomplete-selection-display');
    const newLocationData = createNewLocation(symbol, timezoneName, timezoneName);
    newLocationSelected(wholeGeolocationContainer[0], newLocationData, timezoneName);
    
    this.selectedIndex = 0;
  }

});



// Deprecated

$("html").on("click", ".gelocation-add-btn", function(e) {

  e.stopPropagation();

  e.preventDefault();



  $elem = $(this);

  $geoContainer = $elem.closest('.ifso-autocomplete-selection-display');

  $geoFieldsContainer = $geoContainer.find(".ifso-autocomplete-fields-container");

  $geoFieldsContainer.append(GEO_INPUT_TEMPLATE_CONTAINER);

  $lastAddedLocation = $geoFieldsContainer.find('span:last')[0];

  $lastAddedRemoveButton = $geoFieldsContainer.find('.locationField:last').find(".remove-autocomplete")[0];

  // console.log($lastAddedInput[0]);

  // console.log($lastAddedInput[0].setAttribute);



  var data_pos = $geoFieldsContainer.find("input").length - 2;



  $lastAddedLocation.setAttribute('data-pos', data_pos);

  $lastAddedRemoveButton.setAttribute('data-pos', data_pos);



  // $lastAddedRemoveButton.style.display = 'none'; // Hide the remove button until text is typed down



  appendHiddenGeoVal($lastAddedLocation, ADDRESSES_SEPARATOR + "1");



  initCityAutocomplete($lastAddedInput);



});





$("html").on("click", ".countries-autocomplete", function(e){

  e.stopPropagation();

  e.preventDefault();

});



$("html").on("click", ".remove-autocomplete", function(e) {
  e.stopPropagation();
  e.preventDefault();

  $elem = $(this);
  dataPos = $elem.data('pos');

  var $closestLocationField = $elem.closest('.locationField');
  var $geolocationFieldsContainer = $elem.closest('.ifso-autocomplete-fields-container');
  var $closestContainerParent = $elem.closest(".ifso-autocomplete-selection-display");
  var $locationsDescriptionElem = $closestContainerParent.find('.locations-description');
  var $nonSelectedTitle = $closestContainerParent.find('.none-selected');
  var $multipleSelectedTitle = $closestContainerParent.find('.multiple-selected');
  var $hiddenGeoField = $geolocationFieldsContainer.find('.ifso-autocomplete-data-field');
  var hiddenGeoVal = $hiddenGeoField.val();

  var normalizedAdrs = hiddenGeoVal.split(ADDRESSES_SEPARATOR);



  // Check if we allowed to remove (incase there is only one geo-input left)

  //if ($geolocationFieldsContainer.find(".locationField").length == 1) {

  //  alert("You can't remove when there is only one Geolocation input.");

  //  return;

  //}



  normalizedAdrs.splice(dataPos, 1); // Remove that autocomplete



  if (normalizedAdrs.length > 1)

    hiddenGeoVal = normalizedAdrs.join(ADDRESSES_SEPARATOR);

  else

    hiddenGeoVal = normalizedAdrs.join('') 



  if (!hiddenGeoVal) {

    $geolocationFieldsContainer.removeClass("shown");

    $nonSelectedTitle.removeClass('hide-field');

    $multipleSelectedTitle.addClass('hide-field');

    $locationsDescriptionElem.addClass('hide-field');

  }



  // Update hidden field val's to current geolocations data

  $hiddenGeoField.val(hiddenGeoVal);



  // remove the selected item

  $closestLocationField.remove();



  // Update all elements data-poses

  $geolocationFieldsContainer.find(".locationField").each(function(indx, currLocationField) {

    var currSelectedLocation = currLocationField.querySelector('.specific-location');

    var currRemoveAutocompleteBtn = currLocationField.querySelector('.remove-autocomplete');



    // Update data-position

    currSelectedLocation.setAttribute('data-pos', indx);

    currRemoveAutocompleteBtn.setAttribute('data-pos', indx);

  });





  // alert(hiddenGeoVal);

});



// $("html").on("keyup", ".locationField .autocomplete", function(e) {

//     $elem = $(this);

//     $removeField = $elem.closest('.locationField').find('.remove-autocomplete');



//     var inputLength = $elem.val().length;



//     if (inputLength == 0) {

//       $removeField.hide();

//     } else {

//       $removeField.show();

//     }

// });



});





function initCityAutocomplete(elem) {

  // elem.



  // Create the autocomplete object, restricting the search to geographical

  // location types.

  var autocomplete = new google.maps.places.Autocomplete(elem, autoCompleteSettings);



  google.maps.event.addDomListener(elem, 'keydown', function(event) { 

    if (event.keyCode === 13) { 

        event.preventDefault(); 

    }

  });



  // When the user selects an address from the dropdown, populate the address

  // fields in the form.

  autocomplete.addListener('place_changed', function() {

    fillInAddress(elem, this); 

  });

}

function initAutocomplete() {



var autocompletes = document.getElementsByClassName("autocomplete");



for (var i = 0; i < autocompletes.length; i++) {

  var elem = autocompletes[i];

  // Create the autocomplete object, restricting the search to geographical

  // location types.

  var autocomplete = new google.maps.places.Autocomplete(
    /** @type {!HTMLInputElement} */(elem),
    autoCompleteSettings);



  google.maps.event.addDomListener(elem, 'keydown', function(event) { 

    if (event.keyCode === 13) { 

        event.preventDefault(); 

    }

  }); 



  // When the user selects an address from the dropdown, populate the address

  // fields in the form.

  autocomplete.ifsoElem = elem;

  autocomplete.addListener('place_changed', function() {

    fillInAddress(this.ifsoElem, this);

  });



}
}



// Helper funcs encaplusates the updates to the hidden geo input field

function getHiddenGeoField(elem) {

var closestContainerParent = getClosest(elem, '.ifso-autocomplete-fields-container');

var hiddenField = closestContainerParent.querySelector('.ifso-autocomplete-data-field');



return hiddenField;

}



function getHiddenGeoVal(elem) {

var hiddenFieldVal = getHiddenGeoField(elem).value;



return hiddenFieldVal;

}



function updateHiddenGeoVal(elem, newInputVals) {

var hiddenField = getHiddenGeoField(elem);

hiddenField.value = newInputVals;

}



function appendHiddenGeoVal(elem, appendText) {

updateHiddenGeoVal(elem, getHiddenGeoVal(elem) + appendText);

}



function getRemoveButtonField(elem) {

var closestContainerParent = getClosest(elem, '.locationField');
var removeAutocompleteBtn = closestContainerParent.querySelector('.remove-autocomplete');

return removeAutocompleteBtn;

}

function getAutocompleteGeoFieldHTML(position, location) {
  var newField = GEO_INPUT_TEMPLATE_CONTAINER;

  newField = newField.replace("{DATA_POS}", position);
  newField = newField.replace("{LOCATION}", location);

  return newField;
}

function getAutocompletePageVisitFieldHTML(position, location, operator) {
  var newField = PAGE_VISIT_INPUT_TEMPLATE_CONTAINER;

  newField = newField.replace("{DATA_POS}", position);
  newField = newField.replace("{LOCATION}", location);
  newField = newField.replace("{OPERATOR}", operator);

  return newField;
}

function appendNewFieldToAutocompleteSection(container, field) {
  container.insertAdjacentHTML( 'beforeend', field);
}

// refactor this method
function createNewPositionForLocationSelection(wholeGeolocationContainer, newLocationData) {
  var locationsDescriptionElem = wholeGeolocationContainer.querySelector('.locations-description');
  var closestGeolocationFieldsContainer = wholeGeolocationContainer.querySelector('.ifso-autocomplete-fields-container');
  var selectionTitleContainer = wholeGeolocationContainer.querySelector('.selection-title');
  var nonSelectedTitle = selectionTitleContainer.querySelector('.none-selected');
  var multipleSelectedTitle = selectionTitleContainer.querySelector('.multiple-selected');
  var hiddenField = closestGeolocationFieldsContainer.querySelector('.ifso-autocomplete-data-field');
  var hiddenFieldVal = hiddenField.value;
  var position = -1;

  if (hiddenFieldVal) {
    // Adding
    hiddenFieldVal += ADDRESSES_SEPARATOR + newLocationData;
    position = hiddenFieldVal.split(ADDRESSES_SEPARATOR).length - 1; // Minus this iteration addition

    // let newAutocompleteField = createNewAutocompleteFieldCallback(dataPos, newLocation);
    // appendNewFieldToAutocompleteSection(closestGeolocationFieldsContainer, dataPos, newLocationGUI);
  } else {
    // Creating
    hiddenFieldVal = newLocationData;
    position = 0;
    // appendNewFieldToAutocompleteSection(closestGeolocationFieldsContainer, dataPos, newLocationGUI);

    // Making all the relevant components visible with their appropriate classes
    closestGeolocationFieldsContainer.className = "ifso-autocomplete-fields-container shown"; // showing
    multipleSelectedTitle.className = "multiple-selected"; // showing (by removing 'hide-field')
    nonSelectedTitle.className = "none-selected hide-field"; // hiding
    locationsDescriptionElem.className = "locations-description"; // showing (by removing 'hide-field')
  }

  hiddenField.value = hiddenFieldVal;

  return position;
}

function newLocationSelected(wholeGeolocationContainer, newLocationData, newLocationGUI) {
  const position = createNewPositionForLocationSelection(wholeGeolocationContainer, newLocationData);

  // Add to the DOM
  const newFieldHTML = getAutocompleteGeoFieldHTML(position, newLocationGUI);
  const closestGeolocationFieldsContainer = wholeGeolocationContainer.querySelector('.ifso-autocomplete-fields-container');
  appendNewFieldToAutocompleteSection(closestGeolocationFieldsContainer, newFieldHTML);
}



function fillInAddress(elem, autocomplete) {
  // Get the place details from the autocomplete object.
  // TODO: proper docs
  var place = autocomplete.getPlace();
  var closestContainerParent = getClosest(elem, '.ifso-autocomplete-selection-display');
  var vicinity = (place.vicinity) ? place.vicinity : "";
  var formattedAddress = place.formatted_address;
  elem.value = "";
  var newCityData = createNewLocation(CITY, vicinity, formattedAddress);
  newLocationSelected(closestContainerParent, newCityData, formattedAddress);





// // Build the hiddenFieldVal

// if (hiddenFieldVal) {



//   hiddenFieldVal += ADDRESSES_SEPARATOR + newAdrValue;



//   // // alert("It is!");

//   // var normalizedAdrs = hiddenFieldVal.split(ADDRESSES_SEPARATOR);



//   // // if (dataPos > normalizedAdrs.length-1) {

//   // //   normalizedAdrs.push(newAdrValue);

//   // // } else {

//   // //   normalizedAdrs[dataPos] = newAdrValue;

//   // // }



//   // if (normalizedAdrs[dataPos]) // Remove at data-pos if exist

//   //   normalizedAdrs.splice(dataPos, 1);



//   // // var adrsLen = normalizedAdrs.length;



//   // normalizedAdrs.splice(dataPos, 0, newAdrValue);



//   // console.log(normalizedAdrs);



//   // // var adrsLenAfterSplice = normalizedAdrs.length;



//   // // if (adrsLen !== adrsLenAfterSplice) {

//   //   // We added new one!

//   // // }



//   // if (normalizedAdrs.length > 1)

//   //   hiddenFieldVal = normalizedAdrs.join(ADDRESSES_SEPARATOR);

//   // else

//   //   hiddenFieldVal = normalizedAdrs.join('')







//   // Not added a new one!



//   var dataPos = hiddenFieldVal.split(ADDRESSES_SEPARATOR).length - 1; // Minus this iteration addition

//   appendNewFieldToAutocompleteSection(closestGeolocationFieldsContainer, dataPos, formattedAddress);

// } else {

//   // Added new one



//   hiddenFieldVal = newAdrValue;



//   var dataPos = 0;

//   appendNewFieldToAutocompleteSection(closestGeolocationFieldsContainer, dataPos, formattedAddress);



//   closestGeolocationFieldsContainer.className = "ifso-autocomplete-fields-container shown";

//   multipleSelectedTitle.className = "multiple-selected";

//   nonSelectedTitle.className = "none-selected hide-field";

//   locationsDescriptionElem.className = "locations-description";

// }



// hiddenField.value = hiddenFieldVal;



// elem.value = "";







// console.log(hiddenFieldVal);



// for (var component in componentForm) {

//   document.getElementById(component).value = '';

//   document.getElementById(component).disabled = false;

// }



// // Get each component of the address from the place details

// // and fill the corresponding field on the form.

// for (var i = 0; i < place.address_components.length; i++) {

//   var addressType = place.address_components[i].types[0];

//   if (componentForm[addressType]) {

//     var val = place.address_components[i][componentForm[addressType]];

//     document.getElementById(addressType).value = val;

//   }

// }

}



// Bias the autocomplete object to the user's geographical location,

// as supplied by the browser's 'navigator.geolocation' object.

function geolocate() {

if (navigator.geolocation) {

  navigator.geolocation.getCurrentPosition(function(position) {

    var geolocation = {

      lat: position.coords.latitude,

      lng: position.coords.longitude

    };

    var circle = new google.maps.Circle({

      center: geolocation,

      radius: position.coords.accuracy

    });

    autocomplete.setBounds(circle.getBounds());

  });

}

}